/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/

// This is a generated file from lib.d.ts

exports.contents = "/*! *****************************************************************************\r\nCopyright (c) Microsoft Corporation. All rights reserved. \r\nLicensed under the Apache License, Version 2.0 (the \"License\"); you may not use\r\nthis file except in compliance with the License. You may obtain a copy of the\r\nLicense at http://www.apache.org/licenses/LICENSE-2.0  \r\n \r\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\r\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\r\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE, \r\nMERCHANTABLITY OR NON-INFRINGEMENT. \r\n \r\nSee the Apache Version 2.0 License for specific language governing permissions\r\nand limitations under the License.\r\n***************************************************************************** */\r\n\r\n/// <reference no-default-lib=\"true\"/>\r\n/////////////////////////////\r\n/// ECMAScript APIs\r\n/////////////////////////////\r\n\r\ndeclare const NaN: number;\r\ndeclare const Infinity: number;\r\n\r\n/**\r\n  * Evaluates JavaScript code and executes it.\r\n  * @param x A String value that contains valid JavaScript code.\r\n  */\r\ndeclare function eval(x: string): any;\r\n\r\n/**\r\n  * Converts A string to an integer.\r\n  * @param s A string to convert into a number.\r\n  * @param radix A value between 2 and 36 that specifies the base of the number in numString.\r\n  * If this argument is not supplied, strings with a prefix of '0x' are considered hexadecimal.\r\n  * All other strings are considered decimal.\r\n  */\r\ndeclare function parseInt(s: string, radix?: number): number;\r\n\r\n/**\r\n  * Converts a string to a floating-point number.\r\n  * @param string A string that contains a floating-point number.\r\n  */\r\ndeclare function parseFloat(string: string): number;\r\n\r\n/**\r\n  * Returns a Boolean value that indicates whether a value is the reserved value NaN (not a number).\r\n  * @param number A numeric value.\r\n  */\r\ndeclare function isNaN(number: number): boolean;\r\n\r\n/**\r\n  * Determines whether a supplied number is finite.\r\n  * @param number Any numeric value.\r\n  */\r\ndeclare function isFinite(number: number): boolean;\r\n\r\n/**\r\n  * Gets the unencoded version of an encoded Uniform Resource Identifier (URI).\r\n  * @param encodedURI A value representing an encoded URI.\r\n  */\r\ndeclare function decodeURI(encodedURI: string): string;\r\n\r\n/**\r\n  * Gets the unencoded version of an encoded component of a Uniform Resource Identifier (URI).\r\n  * @param encodedURIComponent A value representing an encoded URI component.\r\n  */\r\ndeclare function decodeURIComponent(encodedURIComponent: string): string;\r\n\r\n/**\r\n  * Encodes a text string as a valid Uniform Resource Identifier (URI)\r\n  * @param uri A value representing an encoded URI.\r\n  */\r\ndeclare function encodeURI(uri: string): string;\r\n\r\n/**\r\n  * Encodes a text string as a valid component of a Uniform Resource Identifier (URI).\r\n  * @param uriComponent A value representing an encoded URI component.\r\n  */\r\ndeclare function encodeURIComponent(uriComponent: string): string;\r\n\r\ninterface PropertyDescriptor {\r\n    configurable?: boolean;\r\n    enumerable?: boolean;\r\n    value?: any;\r\n    writable?: boolean;\r\n    get? (): any;\r\n    set? (v: any): void;\r\n}\r\n\r\ninterface PropertyDescriptorMap {\r\n    [s: string]: PropertyDescriptor;\r\n}\r\n\r\ninterface Object {\r\n    /** The initial value of Object.prototype.constructor is the standard built-in Object constructor. */\r\n    constructor: Function;\r\n\r\n    /** Returns a string representation of an object. */\r\n    toString(): string;\r\n\r\n    /** Returns a date converted to a string using the current locale. */\r\n    toLocaleString(): string;\r\n\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): Object;\r\n\r\n    /**\r\n      * Determines whether an object has a property with the specified name.\r\n      * @param v A property name.\r\n      */\r\n    hasOwnProperty(v: string): boolean;\r\n\r\n    /**\r\n      * Determines whether an object exists in another object's prototype chain.\r\n      * @param v Another object whose prototype chain is to be checked.\r\n      */\r\n    isPrototypeOf(v: Object): boolean;\r\n\r\n    /**\r\n      * Determines whether a specified property is enumerable.\r\n      * @param v A property name.\r\n      */\r\n    propertyIsEnumerable(v: string): boolean;\r\n}\r\n\r\ninterface ObjectConstructor {\r\n    new (value?: any): Object;\r\n    (): any;\r\n    (value: any): any;\r\n\r\n    /** A reference to the prototype for a class of objects. */\r\n    readonly prototype: Object;\r\n\r\n    /**\r\n      * Returns the prototype of an object.\r\n      * @param o The object that references the prototype.\r\n      */\r\n    getPrototypeOf(o: any): any;\r\n\r\n    /**\r\n      * Gets the own property descriptor of the specified object.\r\n      * An own property descriptor is one that is defined directly on the object and is not inherited from the object's prototype.\r\n      * @param o Object that contains the property.\r\n      * @param p Name of the property.\r\n    */\r\n    getOwnPropertyDescriptor(o: any, p: string): PropertyDescriptor;\r\n\r\n    /**\r\n      * Returns the names of the own properties of an object. The own properties of an object are those that are defined directly\r\n      * on that object, and are not inherited from the object's prototype. The properties of an object include both fields (objects) and functions.\r\n      * @param o Object that contains the own properties.\r\n      */\r\n    getOwnPropertyNames(o: any): string[];\r\n\r\n    /**\r\n      * Creates an object that has null prototype.\r\n      * @param o Object to use as a prototype. May be null\r\n      */\r\n    create(o: null): any;\r\n\r\n    /**\r\n      * Creates an object that has the specified prototype, and that optionally contains specified properties.\r\n      * @param o Object to use as a prototype. May be null\r\n      */\r\n    create<T>(o: T): T;\r\n\r\n    /**\r\n      * Creates an object that has the specified prototype, and that optionally contains specified properties.\r\n      * @param o Object to use as a prototype. May be null\r\n      * @param properties JavaScript object that contains one or more property descriptors.\r\n      */\r\n    create(o: any, properties: PropertyDescriptorMap): any;\r\n\r\n    /**\r\n      * Adds a property to an object, or modifies attributes of an existing property.\r\n      * @param o Object on which to add or modify the property. This can be a native JavaScript object (that is, a user-defined object or a built in object) or a DOM object.\r\n      * @param p The property name.\r\n      * @param attributes Descriptor for the property. It can be for a data property or an accessor property.\r\n      */\r\n    defineProperty(o: any, p: string, attributes: PropertyDescriptor): any;\r\n\r\n    /**\r\n      * Adds one or more properties to an object, and/or modifies attributes of existing properties.\r\n      * @param o Object on which to add or modify the properties. This can be a native JavaScript object or a DOM object.\r\n      * @param properties JavaScript object that contains one or more descriptor objects. Each descriptor object describes a data property or an accessor property.\r\n      */\r\n    defineProperties(o: any, properties: PropertyDescriptorMap): any;\r\n\r\n    /**\r\n      * Prevents the modification of attributes of existing properties, and prevents the addition of new properties.\r\n      * @param o Object on which to lock the attributes.\r\n      */\r\n    seal<T>(o: T): T;\r\n\r\n    /**\r\n      * Prevents the modification of existing property attributes and values, and prevents the addition of new properties.\r\n      * @param o Object on which to lock the attributes.\r\n      */\r\n    freeze<T>(o: T): T;\r\n\r\n    /**\r\n      * Prevents the addition of new properties to an object.\r\n      * @param o Object to make non-extensible.\r\n      */\r\n    preventExtensions<T>(o: T): T;\r\n\r\n    /**\r\n      * Returns true if existing property attributes cannot be modified in an object and new properties cannot be added to the object.\r\n      * @param o Object to test.\r\n      */\r\n    isSealed(o: any): boolean;\r\n\r\n    /**\r\n      * Returns true if existing property attributes and values cannot be modified in an object, and new properties cannot be added to the object.\r\n      * @param o Object to test.\r\n      */\r\n    isFrozen(o: any): boolean;\r\n\r\n    /**\r\n      * Returns a value that indicates whether new properties can be added to an object.\r\n      * @param o Object to test.\r\n      */\r\n    isExtensible(o: any): boolean;\r\n\r\n    /**\r\n      * Returns the names of the enumerable properties and methods of an object.\r\n      * @param o Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.\r\n      */\r\n    keys(o: any): string[];\r\n}\r\n\r\n/**\r\n  * Provides functionality common to all JavaScript objects.\r\n  */\r\ndeclare const Object: ObjectConstructor;\r\n\r\n/**\r\n  * Creates a new function.\r\n  */\r\ninterface Function {\r\n    /**\r\n      * Calls the function, substituting the specified object for the this value of the function, and the specified array for the arguments of the function.\r\n      * @param thisArg The object to be used as the this object.\r\n      * @param argArray A set of arguments to be passed to the function.\r\n      */\r\n    apply(this: Function, thisArg: any, argArray?: any): any;\r\n\r\n    /**\r\n      * Calls a method of an object, substituting another object for the current object.\r\n      * @param thisArg The object to be used as the current object.\r\n      * @param argArray A list of arguments to be passed to the method.\r\n      */\r\n    call(this: Function, thisArg: any, ...argArray: any[]): any;\r\n\r\n    /**\r\n      * For a given function, creates a bound function that has the same body as the original function.\r\n      * The this object of the bound function is associated with the specified object, and has the specified initial parameters.\r\n      * @param thisArg An object to which the this keyword can refer inside the new function.\r\n      * @param argArray A list of arguments to be passed to the new function.\r\n      */\r\n    bind(this: Function, thisArg: any, ...argArray: any[]): any;\r\n\r\n    prototype: any;\r\n    readonly length: number;\r\n\r\n    // Non-standard extensions\r\n    arguments: any;\r\n    caller: Function;\r\n}\r\n\r\ninterface FunctionConstructor {\r\n    /**\r\n      * Creates a new function.\r\n      * @param args A list of arguments the function accepts.\r\n      */\r\n    new (...args: string[]): Function;\r\n    (...args: string[]): Function;\r\n    readonly prototype: Function;\r\n}\r\n\r\ndeclare const Function: FunctionConstructor;\r\n\r\ninterface IArguments {\r\n    [index: number]: any;\r\n    length: number;\r\n    callee: Function;\r\n}\r\n\r\ninterface String {\r\n    /** Returns a string representation of a string. */\r\n    toString(): string;\r\n\r\n    /**\r\n      * Returns the character at the specified index.\r\n      * @param pos The zero-based index of the desired character.\r\n      */\r\n    charAt(pos: number): string;\r\n\r\n    /**\r\n      * Returns the Unicode value of the character at the specified location.\r\n      * @param index The zero-based index of the desired character. If there is no character at the specified index, NaN is returned.\r\n      */\r\n    charCodeAt(index: number): number;\r\n\r\n    /**\r\n      * Returns a string that contains the concatenation of two or more strings.\r\n      * @param strings The strings to append to the end of the string.\r\n      */\r\n    concat(...strings: string[]): string;\r\n\r\n    /**\r\n      * Returns the position of the first occurrence of a substring.\r\n      * @param searchString The substring to search for in the string\r\n      * @param position The index at which to begin searching the String object. If omitted, search starts at the beginning of the string.\r\n      */\r\n    indexOf(searchString: string, position?: number): number;\r\n\r\n    /**\r\n      * Returns the last occurrence of a substring in the string.\r\n      * @param searchString The substring to search for.\r\n      * @param position The index at which to begin searching. If omitted, the search begins at the end of the string.\r\n      */\r\n    lastIndexOf(searchString: string, position?: number): number;\r\n\r\n    /**\r\n      * Determines whether two strings are equivalent in the current locale.\r\n      * @param that String to compare to target string\r\n      */\r\n    localeCompare(that: string): number;\r\n\r\n    /**\r\n      * Matches a string with a regular expression, and returns an array containing the results of that search.\r\n      * @param regexp A variable name or string literal containing the regular expression pattern and flags.\r\n      */\r\n    match(regexp: string): RegExpMatchArray | null;\r\n\r\n    /**\r\n      * Matches a string with a regular expression, and returns an array containing the results of that search.\r\n      * @param regexp A regular expression object that contains the regular expression pattern and applicable flags.\r\n      */\r\n    match(regexp: RegExp): RegExpMatchArray | null;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A string that represents the regular expression.\r\n      * @param replaceValue A string containing the text to replace for every successful match of searchValue in this string.\r\n      */\r\n    replace(searchValue: string, replaceValue: string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A string that represents the regular expression.\r\n      * @param replacer A function that returns the replacement text.\r\n      */\r\n    replace(searchValue: string, replacer: (substring: string, ...args: any[]) => string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A Regular Expression object containing the regular expression pattern and applicable flags.\r\n      * @param replaceValue A string containing the text to replace for every successful match of searchValue in this string.\r\n      */\r\n    replace(searchValue: RegExp, replaceValue: string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A Regular Expression object containing the regular expression pattern and applicable flags\r\n      * @param replacer A function that returns the replacement text.\r\n      */\r\n    replace(searchValue: RegExp, replacer: (substring: string, ...args: any[]) => string): string;\r\n\r\n    /**\r\n      * Finds the first substring match in a regular expression search.\r\n      * @param regexp The regular expression pattern and applicable flags.\r\n      */\r\n    search(regexp: string): number;\r\n\r\n    /**\r\n      * Finds the first substring match in a regular expression search.\r\n      * @param regexp The regular expression pattern and applicable flags.\r\n      */\r\n    search(regexp: RegExp): number;\r\n\r\n    /**\r\n      * Returns a section of a string.\r\n      * @param start The index to the beginning of the specified portion of stringObj.\r\n      * @param end The index to the end of the specified portion of stringObj. The substring includes the characters up to, but not including, the character indicated by end.\r\n      * If this value is not specified, the substring continues to the end of stringObj.\r\n      */\r\n    slice(start?: number, end?: number): string;\r\n\r\n    /**\r\n      * Split a string into substrings using the specified separator and return them as an array.\r\n      * @param separator A string that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned.\r\n      * @param limit A value used to limit the number of elements returned in the array.\r\n      */\r\n    split(separator: string, limit?: number): string[];\r\n\r\n    /**\r\n      * Split a string into substrings using the specified separator and return them as an array.\r\n      * @param separator A Regular Express that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned.\r\n      * @param limit A value used to limit the number of elements returned in the array.\r\n      */\r\n    split(separator: RegExp, limit?: number): string[];\r\n\r\n    /**\r\n      * Returns the substring at the specified location within a String object.\r\n      * @param start The zero-based index number indicating the beginning of the substring.\r\n      * @param end Zero-based index number indicating the end of the substring. The substring includes the characters up to, but not including, the character indicated by end.\r\n      * If end is omitted, the characters from start through the end of the original string are returned.\r\n      */\r\n    substring(start: number, end?: number): string;\r\n\r\n    /** Converts all the alphabetic characters in a string to lowercase. */\r\n    toLowerCase(): string;\r\n\r\n    /** Converts all alphabetic characters to lowercase, taking into account the host environment's current locale. */\r\n    toLocaleLowerCase(): string;\r\n\r\n    /** Converts all the alphabetic characters in a string to uppercase. */\r\n    toUpperCase(): string;\r\n\r\n    /** Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment's current locale. */\r\n    toLocaleUpperCase(): string;\r\n\r\n    /** Removes the leading and trailing white space and line terminator characters from a string. */\r\n    trim(): string;\r\n\r\n    /** Returns the length of a String object. */\r\n    readonly length: number;\r\n\r\n    // IE extensions\r\n    /**\r\n      * Gets a substring beginning at the specified location and having the specified length.\r\n      * @param from The starting position of the desired substring. The index of the first character in the string is zero.\r\n      * @param length The number of characters to include in the returned substring.\r\n      */\r\n    substr(from: number, length?: number): string;\r\n\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): string;\r\n\r\n    readonly [index: number]: string;\r\n}\r\n\r\ninterface StringConstructor {\r\n    new (value?: any): String;\r\n    (value?: any): string;\r\n    readonly prototype: String;\r\n    fromCharCode(...codes: number[]): string;\r\n}\r\n\r\n/**\r\n  * Allows manipulation and formatting of text strings and determination and location of substrings within strings.\r\n  */\r\ndeclare const String: StringConstructor;\r\n\r\ninterface Boolean {\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): boolean;\r\n}\r\n\r\ninterface BooleanConstructor {\r\n    new (value?: any): Boolean;\r\n    (value?: any): boolean;\r\n    readonly prototype: Boolean;\r\n}\r\n\r\ndeclare const Boolean: BooleanConstructor;\r\n\r\ninterface Number {\r\n    /**\r\n      * Returns a string representation of an object.\r\n      * @param radix Specifies a radix for converting numeric values to strings. This value is only used for numbers.\r\n      */\r\n    toString(radix?: number): string;\r\n\r\n    /**\r\n      * Returns a string representing a number in fixed-point notation.\r\n      * @param fractionDigits Number of digits after the decimal point. Must be in the range 0 - 20, inclusive.\r\n      */\r\n    toFixed(fractionDigits?: number): string;\r\n\r\n    /**\r\n      * Returns a string containing a number represented in exponential notation.\r\n      * @param fractionDigits Number of digits after the decimal point. Must be in the range 0 - 20, inclusive.\r\n      */\r\n    toExponential(fractionDigits?: number): string;\r\n\r\n    /**\r\n      * Returns a string containing a number represented either in exponential or fixed-point notation with a specified number of digits.\r\n      * @param precision Number of significant digits. Must be in the range 1 - 21, inclusive.\r\n      */\r\n    toPrecision(precision?: number): string;\r\n\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): number;\r\n}\r\n\r\ninterface NumberConstructor {\r\n    new (value?: any): Number;\r\n    (value?: any): number;\r\n    readonly prototype: Number;\r\n\r\n    /** The largest number that can be represented in JavaScript. Equal to approximately 1.79E+308. */\r\n    readonly MAX_VALUE: number;\r\n\r\n    /** The closest number to zero that can be represented in JavaScript. Equal to approximately 5.00E-324. */\r\n    readonly MIN_VALUE: number;\r\n\r\n    /**\r\n      * A value that is not a number.\r\n      * In equality comparisons, NaN does not equal any value, including itself. To test whether a value is equivalent to NaN, use the isNaN function.\r\n      */\r\n    readonly NaN: number;\r\n\r\n    /**\r\n      * A value that is less than the largest negative number that can be represented in JavaScript.\r\n      * JavaScript displays NEGATIVE_INFINITY values as -infinity.\r\n      */\r\n    readonly NEGATIVE_INFINITY: number;\r\n\r\n    /**\r\n      * A value greater than the largest number that can be represented in JavaScript.\r\n      * JavaScript displays POSITIVE_INFINITY values as infinity.\r\n      */\r\n    readonly POSITIVE_INFINITY: number;\r\n}\r\n\r\n/** An object that represents a number of any kind. All JavaScript numbers are 64-bit floating-point numbers. */\r\ndeclare const Number: NumberConstructor;\r\n\r\ninterface TemplateStringsArray extends ReadonlyArray<string> {\r\n    readonly raw: ReadonlyArray<string>\r\n}\r\n\r\ninterface Math {\r\n    /** The mathematical constant e. This is Euler's number, the base of natural logarithms. */\r\n    readonly E: number;\r\n    /** The natural logarithm of 10. */\r\n    readonly LN10: number;\r\n    /** The natural logarithm of 2. */\r\n    readonly LN2: number;\r\n    /** The base-2 logarithm of e. */\r\n    readonly LOG2E: number;\r\n    /** The base-10 logarithm of e. */\r\n    readonly LOG10E: number;\r\n    /** Pi. This is the ratio of the circumference of a circle to its diameter. */\r\n    readonly PI: number;\r\n    /** The square root of 0.5, or, equivalently, one divided by the square root of 2. */\r\n    readonly SQRT1_2: number;\r\n    /** The square root of 2. */\r\n    readonly SQRT2: number;\r\n    /**\r\n      * Returns the absolute value of a number (the value without regard to whether it is positive or negative).\r\n      * For example, the absolute value of -5 is the same as the absolute value of 5.\r\n      * @param x A numeric expression for which the absolute value is needed.\r\n      */\r\n    abs(x: number): number;\r\n    /**\r\n      * Returns the arc cosine (or inverse cosine) of a number.\r\n      * @param x A numeric expression.\r\n      */\r\n    acos(x: number): number;\r\n    /**\r\n      * Returns the arcsine of a number.\r\n      * @param x A numeric expression.\r\n      */\r\n    asin(x: number): number;\r\n    /**\r\n      * Returns the arctangent of a number.\r\n      * @param x A numeric expression for which the arctangent is needed.\r\n      */\r\n    atan(x: number): number;\r\n    /**\r\n      * Returns the angle (in radians) from the X axis to a point.\r\n      * @param y A numeric expression representing the cartesian y-coordinate.\r\n      * @param x A numeric expression representing the cartesian x-coordinate.\r\n      */\r\n    atan2(y: number, x: number): number;\r\n    /**\r\n      * Returns the smallest number greater than or equal to its numeric argument.\r\n      * @param x A numeric expression.\r\n      */\r\n    ceil(x: number): number;\r\n    /**\r\n      * Returns the cosine of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    cos(x: number): number;\r\n    /**\r\n      * Returns e (the base of natural logarithms) raised to a power.\r\n      * @param x A numeric expression representing the power of e.\r\n      */\r\n    exp(x: number): number;\r\n    /**\r\n      * Returns the greatest number less than or equal to its numeric argument.\r\n      * @param x A numeric expression.\r\n      */\r\n    floor(x: number): number;\r\n    /**\r\n      * Returns the natural logarithm (base e) of a number.\r\n      * @param x A numeric expression.\r\n      */\r\n    log(x: number): number;\r\n    /**\r\n      * Returns the larger of a set of supplied numeric expressions.\r\n      * @param values Numeric expressions to be evaluated.\r\n      */\r\n    max(...values: number[]): number;\r\n    /**\r\n      * Returns the smaller of a set of supplied numeric expressions.\r\n      * @param values Numeric expressions to be evaluated.\r\n      */\r\n    min(...values: number[]): number;\r\n    /**\r\n      * Returns the value of a base expression taken to a specified power.\r\n      * @param x The base value of the expression.\r\n      * @param y The exponent value of the expression.\r\n      */\r\n    pow(x: number, y: number): number;\r\n    /** Returns a pseudorandom number between 0 and 1. */\r\n    random(): number;\r\n    /**\r\n      * Returns a supplied numeric expression rounded to the nearest number.\r\n      * @param x The value to be rounded to the nearest number.\r\n      */\r\n    round(x: number): number;\r\n    /**\r\n      * Returns the sine of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    sin(x: number): number;\r\n    /**\r\n      * Returns the square root of a number.\r\n      * @param x A numeric expression.\r\n      */\r\n    sqrt(x: number): number;\r\n    /**\r\n      * Returns the tangent of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    tan(x: number): number;\r\n}\r\n/** An intrinsic object that provides basic mathematics functionality and constants. */\r\ndeclare const Math: Math;\r\n\r\n/** Enables basic storage and retrieval of dates and times. */\r\ninterface Date {\r\n    /** Returns a string representation of a date. The format of the string depends on the locale. */\r\n    toString(): string;\r\n    /** Returns a date as a string value. */\r\n    toDateString(): string;\r\n    /** Returns a time as a string value. */\r\n    toTimeString(): string;\r\n    /** Returns a value as a string value appropriate to the host environment's current locale. */\r\n    toLocaleString(): string;\r\n    /** Returns a date as a string value appropriate to the host environment's current locale. */\r\n    toLocaleDateString(): string;\r\n    /** Returns a time as a string value appropriate to the host environment's current locale. */\r\n    toLocaleTimeString(): string;\r\n    /** Returns the stored time value in milliseconds since midnight, January 1, 1970 UTC. */\r\n    valueOf(): number;\r\n    /** Gets the time value in milliseconds. */\r\n    getTime(): number;\r\n    /** Gets the year, using local time. */\r\n    getFullYear(): number;\r\n    /** Gets the year using Universal Coordinated Time (UTC). */\r\n    getUTCFullYear(): number;\r\n    /** Gets the month, using local time. */\r\n    getMonth(): number;\r\n    /** Gets the month of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCMonth(): number;\r\n    /** Gets the day-of-the-month, using local time. */\r\n    getDate(): number;\r\n    /** Gets the day-of-the-month, using Universal Coordinated Time (UTC). */\r\n    getUTCDate(): number;\r\n    /** Gets the day of the week, using local time. */\r\n    getDay(): number;\r\n    /** Gets the day of the week using Universal Coordinated Time (UTC). */\r\n    getUTCDay(): number;\r\n    /** Gets the hours in a date, using local time. */\r\n    getHours(): number;\r\n    /** Gets the hours value in a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCHours(): number;\r\n    /** Gets the minutes of a Date object, using local time. */\r\n    getMinutes(): number;\r\n    /** Gets the minutes of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCMinutes(): number;\r\n    /** Gets the seconds of a Date object, using local time. */\r\n    getSeconds(): number;\r\n    /** Gets the seconds of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCSeconds(): number;\r\n    /** Gets the milliseconds of a Date, using local time. */\r\n    getMilliseconds(): number;\r\n    /** Gets the milliseconds of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCMilliseconds(): number;\r\n    /** Gets the difference in minutes between the time on the local computer and Universal Coordinated Time (UTC). */\r\n    getTimezoneOffset(): number;\r\n    /**\r\n      * Sets the date and time value in the Date object.\r\n      * @param time A numeric value representing the number of elapsed milliseconds since midnight, January 1, 1970 GMT.\r\n      */\r\n    setTime(time: number): number;\r\n    /**\r\n      * Sets the milliseconds value in the Date object using local time.\r\n      * @param ms A numeric value equal to the millisecond value.\r\n      */\r\n    setMilliseconds(ms: number): number;\r\n    /**\r\n      * Sets the milliseconds value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param ms A numeric value equal to the millisecond value.\r\n      */\r\n    setUTCMilliseconds(ms: number): number;\r\n\r\n    /**\r\n      * Sets the seconds value in the Date object using local time.\r\n      * @param sec A numeric value equal to the seconds value.\r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setSeconds(sec: number, ms?: number): number;\r\n    /**\r\n      * Sets the seconds value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param sec A numeric value equal to the seconds value.\r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setUTCSeconds(sec: number, ms?: number): number;\r\n    /**\r\n      * Sets the minutes value in the Date object using local time.\r\n      * @param min A numeric value equal to the minutes value.\r\n      * @param sec A numeric value equal to the seconds value.\r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setMinutes(min: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the minutes value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param min A numeric value equal to the minutes value.\r\n      * @param sec A numeric value equal to the seconds value.\r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setUTCMinutes(min: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the hour value in the Date object using local time.\r\n      * @param hours A numeric value equal to the hours value.\r\n      * @param min A numeric value equal to the minutes value.\r\n      * @param sec A numeric value equal to the seconds value.\r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setHours(hours: number, min?: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the hours value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param hours A numeric value equal to the hours value.\r\n      * @param min A numeric value equal to the minutes value.\r\n      * @param sec A numeric value equal to the seconds value.\r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setUTCHours(hours: number, min?: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the numeric day-of-the-month value of the Date object using local time.\r\n      * @param date A numeric value equal to the day of the month.\r\n      */\r\n    setDate(date: number): number;\r\n    /**\r\n      * Sets the numeric day of the month in the Date object using Universal Coordinated Time (UTC).\r\n      * @param date A numeric value equal to the day of the month.\r\n      */\r\n    setUTCDate(date: number): number;\r\n    /**\r\n      * Sets the month value in the Date object using local time.\r\n      * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively.\r\n      * @param date A numeric value representing the day of the month. If this value is not supplied, the value from a call to the getDate method is used.\r\n      */\r\n    setMonth(month: number, date?: number): number;\r\n    /**\r\n      * Sets the month value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively.\r\n      * @param date A numeric value representing the day of the month. If it is not supplied, the value from a call to the getUTCDate method is used.\r\n      */\r\n    setUTCMonth(month: number, date?: number): number;\r\n    /**\r\n      * Sets the year of the Date object using local time.\r\n      * @param year A numeric value for the year.\r\n      * @param month A zero-based numeric value for the month (0 for January, 11 for December). Must be specified if numDate is specified.\r\n      * @param date A numeric value equal for the day of the month.\r\n      */\r\n    setFullYear(year: number, month?: number, date?: number): number;\r\n    /**\r\n      * Sets the year value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param year A numeric value equal to the year.\r\n      * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively. Must be supplied if numDate is supplied.\r\n      * @param date A numeric value equal to the day of the month.\r\n      */\r\n    setUTCFullYear(year: number, month?: number, date?: number): number;\r\n    /** Returns a date converted to a string using Universal Coordinated Time (UTC). */\r\n    toUTCString(): string;\r\n    /** Returns a date as a string value in ISO format. */\r\n    toISOString(): string;\r\n    /** Used by the JSON.stringify method to enable the transformation of an object's data for JavaScript Object Notation (JSON) serialization. */\r\n    toJSON(key?: any): string;\r\n}\r\n\r\ninterface DateConstructor {\r\n    new (): Date;\r\n    new (value: number): Date;\r\n    new (value: string): Date;\r\n    new (year: number, month: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): Date;\r\n    (): string;\r\n    readonly prototype: Date;\r\n    /**\r\n      * Parses a string containing a date, and returns the number of milliseconds between that date and midnight, January 1, 1970.\r\n      * @param s A date string\r\n      */\r\n    parse(s: string): number;\r\n    /**\r\n      * Returns the number of milliseconds between midnight, January 1, 1970 Universal Coordinated Time (UTC) (or GMT) and the specified date.\r\n      * @param year The full year designation is required for cross-century date accuracy. If year is between 0 and 99 is used, then year is assumed to be 1900 + year.\r\n      * @param month The month as an number between 0 and 11 (January to December).\r\n      * @param date The date as an number between 1 and 31.\r\n      * @param hours Must be supplied if minutes is supplied. An number from 0 to 23 (midnight to 11pm) that specifies the hour.\r\n      * @param minutes Must be supplied if seconds is supplied. An number from 0 to 59 that specifies the minutes.\r\n      * @param seconds Must be supplied if milliseconds is supplied. An number from 0 to 59 that specifies the seconds.\r\n      * @param ms An number from 0 to 999 that specifies the milliseconds.\r\n      */\r\n    UTC(year: number, month: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): number;\r\n    now(): number;\r\n}\r\n\r\ndeclare const Date: DateConstructor;\r\n\r\ninterface RegExpMatchArray extends Array<string> {\r\n    index?: number;\r\n    input?: string;\r\n}\r\n\r\ninterface RegExpExecArray extends Array<string> {\r\n    index: number;\r\n    input: string;\r\n}\r\n\r\ninterface RegExp {\r\n    /**\r\n      * Executes a search on a string using a regular expression pattern, and returns an array containing the results of that search.\r\n      * @param string The String object or string literal on which to perform the search.\r\n      */\r\n    exec(string: string): RegExpExecArray | null;\r\n\r\n    /**\r\n      * Returns a Boolean value that indicates whether or not a pattern exists in a searched string.\r\n      * @param string String on which to perform the search.\r\n      */\r\n    test(string: string): boolean;\r\n\r\n    /** Returns a copy of the text of the regular expression pattern. Read-only. The regExp argument is a Regular expression object. It can be a variable name or a literal. */\r\n    readonly source: string;\r\n\r\n    /** Returns a Boolean value indicating the state of the global flag (g) used with a regular expression. Default is false. Read-only. */\r\n    readonly global: boolean;\r\n\r\n    /** Returns a Boolean value indicating the state of the ignoreCase flag (i) used with a regular expression. Default is false. Read-only. */\r\n    readonly ignoreCase: boolean;\r\n\r\n    /** Returns a Boolean value indicating the state of the multiline flag (m) used with a regular expression. Default is false. Read-only. */\r\n    readonly multiline: boolean;\r\n\r\n    lastIndex: number;\r\n\r\n    // Non-standard extensions\r\n    compile(): this;\r\n}\r\n\r\ninterface RegExpConstructor {\r\n    new (pattern: RegExp): RegExp;\r\n    new (pattern: string, flags?: string): RegExp;\r\n    (pattern: RegExp): RegExp;\r\n    (pattern: string, flags?: string): RegExp;\r\n    readonly prototype: RegExp;\r\n\r\n    // Non-standard extensions\r\n    $1: string;\r\n    $2: string;\r\n    $3: string;\r\n    $4: string;\r\n    $5: string;\r\n    $6: string;\r\n    $7: string;\r\n    $8: string;\r\n    $9: string;\r\n    lastMatch: string;\r\n}\r\n\r\ndeclare const RegExp: RegExpConstructor;\r\n\r\ninterface Error {\r\n    name: string;\r\n    message: string;\r\n    stack?: string;\r\n}\r\n\r\ninterface ErrorConstructor {\r\n    new (message?: string): Error;\r\n    (message?: string): Error;\r\n    readonly prototype: Error;\r\n}\r\n\r\ndeclare const Error: ErrorConstructor;\r\n\r\ninterface EvalError extends Error {\r\n}\r\n\r\ninterface EvalErrorConstructor {\r\n    new (message?: string): EvalError;\r\n    (message?: string): EvalError;\r\n    readonly prototype: EvalError;\r\n}\r\n\r\ndeclare const EvalError: EvalErrorConstructor;\r\n\r\ninterface RangeError extends Error {\r\n}\r\n\r\ninterface RangeErrorConstructor {\r\n    new (message?: string): RangeError;\r\n    (message?: string): RangeError;\r\n    readonly prototype: RangeError;\r\n}\r\n\r\ndeclare const RangeError: RangeErrorConstructor;\r\n\r\ninterface ReferenceError extends Error {\r\n}\r\n\r\ninterface ReferenceErrorConstructor {\r\n    new (message?: string): ReferenceError;\r\n    (message?: string): ReferenceError;\r\n    readonly prototype: ReferenceError;\r\n}\r\n\r\ndeclare const ReferenceError: ReferenceErrorConstructor;\r\n\r\ninterface SyntaxError extends Error {\r\n}\r\n\r\ninterface SyntaxErrorConstructor {\r\n    new (message?: string): SyntaxError;\r\n    (message?: string): SyntaxError;\r\n    readonly prototype: SyntaxError;\r\n}\r\n\r\ndeclare const SyntaxError: SyntaxErrorConstructor;\r\n\r\ninterface TypeError extends Error {\r\n}\r\n\r\ninterface TypeErrorConstructor {\r\n    new (message?: string): TypeError;\r\n    (message?: string): TypeError;\r\n    readonly prototype: TypeError;\r\n}\r\n\r\ndeclare const TypeError: TypeErrorConstructor;\r\n\r\ninterface URIError extends Error {\r\n}\r\n\r\ninterface URIErrorConstructor {\r\n    new (message?: string): URIError;\r\n    (message?: string): URIError;\r\n    readonly prototype: URIError;\r\n}\r\n\r\ndeclare const URIError: URIErrorConstructor;\r\n\r\ninterface JSON {\r\n    /**\r\n      * Converts a JavaScript Object Notation (JSON) string into an object.\r\n      * @param text A valid JSON string.\r\n      * @param reviver A function that transforms the results. This function is called for each member of the object.\r\n      * If a member contains nested objects, the nested objects are transformed before the parent object is.\r\n      */\r\n    parse(text: string, reviver?: (key: any, value: any) => any): any;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      * @param replacer A function that transforms the results.\r\n      * @param space Adds indentation, white space, and line break characters to the return-value JSON text to make it easier to read.\r\n      */\r\n    stringify(value: any, replacer?: (key: string, value: any) => any, space?: string | number): string;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      * @param replacer An array of strings and numbers that acts as a approved list for selecting the object properties that will be stringified.\r\n      * @param space Adds indentation, white space, and line break characters to the return-value JSON text to make it easier to read.\r\n      */\r\n    stringify(value: any, replacer?: (number | string)[] | null, space?: string | number): string;\r\n}\r\n\r\n/**\r\n  * An intrinsic object that provides functions to convert JavaScript values to and from the JavaScript Object Notation (JSON) format.\r\n  */\r\ndeclare const JSON: JSON;\r\n\r\n\r\n/////////////////////////////\r\n/// ECMAScript Array API (specially handled by compiler)\r\n/////////////////////////////\r\n\r\ninterface ReadonlyArray<T> {\r\n    /**\r\n      * Gets the length of the array. This is a number one higher than the highest element defined in an array.\r\n      */\r\n    readonly length: number;\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n    toLocaleString(): string;\r\n    /**\r\n      * Combines two or more arrays.\r\n      * @param items Additional items to add to the end of array1.\r\n      */\r\n    concat<U extends ReadonlyArray<T>>(...items: U[]): T[];\r\n    /**\r\n      * Combines two or more arrays.\r\n      * @param items Additional items to add to the end of array1.\r\n      */\r\n    concat(...items: T[][]): T[];\r\n    /**\r\n      * Combines two or more arrays.\r\n      * @param items Additional items to add to the end of array1.\r\n      */\r\n    concat(...items: (T | T[])[]): T[];\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): T[];\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.\r\n      */\r\n    indexOf(searchElement: T, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a specified value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at the last index in the array.\r\n      */\r\n    lastIndexOf(searchElement: T, fromIndex?: number): number;\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls the callbackfn function for each element in array1 until the callbackfn returns false, or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: T, index: number, array: ReadonlyArray<T>) => boolean, thisArg?: any): boolean;\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the callbackfn function for each element in array1 until the callbackfn returns true, or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: T, index: number, array: ReadonlyArray<T>) => boolean, thisArg?: any): boolean;\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: T, index: number, array: ReadonlyArray<T>) => void, thisArg?: any): void;\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map<U>(callbackfn: (value: T, index: number, array: ReadonlyArray<T>) => U, thisArg?: any): U[];\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: T, index: number, array: ReadonlyArray<T>) => any, thisArg?: any): T[];\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: ReadonlyArray<T>) => T, initialValue?: T): T;\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: ReadonlyArray<T>) => U, initialValue: U): U;\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: ReadonlyArray<T>) => T, initialValue?: T): T;\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: ReadonlyArray<T>) => U, initialValue: U): U;\r\n\r\n    readonly [n: number]: T;\r\n}\r\n\r\ninterface Array<T> {\r\n    /**\r\n      * Gets or sets the length of the array. This is a number one higher than the highest element defined in an array.\r\n      */\r\n    length: number;\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n    toLocaleString(): string;\r\n    /**\r\n      * Appends new elements to an array, and returns the new length of the array.\r\n      * @param items New elements of the Array.\r\n      */\r\n    push(...items: T[]): number;\r\n    /**\r\n      * Removes the last element from an array and returns it.\r\n      */\r\n    pop(): T | undefined;\r\n    /**\r\n      * Combines two or more arrays.\r\n      * @param items Additional items to add to the end of array1.\r\n      */\r\n    concat(...items: T[][]): T[];\r\n    /**\r\n      * Combines two or more arrays.\r\n      * @param items Additional items to add to the end of array1.\r\n      */\r\n    concat(...items: (T | T[])[]): T[];\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n    /**\r\n      * Reverses the elements in an Array.\r\n      */\r\n    reverse(): T[];\r\n    /**\r\n      * Removes the first element from an array and returns it.\r\n      */\r\n    shift(): T | undefined;\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): T[];\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: T, b: T) => number): this;\r\n    /**\r\n      * Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.\r\n      * @param start The zero-based location in the array from which to start removing elements.\r\n      */\r\n    splice(start: number): T[];\r\n    /**\r\n      * Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.\r\n      * @param start The zero-based location in the array from which to start removing elements.\r\n      * @param deleteCount The number of elements to remove.\r\n      * @param items Elements to insert into the array in place of the deleted elements.\r\n      */\r\n    splice(start: number, deleteCount: number, ...items: T[]): T[];\r\n    /**\r\n      * Inserts new elements at the start of an array.\r\n      * @param items  Elements to insert at the start of the Array.\r\n      */\r\n    unshift(...items: T[]): number;\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.\r\n      */\r\n    indexOf(searchElement: T, fromIndex?: number): number;\r\n    /**\r\n      * Returns the index of the last occurrence of a specified value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at the last index in the array.\r\n      */\r\n    lastIndexOf(searchElement: T, fromIndex?: number): number;\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls the callbackfn function for each element in array1 until the callbackfn returns false, or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: T, index: number, array: T[]) => boolean, thisArg?: any): boolean;\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the callbackfn function for each element in array1 until the callbackfn returns true, or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: T, index: number, array: T[]) => boolean, thisArg?: any): boolean;\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: T, index: number, array: T[]) => void, thisArg?: any): void;\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map<U>(callbackfn: (value: T, index: number, array: T[]) => U, thisArg?: any): U[];\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: T, index: number, array: T[]) => any, thisArg?: any): T[];\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: T[]) => T, initialValue?: T): T;\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: T[]) => U, initialValue: U): U;\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: T[]) => T, initialValue?: T): T;\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: T[]) => U, initialValue: U): U;\r\n\r\n    [n: number]: T;\r\n}\r\n\r\ninterface ArrayConstructor {\r\n    new (arrayLength?: number): any[];\r\n    new <T>(arrayLength: number): T[];\r\n    new <T>(...items: T[]): T[];\r\n    (arrayLength?: number): any[];\r\n    <T>(arrayLength: number): T[];\r\n    <T>(...items: T[]): T[];\r\n    isArray(arg: any): arg is Array<any>;\r\n    readonly prototype: Array<any>;\r\n}\r\n\r\ndeclare const Array: ArrayConstructor;\r\n\r\ninterface TypedPropertyDescriptor<T> {\r\n    enumerable?: boolean;\r\n    configurable?: boolean;\r\n    writable?: boolean;\r\n    value?: T;\r\n    get?: () => T;\r\n    set?: (value: T) => void;\r\n}\r\n\r\ndeclare type ClassDecorator = <TFunction extends Function>(target: TFunction) => TFunction | void;\r\ndeclare type PropertyDecorator = (target: Object, propertyKey: string | symbol) => void;\r\ndeclare type MethodDecorator = <T>(target: Object, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<T>) => TypedPropertyDescriptor<T> | void;\r\ndeclare type ParameterDecorator = (target: Object, propertyKey: string | symbol, parameterIndex: number) => void;\r\n\r\ndeclare type PromiseConstructorLike = new <T>(executor: (resolve: (value?: T | PromiseLike<T>) => void, reject: (reason?: any) => void) => void) => PromiseLike<T>;\r\n\r\ninterface PromiseLike<T> {\r\n    /**\r\n    * Attaches callbacks for the resolution and/or rejection of the Promise.\r\n    * @param onfulfilled The callback to execute when the Promise is resolved.\r\n    * @param onrejected The callback to execute when the Promise is rejected.\r\n    * @returns A Promise for the completion of which ever callback is executed.\r\n    */\r\n    then<TResult>(onfulfilled?: (value: T) => TResult | PromiseLike<TResult>, onrejected?: (reason: any) => TResult | PromiseLike<TResult>): PromiseLike<TResult>;\r\n    then<TResult>(onfulfilled?: (value: T) => TResult | PromiseLike<TResult>, onrejected?: (reason: any) => void): PromiseLike<TResult>;\r\n}\r\n\r\ninterface ArrayLike<T> {\r\n    readonly length: number;\r\n    readonly [n: number]: T;\r\n}\r\n\r\n/**\r\n  * Represents a raw buffer of binary data, which is used to store data for the\r\n  * different typed arrays. ArrayBuffers cannot be read from or written to directly,\r\n  * but can be passed to a typed array or DataView Object to interpret the raw\r\n  * buffer as needed.\r\n  */\r\ninterface ArrayBuffer {\r\n    /**\r\n      * Read-only. The length of the ArrayBuffer (in bytes).\r\n      */\r\n    readonly byteLength: number;\r\n\r\n    /**\r\n      * Returns a section of an ArrayBuffer.\r\n      */\r\n    slice(begin:number, end?:number): ArrayBuffer;\r\n}\r\n\r\ninterface ArrayBufferConstructor {\r\n    readonly prototype: ArrayBuffer;\r\n    new (byteLength: number): ArrayBuffer;\r\n    isView(arg: any): arg is ArrayBufferView;\r\n}\r\ndeclare const ArrayBuffer: ArrayBufferConstructor;\r\n\r\ninterface ArrayBufferView {\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array.\r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n}\r\n\r\ninterface DataView {\r\n    readonly buffer: ArrayBuffer;\r\n    readonly byteLength: number;\r\n    readonly byteOffset: number;\r\n    /**\r\n      * Gets the Float32 value at the specified byte offset from the start of the view. There is\r\n      * no alignment constraint; multi-byte values may be fetched from any offset.\r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getFloat32(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Float64 value at the specified byte offset from the start of the view. There is\r\n      * no alignment constraint; multi-byte values may be fetched from any offset.\r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getFloat64(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Int8 value at the specified byte offset from the start of the view. There is\r\n      * no alignment constraint; multi-byte values may be fetched from any offset.\r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getInt8(byteOffset: number): number;\r\n\r\n    /**\r\n      * Gets the Int16 value at the specified byte offset from the start of the view. There is\r\n      * no alignment constraint; multi-byte values may be fetched from any offset.\r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getInt16(byteOffset: number, littleEndian?: boolean): number;\r\n    /**\r\n      * Gets the Int32 value at the specified byte offset from the start of the view. There is\r\n      * no alignment constraint; multi-byte values may be fetched from any offset.\r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getInt32(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Uint8 value at the specified byte offset from the start of the view. There is\r\n      * no alignment constraint; multi-byte values may be fetched from any offset.\r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getUint8(byteOffset: number): number;\r\n\r\n    /**\r\n      * Gets the Uint16 value at the specified byte offset from the start of the view. There is\r\n      * no alignment constraint; multi-byte values may be fetched from any offset.\r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getUint16(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Uint32 value at the specified byte offset from the start of the view. There is\r\n      * no alignment constraint; multi-byte values may be fetched from any offset.\r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getUint32(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Stores an Float32 value at the specified byte offset from the start of the view.\r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written,\r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setFloat32(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Float64 value at the specified byte offset from the start of the view.\r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written,\r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setFloat64(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Int8 value at the specified byte offset from the start of the view.\r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      */\r\n    setInt8(byteOffset: number, value: number): void;\r\n\r\n    /**\r\n      * Stores an Int16 value at the specified byte offset from the start of the view.\r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written,\r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setInt16(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Int32 value at the specified byte offset from the start of the view.\r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written,\r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setInt32(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Uint8 value at the specified byte offset from the start of the view.\r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      */\r\n    setUint8(byteOffset: number, value: number): void;\r\n\r\n    /**\r\n      * Stores an Uint16 value at the specified byte offset from the start of the view.\r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written,\r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setUint16(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Uint32 value at the specified byte offset from the start of the view.\r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written,\r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setUint32(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n}\r\n\r\ninterface DataViewConstructor {\r\n    new (buffer: ArrayBuffer, byteOffset?: number, byteLength?: number): DataView;\r\n}\r\ndeclare const DataView: DataViewConstructor;\r\n\r\n/**\r\n  * A typed array of 8-bit integer values. The contents are initialized to 0. If the requested\r\n  * number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int8Array {\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array.\r\n      */\r\n    readonly buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    readonly byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    readonly byteOffset: number;\r\n\r\n    /**\r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the\r\n      * length of the array.\r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it\r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value.\r\n      */\r\n    copyWithin(target: number, start: number, end?: number): this;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls\r\n      * the callbackfn function for each element in array1 until the callbackfn returns false,\r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Int8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as\r\n        * length+start where length is the length of the array.\r\n        * @param end index to stop filling the array at. If end is negative, it is treated as\r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): this;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Int8Array) => any, thisArg?: any): Int8Array;\r\n\r\n    /**\r\n      * Returns the value of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found, find\r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number | undefined;\r\n\r\n    /**\r\n      * Returns the index of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found,\r\n      * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Int8Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the\r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    readonly length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that\r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Int8Array) => number, thisArg?: any): Int8Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int8Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int8Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an\r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int8Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int8Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array.\r\n      */\r\n    reverse(): Int8Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Int8Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the\r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until\r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Int8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If\r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): this;\r\n\r\n    /**\r\n      * Gets a new Int8Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive.\r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Int8Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale.\r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\ninterface Int8ArrayConstructor {\r\n    readonly prototype: Int8Array;\r\n    new (length: number): Int8Array;\r\n    new (array: ArrayLike<number>): Int8Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Int8Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Int8Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of 'this' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int8Array;\r\n\r\n}\r\ndeclare const Int8Array: Int8ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 8-bit unsigned integer values. The contents are initialized to 0. If the\r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint8Array {\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array.\r\n      */\r\n    readonly buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    readonly byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    readonly byteOffset: number;\r\n\r\n    /**\r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the\r\n      * length of the array.\r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it\r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value.\r\n      */\r\n    copyWithin(target: number, start: number, end?: number): this;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls\r\n      * the callbackfn function for each element in array1 until the callbackfn returns false,\r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as\r\n        * length+start where length is the length of the array.\r\n        * @param end index to stop filling the array at. If end is negative, it is treated as\r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): this;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint8Array) => any, thisArg?: any): Uint8Array;\r\n\r\n    /**\r\n      * Returns the value of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found, find\r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number | undefined;\r\n\r\n    /**\r\n      * Returns the index of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found,\r\n      * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint8Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the\r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    readonly length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that\r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint8Array) => number, thisArg?: any): Uint8Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an\r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array.\r\n      */\r\n    reverse(): Uint8Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint8Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the\r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until\r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If\r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): this;\r\n\r\n    /**\r\n      * Gets a new Uint8Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive.\r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint8Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale.\r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint8ArrayConstructor {\r\n    readonly prototype: Uint8Array;\r\n    new (length: number): Uint8Array;\r\n    new (array: ArrayLike<number>): Uint8Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint8Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint8Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of 'this' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint8Array;\r\n\r\n}\r\ndeclare const Uint8Array: Uint8ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 8-bit unsigned integer (clamped) values. The contents are initialized to 0.\r\n  * If the requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint8ClampedArray {\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array.\r\n      */\r\n    readonly buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    readonly byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    readonly byteOffset: number;\r\n\r\n    /**\r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the\r\n      * length of the array.\r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it\r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value.\r\n      */\r\n    copyWithin(target: number, start: number, end?: number): this;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls\r\n      * the callbackfn function for each element in array1 until the callbackfn returns false,\r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as\r\n        * length+start where length is the length of the array.\r\n        * @param end index to stop filling the array at. If end is negative, it is treated as\r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): this;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => any, thisArg?: any): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Returns the value of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found, find\r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number | undefined;\r\n\r\n    /**\r\n      * Returns the index of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found,\r\n      * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the\r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    readonly length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that\r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => number, thisArg?: any): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an\r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array.\r\n      */\r\n    reverse(): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: Uint8ClampedArray, offset?: number): void;\r\n\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the\r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until\r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If\r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): this;\r\n\r\n    /**\r\n      * Gets a new Uint8ClampedArray view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive.\r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale.\r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint8ClampedArrayConstructor {\r\n    readonly prototype: Uint8ClampedArray;\r\n    new (length: number): Uint8ClampedArray;\r\n    new (array: ArrayLike<number>): Uint8ClampedArray;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of 'this' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint8ClampedArray;\r\n}\r\ndeclare const Uint8ClampedArray: Uint8ClampedArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 16-bit signed integer values. The contents are initialized to 0. If the\r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int16Array {\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array.\r\n      */\r\n    readonly buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    readonly byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    readonly byteOffset: number;\r\n\r\n    /**\r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the\r\n      * length of the array.\r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it\r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value.\r\n      */\r\n    copyWithin(target: number, start: number, end?: number): this;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls\r\n      * the callbackfn function for each element in array1 until the callbackfn returns false,\r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Int16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as\r\n        * length+start where length is the length of the array.\r\n        * @param end index to stop filling the array at. If end is negative, it is treated as\r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): this;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Int16Array) => any, thisArg?: any): Int16Array;\r\n\r\n    /**\r\n      * Returns the value of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found, find\r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number | undefined;\r\n\r\n    /**\r\n      * Returns the index of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found,\r\n      * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Int16Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the\r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    readonly length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that\r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Int16Array) => number, thisArg?: any): Int16Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int16Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an\r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int16Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array.\r\n      */\r\n    reverse(): Int16Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Int16Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the\r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until\r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Int16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If\r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): this;\r\n\r\n    /**\r\n      * Gets a new Int16Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive.\r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Int16Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale.\r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Int16ArrayConstructor {\r\n    readonly prototype: Int16Array;\r\n    new (length: number): Int16Array;\r\n    new (array: ArrayLike<number>): Int16Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Int16Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Int16Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of 'this' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int16Array;\r\n\r\n}\r\ndeclare const Int16Array: Int16ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 16-bit unsigned integer values. The contents are initialized to 0. If the\r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint16Array {\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array.\r\n      */\r\n    readonly buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    readonly byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    readonly byteOffset: number;\r\n\r\n    /**\r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the\r\n      * length of the array.\r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it\r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value.\r\n      */\r\n    copyWithin(target: number, start: number, end?: number): this;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls\r\n      * the callbackfn function for each element in array1 until the callbackfn returns false,\r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as\r\n        * length+start where length is the length of the array.\r\n        * @param end index to stop filling the array at. If end is negative, it is treated as\r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): this;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint16Array) => any, thisArg?: any): Uint16Array;\r\n\r\n    /**\r\n      * Returns the value of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found, find\r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number | undefined;\r\n\r\n    /**\r\n      * Returns the index of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found,\r\n      * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint16Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the\r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    readonly length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that\r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint16Array) => number, thisArg?: any): Uint16Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint16Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint16Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an\r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint16Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint16Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array.\r\n      */\r\n    reverse(): Uint16Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint16Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the\r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until\r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If\r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): this;\r\n\r\n    /**\r\n      * Gets a new Uint16Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive.\r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint16Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale.\r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint16ArrayConstructor {\r\n    readonly prototype: Uint16Array;\r\n    new (length: number): Uint16Array;\r\n    new (array: ArrayLike<number>): Uint16Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint16Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint16Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of 'this' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint16Array;\r\n\r\n}\r\ndeclare const Uint16Array: Uint16ArrayConstructor;\r\n/**\r\n  * A typed array of 32-bit signed integer values. The contents are initialized to 0. If the\r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int32Array {\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array.\r\n      */\r\n    readonly buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    readonly byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    readonly byteOffset: number;\r\n\r\n    /**\r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the\r\n      * length of the array.\r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it\r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value.\r\n      */\r\n    copyWithin(target: number, start: number, end?: number): this;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls\r\n      * the callbackfn function for each element in array1 until the callbackfn returns false,\r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Int32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as\r\n        * length+start where length is the length of the array.\r\n        * @param end index to stop filling the array at. If end is negative, it is treated as\r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): this;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Int32Array) => any, thisArg?: any): Int32Array;\r\n\r\n    /**\r\n      * Returns the value of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found, find\r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number | undefined;\r\n\r\n    /**\r\n      * Returns the index of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found,\r\n      * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Int32Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the\r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    readonly length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that\r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Int32Array) => number, thisArg?: any): Int32Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an\r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array.\r\n      */\r\n    reverse(): Int32Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Int32Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the\r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until\r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Int32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If\r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): this;\r\n\r\n    /**\r\n      * Gets a new Int32Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive.\r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Int32Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale.\r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Int32ArrayConstructor {\r\n    readonly prototype: Int32Array;\r\n    new (length: number): Int32Array;\r\n    new (array: ArrayLike<number>): Int32Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Int32Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Int32Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of 'this' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int32Array;\r\n}\r\ndeclare const Int32Array: Int32ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 32-bit unsigned integer values. The contents are initialized to 0. If the\r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint32Array {\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array.\r\n      */\r\n    readonly buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    readonly byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    readonly byteOffset: number;\r\n\r\n    /**\r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the\r\n      * length of the array.\r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it\r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value.\r\n      */\r\n    copyWithin(target: number, start: number, end?: number): this;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls\r\n      * the callbackfn function for each element in array1 until the callbackfn returns false,\r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as\r\n        * length+start where length is the length of the array.\r\n        * @param end index to stop filling the array at. If end is negative, it is treated as\r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): this;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint32Array) => any, thisArg?: any): Uint32Array;\r\n\r\n    /**\r\n      * Returns the value of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found, find\r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number | undefined;\r\n\r\n    /**\r\n      * Returns the index of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found,\r\n      * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint32Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the\r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    readonly length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that\r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint32Array) => number, thisArg?: any): Uint32Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an\r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array.\r\n      */\r\n    reverse(): Uint32Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint32Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the\r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until\r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If\r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): this;\r\n\r\n    /**\r\n      * Gets a new Uint32Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive.\r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint32Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale.\r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint32ArrayConstructor {\r\n    readonly prototype: Uint32Array;\r\n    new (length: number): Uint32Array;\r\n    new (array: ArrayLike<number>): Uint32Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint32Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint32Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of 'this' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint32Array;\r\n}\r\ndeclare const Uint32Array: Uint32ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 32-bit float values. The contents are initialized to 0. If the requested number\r\n  * of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Float32Array {\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array.\r\n      */\r\n    readonly buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    readonly byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    readonly byteOffset: number;\r\n\r\n    /**\r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the\r\n      * length of the array.\r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it\r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value.\r\n      */\r\n    copyWithin(target: number, start: number, end?: number): this;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls\r\n      * the callbackfn function for each element in array1 until the callbackfn returns false,\r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Float32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as\r\n        * length+start where length is the length of the array.\r\n        * @param end index to stop filling the array at. If end is negative, it is treated as\r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): this;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Float32Array) => any, thisArg?: any): Float32Array;\r\n\r\n    /**\r\n      * Returns the value of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found, find\r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number | undefined;\r\n\r\n    /**\r\n      * Returns the index of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found,\r\n      * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Float32Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the\r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    readonly length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that\r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Float32Array) => number, thisArg?: any): Float32Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an\r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array.\r\n      */\r\n    reverse(): Float32Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Float32Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the\r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until\r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Float32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If\r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): this;\r\n\r\n    /**\r\n      * Gets a new Float32Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive.\r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Float32Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale.\r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Float32ArrayConstructor {\r\n    readonly prototype: Float32Array;\r\n    new (length: number): Float32Array;\r\n    new (array: ArrayLike<number>): Float32Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Float32Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Float32Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of 'this' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Float32Array;\r\n\r\n}\r\ndeclare const Float32Array: Float32ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 64-bit float values. The contents are initialized to 0. If the requested\r\n  * number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Float64Array {\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array.\r\n      */\r\n    readonly buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    readonly byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    readonly byteOffset: number;\r\n\r\n    /**\r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the\r\n      * length of the array.\r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it\r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value.\r\n      */\r\n    copyWithin(target: number, start: number, end?: number): this;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls\r\n      * the callbackfn function for each element in array1 until the callbackfn returns false,\r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Float64Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as\r\n        * length+start where length is the length of the array.\r\n        * @param end index to stop filling the array at. If end is negative, it is treated as\r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): this;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function.\r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Float64Array) => any, thisArg?: any): Float64Array;\r\n\r\n    /**\r\n      * Returns the value of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found, find\r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number | undefined;\r\n\r\n    /**\r\n      * Returns the index of the first element in the array where predicate is true, and undefined\r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending\r\n      * order, until it finds one where predicate returns true. If such an element is found,\r\n      * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of\r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Float64Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the\r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    readonly length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that\r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Float64Array) => number, thisArg?: any): Float64Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float64Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of\r\n      * the callback function is the accumulated result, and is provided as an argument in the next\r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float64Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an\r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float64Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array, in descending order.\r\n      * The return value of the callback function is the accumulated result, and is provided as an\r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start\r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float64Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array.\r\n      */\r\n    reverse(): Float64Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /**\r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Float64Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the\r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until\r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Float64Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If\r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): this;\r\n\r\n    /**\r\n      * Gets a new Float64Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive.\r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Float64Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale.\r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Float64ArrayConstructor {\r\n    readonly prototype: Float64Array;\r\n    new (length: number): Float64Array;\r\n    new (array: ArrayLike<number>): Float64Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Float64Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array.\r\n      */\r\n    readonly BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Float64Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of 'this' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Float64Array;\r\n}\r\ndeclare const Float64Array: Float64ArrayConstructor;\r\n\r\n/////////////////////////////\r\n/// ECMAScript Internationalization API\r\n/////////////////////////////\r\n\r\ndeclare module Intl {\r\n    interface CollatorOptions {\r\n        usage?: string;\r\n        localeMatcher?: string;\r\n        numeric?: boolean;\r\n        caseFirst?: string;\r\n        sensitivity?: string;\r\n        ignorePunctuation?: boolean;\r\n    }\r\n\r\n    interface ResolvedCollatorOptions {\r\n        locale: string;\r\n        usage: string;\r\n        sensitivity: string;\r\n        ignorePunctuation: boolean;\r\n        collation: string;\r\n        caseFirst: string;\r\n        numeric: boolean;\r\n    }\r\n\r\n    interface Collator {\r\n        compare(x: string, y: string): number;\r\n        resolvedOptions(): ResolvedCollatorOptions;\r\n    }\r\n    var Collator: {\r\n        new (locales?: string[], options?: CollatorOptions): Collator;\r\n        new (locale?: string, options?: CollatorOptions): Collator;\r\n        (locales?: string[], options?: CollatorOptions): Collator;\r\n        (locale?: string, options?: CollatorOptions): Collator;\r\n        supportedLocalesOf(locales: string[], options?: CollatorOptions): string[];\r\n        supportedLocalesOf(locale: string, options?: CollatorOptions): string[];\r\n    }\r\n\r\n    interface NumberFormatOptions {\r\n        localeMatcher?: string;\r\n        style?: string;\r\n        currency?: string;\r\n        currencyDisplay?: string;\r\n        useGrouping?: boolean;\r\n        minimumIntegerDigits?: number;\r\n        minimumFractionDigits?: number;\r\n        maximumFractionDigits?: number;\r\n        minimumSignificantDigits?: number;\r\n        maximumSignificantDigits?: number;\r\n    }\r\n\r\n    interface ResolvedNumberFormatOptions {\r\n        locale: string;\r\n        numberingSystem: string;\r\n        style: string;\r\n        currency?: string;\r\n        currencyDisplay?: string;\r\n        minimumIntegerDigits: number;\r\n        minimumFractionDigits: number;\r\n        maximumFractionDigits: number;\r\n        minimumSignificantDigits?: number;\r\n        maximumSignificantDigits?: number;\r\n        useGrouping: boolean;\r\n    }\r\n\r\n    interface NumberFormat {\r\n        format(value: number): string;\r\n        resolvedOptions(): ResolvedNumberFormatOptions;\r\n    }\r\n    var NumberFormat: {\r\n        new (locales?: string[], options?: NumberFormatOptions): NumberFormat;\r\n        new (locale?: string, options?: NumberFormatOptions): NumberFormat;\r\n        (locales?: string[], options?: NumberFormatOptions): NumberFormat;\r\n        (locale?: string, options?: NumberFormatOptions): NumberFormat;\r\n        supportedLocalesOf(locales: string[], options?: NumberFormatOptions): string[];\r\n        supportedLocalesOf(locale: string, options?: NumberFormatOptions): string[];\r\n    }\r\n\r\n    interface DateTimeFormatOptions {\r\n        localeMatcher?: string;\r\n        weekday?: string;\r\n        era?: string;\r\n        year?: string;\r\n        month?: string;\r\n        day?: string;\r\n        hour?: string;\r\n        minute?: string;\r\n        second?: string;\r\n        timeZoneName?: string;\r\n        formatMatcher?: string;\r\n        hour12?: boolean;\r\n        timeZone?: string;\r\n    }\r\n\r\n    interface ResolvedDateTimeFormatOptions {\r\n        locale: string;\r\n        calendar: string;\r\n        numberingSystem: string;\r\n        timeZone: string;\r\n        hour12?: boolean;\r\n        weekday?: string;\r\n        era?: string;\r\n        year?: string;\r\n        month?: string;\r\n        day?: string;\r\n        hour?: string;\r\n        minute?: string;\r\n        second?: string;\r\n        timeZoneName?: string;\r\n    }\r\n\r\n    interface DateTimeFormat {\r\n        format(date?: Date | number): string;\r\n        resolvedOptions(): ResolvedDateTimeFormatOptions;\r\n    }\r\n    var DateTimeFormat: {\r\n        new (locales?: string[], options?: DateTimeFormatOptions): DateTimeFormat;\r\n        new (locale?: string, options?: DateTimeFormatOptions): DateTimeFormat;\r\n        (locales?: string[], options?: DateTimeFormatOptions): DateTimeFormat;\r\n        (locale?: string, options?: DateTimeFormatOptions): DateTimeFormat;\r\n        supportedLocalesOf(locales: string[], options?: DateTimeFormatOptions): string[];\r\n        supportedLocalesOf(locale: string, options?: DateTimeFormatOptions): string[];\r\n    }\r\n}\r\n\r\ninterface String {\r\n    /**\r\n      * Determines whether two strings are equivalent in the current locale.\r\n      * @param that String to compare to target string\r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.\r\n      * @param options An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.\r\n      */\r\n    localeCompare(that: string, locales: string[], options?: Intl.CollatorOptions): number;\r\n\r\n    /**\r\n      * Determines whether two strings are equivalent in the current locale.\r\n      * @param that String to compare to target string\r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.\r\n      * @param options An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.\r\n      */\r\n    localeCompare(that: string, locale: string, options?: Intl.CollatorOptions): number;\r\n}\r\n\r\ninterface Number {\r\n    /**\r\n      * Converts a number to a string by using the current or specified locale.\r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locales?: string[], options?: Intl.NumberFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current or specified locale.\r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locale?: string, options?: Intl.NumberFormatOptions): string;\r\n}\r\n\r\ninterface Date {\r\n    /**\r\n      * Converts a date and time to a string by using the current or specified locale.\r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locales?: string[], options?: Intl.DateTimeFormatOptions): string;\r\n    /**\r\n      * Converts a date to a string by using the current or specified locale.\r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleDateString(locales?: string[], options?: Intl.DateTimeFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a time to a string by using the current or specified locale.\r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleTimeString(locale?: string[], options?: Intl.DateTimeFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a date and time to a string by using the current or specified locale.\r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locale?: string, options?: Intl.DateTimeFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a date to a string by using the current or specified locale.\r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleDateString(locale?: string, options?: Intl.DateTimeFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a time to a string by using the current or specified locale.\r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleTimeString(locale?: string, options?: Intl.DateTimeFormatOptions): string;\r\n}\r\n\r\n/////////////////////////////\r\n/// IE DOM APIs\r\n/////////////////////////////\r\n\r\ninterface Algorithm {\r\n    name: string;\r\n}\r\n\r\ninterface AriaRequestEventInit extends EventInit {\r\n    attributeName?: string;\r\n    attributeValue?: string;\r\n}\r\n\r\ninterface CommandEventInit extends EventInit {\r\n    commandName?: string;\r\n    detail?: string;\r\n}\r\n\r\ninterface CompositionEventInit extends UIEventInit {\r\n    data?: string;\r\n}\r\n\r\ninterface ConfirmSiteSpecificExceptionsInformation extends ExceptionInformation {\r\n    arrayOfDomainStrings?: string[];\r\n}\r\n\r\ninterface ConstrainBooleanParameters {\r\n    exact?: boolean;\r\n    ideal?: boolean;\r\n}\r\n\r\ninterface ConstrainDOMStringParameters {\r\n    exact?: string | string[];\r\n    ideal?: string | string[];\r\n}\r\n\r\ninterface ConstrainDoubleRange extends DoubleRange {\r\n    exact?: number;\r\n    ideal?: number;\r\n}\r\n\r\ninterface ConstrainLongRange extends LongRange {\r\n    exact?: number;\r\n    ideal?: number;\r\n}\r\n\r\ninterface ConstrainVideoFacingModeParameters {\r\n    exact?: string | string[];\r\n    ideal?: string | string[];\r\n}\r\n\r\ninterface CustomEventInit extends EventInit {\r\n    detail?: any;\r\n}\r\n\r\ninterface DeviceAccelerationDict {\r\n    x?: number;\r\n    y?: number;\r\n    z?: number;\r\n}\r\n\r\ninterface DeviceLightEventInit extends EventInit {\r\n    value?: number;\r\n}\r\n\r\ninterface DeviceRotationRateDict {\r\n    alpha?: number;\r\n    beta?: number;\r\n    gamma?: number;\r\n}\r\n\r\ninterface DoubleRange {\r\n    max?: number;\r\n    min?: number;\r\n}\r\n\r\ninterface EventInit {\r\n    bubbles?: boolean;\r\n    cancelable?: boolean;\r\n}\r\n\r\ninterface EventModifierInit extends UIEventInit {\r\n    ctrlKey?: boolean;\r\n    shiftKey?: boolean;\r\n    altKey?: boolean;\r\n    metaKey?: boolean;\r\n    modifierAltGraph?: boolean;\r\n    modifierCapsLock?: boolean;\r\n    modifierFn?: boolean;\r\n    modifierFnLock?: boolean;\r\n    modifierHyper?: boolean;\r\n    modifierNumLock?: boolean;\r\n    modifierOS?: boolean;\r\n    modifierScrollLock?: boolean;\r\n    modifierSuper?: boolean;\r\n    modifierSymbol?: boolean;\r\n    modifierSymbolLock?: boolean;\r\n}\r\n\r\ninterface ExceptionInformation {\r\n    domain?: string;\r\n}\r\n\r\ninterface FocusEventInit extends UIEventInit {\r\n    relatedTarget?: EventTarget;\r\n}\r\n\r\ninterface HashChangeEventInit extends EventInit {\r\n    newURL?: string;\r\n    oldURL?: string;\r\n}\r\n\r\ninterface IDBIndexParameters {\r\n    multiEntry?: boolean;\r\n    unique?: boolean;\r\n}\r\n\r\ninterface IDBObjectStoreParameters {\r\n    autoIncrement?: boolean;\r\n    keyPath?: IDBKeyPath;\r\n}\r\n\r\ninterface KeyAlgorithm {\r\n    name?: string;\r\n}\r\n\r\ninterface KeyboardEventInit extends EventModifierInit {\r\n    code?: string;\r\n    key?: string;\r\n    location?: number;\r\n    repeat?: boolean;\r\n}\r\n\r\ninterface LongRange {\r\n    max?: number;\r\n    min?: number;\r\n}\r\n\r\ninterface MSAccountInfo {\r\n    rpDisplayName?: string;\r\n    userDisplayName?: string;\r\n    accountName?: string;\r\n    userId?: string;\r\n    accountImageUri?: string;\r\n}\r\n\r\ninterface MSAudioLocalClientEvent extends MSLocalClientEventBase {\r\n    networkSendQualityEventRatio?: number;\r\n    networkDelayEventRatio?: number;\r\n    cpuInsufficientEventRatio?: number;\r\n    deviceHalfDuplexAECEventRatio?: number;\r\n    deviceRenderNotFunctioningEventRatio?: number;\r\n    deviceCaptureNotFunctioningEventRatio?: number;\r\n    deviceGlitchesEventRatio?: number;\r\n    deviceLowSNREventRatio?: number;\r\n    deviceLowSpeechLevelEventRatio?: number;\r\n    deviceClippingEventRatio?: number;\r\n    deviceEchoEventRatio?: number;\r\n    deviceNearEndToEchoRatioEventRatio?: number;\r\n    deviceRenderZeroVolumeEventRatio?: number;\r\n    deviceRenderMuteEventRatio?: number;\r\n    deviceMultipleEndpointsEventCount?: number;\r\n    deviceHowlingEventCount?: number;\r\n}\r\n\r\ninterface MSAudioRecvPayload extends MSPayloadBase {\r\n    samplingRate?: number;\r\n    signal?: MSAudioRecvSignal;\r\n    packetReorderRatio?: number;\r\n    packetReorderDepthAvg?: number;\r\n    packetReorderDepthMax?: number;\r\n    burstLossLength1?: number;\r\n    burstLossLength2?: number;\r\n    burstLossLength3?: number;\r\n    burstLossLength4?: number;\r\n    burstLossLength5?: number;\r\n    burstLossLength6?: number;\r\n    burstLossLength7?: number;\r\n    burstLossLength8OrHigher?: number;\r\n    fecRecvDistance1?: number;\r\n    fecRecvDistance2?: number;\r\n    fecRecvDistance3?: number;\r\n    ratioConcealedSamplesAvg?: number;\r\n    ratioStretchedSamplesAvg?: number;\r\n    ratioCompressedSamplesAvg?: number;\r\n}\r\n\r\ninterface MSAudioRecvSignal {\r\n    initialSignalLevelRMS?: number;\r\n    recvSignalLevelCh1?: number;\r\n    recvNoiseLevelCh1?: number;\r\n    renderSignalLevel?: number;\r\n    renderNoiseLevel?: number;\r\n    renderLoopbackSignalLevel?: number;\r\n}\r\n\r\ninterface MSAudioSendPayload extends MSPayloadBase {\r\n    samplingRate?: number;\r\n    signal?: MSAudioSendSignal;\r\n    audioFECUsed?: boolean;\r\n    sendMutePercent?: number;\r\n}\r\n\r\ninterface MSAudioSendSignal {\r\n    noiseLevel?: number;\r\n    sendSignalLevelCh1?: number;\r\n    sendNoiseLevelCh1?: number;\r\n}\r\n\r\ninterface MSConnectivity {\r\n    iceType?: string;\r\n    iceWarningFlags?: MSIceWarningFlags;\r\n    relayAddress?: MSRelayAddress;\r\n}\r\n\r\ninterface MSCredentialFilter {\r\n    accept?: MSCredentialSpec[];\r\n}\r\n\r\ninterface MSCredentialParameters {\r\n    type?: string;\r\n}\r\n\r\ninterface MSCredentialSpec {\r\n    type?: string;\r\n    id?: string;\r\n}\r\n\r\ninterface MSDelay {\r\n    roundTrip?: number;\r\n    roundTripMax?: number;\r\n}\r\n\r\ninterface MSDescription extends RTCStats {\r\n    connectivity?: MSConnectivity;\r\n    transport?: string;\r\n    networkconnectivity?: MSNetworkConnectivityInfo;\r\n    localAddr?: MSIPAddressInfo;\r\n    remoteAddr?: MSIPAddressInfo;\r\n    deviceDevName?: string;\r\n    reflexiveLocalIPAddr?: MSIPAddressInfo;\r\n}\r\n\r\ninterface MSFIDOCredentialParameters extends MSCredentialParameters {\r\n    algorithm?: string | Algorithm;\r\n    authenticators?: AAGUID[];\r\n}\r\n\r\ninterface MSIPAddressInfo {\r\n    ipAddr?: string;\r\n    port?: number;\r\n    manufacturerMacAddrMask?: string;\r\n}\r\n\r\ninterface MSIceWarningFlags {\r\n    turnTcpTimedOut?: boolean;\r\n    turnUdpAllocateFailed?: boolean;\r\n    turnUdpSendFailed?: boolean;\r\n    turnTcpAllocateFailed?: boolean;\r\n    turnTcpSendFailed?: boolean;\r\n    udpLocalConnectivityFailed?: boolean;\r\n    udpNatConnectivityFailed?: boolean;\r\n    udpRelayConnectivityFailed?: boolean;\r\n    tcpNatConnectivityFailed?: boolean;\r\n    tcpRelayConnectivityFailed?: boolean;\r\n    connCheckMessageIntegrityFailed?: boolean;\r\n    allocationMessageIntegrityFailed?: boolean;\r\n    connCheckOtherError?: boolean;\r\n    turnAuthUnknownUsernameError?: boolean;\r\n    noRelayServersConfigured?: boolean;\r\n    multipleRelayServersAttempted?: boolean;\r\n    portRangeExhausted?: boolean;\r\n    alternateServerReceived?: boolean;\r\n    pseudoTLSFailure?: boolean;\r\n    turnTurnTcpConnectivityFailed?: boolean;\r\n    useCandidateChecksFailed?: boolean;\r\n    fipsAllocationFailure?: boolean;\r\n}\r\n\r\ninterface MSJitter {\r\n    interArrival?: number;\r\n    interArrivalMax?: number;\r\n    interArrivalSD?: number;\r\n}\r\n\r\ninterface MSLocalClientEventBase extends RTCStats {\r\n    networkReceiveQualityEventRatio?: number;\r\n    networkBandwidthLowEventRatio?: number;\r\n}\r\n\r\ninterface MSNetwork extends RTCStats {\r\n    jitter?: MSJitter;\r\n    delay?: MSDelay;\r\n    packetLoss?: MSPacketLoss;\r\n    utilization?: MSUtilization;\r\n}\r\n\r\ninterface MSNetworkConnectivityInfo {\r\n    vpn?: boolean;\r\n    linkspeed?: number;\r\n    networkConnectionDetails?: string;\r\n}\r\n\r\ninterface MSNetworkInterfaceType {\r\n    interfaceTypeEthernet?: boolean;\r\n    interfaceTypeWireless?: boolean;\r\n    interfaceTypePPP?: boolean;\r\n    interfaceTypeTunnel?: boolean;\r\n    interfaceTypeWWAN?: boolean;\r\n}\r\n\r\ninterface MSOutboundNetwork extends MSNetwork {\r\n    appliedBandwidthLimit?: number;\r\n}\r\n\r\ninterface MSPacketLoss {\r\n    lossRate?: number;\r\n    lossRateMax?: number;\r\n}\r\n\r\ninterface MSPayloadBase extends RTCStats {\r\n    payloadDescription?: string;\r\n}\r\n\r\ninterface MSRelayAddress {\r\n    relayAddress?: string;\r\n    port?: number;\r\n}\r\n\r\ninterface MSSignatureParameters {\r\n    userPrompt?: string;\r\n}\r\n\r\ninterface MSTransportDiagnosticsStats extends RTCStats {\r\n    baseAddress?: string;\r\n    localAddress?: string;\r\n    localSite?: string;\r\n    networkName?: string;\r\n    remoteAddress?: string;\r\n    remoteSite?: string;\r\n    localMR?: string;\r\n    remoteMR?: string;\r\n    iceWarningFlags?: MSIceWarningFlags;\r\n    portRangeMin?: number;\r\n    portRangeMax?: number;\r\n    localMRTCPPort?: number;\r\n    remoteMRTCPPort?: number;\r\n    stunVer?: number;\r\n    numConsentReqSent?: number;\r\n    numConsentReqReceived?: number;\r\n    numConsentRespSent?: number;\r\n    numConsentRespReceived?: number;\r\n    interfaces?: MSNetworkInterfaceType;\r\n    baseInterface?: MSNetworkInterfaceType;\r\n    protocol?: string;\r\n    localInterface?: MSNetworkInterfaceType;\r\n    localAddrType?: string;\r\n    remoteAddrType?: string;\r\n    iceRole?: string;\r\n    rtpRtcpMux?: boolean;\r\n    allocationTimeInMs?: number;\r\n    msRtcEngineVersion?: string;\r\n}\r\n\r\ninterface MSUtilization {\r\n    packets?: number;\r\n    bandwidthEstimation?: number;\r\n    bandwidthEstimationMin?: number;\r\n    bandwidthEstimationMax?: number;\r\n    bandwidthEstimationStdDev?: number;\r\n    bandwidthEstimationAvg?: number;\r\n}\r\n\r\ninterface MSVideoPayload extends MSPayloadBase {\r\n    resoluton?: string;\r\n    videoBitRateAvg?: number;\r\n    videoBitRateMax?: number;\r\n    videoFrameRateAvg?: number;\r\n    videoPacketLossRate?: number;\r\n    durationSeconds?: number;\r\n}\r\n\r\ninterface MSVideoRecvPayload extends MSVideoPayload {\r\n    videoFrameLossRate?: number;\r\n    recvCodecType?: string;\r\n    recvResolutionWidth?: number;\r\n    recvResolutionHeight?: number;\r\n    videoResolutions?: MSVideoResolutionDistribution;\r\n    recvFrameRateAverage?: number;\r\n    recvBitRateMaximum?: number;\r\n    recvBitRateAverage?: number;\r\n    recvVideoStreamsMax?: number;\r\n    recvVideoStreamsMin?: number;\r\n    recvVideoStreamsMode?: number;\r\n    videoPostFECPLR?: number;\r\n    lowBitRateCallPercent?: number;\r\n    lowFrameRateCallPercent?: number;\r\n    reorderBufferTotalPackets?: number;\r\n    recvReorderBufferReorderedPackets?: number;\r\n    recvReorderBufferPacketsDroppedDueToBufferExhaustion?: number;\r\n    recvReorderBufferMaxSuccessfullyOrderedExtent?: number;\r\n    recvReorderBufferMaxSuccessfullyOrderedLateTime?: number;\r\n    recvReorderBufferPacketsDroppedDueToTimeout?: number;\r\n    recvFpsHarmonicAverage?: number;\r\n    recvNumResSwitches?: number;\r\n}\r\n\r\ninterface MSVideoResolutionDistribution {\r\n    cifQuality?: number;\r\n    vgaQuality?: number;\r\n    h720Quality?: number;\r\n    h1080Quality?: number;\r\n    h1440Quality?: number;\r\n    h2160Quality?: number;\r\n}\r\n\r\ninterface MSVideoSendPayload extends MSVideoPayload {\r\n    sendFrameRateAverage?: number;\r\n    sendBitRateMaximum?: number;\r\n    sendBitRateAverage?: number;\r\n    sendVideoStreamsMax?: number;\r\n    sendResolutionWidth?: number;\r\n    sendResolutionHeight?: number;\r\n}\r\n\r\ninterface MediaEncryptedEventInit extends EventInit {\r\n    initDataType?: string;\r\n    initData?: ArrayBuffer;\r\n}\r\n\r\ninterface MediaKeyMessageEventInit extends EventInit {\r\n    messageType?: string;\r\n    message?: ArrayBuffer;\r\n}\r\n\r\ninterface MediaKeySystemConfiguration {\r\n    initDataTypes?: string[];\r\n    audioCapabilities?: MediaKeySystemMediaCapability[];\r\n    videoCapabilities?: MediaKeySystemMediaCapability[];\r\n    distinctiveIdentifier?: string;\r\n    persistentState?: string;\r\n}\r\n\r\ninterface MediaKeySystemMediaCapability {\r\n    contentType?: string;\r\n    robustness?: string;\r\n}\r\n\r\ninterface MediaStreamConstraints {\r\n    video?: boolean | MediaTrackConstraints;\r\n    audio?: boolean | MediaTrackConstraints;\r\n}\r\n\r\ninterface MediaStreamErrorEventInit extends EventInit {\r\n    error?: MediaStreamError;\r\n}\r\n\r\ninterface MediaStreamTrackEventInit extends EventInit {\r\n    track?: MediaStreamTrack;\r\n}\r\n\r\ninterface MediaTrackCapabilities {\r\n    width?: number | LongRange;\r\n    height?: number | LongRange;\r\n    aspectRatio?: number | DoubleRange;\r\n    frameRate?: number | DoubleRange;\r\n    facingMode?: string;\r\n    volume?: number | DoubleRange;\r\n    sampleRate?: number | LongRange;\r\n    sampleSize?: number | LongRange;\r\n    echoCancellation?: boolean[];\r\n    deviceId?: string;\r\n    groupId?: string;\r\n}\r\n\r\ninterface MediaTrackConstraintSet {\r\n    width?: number | ConstrainLongRange;\r\n    height?: number | ConstrainLongRange;\r\n    aspectRatio?: number | ConstrainDoubleRange;\r\n    frameRate?: number | ConstrainDoubleRange;\r\n    facingMode?: string | string[] | ConstrainDOMStringParameters;\r\n    volume?: number | ConstrainDoubleRange;\r\n    sampleRate?: number | ConstrainLongRange;\r\n    sampleSize?: number | ConstrainLongRange;\r\n    echoCancelation?: boolean | ConstrainBooleanParameters;\r\n    deviceId?: string | string[] | ConstrainDOMStringParameters;\r\n    groupId?: string | string[] | ConstrainDOMStringParameters;\r\n}\r\n\r\ninterface MediaTrackConstraints extends MediaTrackConstraintSet {\r\n    advanced?: MediaTrackConstraintSet[];\r\n}\r\n\r\ninterface MediaTrackSettings {\r\n    width?: number;\r\n    height?: number;\r\n    aspectRatio?: number;\r\n    frameRate?: number;\r\n    facingMode?: string;\r\n    volume?: number;\r\n    sampleRate?: number;\r\n    sampleSize?: number;\r\n    echoCancellation?: boolean;\r\n    deviceId?: string;\r\n    groupId?: string;\r\n}\r\n\r\ninterface MediaTrackSupportedConstraints {\r\n    width?: boolean;\r\n    height?: boolean;\r\n    aspectRatio?: boolean;\r\n    frameRate?: boolean;\r\n    facingMode?: boolean;\r\n    volume?: boolean;\r\n    sampleRate?: boolean;\r\n    sampleSize?: boolean;\r\n    echoCancellation?: boolean;\r\n    deviceId?: boolean;\r\n    groupId?: boolean;\r\n}\r\n\r\ninterface MouseEventInit extends EventModifierInit {\r\n    screenX?: number;\r\n    screenY?: number;\r\n    clientX?: number;\r\n    clientY?: number;\r\n    button?: number;\r\n    buttons?: number;\r\n    relatedTarget?: EventTarget;\r\n}\r\n\r\ninterface MsZoomToOptions {\r\n    contentX?: number;\r\n    contentY?: number;\r\n    viewportX?: string;\r\n    viewportY?: string;\r\n    scaleFactor?: number;\r\n    animate?: string;\r\n}\r\n\r\ninterface MutationObserverInit {\r\n    childList?: boolean;\r\n    attributes?: boolean;\r\n    characterData?: boolean;\r\n    subtree?: boolean;\r\n    attributeOldValue?: boolean;\r\n    characterDataOldValue?: boolean;\r\n    attributeFilter?: string[];\r\n}\r\n\r\ninterface ObjectURLOptions {\r\n    oneTimeOnly?: boolean;\r\n}\r\n\r\ninterface PeriodicWaveConstraints {\r\n    disableNormalization?: boolean;\r\n}\r\n\r\ninterface PointerEventInit extends MouseEventInit {\r\n    pointerId?: number;\r\n    width?: number;\r\n    height?: number;\r\n    pressure?: number;\r\n    tiltX?: number;\r\n    tiltY?: number;\r\n    pointerType?: string;\r\n    isPrimary?: boolean;\r\n}\r\n\r\ninterface PositionOptions {\r\n    enableHighAccuracy?: boolean;\r\n    timeout?: number;\r\n    maximumAge?: number;\r\n}\r\n\r\ninterface RTCDTMFToneChangeEventInit extends EventInit {\r\n    tone?: string;\r\n}\r\n\r\ninterface RTCDtlsFingerprint {\r\n    algorithm?: string;\r\n    value?: string;\r\n}\r\n\r\ninterface RTCDtlsParameters {\r\n    role?: string;\r\n    fingerprints?: RTCDtlsFingerprint[];\r\n}\r\n\r\ninterface RTCIceCandidate {\r\n    foundation?: string;\r\n    priority?: number;\r\n    ip?: string;\r\n    protocol?: string;\r\n    port?: number;\r\n    type?: string;\r\n    tcpType?: string;\r\n    relatedAddress?: string;\r\n    relatedPort?: number;\r\n}\r\n\r\ninterface RTCIceCandidateAttributes extends RTCStats {\r\n    ipAddress?: string;\r\n    portNumber?: number;\r\n    transport?: string;\r\n    candidateType?: string;\r\n    priority?: number;\r\n    addressSourceUrl?: string;\r\n}\r\n\r\ninterface RTCIceCandidateComplete {\r\n}\r\n\r\ninterface RTCIceCandidatePair {\r\n    local?: RTCIceCandidate;\r\n    remote?: RTCIceCandidate;\r\n}\r\n\r\ninterface RTCIceCandidatePairStats extends RTCStats {\r\n    transportId?: string;\r\n    localCandidateId?: string;\r\n    remoteCandidateId?: string;\r\n    state?: string;\r\n    priority?: number;\r\n    nominated?: boolean;\r\n    writable?: boolean;\r\n    readable?: boolean;\r\n    bytesSent?: number;\r\n    bytesReceived?: number;\r\n    roundTripTime?: number;\r\n    availableOutgoingBitrate?: number;\r\n    availableIncomingBitrate?: number;\r\n}\r\n\r\ninterface RTCIceGatherOptions {\r\n    gatherPolicy?: string;\r\n    iceservers?: RTCIceServer[];\r\n}\r\n\r\ninterface RTCIceParameters {\r\n    usernameFragment?: string;\r\n    password?: string;\r\n}\r\n\r\ninterface RTCIceServer {\r\n    urls?: any;\r\n    username?: string;\r\n    credential?: string;\r\n}\r\n\r\ninterface RTCInboundRTPStreamStats extends RTCRTPStreamStats {\r\n    packetsReceived?: number;\r\n    bytesReceived?: number;\r\n    packetsLost?: number;\r\n    jitter?: number;\r\n    fractionLost?: number;\r\n}\r\n\r\ninterface RTCMediaStreamTrackStats extends RTCStats {\r\n    trackIdentifier?: string;\r\n    remoteSource?: boolean;\r\n    ssrcIds?: string[];\r\n    frameWidth?: number;\r\n    frameHeight?: number;\r\n    framesPerSecond?: number;\r\n    framesSent?: number;\r\n    framesReceived?: number;\r\n    framesDecoded?: number;\r\n    framesDropped?: number;\r\n    framesCorrupted?: number;\r\n    audioLevel?: number;\r\n    echoReturnLoss?: number;\r\n    echoReturnLossEnhancement?: number;\r\n}\r\n\r\ninterface RTCOutboundRTPStreamStats extends RTCRTPStreamStats {\r\n    packetsSent?: number;\r\n    bytesSent?: number;\r\n    targetBitrate?: number;\r\n    roundTripTime?: number;\r\n}\r\n\r\ninterface RTCRTPStreamStats extends RTCStats {\r\n    ssrc?: string;\r\n    associateStatsId?: string;\r\n    isRemote?: boolean;\r\n    mediaTrackId?: string;\r\n    transportId?: string;\r\n    codecId?: string;\r\n    firCount?: number;\r\n    pliCount?: number;\r\n    nackCount?: number;\r\n    sliCount?: number;\r\n}\r\n\r\ninterface RTCRtcpFeedback {\r\n    type?: string;\r\n    parameter?: string;\r\n}\r\n\r\ninterface RTCRtcpParameters {\r\n    ssrc?: number;\r\n    cname?: string;\r\n    reducedSize?: boolean;\r\n    mux?: boolean;\r\n}\r\n\r\ninterface RTCRtpCapabilities {\r\n    codecs?: RTCRtpCodecCapability[];\r\n    headerExtensions?: RTCRtpHeaderExtension[];\r\n    fecMechanisms?: string[];\r\n}\r\n\r\ninterface RTCRtpCodecCapability {\r\n    name?: string;\r\n    kind?: string;\r\n    clockRate?: number;\r\n    preferredPayloadType?: number;\r\n    maxptime?: number;\r\n    numChannels?: number;\r\n    rtcpFeedback?: RTCRtcpFeedback[];\r\n    parameters?: any;\r\n    options?: any;\r\n    maxTemporalLayers?: number;\r\n    maxSpatialLayers?: number;\r\n    svcMultiStreamSupport?: boolean;\r\n}\r\n\r\ninterface RTCRtpCodecParameters {\r\n    name?: string;\r\n    payloadType?: any;\r\n    clockRate?: number;\r\n    maxptime?: number;\r\n    numChannels?: number;\r\n    rtcpFeedback?: RTCRtcpFeedback[];\r\n    parameters?: any;\r\n}\r\n\r\ninterface RTCRtpContributingSource {\r\n    timestamp?: number;\r\n    csrc?: number;\r\n    audioLevel?: number;\r\n}\r\n\r\ninterface RTCRtpEncodingParameters {\r\n    ssrc?: number;\r\n    codecPayloadType?: number;\r\n    fec?: RTCRtpFecParameters;\r\n    rtx?: RTCRtpRtxParameters;\r\n    priority?: number;\r\n    maxBitrate?: number;\r\n    minQuality?: number;\r\n    framerateBias?: number;\r\n    resolutionScale?: number;\r\n    framerateScale?: number;\r\n    active?: boolean;\r\n    encodingId?: string;\r\n    dependencyEncodingIds?: string[];\r\n    ssrcRange?: RTCSsrcRange;\r\n}\r\n\r\ninterface RTCRtpFecParameters {\r\n    ssrc?: number;\r\n    mechanism?: string;\r\n}\r\n\r\ninterface RTCRtpHeaderExtension {\r\n    kind?: string;\r\n    uri?: string;\r\n    preferredId?: number;\r\n    preferredEncrypt?: boolean;\r\n}\r\n\r\ninterface RTCRtpHeaderExtensionParameters {\r\n    uri?: string;\r\n    id?: number;\r\n    encrypt?: boolean;\r\n}\r\n\r\ninterface RTCRtpParameters {\r\n    muxId?: string;\r\n    codecs?: RTCRtpCodecParameters[];\r\n    headerExtensions?: RTCRtpHeaderExtensionParameters[];\r\n    encodings?: RTCRtpEncodingParameters[];\r\n    rtcp?: RTCRtcpParameters;\r\n}\r\n\r\ninterface RTCRtpRtxParameters {\r\n    ssrc?: number;\r\n}\r\n\r\ninterface RTCRtpUnhandled {\r\n    ssrc?: number;\r\n    payloadType?: number;\r\n    muxId?: string;\r\n}\r\n\r\ninterface RTCSrtpKeyParam {\r\n    keyMethod?: string;\r\n    keySalt?: string;\r\n    lifetime?: string;\r\n    mkiValue?: number;\r\n    mkiLength?: number;\r\n}\r\n\r\ninterface RTCSrtpSdesParameters {\r\n    tag?: number;\r\n    cryptoSuite?: string;\r\n    keyParams?: RTCSrtpKeyParam[];\r\n    sessionParams?: string[];\r\n}\r\n\r\ninterface RTCSsrcRange {\r\n    min?: number;\r\n    max?: number;\r\n}\r\n\r\ninterface RTCStats {\r\n    timestamp?: number;\r\n    type?: string;\r\n    id?: string;\r\n    msType?: string;\r\n}\r\n\r\ninterface RTCStatsReport {\r\n}\r\n\r\ninterface RTCTransportStats extends RTCStats {\r\n    bytesSent?: number;\r\n    bytesReceived?: number;\r\n    rtcpTransportStatsId?: string;\r\n    activeConnection?: boolean;\r\n    selectedCandidatePairId?: string;\r\n    localCertificateId?: string;\r\n    remoteCertificateId?: string;\r\n}\r\n\r\ninterface StoreExceptionsInformation extends ExceptionInformation {\r\n    siteName?: string;\r\n    explanationString?: string;\r\n    detailURI?: string;\r\n}\r\n\r\ninterface StoreSiteSpecificExceptionsInformation extends StoreExceptionsInformation {\r\n    arrayOfDomainStrings?: string[];\r\n}\r\n\r\ninterface UIEventInit extends EventInit {\r\n    view?: Window;\r\n    detail?: number;\r\n}\r\n\r\ninterface WebGLContextAttributes {\r\n    failIfMajorPerformanceCaveat?: boolean;\r\n    alpha?: boolean;\r\n    depth?: boolean;\r\n    stencil?: boolean;\r\n    antialias?: boolean;\r\n    premultipliedAlpha?: boolean;\r\n    preserveDrawingBuffer?: boolean;\r\n}\r\n\r\ninterface WebGLContextEventInit extends EventInit {\r\n    statusMessage?: string;\r\n}\r\n\r\ninterface WheelEventInit extends MouseEventInit {\r\n    deltaX?: number;\r\n    deltaY?: number;\r\n    deltaZ?: number;\r\n    deltaMode?: number;\r\n}\r\n\r\ninterface EventListener {\r\n    (evt: Event): void;\r\n}\r\n\r\ninterface ANGLE_instanced_arrays {\r\n    drawArraysInstancedANGLE(mode: number, first: number, count: number, primcount: number): void;\r\n    drawElementsInstancedANGLE(mode: number, count: number, type: number, offset: number, primcount: number): void;\r\n    vertexAttribDivisorANGLE(index: number, divisor: number): void;\r\n    readonly VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE: number;\r\n}\r\n\r\ndeclare var ANGLE_instanced_arrays: {\r\n    prototype: ANGLE_instanced_arrays;\r\n    new(): ANGLE_instanced_arrays;\r\n    readonly VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE: number;\r\n}\r\n\r\ninterface AnalyserNode extends AudioNode {\r\n    fftSize: number;\r\n    readonly frequencyBinCount: number;\r\n    maxDecibels: number;\r\n    minDecibels: number;\r\n    smoothingTimeConstant: number;\r\n    getByteFrequencyData(array: Uint8Array): void;\r\n    getByteTimeDomainData(array: Uint8Array): void;\r\n    getFloatFrequencyData(array: Float32Array): void;\r\n    getFloatTimeDomainData(array: Float32Array): void;\r\n}\r\n\r\ndeclare var AnalyserNode: {\r\n    prototype: AnalyserNode;\r\n    new(): AnalyserNode;\r\n}\r\n\r\ninterface AnimationEvent extends Event {\r\n    readonly animationName: string;\r\n    readonly elapsedTime: number;\r\n    initAnimationEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, animationNameArg: string, elapsedTimeArg: number): void;\r\n}\r\n\r\ndeclare var AnimationEvent: {\r\n    prototype: AnimationEvent;\r\n    new(): AnimationEvent;\r\n}\r\n\r\ninterface ApplicationCache extends EventTarget {\r\n    oncached: (this: this, ev: Event) => any;\r\n    onchecking: (this: this, ev: Event) => any;\r\n    ondownloading: (this: this, ev: Event) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    onnoupdate: (this: this, ev: Event) => any;\r\n    onobsolete: (this: this, ev: Event) => any;\r\n    onprogress: (this: this, ev: ProgressEvent) => any;\r\n    onupdateready: (this: this, ev: Event) => any;\r\n    readonly status: number;\r\n    abort(): void;\r\n    swapCache(): void;\r\n    update(): void;\r\n    readonly CHECKING: number;\r\n    readonly DOWNLOADING: number;\r\n    readonly IDLE: number;\r\n    readonly OBSOLETE: number;\r\n    readonly UNCACHED: number;\r\n    readonly UPDATEREADY: number;\r\n    addEventListener(type: \"cached\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"checking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"downloading\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"noupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"obsolete\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"updateready\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var ApplicationCache: {\r\n    prototype: ApplicationCache;\r\n    new(): ApplicationCache;\r\n    readonly CHECKING: number;\r\n    readonly DOWNLOADING: number;\r\n    readonly IDLE: number;\r\n    readonly OBSOLETE: number;\r\n    readonly UNCACHED: number;\r\n    readonly UPDATEREADY: number;\r\n}\r\n\r\ninterface AriaRequestEvent extends Event {\r\n    readonly attributeName: string;\r\n    attributeValue: string | null;\r\n}\r\n\r\ndeclare var AriaRequestEvent: {\r\n    prototype: AriaRequestEvent;\r\n    new(type: string, eventInitDict?: AriaRequestEventInit): AriaRequestEvent;\r\n}\r\n\r\ninterface Attr extends Node {\r\n    readonly name: string;\r\n    readonly ownerElement: Element;\r\n    readonly prefix: string | null;\r\n    readonly specified: boolean;\r\n    value: string;\r\n}\r\n\r\ndeclare var Attr: {\r\n    prototype: Attr;\r\n    new(): Attr;\r\n}\r\n\r\ninterface AudioBuffer {\r\n    readonly duration: number;\r\n    readonly length: number;\r\n    readonly numberOfChannels: number;\r\n    readonly sampleRate: number;\r\n    copyFromChannel(destination: Float32Array, channelNumber: number, startInChannel?: number): void;\r\n    copyToChannel(source: Float32Array, channelNumber: number, startInChannel?: number): void;\r\n    getChannelData(channel: number): Float32Array;\r\n}\r\n\r\ndeclare var AudioBuffer: {\r\n    prototype: AudioBuffer;\r\n    new(): AudioBuffer;\r\n}\r\n\r\ninterface AudioBufferSourceNode extends AudioNode {\r\n    buffer: AudioBuffer | null;\r\n    readonly detune: AudioParam;\r\n    loop: boolean;\r\n    loopEnd: number;\r\n    loopStart: number;\r\n    onended: (this: this, ev: MediaStreamErrorEvent) => any;\r\n    readonly playbackRate: AudioParam;\r\n    start(when?: number, offset?: number, duration?: number): void;\r\n    stop(when?: number): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var AudioBufferSourceNode: {\r\n    prototype: AudioBufferSourceNode;\r\n    new(): AudioBufferSourceNode;\r\n}\r\n\r\ninterface AudioContext extends EventTarget {\r\n    readonly currentTime: number;\r\n    readonly destination: AudioDestinationNode;\r\n    readonly listener: AudioListener;\r\n    readonly sampleRate: number;\r\n    state: string;\r\n    createAnalyser(): AnalyserNode;\r\n    createBiquadFilter(): BiquadFilterNode;\r\n    createBuffer(numberOfChannels: number, length: number, sampleRate: number): AudioBuffer;\r\n    createBufferSource(): AudioBufferSourceNode;\r\n    createChannelMerger(numberOfInputs?: number): ChannelMergerNode;\r\n    createChannelSplitter(numberOfOutputs?: number): ChannelSplitterNode;\r\n    createConvolver(): ConvolverNode;\r\n    createDelay(maxDelayTime?: number): DelayNode;\r\n    createDynamicsCompressor(): DynamicsCompressorNode;\r\n    createGain(): GainNode;\r\n    createMediaElementSource(mediaElement: HTMLMediaElement): MediaElementAudioSourceNode;\r\n    createMediaStreamSource(mediaStream: MediaStream): MediaStreamAudioSourceNode;\r\n    createOscillator(): OscillatorNode;\r\n    createPanner(): PannerNode;\r\n    createPeriodicWave(real: Float32Array, imag: Float32Array, constraints?: PeriodicWaveConstraints): PeriodicWave;\r\n    createScriptProcessor(bufferSize?: number, numberOfInputChannels?: number, numberOfOutputChannels?: number): ScriptProcessorNode;\r\n    createStereoPanner(): StereoPannerNode;\r\n    createWaveShaper(): WaveShaperNode;\r\n    decodeAudioData(audioData: ArrayBuffer, successCallback?: DecodeSuccessCallback, errorCallback?: DecodeErrorCallback): PromiseLike<AudioBuffer>;\r\n}\r\n\r\ndeclare var AudioContext: {\r\n    prototype: AudioContext;\r\n    new(): AudioContext;\r\n}\r\n\r\ninterface AudioDestinationNode extends AudioNode {\r\n    readonly maxChannelCount: number;\r\n}\r\n\r\ndeclare var AudioDestinationNode: {\r\n    prototype: AudioDestinationNode;\r\n    new(): AudioDestinationNode;\r\n}\r\n\r\ninterface AudioListener {\r\n    dopplerFactor: number;\r\n    speedOfSound: number;\r\n    setOrientation(x: number, y: number, z: number, xUp: number, yUp: number, zUp: number): void;\r\n    setPosition(x: number, y: number, z: number): void;\r\n    setVelocity(x: number, y: number, z: number): void;\r\n}\r\n\r\ndeclare var AudioListener: {\r\n    prototype: AudioListener;\r\n    new(): AudioListener;\r\n}\r\n\r\ninterface AudioNode extends EventTarget {\r\n    channelCount: number;\r\n    channelCountMode: string;\r\n    channelInterpretation: string;\r\n    readonly context: AudioContext;\r\n    readonly numberOfInputs: number;\r\n    readonly numberOfOutputs: number;\r\n    connect(destination: AudioNode, output?: number, input?: number): void;\r\n    disconnect(output?: number): void;\r\n    disconnect(destination: AudioNode, output?: number, input?: number): void;\r\n    disconnect(destination: AudioParam, output?: number): void;\r\n}\r\n\r\ndeclare var AudioNode: {\r\n    prototype: AudioNode;\r\n    new(): AudioNode;\r\n}\r\n\r\ninterface AudioParam {\r\n    readonly defaultValue: number;\r\n    value: number;\r\n    cancelScheduledValues(startTime: number): void;\r\n    exponentialRampToValueAtTime(value: number, endTime: number): void;\r\n    linearRampToValueAtTime(value: number, endTime: number): void;\r\n    setTargetAtTime(target: number, startTime: number, timeConstant: number): void;\r\n    setValueAtTime(value: number, startTime: number): void;\r\n    setValueCurveAtTime(values: Float32Array, startTime: number, duration: number): void;\r\n}\r\n\r\ndeclare var AudioParam: {\r\n    prototype: AudioParam;\r\n    new(): AudioParam;\r\n}\r\n\r\ninterface AudioProcessingEvent extends Event {\r\n    readonly inputBuffer: AudioBuffer;\r\n    readonly outputBuffer: AudioBuffer;\r\n    readonly playbackTime: number;\r\n}\r\n\r\ndeclare var AudioProcessingEvent: {\r\n    prototype: AudioProcessingEvent;\r\n    new(): AudioProcessingEvent;\r\n}\r\n\r\ninterface AudioTrack {\r\n    enabled: boolean;\r\n    readonly id: string;\r\n    kind: string;\r\n    readonly label: string;\r\n    language: string;\r\n    readonly sourceBuffer: SourceBuffer;\r\n}\r\n\r\ndeclare var AudioTrack: {\r\n    prototype: AudioTrack;\r\n    new(): AudioTrack;\r\n}\r\n\r\ninterface AudioTrackList extends EventTarget {\r\n    readonly length: number;\r\n    onaddtrack: (this: this, ev: TrackEvent) => any;\r\n    onchange: (this: this, ev: Event) => any;\r\n    onremovetrack: (this: this, ev: TrackEvent) => any;\r\n    getTrackById(id: string): AudioTrack | null;\r\n    item(index: number): AudioTrack;\r\n    addEventListener(type: \"addtrack\", listener: (this: this, ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"removetrack\", listener: (this: this, ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: AudioTrack;\r\n}\r\n\r\ndeclare var AudioTrackList: {\r\n    prototype: AudioTrackList;\r\n    new(): AudioTrackList;\r\n}\r\n\r\ninterface BarProp {\r\n    readonly visible: boolean;\r\n}\r\n\r\ndeclare var BarProp: {\r\n    prototype: BarProp;\r\n    new(): BarProp;\r\n}\r\n\r\ninterface BeforeUnloadEvent extends Event {\r\n    returnValue: any;\r\n}\r\n\r\ndeclare var BeforeUnloadEvent: {\r\n    prototype: BeforeUnloadEvent;\r\n    new(): BeforeUnloadEvent;\r\n}\r\n\r\ninterface BiquadFilterNode extends AudioNode {\r\n    readonly Q: AudioParam;\r\n    readonly detune: AudioParam;\r\n    readonly frequency: AudioParam;\r\n    readonly gain: AudioParam;\r\n    type: string;\r\n    getFrequencyResponse(frequencyHz: Float32Array, magResponse: Float32Array, phaseResponse: Float32Array): void;\r\n}\r\n\r\ndeclare var BiquadFilterNode: {\r\n    prototype: BiquadFilterNode;\r\n    new(): BiquadFilterNode;\r\n}\r\n\r\ninterface Blob {\r\n    readonly size: number;\r\n    readonly type: string;\r\n    msClose(): void;\r\n    msDetachStream(): any;\r\n    slice(start?: number, end?: number, contentType?: string): Blob;\r\n}\r\n\r\ndeclare var Blob: {\r\n    prototype: Blob;\r\n    new (blobParts?: any[], options?: BlobPropertyBag): Blob;\r\n}\r\n\r\ninterface CDATASection extends Text {\r\n}\r\n\r\ndeclare var CDATASection: {\r\n    prototype: CDATASection;\r\n    new(): CDATASection;\r\n}\r\n\r\ninterface CSS {\r\n    supports(property: string, value?: string): boolean;\r\n}\r\ndeclare var CSS: CSS;\r\n\r\ninterface CSSConditionRule extends CSSGroupingRule {\r\n    conditionText: string;\r\n}\r\n\r\ndeclare var CSSConditionRule: {\r\n    prototype: CSSConditionRule;\r\n    new(): CSSConditionRule;\r\n}\r\n\r\ninterface CSSFontFaceRule extends CSSRule {\r\n    readonly style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSFontFaceRule: {\r\n    prototype: CSSFontFaceRule;\r\n    new(): CSSFontFaceRule;\r\n}\r\n\r\ninterface CSSGroupingRule extends CSSRule {\r\n    readonly cssRules: CSSRuleList;\r\n    deleteRule(index: number): void;\r\n    insertRule(rule: string, index: number): number;\r\n}\r\n\r\ndeclare var CSSGroupingRule: {\r\n    prototype: CSSGroupingRule;\r\n    new(): CSSGroupingRule;\r\n}\r\n\r\ninterface CSSImportRule extends CSSRule {\r\n    readonly href: string;\r\n    readonly media: MediaList;\r\n    readonly styleSheet: CSSStyleSheet;\r\n}\r\n\r\ndeclare var CSSImportRule: {\r\n    prototype: CSSImportRule;\r\n    new(): CSSImportRule;\r\n}\r\n\r\ninterface CSSKeyframeRule extends CSSRule {\r\n    keyText: string;\r\n    readonly style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSKeyframeRule: {\r\n    prototype: CSSKeyframeRule;\r\n    new(): CSSKeyframeRule;\r\n}\r\n\r\ninterface CSSKeyframesRule extends CSSRule {\r\n    readonly cssRules: CSSRuleList;\r\n    name: string;\r\n    appendRule(rule: string): void;\r\n    deleteRule(rule: string): void;\r\n    findRule(rule: string): CSSKeyframeRule;\r\n}\r\n\r\ndeclare var CSSKeyframesRule: {\r\n    prototype: CSSKeyframesRule;\r\n    new(): CSSKeyframesRule;\r\n}\r\n\r\ninterface CSSMediaRule extends CSSConditionRule {\r\n    readonly media: MediaList;\r\n}\r\n\r\ndeclare var CSSMediaRule: {\r\n    prototype: CSSMediaRule;\r\n    new(): CSSMediaRule;\r\n}\r\n\r\ninterface CSSNamespaceRule extends CSSRule {\r\n    readonly namespaceURI: string;\r\n    readonly prefix: string;\r\n}\r\n\r\ndeclare var CSSNamespaceRule: {\r\n    prototype: CSSNamespaceRule;\r\n    new(): CSSNamespaceRule;\r\n}\r\n\r\ninterface CSSPageRule extends CSSRule {\r\n    readonly pseudoClass: string;\r\n    readonly selector: string;\r\n    selectorText: string;\r\n    readonly style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSPageRule: {\r\n    prototype: CSSPageRule;\r\n    new(): CSSPageRule;\r\n}\r\n\r\ninterface CSSRule {\r\n    cssText: string;\r\n    readonly parentRule: CSSRule;\r\n    readonly parentStyleSheet: CSSStyleSheet;\r\n    readonly type: number;\r\n    readonly CHARSET_RULE: number;\r\n    readonly FONT_FACE_RULE: number;\r\n    readonly IMPORT_RULE: number;\r\n    readonly KEYFRAMES_RULE: number;\r\n    readonly KEYFRAME_RULE: number;\r\n    readonly MEDIA_RULE: number;\r\n    readonly NAMESPACE_RULE: number;\r\n    readonly PAGE_RULE: number;\r\n    readonly STYLE_RULE: number;\r\n    readonly SUPPORTS_RULE: number;\r\n    readonly UNKNOWN_RULE: number;\r\n    readonly VIEWPORT_RULE: number;\r\n}\r\n\r\ndeclare var CSSRule: {\r\n    prototype: CSSRule;\r\n    new(): CSSRule;\r\n    readonly CHARSET_RULE: number;\r\n    readonly FONT_FACE_RULE: number;\r\n    readonly IMPORT_RULE: number;\r\n    readonly KEYFRAMES_RULE: number;\r\n    readonly KEYFRAME_RULE: number;\r\n    readonly MEDIA_RULE: number;\r\n    readonly NAMESPACE_RULE: number;\r\n    readonly PAGE_RULE: number;\r\n    readonly STYLE_RULE: number;\r\n    readonly SUPPORTS_RULE: number;\r\n    readonly UNKNOWN_RULE: number;\r\n    readonly VIEWPORT_RULE: number;\r\n}\r\n\r\ninterface CSSRuleList {\r\n    readonly length: number;\r\n    item(index: number): CSSRule;\r\n    [index: number]: CSSRule;\r\n}\r\n\r\ndeclare var CSSRuleList: {\r\n    prototype: CSSRuleList;\r\n    new(): CSSRuleList;\r\n}\r\n\r\ninterface CSSStyleDeclaration {\r\n    alignContent: string | null;\r\n    alignItems: string | null;\r\n    alignSelf: string | null;\r\n    alignmentBaseline: string | null;\r\n    animation: string | null;\r\n    animationDelay: string | null;\r\n    animationDirection: string | null;\r\n    animationDuration: string | null;\r\n    animationFillMode: string | null;\r\n    animationIterationCount: string | null;\r\n    animationName: string | null;\r\n    animationPlayState: string | null;\r\n    animationTimingFunction: string | null;\r\n    backfaceVisibility: string | null;\r\n    background: string | null;\r\n    backgroundAttachment: string | null;\r\n    backgroundClip: string | null;\r\n    backgroundColor: string | null;\r\n    backgroundImage: string | null;\r\n    backgroundOrigin: string | null;\r\n    backgroundPosition: string | null;\r\n    backgroundPositionX: string | null;\r\n    backgroundPositionY: string | null;\r\n    backgroundRepeat: string | null;\r\n    backgroundSize: string | null;\r\n    baselineShift: string | null;\r\n    border: string | null;\r\n    borderBottom: string | null;\r\n    borderBottomColor: string | null;\r\n    borderBottomLeftRadius: string | null;\r\n    borderBottomRightRadius: string | null;\r\n    borderBottomStyle: string | null;\r\n    borderBottomWidth: string | null;\r\n    borderCollapse: string | null;\r\n    borderColor: string | null;\r\n    borderImage: string | null;\r\n    borderImageOutset: string | null;\r\n    borderImageRepeat: string | null;\r\n    borderImageSlice: string | null;\r\n    borderImageSource: string | null;\r\n    borderImageWidth: string | null;\r\n    borderLeft: string | null;\r\n    borderLeftColor: string | null;\r\n    borderLeftStyle: string | null;\r\n    borderLeftWidth: string | null;\r\n    borderRadius: string | null;\r\n    borderRight: string | null;\r\n    borderRightColor: string | null;\r\n    borderRightStyle: string | null;\r\n    borderRightWidth: string | null;\r\n    borderSpacing: string | null;\r\n    borderStyle: string | null;\r\n    borderTop: string | null;\r\n    borderTopColor: string | null;\r\n    borderTopLeftRadius: string | null;\r\n    borderTopRightRadius: string | null;\r\n    borderTopStyle: string | null;\r\n    borderTopWidth: string | null;\r\n    borderWidth: string | null;\r\n    bottom: string | null;\r\n    boxShadow: string | null;\r\n    boxSizing: string | null;\r\n    breakAfter: string | null;\r\n    breakBefore: string | null;\r\n    breakInside: string | null;\r\n    captionSide: string | null;\r\n    clear: string | null;\r\n    clip: string | null;\r\n    clipPath: string | null;\r\n    clipRule: string | null;\r\n    color: string | null;\r\n    colorInterpolationFilters: string | null;\r\n    columnCount: any;\r\n    columnFill: string | null;\r\n    columnGap: any;\r\n    columnRule: string | null;\r\n    columnRuleColor: any;\r\n    columnRuleStyle: string | null;\r\n    columnRuleWidth: any;\r\n    columnSpan: string | null;\r\n    columnWidth: any;\r\n    columns: string | null;\r\n    content: string | null;\r\n    counterIncrement: string | null;\r\n    counterReset: string | null;\r\n    cssFloat: string | null;\r\n    cssText: string;\r\n    cursor: string | null;\r\n    direction: string | null;\r\n    display: string | null;\r\n    dominantBaseline: string | null;\r\n    emptyCells: string | null;\r\n    enableBackground: string | null;\r\n    fill: string | null;\r\n    fillOpacity: string | null;\r\n    fillRule: string | null;\r\n    filter: string | null;\r\n    flex: string | null;\r\n    flexBasis: string | null;\r\n    flexDirection: string | null;\r\n    flexFlow: string | null;\r\n    flexGrow: string | null;\r\n    flexShrink: string | null;\r\n    flexWrap: string | null;\r\n    floodColor: string | null;\r\n    floodOpacity: string | null;\r\n    font: string | null;\r\n    fontFamily: string | null;\r\n    fontFeatureSettings: string | null;\r\n    fontSize: string | null;\r\n    fontSizeAdjust: string | null;\r\n    fontStretch: string | null;\r\n    fontStyle: string | null;\r\n    fontVariant: string | null;\r\n    fontWeight: string | null;\r\n    glyphOrientationHorizontal: string | null;\r\n    glyphOrientationVertical: string | null;\r\n    height: string | null;\r\n    imeMode: string | null;\r\n    justifyContent: string | null;\r\n    kerning: string | null;\r\n    left: string | null;\r\n    readonly length: number;\r\n    letterSpacing: string | null;\r\n    lightingColor: string | null;\r\n    lineHeight: string | null;\r\n    listStyle: string | null;\r\n    listStyleImage: string | null;\r\n    listStylePosition: string | null;\r\n    listStyleType: string | null;\r\n    margin: string | null;\r\n    marginBottom: string | null;\r\n    marginLeft: string | null;\r\n    marginRight: string | null;\r\n    marginTop: string | null;\r\n    marker: string | null;\r\n    markerEnd: string | null;\r\n    markerMid: string | null;\r\n    markerStart: string | null;\r\n    mask: string | null;\r\n    maxHeight: string | null;\r\n    maxWidth: string | null;\r\n    minHeight: string | null;\r\n    minWidth: string | null;\r\n    msContentZoomChaining: string | null;\r\n    msContentZoomLimit: string | null;\r\n    msContentZoomLimitMax: any;\r\n    msContentZoomLimitMin: any;\r\n    msContentZoomSnap: string | null;\r\n    msContentZoomSnapPoints: string | null;\r\n    msContentZoomSnapType: string | null;\r\n    msContentZooming: string | null;\r\n    msFlowFrom: string | null;\r\n    msFlowInto: string | null;\r\n    msFontFeatureSettings: string | null;\r\n    msGridColumn: any;\r\n    msGridColumnAlign: string | null;\r\n    msGridColumnSpan: any;\r\n    msGridColumns: string | null;\r\n    msGridRow: any;\r\n    msGridRowAlign: string | null;\r\n    msGridRowSpan: any;\r\n    msGridRows: string | null;\r\n    msHighContrastAdjust: string | null;\r\n    msHyphenateLimitChars: string | null;\r\n    msHyphenateLimitLines: any;\r\n    msHyphenateLimitZone: any;\r\n    msHyphens: string | null;\r\n    msImeAlign: string | null;\r\n    msOverflowStyle: string | null;\r\n    msScrollChaining: string | null;\r\n    msScrollLimit: string | null;\r\n    msScrollLimitXMax: any;\r\n    msScrollLimitXMin: any;\r\n    msScrollLimitYMax: any;\r\n    msScrollLimitYMin: any;\r\n    msScrollRails: string | null;\r\n    msScrollSnapPointsX: string | null;\r\n    msScrollSnapPointsY: string | null;\r\n    msScrollSnapType: string | null;\r\n    msScrollSnapX: string | null;\r\n    msScrollSnapY: string | null;\r\n    msScrollTranslation: string | null;\r\n    msTextCombineHorizontal: string | null;\r\n    msTextSizeAdjust: any;\r\n    msTouchAction: string | null;\r\n    msTouchSelect: string | null;\r\n    msUserSelect: string | null;\r\n    msWrapFlow: string;\r\n    msWrapMargin: any;\r\n    msWrapThrough: string;\r\n    opacity: string | null;\r\n    order: string | null;\r\n    orphans: string | null;\r\n    outline: string | null;\r\n    outlineColor: string | null;\r\n    outlineStyle: string | null;\r\n    outlineWidth: string | null;\r\n    overflow: string | null;\r\n    overflowX: string | null;\r\n    overflowY: string | null;\r\n    padding: string | null;\r\n    paddingBottom: string | null;\r\n    paddingLeft: string | null;\r\n    paddingRight: string | null;\r\n    paddingTop: string | null;\r\n    pageBreakAfter: string | null;\r\n    pageBreakBefore: string | null;\r\n    pageBreakInside: string | null;\r\n    readonly parentRule: CSSRule;\r\n    perspective: string | null;\r\n    perspectiveOrigin: string | null;\r\n    pointerEvents: string | null;\r\n    position: string | null;\r\n    quotes: string | null;\r\n    right: string | null;\r\n    rubyAlign: string | null;\r\n    rubyOverhang: string | null;\r\n    rubyPosition: string | null;\r\n    stopColor: string | null;\r\n    stopOpacity: string | null;\r\n    stroke: string | null;\r\n    strokeDasharray: string | null;\r\n    strokeDashoffset: string | null;\r\n    strokeLinecap: string | null;\r\n    strokeLinejoin: string | null;\r\n    strokeMiterlimit: string | null;\r\n    strokeOpacity: string | null;\r\n    strokeWidth: string | null;\r\n    tableLayout: string | null;\r\n    textAlign: string | null;\r\n    textAlignLast: string | null;\r\n    textAnchor: string | null;\r\n    textDecoration: string | null;\r\n    textIndent: string | null;\r\n    textJustify: string | null;\r\n    textKashida: string | null;\r\n    textKashidaSpace: string | null;\r\n    textOverflow: string | null;\r\n    textShadow: string | null;\r\n    textTransform: string | null;\r\n    textUnderlinePosition: string | null;\r\n    top: string | null;\r\n    touchAction: string | null;\r\n    transform: string | null;\r\n    transformOrigin: string | null;\r\n    transformStyle: string | null;\r\n    transition: string | null;\r\n    transitionDelay: string | null;\r\n    transitionDuration: string | null;\r\n    transitionProperty: string | null;\r\n    transitionTimingFunction: string | null;\r\n    unicodeBidi: string | null;\r\n    verticalAlign: string | null;\r\n    visibility: string | null;\r\n    webkitAlignContent: string | null;\r\n    webkitAlignItems: string | null;\r\n    webkitAlignSelf: string | null;\r\n    webkitAnimation: string | null;\r\n    webkitAnimationDelay: string | null;\r\n    webkitAnimationDirection: string | null;\r\n    webkitAnimationDuration: string | null;\r\n    webkitAnimationFillMode: string | null;\r\n    webkitAnimationIterationCount: string | null;\r\n    webkitAnimationName: string | null;\r\n    webkitAnimationPlayState: string | null;\r\n    webkitAnimationTimingFunction: string | null;\r\n    webkitAppearance: string | null;\r\n    webkitBackfaceVisibility: string | null;\r\n    webkitBackgroundClip: string | null;\r\n    webkitBackgroundOrigin: string | null;\r\n    webkitBackgroundSize: string | null;\r\n    webkitBorderBottomLeftRadius: string | null;\r\n    webkitBorderBottomRightRadius: string | null;\r\n    webkitBorderImage: string | null;\r\n    webkitBorderRadius: string | null;\r\n    webkitBorderTopLeftRadius: string | null;\r\n    webkitBorderTopRightRadius: string | null;\r\n    webkitBoxAlign: string | null;\r\n    webkitBoxDirection: string | null;\r\n    webkitBoxFlex: string | null;\r\n    webkitBoxOrdinalGroup: string | null;\r\n    webkitBoxOrient: string | null;\r\n    webkitBoxPack: string | null;\r\n    webkitBoxSizing: string | null;\r\n    webkitColumnBreakAfter: string | null;\r\n    webkitColumnBreakBefore: string | null;\r\n    webkitColumnBreakInside: string | null;\r\n    webkitColumnCount: any;\r\n    webkitColumnGap: any;\r\n    webkitColumnRule: string | null;\r\n    webkitColumnRuleColor: any;\r\n    webkitColumnRuleStyle: string | null;\r\n    webkitColumnRuleWidth: any;\r\n    webkitColumnSpan: string | null;\r\n    webkitColumnWidth: any;\r\n    webkitColumns: string | null;\r\n    webkitFilter: string | null;\r\n    webkitFlex: string | null;\r\n    webkitFlexBasis: string | null;\r\n    webkitFlexDirection: string | null;\r\n    webkitFlexFlow: string | null;\r\n    webkitFlexGrow: string | null;\r\n    webkitFlexShrink: string | null;\r\n    webkitFlexWrap: string | null;\r\n    webkitJustifyContent: string | null;\r\n    webkitOrder: string | null;\r\n    webkitPerspective: string | null;\r\n    webkitPerspectiveOrigin: string | null;\r\n    webkitTapHighlightColor: string | null;\r\n    webkitTextFillColor: string | null;\r\n    webkitTextSizeAdjust: any;\r\n    webkitTransform: string | null;\r\n    webkitTransformOrigin: string | null;\r\n    webkitTransformStyle: string | null;\r\n    webkitTransition: string | null;\r\n    webkitTransitionDelay: string | null;\r\n    webkitTransitionDuration: string | null;\r\n    webkitTransitionProperty: string | null;\r\n    webkitTransitionTimingFunction: string | null;\r\n    webkitUserModify: string | null;\r\n    webkitUserSelect: string | null;\r\n    webkitWritingMode: string | null;\r\n    whiteSpace: string | null;\r\n    widows: string | null;\r\n    width: string | null;\r\n    wordBreak: string | null;\r\n    wordSpacing: string | null;\r\n    wordWrap: string | null;\r\n    writingMode: string | null;\r\n    zIndex: string | null;\r\n    zoom: string | null;\r\n    getPropertyPriority(propertyName: string): string;\r\n    getPropertyValue(propertyName: string): string;\r\n    item(index: number): string;\r\n    removeProperty(propertyName: string): string;\r\n    setProperty(propertyName: string, value: string | null, priority?: string): void;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var CSSStyleDeclaration: {\r\n    prototype: CSSStyleDeclaration;\r\n    new(): CSSStyleDeclaration;\r\n}\r\n\r\ninterface CSSStyleRule extends CSSRule {\r\n    readonly readOnly: boolean;\r\n    selectorText: string;\r\n    readonly style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSStyleRule: {\r\n    prototype: CSSStyleRule;\r\n    new(): CSSStyleRule;\r\n}\r\n\r\ninterface CSSStyleSheet extends StyleSheet {\r\n    readonly cssRules: CSSRuleList;\r\n    cssText: string;\r\n    readonly href: string;\r\n    readonly id: string;\r\n    readonly imports: StyleSheetList;\r\n    readonly isAlternate: boolean;\r\n    readonly isPrefAlternate: boolean;\r\n    readonly ownerRule: CSSRule;\r\n    readonly owningElement: Element;\r\n    readonly pages: StyleSheetPageList;\r\n    readonly readOnly: boolean;\r\n    readonly rules: CSSRuleList;\r\n    addImport(bstrURL: string, lIndex?: number): number;\r\n    addPageRule(bstrSelector: string, bstrStyle: string, lIndex?: number): number;\r\n    addRule(bstrSelector: string, bstrStyle?: string, lIndex?: number): number;\r\n    deleteRule(index?: number): void;\r\n    insertRule(rule: string, index?: number): number;\r\n    removeImport(lIndex: number): void;\r\n    removeRule(lIndex: number): void;\r\n}\r\n\r\ndeclare var CSSStyleSheet: {\r\n    prototype: CSSStyleSheet;\r\n    new(): CSSStyleSheet;\r\n}\r\n\r\ninterface CSSSupportsRule extends CSSConditionRule {\r\n}\r\n\r\ndeclare var CSSSupportsRule: {\r\n    prototype: CSSSupportsRule;\r\n    new(): CSSSupportsRule;\r\n}\r\n\r\ninterface CanvasGradient {\r\n    addColorStop(offset: number, color: string): void;\r\n}\r\n\r\ndeclare var CanvasGradient: {\r\n    prototype: CanvasGradient;\r\n    new(): CanvasGradient;\r\n}\r\n\r\ninterface CanvasPattern {\r\n}\r\n\r\ndeclare var CanvasPattern: {\r\n    prototype: CanvasPattern;\r\n    new(): CanvasPattern;\r\n}\r\n\r\ninterface CanvasRenderingContext2D extends Object, CanvasPathMethods {\r\n    readonly canvas: HTMLCanvasElement;\r\n    fillStyle: string | CanvasGradient | CanvasPattern;\r\n    font: string;\r\n    globalAlpha: number;\r\n    globalCompositeOperation: string;\r\n    lineCap: string;\r\n    lineDashOffset: number;\r\n    lineJoin: string;\r\n    lineWidth: number;\r\n    miterLimit: number;\r\n    msFillRule: string;\r\n    msImageSmoothingEnabled: boolean;\r\n    shadowBlur: number;\r\n    shadowColor: string;\r\n    shadowOffsetX: number;\r\n    shadowOffsetY: number;\r\n    strokeStyle: string | CanvasGradient | CanvasPattern;\r\n    textAlign: string;\r\n    textBaseline: string;\r\n    mozImageSmoothingEnabled: boolean;\r\n    webkitImageSmoothingEnabled: boolean;\r\n    oImageSmoothingEnabled: boolean;\r\n    beginPath(): void;\r\n    clearRect(x: number, y: number, w: number, h: number): void;\r\n    clip(fillRule?: string): void;\r\n    createImageData(imageDataOrSw: number | ImageData, sh?: number): ImageData;\r\n    createLinearGradient(x0: number, y0: number, x1: number, y1: number): CanvasGradient;\r\n    createPattern(image: HTMLImageElement | HTMLCanvasElement | HTMLVideoElement, repetition: string): CanvasPattern;\r\n    createRadialGradient(x0: number, y0: number, r0: number, x1: number, y1: number, r1: number): CanvasGradient;\r\n    drawImage(image: HTMLImageElement | HTMLCanvasElement | HTMLVideoElement, offsetX: number, offsetY: number, width?: number, height?: number, canvasOffsetX?: number, canvasOffsetY?: number, canvasImageWidth?: number, canvasImageHeight?: number): void;\r\n    fill(fillRule?: string): void;\r\n    fillRect(x: number, y: number, w: number, h: number): void;\r\n    fillText(text: string, x: number, y: number, maxWidth?: number): void;\r\n    getImageData(sx: number, sy: number, sw: number, sh: number): ImageData;\r\n    getLineDash(): number[];\r\n    isPointInPath(x: number, y: number, fillRule?: string): boolean;\r\n    measureText(text: string): TextMetrics;\r\n    putImageData(imagedata: ImageData, dx: number, dy: number, dirtyX?: number, dirtyY?: number, dirtyWidth?: number, dirtyHeight?: number): void;\r\n    restore(): void;\r\n    rotate(angle: number): void;\r\n    save(): void;\r\n    scale(x: number, y: number): void;\r\n    setLineDash(segments: number[]): void;\r\n    setTransform(m11: number, m12: number, m21: number, m22: number, dx: number, dy: number): void;\r\n    stroke(): void;\r\n    strokeRect(x: number, y: number, w: number, h: number): void;\r\n    strokeText(text: string, x: number, y: number, maxWidth?: number): void;\r\n    transform(m11: number, m12: number, m21: number, m22: number, dx: number, dy: number): void;\r\n    translate(x: number, y: number): void;\r\n}\r\n\r\ndeclare var CanvasRenderingContext2D: {\r\n    prototype: CanvasRenderingContext2D;\r\n    new(): CanvasRenderingContext2D;\r\n}\r\n\r\ninterface ChannelMergerNode extends AudioNode {\r\n}\r\n\r\ndeclare var ChannelMergerNode: {\r\n    prototype: ChannelMergerNode;\r\n    new(): ChannelMergerNode;\r\n}\r\n\r\ninterface ChannelSplitterNode extends AudioNode {\r\n}\r\n\r\ndeclare var ChannelSplitterNode: {\r\n    prototype: ChannelSplitterNode;\r\n    new(): ChannelSplitterNode;\r\n}\r\n\r\ninterface CharacterData extends Node, ChildNode {\r\n    data: string;\r\n    readonly length: number;\r\n    appendData(arg: string): void;\r\n    deleteData(offset: number, count: number): void;\r\n    insertData(offset: number, arg: string): void;\r\n    replaceData(offset: number, count: number, arg: string): void;\r\n    substringData(offset: number, count: number): string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var CharacterData: {\r\n    prototype: CharacterData;\r\n    new(): CharacterData;\r\n}\r\n\r\ninterface ClientRect {\r\n    bottom: number;\r\n    readonly height: number;\r\n    left: number;\r\n    right: number;\r\n    top: number;\r\n    readonly width: number;\r\n}\r\n\r\ndeclare var ClientRect: {\r\n    prototype: ClientRect;\r\n    new(): ClientRect;\r\n}\r\n\r\ninterface ClientRectList {\r\n    readonly length: number;\r\n    item(index: number): ClientRect;\r\n    [index: number]: ClientRect;\r\n}\r\n\r\ndeclare var ClientRectList: {\r\n    prototype: ClientRectList;\r\n    new(): ClientRectList;\r\n}\r\n\r\ninterface ClipboardEvent extends Event {\r\n    readonly clipboardData: DataTransfer;\r\n}\r\n\r\ndeclare var ClipboardEvent: {\r\n    prototype: ClipboardEvent;\r\n    new(type: string, eventInitDict?: ClipboardEventInit): ClipboardEvent;\r\n}\r\n\r\ninterface CloseEvent extends Event {\r\n    readonly code: number;\r\n    readonly reason: string;\r\n    readonly wasClean: boolean;\r\n    initCloseEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, wasCleanArg: boolean, codeArg: number, reasonArg: string): void;\r\n}\r\n\r\ndeclare var CloseEvent: {\r\n    prototype: CloseEvent;\r\n    new(): CloseEvent;\r\n}\r\n\r\ninterface CommandEvent extends Event {\r\n    readonly commandName: string;\r\n    readonly detail: string | null;\r\n}\r\n\r\ndeclare var CommandEvent: {\r\n    prototype: CommandEvent;\r\n    new(type: string, eventInitDict?: CommandEventInit): CommandEvent;\r\n}\r\n\r\ninterface Comment extends CharacterData {\r\n    text: string;\r\n}\r\n\r\ndeclare var Comment: {\r\n    prototype: Comment;\r\n    new(): Comment;\r\n}\r\n\r\ninterface CompositionEvent extends UIEvent {\r\n    readonly data: string;\r\n    readonly locale: string;\r\n    initCompositionEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, dataArg: string, locale: string): void;\r\n}\r\n\r\ndeclare var CompositionEvent: {\r\n    prototype: CompositionEvent;\r\n    new(typeArg: string, eventInitDict?: CompositionEventInit): CompositionEvent;\r\n}\r\n\r\ninterface Console {\r\n    assert(test?: boolean, message?: string, ...optionalParams: any[]): void;\r\n    clear(): void;\r\n    count(countTitle?: string): void;\r\n    debug(message?: string, ...optionalParams: any[]): void;\r\n    dir(value?: any, ...optionalParams: any[]): void;\r\n    dirxml(value: any): void;\r\n    error(message?: any, ...optionalParams: any[]): void;\r\n    exception(message?: string, ...optionalParams: any[]): void;\r\n    group(groupTitle?: string): void;\r\n    groupCollapsed(groupTitle?: string): void;\r\n    groupEnd(): void;\r\n    info(message?: any, ...optionalParams: any[]): void;\r\n    log(message?: any, ...optionalParams: any[]): void;\r\n    msIsIndependentlyComposed(element: Element): boolean;\r\n    profile(reportName?: string): void;\r\n    profileEnd(): void;\r\n    select(element: Element): void;\r\n    table(...data: any[]): void;\r\n    time(timerName?: string): void;\r\n    timeEnd(timerName?: string): void;\r\n    trace(message?: any, ...optionalParams: any[]): void;\r\n    warn(message?: any, ...optionalParams: any[]): void;\r\n}\r\n\r\ndeclare var Console: {\r\n    prototype: Console;\r\n    new(): Console;\r\n}\r\n\r\ninterface ConvolverNode extends AudioNode {\r\n    buffer: AudioBuffer | null;\r\n    normalize: boolean;\r\n}\r\n\r\ndeclare var ConvolverNode: {\r\n    prototype: ConvolverNode;\r\n    new(): ConvolverNode;\r\n}\r\n\r\ninterface Coordinates {\r\n    readonly accuracy: number;\r\n    readonly altitude: number | null;\r\n    readonly altitudeAccuracy: number | null;\r\n    readonly heading: number | null;\r\n    readonly latitude: number;\r\n    readonly longitude: number;\r\n    readonly speed: number | null;\r\n}\r\n\r\ndeclare var Coordinates: {\r\n    prototype: Coordinates;\r\n    new(): Coordinates;\r\n}\r\n\r\ninterface Crypto extends Object, RandomSource {\r\n    readonly subtle: SubtleCrypto;\r\n}\r\n\r\ndeclare var Crypto: {\r\n    prototype: Crypto;\r\n    new(): Crypto;\r\n}\r\n\r\ninterface CryptoKey {\r\n    readonly algorithm: KeyAlgorithm;\r\n    readonly extractable: boolean;\r\n    readonly type: string;\r\n    readonly usages: string[];\r\n}\r\n\r\ndeclare var CryptoKey: {\r\n    prototype: CryptoKey;\r\n    new(): CryptoKey;\r\n}\r\n\r\ninterface CryptoKeyPair {\r\n    privateKey: CryptoKey;\r\n    publicKey: CryptoKey;\r\n}\r\n\r\ndeclare var CryptoKeyPair: {\r\n    prototype: CryptoKeyPair;\r\n    new(): CryptoKeyPair;\r\n}\r\n\r\ninterface CustomEvent extends Event {\r\n    readonly detail: any;\r\n    initCustomEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, detailArg: any): void;\r\n}\r\n\r\ndeclare var CustomEvent: {\r\n    prototype: CustomEvent;\r\n    new(typeArg: string, eventInitDict?: CustomEventInit): CustomEvent;\r\n}\r\n\r\ninterface DOMError {\r\n    readonly name: string;\r\n    toString(): string;\r\n}\r\n\r\ndeclare var DOMError: {\r\n    prototype: DOMError;\r\n    new(): DOMError;\r\n}\r\n\r\ninterface DOMException {\r\n    readonly code: number;\r\n    readonly message: string;\r\n    readonly name: string;\r\n    toString(): string;\r\n    readonly ABORT_ERR: number;\r\n    readonly DATA_CLONE_ERR: number;\r\n    readonly DOMSTRING_SIZE_ERR: number;\r\n    readonly HIERARCHY_REQUEST_ERR: number;\r\n    readonly INDEX_SIZE_ERR: number;\r\n    readonly INUSE_ATTRIBUTE_ERR: number;\r\n    readonly INVALID_ACCESS_ERR: number;\r\n    readonly INVALID_CHARACTER_ERR: number;\r\n    readonly INVALID_MODIFICATION_ERR: number;\r\n    readonly INVALID_NODE_TYPE_ERR: number;\r\n    readonly INVALID_STATE_ERR: number;\r\n    readonly NAMESPACE_ERR: number;\r\n    readonly NETWORK_ERR: number;\r\n    readonly NOT_FOUND_ERR: number;\r\n    readonly NOT_SUPPORTED_ERR: number;\r\n    readonly NO_DATA_ALLOWED_ERR: number;\r\n    readonly NO_MODIFICATION_ALLOWED_ERR: number;\r\n    readonly PARSE_ERR: number;\r\n    readonly QUOTA_EXCEEDED_ERR: number;\r\n    readonly SECURITY_ERR: number;\r\n    readonly SERIALIZE_ERR: number;\r\n    readonly SYNTAX_ERR: number;\r\n    readonly TIMEOUT_ERR: number;\r\n    readonly TYPE_MISMATCH_ERR: number;\r\n    readonly URL_MISMATCH_ERR: number;\r\n    readonly VALIDATION_ERR: number;\r\n    readonly WRONG_DOCUMENT_ERR: number;\r\n}\r\n\r\ndeclare var DOMException: {\r\n    prototype: DOMException;\r\n    new(): DOMException;\r\n    readonly ABORT_ERR: number;\r\n    readonly DATA_CLONE_ERR: number;\r\n    readonly DOMSTRING_SIZE_ERR: number;\r\n    readonly HIERARCHY_REQUEST_ERR: number;\r\n    readonly INDEX_SIZE_ERR: number;\r\n    readonly INUSE_ATTRIBUTE_ERR: number;\r\n    readonly INVALID_ACCESS_ERR: number;\r\n    readonly INVALID_CHARACTER_ERR: number;\r\n    readonly INVALID_MODIFICATION_ERR: number;\r\n    readonly INVALID_NODE_TYPE_ERR: number;\r\n    readonly INVALID_STATE_ERR: number;\r\n    readonly NAMESPACE_ERR: number;\r\n    readonly NETWORK_ERR: number;\r\n    readonly NOT_FOUND_ERR: number;\r\n    readonly NOT_SUPPORTED_ERR: number;\r\n    readonly NO_DATA_ALLOWED_ERR: number;\r\n    readonly NO_MODIFICATION_ALLOWED_ERR: number;\r\n    readonly PARSE_ERR: number;\r\n    readonly QUOTA_EXCEEDED_ERR: number;\r\n    readonly SECURITY_ERR: number;\r\n    readonly SERIALIZE_ERR: number;\r\n    readonly SYNTAX_ERR: number;\r\n    readonly TIMEOUT_ERR: number;\r\n    readonly TYPE_MISMATCH_ERR: number;\r\n    readonly URL_MISMATCH_ERR: number;\r\n    readonly VALIDATION_ERR: number;\r\n    readonly WRONG_DOCUMENT_ERR: number;\r\n}\r\n\r\ninterface DOMImplementation {\r\n    createDocument(namespaceURI: string | null, qualifiedName: string | null, doctype: DocumentType): Document;\r\n    createDocumentType(qualifiedName: string, publicId: string | null, systemId: string | null): DocumentType;\r\n    createHTMLDocument(title: string): Document;\r\n    hasFeature(feature: string | null, version: string | null): boolean;\r\n}\r\n\r\ndeclare var DOMImplementation: {\r\n    prototype: DOMImplementation;\r\n    new(): DOMImplementation;\r\n}\r\n\r\ninterface DOMParser {\r\n    parseFromString(source: string, mimeType: string): Document;\r\n}\r\n\r\ndeclare var DOMParser: {\r\n    prototype: DOMParser;\r\n    new(): DOMParser;\r\n}\r\n\r\ninterface DOMSettableTokenList extends DOMTokenList {\r\n    value: string;\r\n}\r\n\r\ndeclare var DOMSettableTokenList: {\r\n    prototype: DOMSettableTokenList;\r\n    new(): DOMSettableTokenList;\r\n}\r\n\r\ninterface DOMStringList {\r\n    readonly length: number;\r\n    contains(str: string): boolean;\r\n    item(index: number): string | null;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var DOMStringList: {\r\n    prototype: DOMStringList;\r\n    new(): DOMStringList;\r\n}\r\n\r\ninterface DOMStringMap {\r\n    [name: string]: string;\r\n}\r\n\r\ndeclare var DOMStringMap: {\r\n    prototype: DOMStringMap;\r\n    new(): DOMStringMap;\r\n}\r\n\r\ninterface DOMTokenList {\r\n    readonly length: number;\r\n    add(...token: string[]): void;\r\n    contains(token: string): boolean;\r\n    item(index: number): string;\r\n    remove(...token: string[]): void;\r\n    toString(): string;\r\n    toggle(token: string, force?: boolean): boolean;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var DOMTokenList: {\r\n    prototype: DOMTokenList;\r\n    new(): DOMTokenList;\r\n}\r\n\r\ninterface DataCue extends TextTrackCue {\r\n    data: ArrayBuffer;\r\n}\r\n\r\ndeclare var DataCue: {\r\n    prototype: DataCue;\r\n    new(): DataCue;\r\n}\r\n\r\ninterface DataTransfer {\r\n    dropEffect: string;\r\n    effectAllowed: string;\r\n    readonly files: FileList;\r\n    readonly items: DataTransferItemList;\r\n    readonly types: DOMStringList;\r\n    clearData(format?: string): boolean;\r\n    getData(format: string): string;\r\n    setData(format: string, data: string): boolean;\r\n}\r\n\r\ndeclare var DataTransfer: {\r\n    prototype: DataTransfer;\r\n    new(): DataTransfer;\r\n}\r\n\r\ninterface DataTransferItem {\r\n    readonly kind: string;\r\n    readonly type: string;\r\n    getAsFile(): File | null;\r\n    getAsString(_callback: FunctionStringCallback | null): void;\r\n}\r\n\r\ndeclare var DataTransferItem: {\r\n    prototype: DataTransferItem;\r\n    new(): DataTransferItem;\r\n}\r\n\r\ninterface DataTransferItemList {\r\n    readonly length: number;\r\n    add(data: File): DataTransferItem | null;\r\n    clear(): void;\r\n    item(index: number): DataTransferItem;\r\n    remove(index: number): void;\r\n    [index: number]: DataTransferItem;\r\n}\r\n\r\ndeclare var DataTransferItemList: {\r\n    prototype: DataTransferItemList;\r\n    new(): DataTransferItemList;\r\n}\r\n\r\ninterface DeferredPermissionRequest {\r\n    readonly id: number;\r\n    readonly type: string;\r\n    readonly uri: string;\r\n    allow(): void;\r\n    deny(): void;\r\n}\r\n\r\ndeclare var DeferredPermissionRequest: {\r\n    prototype: DeferredPermissionRequest;\r\n    new(): DeferredPermissionRequest;\r\n}\r\n\r\ninterface DelayNode extends AudioNode {\r\n    readonly delayTime: AudioParam;\r\n}\r\n\r\ndeclare var DelayNode: {\r\n    prototype: DelayNode;\r\n    new(): DelayNode;\r\n}\r\n\r\ninterface DeviceAcceleration {\r\n    readonly x: number | null;\r\n    readonly y: number | null;\r\n    readonly z: number | null;\r\n}\r\n\r\ndeclare var DeviceAcceleration: {\r\n    prototype: DeviceAcceleration;\r\n    new(): DeviceAcceleration;\r\n}\r\n\r\ninterface DeviceLightEvent extends Event {\r\n    readonly value: number;\r\n}\r\n\r\ndeclare var DeviceLightEvent: {\r\n    prototype: DeviceLightEvent;\r\n    new(type: string, eventInitDict?: DeviceLightEventInit): DeviceLightEvent;\r\n}\r\n\r\ninterface DeviceMotionEvent extends Event {\r\n    readonly acceleration: DeviceAcceleration | null;\r\n    readonly accelerationIncludingGravity: DeviceAcceleration | null;\r\n    readonly interval: number | null;\r\n    readonly rotationRate: DeviceRotationRate | null;\r\n    initDeviceMotionEvent(type: string, bubbles: boolean, cancelable: boolean, acceleration: DeviceAccelerationDict | null, accelerationIncludingGravity: DeviceAccelerationDict | null, rotationRate: DeviceRotationRateDict | null, interval: number | null): void;\r\n}\r\n\r\ndeclare var DeviceMotionEvent: {\r\n    prototype: DeviceMotionEvent;\r\n    new(): DeviceMotionEvent;\r\n}\r\n\r\ninterface DeviceOrientationEvent extends Event {\r\n    readonly absolute: boolean;\r\n    readonly alpha: number | null;\r\n    readonly beta: number | null;\r\n    readonly gamma: number | null;\r\n    initDeviceOrientationEvent(type: string, bubbles: boolean, cancelable: boolean, alpha: number | null, beta: number | null, gamma: number | null, absolute: boolean): void;\r\n}\r\n\r\ndeclare var DeviceOrientationEvent: {\r\n    prototype: DeviceOrientationEvent;\r\n    new(): DeviceOrientationEvent;\r\n}\r\n\r\ninterface DeviceRotationRate {\r\n    readonly alpha: number | null;\r\n    readonly beta: number | null;\r\n    readonly gamma: number | null;\r\n}\r\n\r\ndeclare var DeviceRotationRate: {\r\n    prototype: DeviceRotationRate;\r\n    new(): DeviceRotationRate;\r\n}\r\n\r\ninterface Document extends Node, GlobalEventHandlers, NodeSelector, DocumentEvent, ParentNode {\r\n    /**\r\n      * Sets or gets the URL for the current document. \r\n      */\r\n    readonly URL: string;\r\n    /**\r\n      * Gets the URL for the document, stripped of any character encoding.\r\n      */\r\n    readonly URLUnencoded: string;\r\n    /**\r\n      * Gets the object that has the focus when the parent document has focus.\r\n      */\r\n    readonly activeElement: Element;\r\n    /**\r\n      * Sets or gets the color of all active links in the document.\r\n      */\r\n    alinkColor: string;\r\n    /**\r\n      * Returns a reference to the collection of elements contained by the object.\r\n      */\r\n    readonly all: HTMLAllCollection;\r\n    /**\r\n      * Retrieves a collection of all a objects that have a name and/or id property. Objects in this collection are in HTML source order.\r\n      */\r\n    anchors: HTMLCollectionOf<HTMLAnchorElement>;\r\n    /**\r\n      * Retrieves a collection of all applet objects in the document.\r\n      */\r\n    applets: HTMLCollectionOf<HTMLAppletElement>;\r\n    /**\r\n      * Deprecated. Sets or retrieves a value that indicates the background color behind the object. \r\n      */\r\n    bgColor: string;\r\n    /**\r\n      * Specifies the beginning and end of the document body.\r\n      */\r\n    body: HTMLElement;\r\n    readonly characterSet: string;\r\n    /**\r\n      * Gets or sets the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Gets a value that indicates whether standards-compliant mode is switched on for the object.\r\n      */\r\n    readonly compatMode: string;\r\n    cookie: string;\r\n    readonly currentScript: HTMLScriptElement | SVGScriptElement;\r\n    /**\r\n      * Gets the default character set from the current regional language settings.\r\n      */\r\n    readonly defaultCharset: string;\r\n    readonly defaultView: Window;\r\n    /**\r\n      * Sets or gets a value that indicates whether the document can be edited.\r\n      */\r\n    designMode: string;\r\n    /**\r\n      * Sets or retrieves a value that indicates the reading order of the object. \r\n      */\r\n    dir: string;\r\n    /**\r\n      * Gets an object representing the document type declaration associated with the current document. \r\n      */\r\n    readonly doctype: DocumentType;\r\n    /**\r\n      * Gets a reference to the root node of the document. \r\n      */\r\n    documentElement: HTMLElement;\r\n    /**\r\n      * Sets or gets the security domain of the document. \r\n      */\r\n    domain: string;\r\n    /**\r\n      * Retrieves a collection of all embed objects in the document.\r\n      */\r\n    embeds: HTMLCollectionOf<HTMLEmbedElement>;\r\n    /**\r\n      * Sets or gets the foreground (text) color of the document.\r\n      */\r\n    fgColor: string;\r\n    /**\r\n      * Retrieves a collection, in source order, of all form objects in the document.\r\n      */\r\n    forms: HTMLCollectionOf<HTMLFormElement>;\r\n    readonly fullscreenElement: Element | null;\r\n    readonly fullscreenEnabled: boolean;\r\n    readonly head: HTMLHeadElement;\r\n    readonly hidden: boolean;\r\n    /**\r\n      * Retrieves a collection, in source order, of img objects in the document.\r\n      */\r\n    images: HTMLCollectionOf<HTMLImageElement>;\r\n    /**\r\n      * Gets the implementation object of the current document. \r\n      */\r\n    readonly implementation: DOMImplementation;\r\n    /**\r\n      * Returns the character encoding used to create the webpage that is loaded into the document object.\r\n      */\r\n    readonly inputEncoding: string | null;\r\n    /**\r\n      * Gets the date that the page was last modified, if the page supplies one. \r\n      */\r\n    readonly lastModified: string;\r\n    /**\r\n      * Sets or gets the color of the document links. \r\n      */\r\n    linkColor: string;\r\n    /**\r\n      * Retrieves a collection of all a objects that specify the href property and all area objects in the document.\r\n      */\r\n    links: HTMLCollectionOf<HTMLAnchorElement | HTMLAreaElement>;\r\n    /**\r\n      * Contains information about the current URL. \r\n      */\r\n    readonly location: Location;\r\n    msCSSOMElementFloatMetrics: boolean;\r\n    msCapsLockWarningOff: boolean;\r\n    /**\r\n      * Fires when the user aborts the download.\r\n      * @param ev The event.\r\n      */\r\n    onabort: (this: this, ev: UIEvent) => any;\r\n    /**\r\n      * Fires when the object is set as the active element.\r\n      * @param ev The event.\r\n      */\r\n    onactivate: (this: this, ev: UIEvent) => any;\r\n    /**\r\n      * Fires immediately before the object is set as the active element.\r\n      * @param ev The event.\r\n      */\r\n    onbeforeactivate: (this: this, ev: UIEvent) => any;\r\n    /**\r\n      * Fires immediately before the activeElement is changed from the current object to another object in the parent document.\r\n      * @param ev The event.\r\n      */\r\n    onbeforedeactivate: (this: this, ev: UIEvent) => any;\r\n    /** \r\n      * Fires when the object loses the input focus. \r\n      * @param ev The focus event.\r\n      */\r\n    onblur: (this: this, ev: FocusEvent) => any;\r\n    /**\r\n      * Occurs when playback is possible, but would require further buffering. \r\n      * @param ev The event.\r\n      */\r\n    oncanplay: (this: this, ev: Event) => any;\r\n    oncanplaythrough: (this: this, ev: Event) => any;\r\n    /**\r\n      * Fires when the contents of the object or selection have changed. \r\n      * @param ev The event.\r\n      */\r\n    onchange: (this: this, ev: Event) => any;\r\n    /**\r\n      * Fires when the user clicks the left mouse button on the object\r\n      * @param ev The mouse event.\r\n      */\r\n    onclick: (this: this, ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user clicks the right mouse button in the client area, opening the context menu. \r\n      * @param ev The mouse event.\r\n      */\r\n    oncontextmenu: (this: this, ev: PointerEvent) => any;\r\n    /**\r\n      * Fires when the user double-clicks the object.\r\n      * @param ev The mouse event.\r\n      */\r\n    ondblclick: (this: this, ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the activeElement is changed from the current object to another object in the parent document.\r\n      * @param ev The UI Event\r\n      */\r\n    ondeactivate: (this: this, ev: UIEvent) => any;\r\n    /**\r\n      * Fires on the source object continuously during a drag operation.\r\n      * @param ev The event.\r\n      */\r\n    ondrag: (this: this, ev: DragEvent) => any;\r\n    /**\r\n      * Fires on the source object when the user releases the mouse at the close of a drag operation.\r\n      * @param ev The event.\r\n      */\r\n    ondragend: (this: this, ev: DragEvent) => any;\r\n    /** \r\n      * Fires on the target element when the user drags the object to a valid drop target.\r\n      * @param ev The drag event.\r\n      */\r\n    ondragenter: (this: this, ev: DragEvent) => any;\r\n    /** \r\n      * Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.\r\n      * @param ev The drag event.\r\n      */\r\n    ondragleave: (this: this, ev: DragEvent) => any;\r\n    /**\r\n      * Fires on the target element continuously while the user drags the object over a valid drop target.\r\n      * @param ev The event.\r\n      */\r\n    ondragover: (this: this, ev: DragEvent) => any;\r\n    /**\r\n      * Fires on the source object when the user starts to drag a text selection or selected object. \r\n      * @param ev The event.\r\n      */\r\n    ondragstart: (this: this, ev: DragEvent) => any;\r\n    ondrop: (this: this, ev: DragEvent) => any;\r\n    /**\r\n      * Occurs when the duration attribute is updated. \r\n      * @param ev The event.\r\n      */\r\n    ondurationchange: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs when the media element is reset to its initial state. \r\n      * @param ev The event.\r\n      */\r\n    onemptied: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs when the end of playback is reached. \r\n      * @param ev The event\r\n      */\r\n    onended: (this: this, ev: MediaStreamErrorEvent) => any;\r\n    /**\r\n      * Fires when an error occurs during object loading.\r\n      * @param ev The event.\r\n      */\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    /**\r\n      * Fires when the object receives focus. \r\n      * @param ev The event.\r\n      */\r\n    onfocus: (this: this, ev: FocusEvent) => any;\r\n    onfullscreenchange: (this: this, ev: Event) => any;\r\n    onfullscreenerror: (this: this, ev: Event) => any;\r\n    oninput: (this: this, ev: Event) => any;\r\n    oninvalid: (this: this, ev: Event) => any;\r\n    /**\r\n      * Fires when the user presses a key.\r\n      * @param ev The keyboard event\r\n      */\r\n    onkeydown: (this: this, ev: KeyboardEvent) => any;\r\n    /**\r\n      * Fires when the user presses an alphanumeric key.\r\n      * @param ev The event.\r\n      */\r\n    onkeypress: (this: this, ev: KeyboardEvent) => any;\r\n    /**\r\n      * Fires when the user releases a key.\r\n      * @param ev The keyboard event\r\n      */\r\n    onkeyup: (this: this, ev: KeyboardEvent) => any;\r\n    /**\r\n      * Fires immediately after the browser loads the object. \r\n      * @param ev The event.\r\n      */\r\n    onload: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs when media data is loaded at the current playback position. \r\n      * @param ev The event.\r\n      */\r\n    onloadeddata: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs when the duration and dimensions of the media have been determined.\r\n      * @param ev The event.\r\n      */\r\n    onloadedmetadata: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs when Internet Explorer begins looking for media data. \r\n      * @param ev The event.\r\n      */\r\n    onloadstart: (this: this, ev: Event) => any;\r\n    /**\r\n      * Fires when the user clicks the object with either mouse button. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmousedown: (this: this, ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user moves the mouse over the object. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmousemove: (this: this, ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user moves the mouse pointer outside the boundaries of the object. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmouseout: (this: this, ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user moves the mouse pointer into the object.\r\n      * @param ev The mouse event.\r\n      */\r\n    onmouseover: (this: this, ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user releases a mouse button while the mouse is over the object. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmouseup: (this: this, ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the wheel button is rotated. \r\n      * @param ev The mouse event\r\n      */\r\n    onmousewheel: (this: this, ev: WheelEvent) => any;\r\n    onmscontentzoom: (this: this, ev: UIEvent) => any;\r\n    onmsgesturechange: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturedoubletap: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgestureend: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturehold: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturestart: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturetap: (this: this, ev: MSGestureEvent) => any;\r\n    onmsinertiastart: (this: this, ev: MSGestureEvent) => any;\r\n    onmsmanipulationstatechanged: (this: this, ev: MSManipulationEvent) => any;\r\n    onmspointercancel: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerdown: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerenter: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerleave: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointermove: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerout: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerover: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerup: (this: this, ev: MSPointerEvent) => any;\r\n    /**\r\n      * Occurs when an item is removed from a Jump List of a webpage running in Site Mode. \r\n      * @param ev The event.\r\n      */\r\n    onmssitemodejumplistitemremoved: (this: this, ev: MSSiteModeEvent) => any;\r\n    /**\r\n      * Occurs when a user clicks a button in a Thumbnail Toolbar of a webpage running in Site Mode.\r\n      * @param ev The event.\r\n      */\r\n    onmsthumbnailclick: (this: this, ev: MSSiteModeEvent) => any;\r\n    /**\r\n      * Occurs when playback is paused.\r\n      * @param ev The event.\r\n      */\r\n    onpause: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs when the play method is requested. \r\n      * @param ev The event.\r\n      */\r\n    onplay: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs when the audio or video has started playing. \r\n      * @param ev The event.\r\n      */\r\n    onplaying: (this: this, ev: Event) => any;\r\n    onpointerlockchange: (this: this, ev: Event) => any;\r\n    onpointerlockerror: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs to indicate progress while downloading media data. \r\n      * @param ev The event.\r\n      */\r\n    onprogress: (this: this, ev: ProgressEvent) => any;\r\n    /**\r\n      * Occurs when the playback rate is increased or decreased. \r\n      * @param ev The event.\r\n      */\r\n    onratechange: (this: this, ev: Event) => any;\r\n    /**\r\n      * Fires when the state of the object has changed.\r\n      * @param ev The event\r\n      */\r\n    onreadystatechange: (this: this, ev: ProgressEvent) => any;\r\n    /**\r\n      * Fires when the user resets a form. \r\n      * @param ev The event.\r\n      */\r\n    onreset: (this: this, ev: Event) => any;\r\n    /**\r\n      * Fires when the user repositions the scroll box in the scroll bar on the object. \r\n      * @param ev The event.\r\n      */\r\n    onscroll: (this: this, ev: UIEvent) => any;\r\n    /**\r\n      * Occurs when the seek operation ends. \r\n      * @param ev The event.\r\n      */\r\n    onseeked: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs when the current playback position is moved. \r\n      * @param ev The event.\r\n      */\r\n    onseeking: (this: this, ev: Event) => any;\r\n    /**\r\n      * Fires when the current selection changes.\r\n      * @param ev The event.\r\n      */\r\n    onselect: (this: this, ev: UIEvent) => any;\r\n    /**\r\n      * Fires when the selection state of a document changes.\r\n      * @param ev The event.\r\n      */\r\n    onselectionchange: (this: this, ev: Event) => any;\r\n    onselectstart: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs when the download has stopped. \r\n      * @param ev The event.\r\n      */\r\n    onstalled: (this: this, ev: Event) => any;\r\n    /**\r\n      * Fires when the user clicks the Stop button or leaves the Web page.\r\n      * @param ev The event.\r\n      */\r\n    onstop: (this: this, ev: Event) => any;\r\n    onsubmit: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs if the load operation has been intentionally halted. \r\n      * @param ev The event.\r\n      */\r\n    onsuspend: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs to indicate the current playback position.\r\n      * @param ev The event.\r\n      */\r\n    ontimeupdate: (this: this, ev: Event) => any;\r\n    ontouchcancel: (ev: TouchEvent) => any;\r\n    ontouchend: (ev: TouchEvent) => any;\r\n    ontouchmove: (ev: TouchEvent) => any;\r\n    ontouchstart: (ev: TouchEvent) => any;\r\n    /**\r\n      * Occurs when the volume is changed, or playback is muted or unmuted.\r\n      * @param ev The event.\r\n      */\r\n    onvolumechange: (this: this, ev: Event) => any;\r\n    /**\r\n      * Occurs when playback stops because the next frame of a video resource is not available. \r\n      * @param ev The event.\r\n      */\r\n    onwaiting: (this: this, ev: Event) => any;\r\n    onwebkitfullscreenchange: (this: this, ev: Event) => any;\r\n    onwebkitfullscreenerror: (this: this, ev: Event) => any;\r\n    plugins: HTMLCollectionOf<HTMLEmbedElement>;\r\n    readonly pointerLockElement: Element;\r\n    /**\r\n      * Retrieves a value that indicates the current state of the object.\r\n      */\r\n    readonly readyState: string;\r\n    /**\r\n      * Gets the URL of the location that referred the user to the current page.\r\n      */\r\n    readonly referrer: string;\r\n    /**\r\n      * Gets the root svg element in the document hierarchy.\r\n      */\r\n    readonly rootElement: SVGSVGElement;\r\n    /**\r\n      * Retrieves a collection of all script objects in the document.\r\n      */\r\n    scripts: HTMLCollectionOf<HTMLScriptElement>;\r\n    readonly scrollingElement: Element | null;\r\n    /**\r\n      * Retrieves a collection of styleSheet objects representing the style sheets that correspond to each instance of a link or style object in the document.\r\n      */\r\n    readonly styleSheets: StyleSheetList;\r\n    /**\r\n      * Contains the title of the document.\r\n      */\r\n    title: string;\r\n    readonly visibilityState: string;\r\n    /** \r\n      * Sets or gets the color of the links that the user has visited.\r\n      */\r\n    vlinkColor: string;\r\n    readonly webkitCurrentFullScreenElement: Element | null;\r\n    readonly webkitFullscreenElement: Element | null;\r\n    readonly webkitFullscreenEnabled: boolean;\r\n    readonly webkitIsFullScreen: boolean;\r\n    readonly xmlEncoding: string | null;\r\n    xmlStandalone: boolean;\r\n    /**\r\n      * Gets or sets the version attribute specified in the declaration of an XML document.\r\n      */\r\n    xmlVersion: string | null;\r\n    adoptNode(source: Node): Node;\r\n    captureEvents(): void;\r\n    caretRangeFromPoint(x: number, y: number): Range;\r\n    clear(): void;\r\n    /**\r\n      * Closes an output stream and forces the sent data to display.\r\n      */\r\n    close(): void;\r\n    /**\r\n      * Creates an attribute object with a specified name.\r\n      * @param name String that sets the attribute object's name.\r\n      */\r\n    createAttribute(name: string): Attr;\r\n    createAttributeNS(namespaceURI: string | null, qualifiedName: string): Attr;\r\n    createCDATASection(data: string): CDATASection;\r\n    /**\r\n      * Creates a comment object with the specified data.\r\n      * @param data Sets the comment object's data.\r\n      */\r\n    createComment(data: string): Comment;\r\n    /**\r\n      * Creates a new document.\r\n      */\r\n    createDocumentFragment(): DocumentFragment;\r\n    /**\r\n      * Creates an instance of the element for the specified tag.\r\n      * @param tagName The name of an element.\r\n      */\r\n    createElement(tagName: \"a\"): HTMLAnchorElement;\r\n    createElement(tagName: \"applet\"): HTMLAppletElement;\r\n    createElement(tagName: \"area\"): HTMLAreaElement;\r\n    createElement(tagName: \"audio\"): HTMLAudioElement;\r\n    createElement(tagName: \"base\"): HTMLBaseElement;\r\n    createElement(tagName: \"basefont\"): HTMLBaseFontElement;\r\n    createElement(tagName: \"blockquote\"): HTMLQuoteElement;\r\n    createElement(tagName: \"body\"): HTMLBodyElement;\r\n    createElement(tagName: \"br\"): HTMLBRElement;\r\n    createElement(tagName: \"button\"): HTMLButtonElement;\r\n    createElement(tagName: \"canvas\"): HTMLCanvasElement;\r\n    createElement(tagName: \"caption\"): HTMLTableCaptionElement;\r\n    createElement(tagName: \"col\"): HTMLTableColElement;\r\n    createElement(tagName: \"colgroup\"): HTMLTableColElement;\r\n    createElement(tagName: \"datalist\"): HTMLDataListElement;\r\n    createElement(tagName: \"del\"): HTMLModElement;\r\n    createElement(tagName: \"dir\"): HTMLDirectoryElement;\r\n    createElement(tagName: \"div\"): HTMLDivElement;\r\n    createElement(tagName: \"dl\"): HTMLDListElement;\r\n    createElement(tagName: \"embed\"): HTMLEmbedElement;\r\n    createElement(tagName: \"fieldset\"): HTMLFieldSetElement;\r\n    createElement(tagName: \"font\"): HTMLFontElement;\r\n    createElement(tagName: \"form\"): HTMLFormElement;\r\n    createElement(tagName: \"frame\"): HTMLFrameElement;\r\n    createElement(tagName: \"frameset\"): HTMLFrameSetElement;\r\n    createElement(tagName: \"h1\"): HTMLHeadingElement;\r\n    createElement(tagName: \"h2\"): HTMLHeadingElement;\r\n    createElement(tagName: \"h3\"): HTMLHeadingElement;\r\n    createElement(tagName: \"h4\"): HTMLHeadingElement;\r\n    createElement(tagName: \"h5\"): HTMLHeadingElement;\r\n    createElement(tagName: \"h6\"): HTMLHeadingElement;\r\n    createElement(tagName: \"head\"): HTMLHeadElement;\r\n    createElement(tagName: \"hr\"): HTMLHRElement;\r\n    createElement(tagName: \"html\"): HTMLHtmlElement;\r\n    createElement(tagName: \"iframe\"): HTMLIFrameElement;\r\n    createElement(tagName: \"img\"): HTMLImageElement;\r\n    createElement(tagName: \"input\"): HTMLInputElement;\r\n    createElement(tagName: \"ins\"): HTMLModElement;\r\n    createElement(tagName: \"isindex\"): HTMLUnknownElement;\r\n    createElement(tagName: \"label\"): HTMLLabelElement;\r\n    createElement(tagName: \"legend\"): HTMLLegendElement;\r\n    createElement(tagName: \"li\"): HTMLLIElement;\r\n    createElement(tagName: \"link\"): HTMLLinkElement;\r\n    createElement(tagName: \"listing\"): HTMLPreElement;\r\n    createElement(tagName: \"map\"): HTMLMapElement;\r\n    createElement(tagName: \"marquee\"): HTMLMarqueeElement;\r\n    createElement(tagName: \"menu\"): HTMLMenuElement;\r\n    createElement(tagName: \"meta\"): HTMLMetaElement;\r\n    createElement(tagName: \"meter\"): HTMLMeterElement;\r\n    createElement(tagName: \"nextid\"): HTMLUnknownElement;\r\n    createElement(tagName: \"object\"): HTMLObjectElement;\r\n    createElement(tagName: \"ol\"): HTMLOListElement;\r\n    createElement(tagName: \"optgroup\"): HTMLOptGroupElement;\r\n    createElement(tagName: \"option\"): HTMLOptionElement;\r\n    createElement(tagName: \"p\"): HTMLParagraphElement;\r\n    createElement(tagName: \"param\"): HTMLParamElement;\r\n    createElement(tagName: \"picture\"): HTMLPictureElement;\r\n    createElement(tagName: \"pre\"): HTMLPreElement;\r\n    createElement(tagName: \"progress\"): HTMLProgressElement;\r\n    createElement(tagName: \"q\"): HTMLQuoteElement;\r\n    createElement(tagName: \"script\"): HTMLScriptElement;\r\n    createElement(tagName: \"select\"): HTMLSelectElement;\r\n    createElement(tagName: \"source\"): HTMLSourceElement;\r\n    createElement(tagName: \"span\"): HTMLSpanElement;\r\n    createElement(tagName: \"style\"): HTMLStyleElement;\r\n    createElement(tagName: \"table\"): HTMLTableElement;\r\n    createElement(tagName: \"tbody\"): HTMLTableSectionElement;\r\n    createElement(tagName: \"td\"): HTMLTableDataCellElement;\r\n    createElement(tagName: \"template\"): HTMLTemplateElement;\r\n    createElement(tagName: \"textarea\"): HTMLTextAreaElement;\r\n    createElement(tagName: \"tfoot\"): HTMLTableSectionElement;\r\n    createElement(tagName: \"th\"): HTMLTableHeaderCellElement;\r\n    createElement(tagName: \"thead\"): HTMLTableSectionElement;\r\n    createElement(tagName: \"title\"): HTMLTitleElement;\r\n    createElement(tagName: \"tr\"): HTMLTableRowElement;\r\n    createElement(tagName: \"track\"): HTMLTrackElement;\r\n    createElement(tagName: \"ul\"): HTMLUListElement;\r\n    createElement(tagName: \"video\"): HTMLVideoElement;\r\n    createElement(tagName: \"x-ms-webview\"): MSHTMLWebViewElement;\r\n    createElement(tagName: \"xmp\"): HTMLPreElement;\r\n    createElement(tagName: string): HTMLElement;\r\n    createElementNS(namespaceURI: \"http://www.w3.org/1999/xhtml\", qualifiedName: string): HTMLElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"a\"): SVGAElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"circle\"): SVGCircleElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"clipPath\"): SVGClipPathElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"componentTransferFunction\"): SVGComponentTransferFunctionElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"defs\"): SVGDefsElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"desc\"): SVGDescElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"ellipse\"): SVGEllipseElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feBlend\"): SVGFEBlendElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feColorMatrix\"): SVGFEColorMatrixElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feComponentTransfer\"): SVGFEComponentTransferElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feComposite\"): SVGFECompositeElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feConvolveMatrix\"): SVGFEConvolveMatrixElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feDiffuseLighting\"): SVGFEDiffuseLightingElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feDisplacementMap\"): SVGFEDisplacementMapElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feDistantLight\"): SVGFEDistantLightElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feFlood\"): SVGFEFloodElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feFuncA\"): SVGFEFuncAElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feFuncB\"): SVGFEFuncBElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feFuncG\"): SVGFEFuncGElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feFuncR\"): SVGFEFuncRElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feGaussianBlur\"): SVGFEGaussianBlurElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feImage\"): SVGFEImageElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feMerge\"): SVGFEMergeElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feMergeNode\"): SVGFEMergeNodeElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feMorphology\"): SVGFEMorphologyElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feOffset\"): SVGFEOffsetElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"fePointLight\"): SVGFEPointLightElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feSpecularLighting\"): SVGFESpecularLightingElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feSpotLight\"): SVGFESpotLightElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feTile\"): SVGFETileElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"feTurbulence\"): SVGFETurbulenceElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"filter\"): SVGFilterElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"foreignObject\"): SVGForeignObjectElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"g\"): SVGGElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"image\"): SVGImageElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"gradient\"): SVGGradientElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"line\"): SVGLineElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"linearGradient\"): SVGLinearGradientElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"marker\"): SVGMarkerElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"mask\"): SVGMaskElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"path\"): SVGPathElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"metadata\"): SVGMetadataElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"pattern\"): SVGPatternElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"polygon\"): SVGPolygonElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"polyline\"): SVGPolylineElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"radialGradient\"): SVGRadialGradientElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"rect\"): SVGRectElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"svg\"): SVGSVGElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"script\"): SVGScriptElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"stop\"): SVGStopElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"style\"): SVGStyleElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"switch\"): SVGSwitchElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"symbol\"): SVGSymbolElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"tspan\"): SVGTSpanElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"textContent\"): SVGTextContentElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"text\"): SVGTextElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"textPath\"): SVGTextPathElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"textPositioning\"): SVGTextPositioningElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"title\"): SVGTitleElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"use\"): SVGUseElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: \"view\"): SVGViewElement\r\n    createElementNS(namespaceURI: \"http://www.w3.org/2000/svg\", qualifiedName: string): SVGElement\r\n    createElementNS(namespaceURI: string | null, qualifiedName: string): Element;\r\n    createExpression(expression: string, resolver: XPathNSResolver): XPathExpression;\r\n    createNSResolver(nodeResolver: Node): XPathNSResolver;\r\n    /**\r\n      * Creates a NodeIterator object that you can use to traverse filtered lists of nodes or elements in a document. \r\n      * @param root The root element or node to start traversing on.\r\n      * @param whatToShow The type of nodes or elements to appear in the node list\r\n      * @param filter A custom NodeFilter function to use. For more information, see filter. Use null for no filter.\r\n      * @param entityReferenceExpansion A flag that specifies whether entity reference nodes are expanded.\r\n      */\r\n    createNodeIterator(root: Node, whatToShow?: number, filter?: NodeFilter, entityReferenceExpansion?: boolean): NodeIterator;\r\n    createProcessingInstruction(target: string, data: string): ProcessingInstruction;\r\n    /**\r\n      *  Returns an empty range object that has both of its boundary points positioned at the beginning of the document. \r\n      */\r\n    createRange(): Range;\r\n    /**\r\n      * Creates a text string from the specified value. \r\n      * @param data String that specifies the nodeValue property of the text node.\r\n      */\r\n    createTextNode(data: string): Text;\r\n    createTouch(view: Window, target: EventTarget, identifier: number, pageX: number, pageY: number, screenX: number, screenY: number): Touch;\r\n    createTouchList(...touches: Touch[]): TouchList;\r\n    /**\r\n      * Creates a TreeWalker object that you can use to traverse filtered lists of nodes or elements in a document.\r\n      * @param root The root element or node to start traversing on.\r\n      * @param whatToShow The type of nodes or elements to appear in the node list. For more information, see whatToShow.\r\n      * @param filter A custom NodeFilter function to use.\r\n      * @param entityReferenceExpansion A flag that specifies whether entity reference nodes are expanded.\r\n      */\r\n    createTreeWalker(root: Node, whatToShow?: number, filter?: NodeFilter, entityReferenceExpansion?: boolean): TreeWalker;\r\n    /**\r\n      * Returns the element for the specified x coordinate and the specified y coordinate. \r\n      * @param x The x-offset\r\n      * @param y The y-offset\r\n      */\r\n    elementFromPoint(x: number, y: number): Element;\r\n    evaluate(expression: string, contextNode: Node, resolver: XPathNSResolver, type: number, result: XPathResult): XPathResult;\r\n    /**\r\n      * Executes a command on the current document, current selection, or the given range.\r\n      * @param commandId String that specifies the command to execute. This command can be any of the command identifiers that can be executed in script.\r\n      * @param showUI Display the user interface, defaults to false.\r\n      * @param value Value to assign.\r\n      */\r\n    execCommand(commandId: string, showUI?: boolean, value?: any): boolean;\r\n    /**\r\n      * Displays help information for the given command identifier.\r\n      * @param commandId Displays help information for the given command identifier.\r\n      */\r\n    execCommandShowHelp(commandId: string): boolean;\r\n    exitFullscreen(): void;\r\n    exitPointerLock(): void;\r\n    /**\r\n      * Causes the element to receive the focus and executes the code specified by the onfocus event.\r\n      */\r\n    focus(): void;\r\n    /**\r\n      * Returns a reference to the first object with the specified value of the ID or NAME attribute.\r\n      * @param elementId String that specifies the ID value. Case-insensitive.\r\n      */\r\n    getElementById(elementId: string): HTMLElement | null;\r\n    getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;\r\n    /**\r\n      * Gets a collection of objects based on the value of the NAME or ID attribute.\r\n      * @param elementName Gets a collection of objects based on the value of the NAME or ID attribute.\r\n      */\r\n    getElementsByName(elementName: string): NodeListOf<HTMLElement>;\r\n    /**\r\n      * Retrieves a collection of objects based on the specified element name.\r\n      * @param name Specifies the name of an element.\r\n      */\r\n    getElementsByTagName(tagname: \"a\"): NodeListOf<HTMLAnchorElement>;\r\n    getElementsByTagName(tagname: \"abbr\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"acronym\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"address\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"applet\"): NodeListOf<HTMLAppletElement>;\r\n    getElementsByTagName(tagname: \"area\"): NodeListOf<HTMLAreaElement>;\r\n    getElementsByTagName(tagname: \"article\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"aside\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"audio\"): NodeListOf<HTMLAudioElement>;\r\n    getElementsByTagName(tagname: \"b\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"base\"): NodeListOf<HTMLBaseElement>;\r\n    getElementsByTagName(tagname: \"basefont\"): NodeListOf<HTMLBaseFontElement>;\r\n    getElementsByTagName(tagname: \"bdo\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"big\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"blockquote\"): NodeListOf<HTMLQuoteElement>;\r\n    getElementsByTagName(tagname: \"body\"): NodeListOf<HTMLBodyElement>;\r\n    getElementsByTagName(tagname: \"br\"): NodeListOf<HTMLBRElement>;\r\n    getElementsByTagName(tagname: \"button\"): NodeListOf<HTMLButtonElement>;\r\n    getElementsByTagName(tagname: \"canvas\"): NodeListOf<HTMLCanvasElement>;\r\n    getElementsByTagName(tagname: \"caption\"): NodeListOf<HTMLTableCaptionElement>;\r\n    getElementsByTagName(tagname: \"center\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"circle\"): NodeListOf<SVGCircleElement>;\r\n    getElementsByTagName(tagname: \"cite\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"clippath\"): NodeListOf<SVGClipPathElement>;\r\n    getElementsByTagName(tagname: \"code\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"col\"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(tagname: \"colgroup\"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(tagname: \"datalist\"): NodeListOf<HTMLDataListElement>;\r\n    getElementsByTagName(tagname: \"dd\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"defs\"): NodeListOf<SVGDefsElement>;\r\n    getElementsByTagName(tagname: \"del\"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(tagname: \"desc\"): NodeListOf<SVGDescElement>;\r\n    getElementsByTagName(tagname: \"dfn\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"dir\"): NodeListOf<HTMLDirectoryElement>;\r\n    getElementsByTagName(tagname: \"div\"): NodeListOf<HTMLDivElement>;\r\n    getElementsByTagName(tagname: \"dl\"): NodeListOf<HTMLDListElement>;\r\n    getElementsByTagName(tagname: \"dt\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"ellipse\"): NodeListOf<SVGEllipseElement>;\r\n    getElementsByTagName(tagname: \"em\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"embed\"): NodeListOf<HTMLEmbedElement>;\r\n    getElementsByTagName(tagname: \"feblend\"): NodeListOf<SVGFEBlendElement>;\r\n    getElementsByTagName(tagname: \"fecolormatrix\"): NodeListOf<SVGFEColorMatrixElement>;\r\n    getElementsByTagName(tagname: \"fecomponenttransfer\"): NodeListOf<SVGFEComponentTransferElement>;\r\n    getElementsByTagName(tagname: \"fecomposite\"): NodeListOf<SVGFECompositeElement>;\r\n    getElementsByTagName(tagname: \"feconvolvematrix\"): NodeListOf<SVGFEConvolveMatrixElement>;\r\n    getElementsByTagName(tagname: \"fediffuselighting\"): NodeListOf<SVGFEDiffuseLightingElement>;\r\n    getElementsByTagName(tagname: \"fedisplacementmap\"): NodeListOf<SVGFEDisplacementMapElement>;\r\n    getElementsByTagName(tagname: \"fedistantlight\"): NodeListOf<SVGFEDistantLightElement>;\r\n    getElementsByTagName(tagname: \"feflood\"): NodeListOf<SVGFEFloodElement>;\r\n    getElementsByTagName(tagname: \"fefunca\"): NodeListOf<SVGFEFuncAElement>;\r\n    getElementsByTagName(tagname: \"fefuncb\"): NodeListOf<SVGFEFuncBElement>;\r\n    getElementsByTagName(tagname: \"fefuncg\"): NodeListOf<SVGFEFuncGElement>;\r\n    getElementsByTagName(tagname: \"fefuncr\"): NodeListOf<SVGFEFuncRElement>;\r\n    getElementsByTagName(tagname: \"fegaussianblur\"): NodeListOf<SVGFEGaussianBlurElement>;\r\n    getElementsByTagName(tagname: \"feimage\"): NodeListOf<SVGFEImageElement>;\r\n    getElementsByTagName(tagname: \"femerge\"): NodeListOf<SVGFEMergeElement>;\r\n    getElementsByTagName(tagname: \"femergenode\"): NodeListOf<SVGFEMergeNodeElement>;\r\n    getElementsByTagName(tagname: \"femorphology\"): NodeListOf<SVGFEMorphologyElement>;\r\n    getElementsByTagName(tagname: \"feoffset\"): NodeListOf<SVGFEOffsetElement>;\r\n    getElementsByTagName(tagname: \"fepointlight\"): NodeListOf<SVGFEPointLightElement>;\r\n    getElementsByTagName(tagname: \"fespecularlighting\"): NodeListOf<SVGFESpecularLightingElement>;\r\n    getElementsByTagName(tagname: \"fespotlight\"): NodeListOf<SVGFESpotLightElement>;\r\n    getElementsByTagName(tagname: \"fetile\"): NodeListOf<SVGFETileElement>;\r\n    getElementsByTagName(tagname: \"feturbulence\"): NodeListOf<SVGFETurbulenceElement>;\r\n    getElementsByTagName(tagname: \"fieldset\"): NodeListOf<HTMLFieldSetElement>;\r\n    getElementsByTagName(tagname: \"figcaption\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"figure\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"filter\"): NodeListOf<SVGFilterElement>;\r\n    getElementsByTagName(tagname: \"font\"): NodeListOf<HTMLFontElement>;\r\n    getElementsByTagName(tagname: \"footer\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"foreignobject\"): NodeListOf<SVGForeignObjectElement>;\r\n    getElementsByTagName(tagname: \"form\"): NodeListOf<HTMLFormElement>;\r\n    getElementsByTagName(tagname: \"frame\"): NodeListOf<HTMLFrameElement>;\r\n    getElementsByTagName(tagname: \"frameset\"): NodeListOf<HTMLFrameSetElement>;\r\n    getElementsByTagName(tagname: \"g\"): NodeListOf<SVGGElement>;\r\n    getElementsByTagName(tagname: \"h1\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: \"h2\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: \"h3\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: \"h4\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: \"h5\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: \"h6\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: \"head\"): NodeListOf<HTMLHeadElement>;\r\n    getElementsByTagName(tagname: \"header\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"hgroup\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"hr\"): NodeListOf<HTMLHRElement>;\r\n    getElementsByTagName(tagname: \"html\"): NodeListOf<HTMLHtmlElement>;\r\n    getElementsByTagName(tagname: \"i\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"iframe\"): NodeListOf<HTMLIFrameElement>;\r\n    getElementsByTagName(tagname: \"image\"): NodeListOf<SVGImageElement>;\r\n    getElementsByTagName(tagname: \"img\"): NodeListOf<HTMLImageElement>;\r\n    getElementsByTagName(tagname: \"input\"): NodeListOf<HTMLInputElement>;\r\n    getElementsByTagName(tagname: \"ins\"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(tagname: \"isindex\"): NodeListOf<HTMLUnknownElement>;\r\n    getElementsByTagName(tagname: \"kbd\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"keygen\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"label\"): NodeListOf<HTMLLabelElement>;\r\n    getElementsByTagName(tagname: \"legend\"): NodeListOf<HTMLLegendElement>;\r\n    getElementsByTagName(tagname: \"li\"): NodeListOf<HTMLLIElement>;\r\n    getElementsByTagName(tagname: \"line\"): NodeListOf<SVGLineElement>;\r\n    getElementsByTagName(tagname: \"lineargradient\"): NodeListOf<SVGLinearGradientElement>;\r\n    getElementsByTagName(tagname: \"link\"): NodeListOf<HTMLLinkElement>;\r\n    getElementsByTagName(tagname: \"listing\"): NodeListOf<HTMLPreElement>;\r\n    getElementsByTagName(tagname: \"map\"): NodeListOf<HTMLMapElement>;\r\n    getElementsByTagName(tagname: \"mark\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"marker\"): NodeListOf<SVGMarkerElement>;\r\n    getElementsByTagName(tagname: \"marquee\"): NodeListOf<HTMLMarqueeElement>;\r\n    getElementsByTagName(tagname: \"mask\"): NodeListOf<SVGMaskElement>;\r\n    getElementsByTagName(tagname: \"menu\"): NodeListOf<HTMLMenuElement>;\r\n    getElementsByTagName(tagname: \"meta\"): NodeListOf<HTMLMetaElement>;\r\n    getElementsByTagName(tagname: \"metadata\"): NodeListOf<SVGMetadataElement>;\r\n    getElementsByTagName(tagname: \"meter\"): NodeListOf<HTMLMeterElement>;\r\n    getElementsByTagName(tagname: \"nav\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"nextid\"): NodeListOf<HTMLUnknownElement>;\r\n    getElementsByTagName(tagname: \"nobr\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"noframes\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"noscript\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"object\"): NodeListOf<HTMLObjectElement>;\r\n    getElementsByTagName(tagname: \"ol\"): NodeListOf<HTMLOListElement>;\r\n    getElementsByTagName(tagname: \"optgroup\"): NodeListOf<HTMLOptGroupElement>;\r\n    getElementsByTagName(tagname: \"option\"): NodeListOf<HTMLOptionElement>;\r\n    getElementsByTagName(tagname: \"p\"): NodeListOf<HTMLParagraphElement>;\r\n    getElementsByTagName(tagname: \"param\"): NodeListOf<HTMLParamElement>;\r\n    getElementsByTagName(tagname: \"path\"): NodeListOf<SVGPathElement>;\r\n    getElementsByTagName(tagname: \"pattern\"): NodeListOf<SVGPatternElement>;\r\n    getElementsByTagName(tagname: \"picture\"): NodeListOf<HTMLPictureElement>;\r\n    getElementsByTagName(tagname: \"plaintext\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"polygon\"): NodeListOf<SVGPolygonElement>;\r\n    getElementsByTagName(tagname: \"polyline\"): NodeListOf<SVGPolylineElement>;\r\n    getElementsByTagName(tagname: \"pre\"): NodeListOf<HTMLPreElement>;\r\n    getElementsByTagName(tagname: \"progress\"): NodeListOf<HTMLProgressElement>;\r\n    getElementsByTagName(tagname: \"q\"): NodeListOf<HTMLQuoteElement>;\r\n    getElementsByTagName(tagname: \"radialgradient\"): NodeListOf<SVGRadialGradientElement>;\r\n    getElementsByTagName(tagname: \"rect\"): NodeListOf<SVGRectElement>;\r\n    getElementsByTagName(tagname: \"rt\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"ruby\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"s\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"samp\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"script\"): NodeListOf<HTMLScriptElement>;\r\n    getElementsByTagName(tagname: \"section\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"select\"): NodeListOf<HTMLSelectElement>;\r\n    getElementsByTagName(tagname: \"small\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"source\"): NodeListOf<HTMLSourceElement>;\r\n    getElementsByTagName(tagname: \"span\"): NodeListOf<HTMLSpanElement>;\r\n    getElementsByTagName(tagname: \"stop\"): NodeListOf<SVGStopElement>;\r\n    getElementsByTagName(tagname: \"strike\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"strong\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"style\"): NodeListOf<HTMLStyleElement>;\r\n    getElementsByTagName(tagname: \"sub\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"sup\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"svg\"): NodeListOf<SVGSVGElement>;\r\n    getElementsByTagName(tagname: \"switch\"): NodeListOf<SVGSwitchElement>;\r\n    getElementsByTagName(tagname: \"symbol\"): NodeListOf<SVGSymbolElement>;\r\n    getElementsByTagName(tagname: \"table\"): NodeListOf<HTMLTableElement>;\r\n    getElementsByTagName(tagname: \"tbody\"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(tagname: \"td\"): NodeListOf<HTMLTableDataCellElement>;\r\n    getElementsByTagName(tagname: \"template\"): NodeListOf<HTMLTemplateElement>;\r\n    getElementsByTagName(tagname: \"text\"): NodeListOf<SVGTextElement>;\r\n    getElementsByTagName(tagname: \"textpath\"): NodeListOf<SVGTextPathElement>;\r\n    getElementsByTagName(tagname: \"textarea\"): NodeListOf<HTMLTextAreaElement>;\r\n    getElementsByTagName(tagname: \"tfoot\"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(tagname: \"th\"): NodeListOf<HTMLTableHeaderCellElement>;\r\n    getElementsByTagName(tagname: \"thead\"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(tagname: \"title\"): NodeListOf<HTMLTitleElement>;\r\n    getElementsByTagName(tagname: \"tr\"): NodeListOf<HTMLTableRowElement>;\r\n    getElementsByTagName(tagname: \"track\"): NodeListOf<HTMLTrackElement>;\r\n    getElementsByTagName(tagname: \"tspan\"): NodeListOf<SVGTSpanElement>;\r\n    getElementsByTagName(tagname: \"tt\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"u\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"ul\"): NodeListOf<HTMLUListElement>;\r\n    getElementsByTagName(tagname: \"use\"): NodeListOf<SVGUseElement>;\r\n    getElementsByTagName(tagname: \"var\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"video\"): NodeListOf<HTMLVideoElement>;\r\n    getElementsByTagName(tagname: \"view\"): NodeListOf<SVGViewElement>;\r\n    getElementsByTagName(tagname: \"wbr\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: \"x-ms-webview\"): NodeListOf<MSHTMLWebViewElement>;\r\n    getElementsByTagName(tagname: \"xmp\"): NodeListOf<HTMLPreElement>;\r\n    getElementsByTagName(tagname: string): NodeListOf<Element>;\r\n    getElementsByTagNameNS(namespaceURI: \"http://www.w3.org/1999/xhtml\", localName: string): HTMLCollectionOf<HTMLElement>;\r\n    getElementsByTagNameNS(namespaceURI: \"http://www.w3.org/2000/svg\", localName: string): HTMLCollectionOf<SVGElement>;\r\n    getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>;\r\n    /**\r\n      * Returns an object representing the current selection of the document that is loaded into the object displaying a webpage.\r\n      */\r\n    getSelection(): Selection;\r\n    /**\r\n      * Gets a value indicating whether the object currently has focus.\r\n      */\r\n    hasFocus(): boolean;\r\n    importNode(importedNode: Node, deep: boolean): Node;\r\n    msElementsFromPoint(x: number, y: number): NodeListOf<Element>;\r\n    msElementsFromRect(left: number, top: number, width: number, height: number): NodeListOf<Element>;\r\n    /**\r\n      * Opens a new window and loads a document specified by a given URL. Also, opens a new window that uses the url parameter and the name parameter to collect the output of the write method and the writeln method.\r\n      * @param url Specifies a MIME type for the document.\r\n      * @param name Specifies the name of the window. This name is used as the value for the TARGET attribute on a form or an anchor element.\r\n      * @param features Contains a list of items separated by commas. Each item consists of an option and a value, separated by an equals sign (for example, \"fullscreen=yes, toolbar=yes\"). The following values are supported.\r\n      * @param replace Specifies whether the existing entry for the document is replaced in the history list.\r\n      */\r\n    open(url?: string, name?: string, features?: string, replace?: boolean): Document;\r\n    /** \r\n      * Returns a Boolean value that indicates whether a specified command can be successfully executed using execCommand, given the current state of the document.\r\n      * @param commandId Specifies a command identifier.\r\n      */\r\n    queryCommandEnabled(commandId: string): boolean;\r\n    /**\r\n      * Returns a Boolean value that indicates whether the specified command is in the indeterminate state.\r\n      * @param commandId String that specifies a command identifier.\r\n      */\r\n    queryCommandIndeterm(commandId: string): boolean;\r\n    /**\r\n      * Returns a Boolean value that indicates the current state of the command.\r\n      * @param commandId String that specifies a command identifier.\r\n      */\r\n    queryCommandState(commandId: string): boolean;\r\n    /**\r\n      * Returns a Boolean value that indicates whether the current command is supported on the current range.\r\n      * @param commandId Specifies a command identifier.\r\n      */\r\n    queryCommandSupported(commandId: string): boolean;\r\n    /**\r\n      * Retrieves the string associated with a command.\r\n      * @param commandId String that contains the identifier of a command. This can be any command identifier given in the list of Command Identifiers. \r\n      */\r\n    queryCommandText(commandId: string): string;\r\n    /**\r\n      * Returns the current value of the document, range, or current selection for the given command.\r\n      * @param commandId String that specifies a command identifier.\r\n      */\r\n    queryCommandValue(commandId: string): string;\r\n    releaseEvents(): void;\r\n    /**\r\n      * Allows updating the print settings for the page.\r\n      */\r\n    updateSettings(): void;\r\n    webkitCancelFullScreen(): void;\r\n    webkitExitFullscreen(): void;\r\n    /**\r\n      * Writes one or more HTML expressions to a document in the specified window. \r\n      * @param content Specifies the text and HTML tags to write.\r\n      */\r\n    write(...content: string[]): void;\r\n    /**\r\n      * Writes one or more HTML expressions, followed by a carriage return, to a document in the specified window. \r\n      * @param content The text and HTML tags to write.\r\n      */\r\n    writeln(...content: string[]): void;\r\n    addEventListener(type: \"MSContentZoom\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSManipulationStateChanged\", listener: (this: this, ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"activate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforedeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplay\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplaythrough\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"contextmenu\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"deactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drag\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragend\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragenter\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragleave\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragover\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragstart\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drop\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"durationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"emptied\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"fullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"fullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"input\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"invalid\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keydown\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keypress\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keyup\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadeddata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadedmetadata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousewheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mssitemodejumplistitemremoved\", listener: (this: this, ev: MSSiteModeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"msthumbnailclick\", listener: (this: this, ev: MSSiteModeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pause\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"play\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"playing\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerlockchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerlockerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ratechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"readystatechange\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"reset\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"select\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"selectionchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"selectstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stalled\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stop\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"submit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"suspend\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"volumechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"waiting\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Document: {\r\n    prototype: Document;\r\n    new(): Document;\r\n}\r\n\r\ninterface DocumentFragment extends Node, NodeSelector, ParentNode {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var DocumentFragment: {\r\n    prototype: DocumentFragment;\r\n    new(): DocumentFragment;\r\n}\r\n\r\ninterface DocumentType extends Node, ChildNode {\r\n    readonly entities: NamedNodeMap;\r\n    readonly internalSubset: string | null;\r\n    readonly name: string;\r\n    readonly notations: NamedNodeMap;\r\n    readonly publicId: string | null;\r\n    readonly systemId: string | null;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var DocumentType: {\r\n    prototype: DocumentType;\r\n    new(): DocumentType;\r\n}\r\n\r\ninterface DragEvent extends MouseEvent {\r\n    readonly dataTransfer: DataTransfer;\r\n    initDragEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget, dataTransferArg: DataTransfer): void;\r\n    msConvertURL(file: File, targetType: string, targetURL?: string): void;\r\n}\r\n\r\ndeclare var DragEvent: {\r\n    prototype: DragEvent;\r\n    new(): DragEvent;\r\n}\r\n\r\ninterface DynamicsCompressorNode extends AudioNode {\r\n    readonly attack: AudioParam;\r\n    readonly knee: AudioParam;\r\n    readonly ratio: AudioParam;\r\n    readonly reduction: AudioParam;\r\n    readonly release: AudioParam;\r\n    readonly threshold: AudioParam;\r\n}\r\n\r\ndeclare var DynamicsCompressorNode: {\r\n    prototype: DynamicsCompressorNode;\r\n    new(): DynamicsCompressorNode;\r\n}\r\n\r\ninterface EXT_frag_depth {\r\n}\r\n\r\ndeclare var EXT_frag_depth: {\r\n    prototype: EXT_frag_depth;\r\n    new(): EXT_frag_depth;\r\n}\r\n\r\ninterface EXT_texture_filter_anisotropic {\r\n    readonly MAX_TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n    readonly TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n}\r\n\r\ndeclare var EXT_texture_filter_anisotropic: {\r\n    prototype: EXT_texture_filter_anisotropic;\r\n    new(): EXT_texture_filter_anisotropic;\r\n    readonly MAX_TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n    readonly TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n}\r\n\r\ninterface Element extends Node, GlobalEventHandlers, ElementTraversal, NodeSelector, ChildNode, ParentNode {\r\n    readonly classList: DOMTokenList;\r\n    className: string;\r\n    readonly clientHeight: number;\r\n    readonly clientLeft: number;\r\n    readonly clientTop: number;\r\n    readonly clientWidth: number;\r\n    id: string;\r\n    msContentZoomFactor: number;\r\n    readonly msRegionOverflow: string;\r\n    onariarequest: (this: this, ev: AriaRequestEvent) => any;\r\n    oncommand: (this: this, ev: CommandEvent) => any;\r\n    ongotpointercapture: (this: this, ev: PointerEvent) => any;\r\n    onlostpointercapture: (this: this, ev: PointerEvent) => any;\r\n    onmsgesturechange: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturedoubletap: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgestureend: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturehold: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturestart: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturetap: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgotpointercapture: (this: this, ev: MSPointerEvent) => any;\r\n    onmsinertiastart: (this: this, ev: MSGestureEvent) => any;\r\n    onmslostpointercapture: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointercancel: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerdown: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerenter: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerleave: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointermove: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerout: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerover: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerup: (this: this, ev: MSPointerEvent) => any;\r\n    ontouchcancel: (ev: TouchEvent) => any;\r\n    ontouchend: (ev: TouchEvent) => any;\r\n    ontouchmove: (ev: TouchEvent) => any;\r\n    ontouchstart: (ev: TouchEvent) => any;\r\n    onwebkitfullscreenchange: (this: this, ev: Event) => any;\r\n    onwebkitfullscreenerror: (this: this, ev: Event) => any;\r\n    readonly prefix: string | null;\r\n    readonly scrollHeight: number;\r\n    scrollLeft: number;\r\n    scrollTop: number;\r\n    readonly scrollWidth: number;\r\n    readonly tagName: string;\r\n    innerHTML: string;\r\n    getAttribute(name: string): string | null;\r\n    getAttributeNS(namespaceURI: string, localName: string): string;\r\n    getAttributeNode(name: string): Attr;\r\n    getAttributeNodeNS(namespaceURI: string, localName: string): Attr;\r\n    getBoundingClientRect(): ClientRect;\r\n    getClientRects(): ClientRectList;\r\n    getElementsByTagName(name: \"a\"): NodeListOf<HTMLAnchorElement>;\r\n    getElementsByTagName(name: \"abbr\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"acronym\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"address\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"applet\"): NodeListOf<HTMLAppletElement>;\r\n    getElementsByTagName(name: \"area\"): NodeListOf<HTMLAreaElement>;\r\n    getElementsByTagName(name: \"article\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"aside\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"audio\"): NodeListOf<HTMLAudioElement>;\r\n    getElementsByTagName(name: \"b\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"base\"): NodeListOf<HTMLBaseElement>;\r\n    getElementsByTagName(name: \"basefont\"): NodeListOf<HTMLBaseFontElement>;\r\n    getElementsByTagName(name: \"bdo\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"big\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"blockquote\"): NodeListOf<HTMLQuoteElement>;\r\n    getElementsByTagName(name: \"body\"): NodeListOf<HTMLBodyElement>;\r\n    getElementsByTagName(name: \"br\"): NodeListOf<HTMLBRElement>;\r\n    getElementsByTagName(name: \"button\"): NodeListOf<HTMLButtonElement>;\r\n    getElementsByTagName(name: \"canvas\"): NodeListOf<HTMLCanvasElement>;\r\n    getElementsByTagName(name: \"caption\"): NodeListOf<HTMLTableCaptionElement>;\r\n    getElementsByTagName(name: \"center\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"circle\"): NodeListOf<SVGCircleElement>;\r\n    getElementsByTagName(name: \"cite\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"clippath\"): NodeListOf<SVGClipPathElement>;\r\n    getElementsByTagName(name: \"code\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"col\"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(name: \"colgroup\"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(name: \"datalist\"): NodeListOf<HTMLDataListElement>;\r\n    getElementsByTagName(name: \"dd\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"defs\"): NodeListOf<SVGDefsElement>;\r\n    getElementsByTagName(name: \"del\"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(name: \"desc\"): NodeListOf<SVGDescElement>;\r\n    getElementsByTagName(name: \"dfn\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"dir\"): NodeListOf<HTMLDirectoryElement>;\r\n    getElementsByTagName(name: \"div\"): NodeListOf<HTMLDivElement>;\r\n    getElementsByTagName(name: \"dl\"): NodeListOf<HTMLDListElement>;\r\n    getElementsByTagName(name: \"dt\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"ellipse\"): NodeListOf<SVGEllipseElement>;\r\n    getElementsByTagName(name: \"em\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"embed\"): NodeListOf<HTMLEmbedElement>;\r\n    getElementsByTagName(name: \"feblend\"): NodeListOf<SVGFEBlendElement>;\r\n    getElementsByTagName(name: \"fecolormatrix\"): NodeListOf<SVGFEColorMatrixElement>;\r\n    getElementsByTagName(name: \"fecomponenttransfer\"): NodeListOf<SVGFEComponentTransferElement>;\r\n    getElementsByTagName(name: \"fecomposite\"): NodeListOf<SVGFECompositeElement>;\r\n    getElementsByTagName(name: \"feconvolvematrix\"): NodeListOf<SVGFEConvolveMatrixElement>;\r\n    getElementsByTagName(name: \"fediffuselighting\"): NodeListOf<SVGFEDiffuseLightingElement>;\r\n    getElementsByTagName(name: \"fedisplacementmap\"): NodeListOf<SVGFEDisplacementMapElement>;\r\n    getElementsByTagName(name: \"fedistantlight\"): NodeListOf<SVGFEDistantLightElement>;\r\n    getElementsByTagName(name: \"feflood\"): NodeListOf<SVGFEFloodElement>;\r\n    getElementsByTagName(name: \"fefunca\"): NodeListOf<SVGFEFuncAElement>;\r\n    getElementsByTagName(name: \"fefuncb\"): NodeListOf<SVGFEFuncBElement>;\r\n    getElementsByTagName(name: \"fefuncg\"): NodeListOf<SVGFEFuncGElement>;\r\n    getElementsByTagName(name: \"fefuncr\"): NodeListOf<SVGFEFuncRElement>;\r\n    getElementsByTagName(name: \"fegaussianblur\"): NodeListOf<SVGFEGaussianBlurElement>;\r\n    getElementsByTagName(name: \"feimage\"): NodeListOf<SVGFEImageElement>;\r\n    getElementsByTagName(name: \"femerge\"): NodeListOf<SVGFEMergeElement>;\r\n    getElementsByTagName(name: \"femergenode\"): NodeListOf<SVGFEMergeNodeElement>;\r\n    getElementsByTagName(name: \"femorphology\"): NodeListOf<SVGFEMorphologyElement>;\r\n    getElementsByTagName(name: \"feoffset\"): NodeListOf<SVGFEOffsetElement>;\r\n    getElementsByTagName(name: \"fepointlight\"): NodeListOf<SVGFEPointLightElement>;\r\n    getElementsByTagName(name: \"fespecularlighting\"): NodeListOf<SVGFESpecularLightingElement>;\r\n    getElementsByTagName(name: \"fespotlight\"): NodeListOf<SVGFESpotLightElement>;\r\n    getElementsByTagName(name: \"fetile\"): NodeListOf<SVGFETileElement>;\r\n    getElementsByTagName(name: \"feturbulence\"): NodeListOf<SVGFETurbulenceElement>;\r\n    getElementsByTagName(name: \"fieldset\"): NodeListOf<HTMLFieldSetElement>;\r\n    getElementsByTagName(name: \"figcaption\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"figure\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"filter\"): NodeListOf<SVGFilterElement>;\r\n    getElementsByTagName(name: \"font\"): NodeListOf<HTMLFontElement>;\r\n    getElementsByTagName(name: \"footer\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"foreignobject\"): NodeListOf<SVGForeignObjectElement>;\r\n    getElementsByTagName(name: \"form\"): NodeListOf<HTMLFormElement>;\r\n    getElementsByTagName(name: \"frame\"): NodeListOf<HTMLFrameElement>;\r\n    getElementsByTagName(name: \"frameset\"): NodeListOf<HTMLFrameSetElement>;\r\n    getElementsByTagName(name: \"g\"): NodeListOf<SVGGElement>;\r\n    getElementsByTagName(name: \"h1\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: \"h2\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: \"h3\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: \"h4\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: \"h5\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: \"h6\"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: \"head\"): NodeListOf<HTMLHeadElement>;\r\n    getElementsByTagName(name: \"header\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"hgroup\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"hr\"): NodeListOf<HTMLHRElement>;\r\n    getElementsByTagName(name: \"html\"): NodeListOf<HTMLHtmlElement>;\r\n    getElementsByTagName(name: \"i\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"iframe\"): NodeListOf<HTMLIFrameElement>;\r\n    getElementsByTagName(name: \"image\"): NodeListOf<SVGImageElement>;\r\n    getElementsByTagName(name: \"img\"): NodeListOf<HTMLImageElement>;\r\n    getElementsByTagName(name: \"input\"): NodeListOf<HTMLInputElement>;\r\n    getElementsByTagName(name: \"ins\"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(name: \"isindex\"): NodeListOf<HTMLUnknownElement>;\r\n    getElementsByTagName(name: \"kbd\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"keygen\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"label\"): NodeListOf<HTMLLabelElement>;\r\n    getElementsByTagName(name: \"legend\"): NodeListOf<HTMLLegendElement>;\r\n    getElementsByTagName(name: \"li\"): NodeListOf<HTMLLIElement>;\r\n    getElementsByTagName(name: \"line\"): NodeListOf<SVGLineElement>;\r\n    getElementsByTagName(name: \"lineargradient\"): NodeListOf<SVGLinearGradientElement>;\r\n    getElementsByTagName(name: \"link\"): NodeListOf<HTMLLinkElement>;\r\n    getElementsByTagName(name: \"listing\"): NodeListOf<HTMLPreElement>;\r\n    getElementsByTagName(name: \"map\"): NodeListOf<HTMLMapElement>;\r\n    getElementsByTagName(name: \"mark\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"marker\"): NodeListOf<SVGMarkerElement>;\r\n    getElementsByTagName(name: \"marquee\"): NodeListOf<HTMLMarqueeElement>;\r\n    getElementsByTagName(name: \"mask\"): NodeListOf<SVGMaskElement>;\r\n    getElementsByTagName(name: \"menu\"): NodeListOf<HTMLMenuElement>;\r\n    getElementsByTagName(name: \"meta\"): NodeListOf<HTMLMetaElement>;\r\n    getElementsByTagName(name: \"metadata\"): NodeListOf<SVGMetadataElement>;\r\n    getElementsByTagName(name: \"meter\"): NodeListOf<HTMLMeterElement>;\r\n    getElementsByTagName(name: \"nav\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"nextid\"): NodeListOf<HTMLUnknownElement>;\r\n    getElementsByTagName(name: \"nobr\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"noframes\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"noscript\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"object\"): NodeListOf<HTMLObjectElement>;\r\n    getElementsByTagName(name: \"ol\"): NodeListOf<HTMLOListElement>;\r\n    getElementsByTagName(name: \"optgroup\"): NodeListOf<HTMLOptGroupElement>;\r\n    getElementsByTagName(name: \"option\"): NodeListOf<HTMLOptionElement>;\r\n    getElementsByTagName(name: \"p\"): NodeListOf<HTMLParagraphElement>;\r\n    getElementsByTagName(name: \"param\"): NodeListOf<HTMLParamElement>;\r\n    getElementsByTagName(name: \"path\"): NodeListOf<SVGPathElement>;\r\n    getElementsByTagName(name: \"pattern\"): NodeListOf<SVGPatternElement>;\r\n    getElementsByTagName(name: \"picture\"): NodeListOf<HTMLPictureElement>;\r\n    getElementsByTagName(name: \"plaintext\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"polygon\"): NodeListOf<SVGPolygonElement>;\r\n    getElementsByTagName(name: \"polyline\"): NodeListOf<SVGPolylineElement>;\r\n    getElementsByTagName(name: \"pre\"): NodeListOf<HTMLPreElement>;\r\n    getElementsByTagName(name: \"progress\"): NodeListOf<HTMLProgressElement>;\r\n    getElementsByTagName(name: \"q\"): NodeListOf<HTMLQuoteElement>;\r\n    getElementsByTagName(name: \"radialgradient\"): NodeListOf<SVGRadialGradientElement>;\r\n    getElementsByTagName(name: \"rect\"): NodeListOf<SVGRectElement>;\r\n    getElementsByTagName(name: \"rt\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"ruby\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"s\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"samp\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"script\"): NodeListOf<HTMLScriptElement>;\r\n    getElementsByTagName(name: \"section\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"select\"): NodeListOf<HTMLSelectElement>;\r\n    getElementsByTagName(name: \"small\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"source\"): NodeListOf<HTMLSourceElement>;\r\n    getElementsByTagName(name: \"span\"): NodeListOf<HTMLSpanElement>;\r\n    getElementsByTagName(name: \"stop\"): NodeListOf<SVGStopElement>;\r\n    getElementsByTagName(name: \"strike\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"strong\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"style\"): NodeListOf<HTMLStyleElement>;\r\n    getElementsByTagName(name: \"sub\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"sup\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"svg\"): NodeListOf<SVGSVGElement>;\r\n    getElementsByTagName(name: \"switch\"): NodeListOf<SVGSwitchElement>;\r\n    getElementsByTagName(name: \"symbol\"): NodeListOf<SVGSymbolElement>;\r\n    getElementsByTagName(name: \"table\"): NodeListOf<HTMLTableElement>;\r\n    getElementsByTagName(name: \"tbody\"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(name: \"td\"): NodeListOf<HTMLTableDataCellElement>;\r\n    getElementsByTagName(name: \"template\"): NodeListOf<HTMLTemplateElement>;\r\n    getElementsByTagName(name: \"text\"): NodeListOf<SVGTextElement>;\r\n    getElementsByTagName(name: \"textpath\"): NodeListOf<SVGTextPathElement>;\r\n    getElementsByTagName(name: \"textarea\"): NodeListOf<HTMLTextAreaElement>;\r\n    getElementsByTagName(name: \"tfoot\"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(name: \"th\"): NodeListOf<HTMLTableHeaderCellElement>;\r\n    getElementsByTagName(name: \"thead\"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(name: \"title\"): NodeListOf<HTMLTitleElement>;\r\n    getElementsByTagName(name: \"tr\"): NodeListOf<HTMLTableRowElement>;\r\n    getElementsByTagName(name: \"track\"): NodeListOf<HTMLTrackElement>;\r\n    getElementsByTagName(name: \"tspan\"): NodeListOf<SVGTSpanElement>;\r\n    getElementsByTagName(name: \"tt\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"u\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"ul\"): NodeListOf<HTMLUListElement>;\r\n    getElementsByTagName(name: \"use\"): NodeListOf<SVGUseElement>;\r\n    getElementsByTagName(name: \"var\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"video\"): NodeListOf<HTMLVideoElement>;\r\n    getElementsByTagName(name: \"view\"): NodeListOf<SVGViewElement>;\r\n    getElementsByTagName(name: \"wbr\"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: \"x-ms-webview\"): NodeListOf<MSHTMLWebViewElement>;\r\n    getElementsByTagName(name: \"xmp\"): NodeListOf<HTMLPreElement>;\r\n    getElementsByTagName(name: string): NodeListOf<Element>;\r\n    getElementsByTagNameNS(namespaceURI: \"http://www.w3.org/1999/xhtml\", localName: string): HTMLCollectionOf<HTMLElement>;\r\n    getElementsByTagNameNS(namespaceURI: \"http://www.w3.org/2000/svg\", localName: string): HTMLCollectionOf<SVGElement>;\r\n    getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>;\r\n    hasAttribute(name: string): boolean;\r\n    hasAttributeNS(namespaceURI: string, localName: string): boolean;\r\n    msGetRegionContent(): MSRangeCollection;\r\n    msGetUntransformedBounds(): ClientRect;\r\n    msMatchesSelector(selectors: string): boolean;\r\n    msReleasePointerCapture(pointerId: number): void;\r\n    msSetPointerCapture(pointerId: number): void;\r\n    msZoomTo(args: MsZoomToOptions): void;\r\n    releasePointerCapture(pointerId: number): void;\r\n    removeAttribute(name?: string): void;\r\n    removeAttributeNS(namespaceURI: string, localName: string): void;\r\n    removeAttributeNode(oldAttr: Attr): Attr;\r\n    requestFullscreen(): void;\r\n    requestPointerLock(): void;\r\n    setAttribute(name: string, value: string): void;\r\n    setAttributeNS(namespaceURI: string, qualifiedName: string, value: string): void;\r\n    setAttributeNode(newAttr: Attr): Attr;\r\n    setAttributeNodeNS(newAttr: Attr): Attr;\r\n    setPointerCapture(pointerId: number): void;\r\n    webkitMatchesSelector(selectors: string): boolean;\r\n    webkitRequestFullScreen(): void;\r\n    webkitRequestFullscreen(): void;\r\n    getElementsByClassName(classNames: string): NodeListOf<Element>;\r\n    matches(selector: string): boolean;\r\n    closest(selector: string): Element | null;\r\n    scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void;\r\n    scroll(options?: ScrollToOptions): void;\r\n    scroll(x: number, y: number): void;\r\n    scrollTo(options?: ScrollToOptions): void;\r\n    scrollTo(x: number, y: number): void;\r\n    scrollBy(options?: ScrollToOptions): void;\r\n    scrollBy(x: number, y: number): void;\r\n    insertAdjacentElement(position: string, insertedElement: Element): Element | null;\r\n    insertAdjacentHTML(where: string, html: string): void;\r\n    insertAdjacentText(where: string, text: string): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Element: {\r\n    prototype: Element;\r\n    new(): Element;\r\n}\r\n\r\ninterface ErrorEvent extends Event {\r\n    readonly colno: number;\r\n    readonly error: any;\r\n    readonly filename: string;\r\n    readonly lineno: number;\r\n    readonly message: string;\r\n    initErrorEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, messageArg: string, filenameArg: string, linenoArg: number): void;\r\n}\r\n\r\ndeclare var ErrorEvent: {\r\n    prototype: ErrorEvent;\r\n    new(): ErrorEvent;\r\n}\r\n\r\ninterface Event {\r\n    readonly bubbles: boolean;\r\n    cancelBubble: boolean;\r\n    readonly cancelable: boolean;\r\n    readonly currentTarget: EventTarget;\r\n    readonly defaultPrevented: boolean;\r\n    readonly eventPhase: number;\r\n    readonly isTrusted: boolean;\r\n    returnValue: boolean;\r\n    readonly srcElement: Element | null;\r\n    readonly target: EventTarget;\r\n    readonly timeStamp: number;\r\n    readonly type: string;\r\n    initEvent(eventTypeArg: string, canBubbleArg: boolean, cancelableArg: boolean): void;\r\n    preventDefault(): void;\r\n    stopImmediatePropagation(): void;\r\n    stopPropagation(): void;\r\n    readonly AT_TARGET: number;\r\n    readonly BUBBLING_PHASE: number;\r\n    readonly CAPTURING_PHASE: number;\r\n}\r\n\r\ndeclare var Event: {\r\n    prototype: Event;\r\n    new(type: string, eventInitDict?: EventInit): Event;\r\n    readonly AT_TARGET: number;\r\n    readonly BUBBLING_PHASE: number;\r\n    readonly CAPTURING_PHASE: number;\r\n}\r\n\r\ninterface EventTarget {\r\n    addEventListener(type: string, listener?: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    dispatchEvent(evt: Event): boolean;\r\n    removeEventListener(type: string, listener?: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var EventTarget: {\r\n    prototype: EventTarget;\r\n    new(): EventTarget;\r\n}\r\n\r\ninterface External {\r\n}\r\n\r\ndeclare var External: {\r\n    prototype: External;\r\n    new(): External;\r\n}\r\n\r\ninterface File extends Blob {\r\n    readonly lastModifiedDate: any;\r\n    readonly name: string;\r\n    readonly webkitRelativePath: string;\r\n}\r\n\r\ndeclare var File: {\r\n    prototype: File;\r\n    new (parts: (ArrayBuffer | ArrayBufferView | Blob | string)[], filename: string, properties?: FilePropertyBag): File;\r\n}\r\n\r\ninterface FileList {\r\n    readonly length: number;\r\n    item(index: number): File;\r\n    [index: number]: File;\r\n}\r\n\r\ndeclare var FileList: {\r\n    prototype: FileList;\r\n    new(): FileList;\r\n}\r\n\r\ninterface FileReader extends EventTarget, MSBaseReader {\r\n    readonly error: DOMError;\r\n    readAsArrayBuffer(blob: Blob): void;\r\n    readAsBinaryString(blob: Blob): void;\r\n    readAsDataURL(blob: Blob): void;\r\n    readAsText(blob: Blob, encoding?: string): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var FileReader: {\r\n    prototype: FileReader;\r\n    new(): FileReader;\r\n}\r\n\r\ninterface FocusEvent extends UIEvent {\r\n    readonly relatedTarget: EventTarget;\r\n    initFocusEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, relatedTargetArg: EventTarget): void;\r\n}\r\n\r\ndeclare var FocusEvent: {\r\n    prototype: FocusEvent;\r\n    new(typeArg: string, eventInitDict?: FocusEventInit): FocusEvent;\r\n}\r\n\r\ninterface FormData {\r\n    append(name: any, value: any, blobName?: string): void;\r\n}\r\n\r\ndeclare var FormData: {\r\n    prototype: FormData;\r\n    new (form?: HTMLFormElement): FormData;\r\n}\r\n\r\ninterface GainNode extends AudioNode {\r\n    readonly gain: AudioParam;\r\n}\r\n\r\ndeclare var GainNode: {\r\n    prototype: GainNode;\r\n    new(): GainNode;\r\n}\r\n\r\ninterface Gamepad {\r\n    readonly axes: number[];\r\n    readonly buttons: GamepadButton[];\r\n    readonly connected: boolean;\r\n    readonly id: string;\r\n    readonly index: number;\r\n    readonly mapping: string;\r\n    readonly timestamp: number;\r\n}\r\n\r\ndeclare var Gamepad: {\r\n    prototype: Gamepad;\r\n    new(): Gamepad;\r\n}\r\n\r\ninterface GamepadButton {\r\n    readonly pressed: boolean;\r\n    readonly value: number;\r\n}\r\n\r\ndeclare var GamepadButton: {\r\n    prototype: GamepadButton;\r\n    new(): GamepadButton;\r\n}\r\n\r\ninterface GamepadEvent extends Event {\r\n    readonly gamepad: Gamepad;\r\n}\r\n\r\ndeclare var GamepadEvent: {\r\n    prototype: GamepadEvent;\r\n    new(): GamepadEvent;\r\n}\r\n\r\ninterface Geolocation {\r\n    clearWatch(watchId: number): void;\r\n    getCurrentPosition(successCallback: PositionCallback, errorCallback?: PositionErrorCallback, options?: PositionOptions): void;\r\n    watchPosition(successCallback: PositionCallback, errorCallback?: PositionErrorCallback, options?: PositionOptions): number;\r\n}\r\n\r\ndeclare var Geolocation: {\r\n    prototype: Geolocation;\r\n    new(): Geolocation;\r\n}\r\n\r\ninterface HTMLAllCollection extends HTMLCollection {\r\n    namedItem(name: string): Element;\r\n}\r\n\r\ndeclare var HTMLAllCollection: {\r\n    prototype: HTMLAllCollection;\r\n    new(): HTMLAllCollection;\r\n}\r\n\r\ninterface HTMLAnchorElement extends HTMLElement {\r\n    Methods: string;\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Sets or retrieves the coordinates of the object.\r\n      */\r\n    coords: string;\r\n    download: string;\r\n    /**\r\n      * Contains the anchor portion of the URL including the hash sign (#).\r\n      */\r\n    hash: string;\r\n    /**\r\n      * Contains the hostname and port values of the URL.\r\n      */\r\n    host: string;\r\n    /**\r\n      * Contains the hostname of a URL.\r\n      */\r\n    hostname: string;\r\n    /**\r\n      * Sets or retrieves a destination URL or an anchor point.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or retrieves the language code of the object.\r\n      */\r\n    hreflang: string;\r\n    readonly mimeType: string;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    name: string;\r\n    readonly nameProp: string;\r\n    /**\r\n      * Contains the pathname of the URL.\r\n      */\r\n    pathname: string;\r\n    /**\r\n      * Sets or retrieves the port number associated with a URL.\r\n      */\r\n    port: string;\r\n    /**\r\n      * Contains the protocol of the URL.\r\n      */\r\n    protocol: string;\r\n    readonly protocolLong: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rel: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rev: string;\r\n    /**\r\n      * Sets or retrieves the substring of the href property that follows the question mark.\r\n      */\r\n    search: string;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    shape: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /**\r\n      * Retrieves or sets the text of the object as a string. \r\n      */\r\n    text: string;\r\n    type: string;\r\n    urn: string;\r\n    /** \r\n      * Returns a string representation of an object.\r\n      */\r\n    toString(): string;\r\n}\r\n\r\ndeclare var HTMLAnchorElement: {\r\n    prototype: HTMLAnchorElement;\r\n    new(): HTMLAnchorElement;\r\n}\r\n\r\ninterface HTMLAppletElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a string of the URL where the object tag can be found. This is often the href of the document that the object is in, or the value set by a base element.\r\n      */\r\n    readonly BaseHref: string;\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Gets or sets the optional alternative HTML script to execute if the object fails to load.\r\n      */\r\n    altHtml: string;\r\n    /**\r\n      * Sets or retrieves a character string that can be used to implement your own archive functionality for the object.\r\n      */\r\n    archive: string;\r\n    border: string;\r\n    code: string;\r\n    /**\r\n      * Sets or retrieves the URL of the component.\r\n      */\r\n    codeBase: string;\r\n    /**\r\n      * Sets or retrieves the Internet media type for the code associated with the object.\r\n      */\r\n    codeType: string;\r\n    /**\r\n      * Address of a pointer to the document this page or frame contains. If there is no document, then null will be returned.\r\n      */\r\n    readonly contentDocument: Document;\r\n    /**\r\n      * Sets or retrieves the URL that references the data of the object.\r\n      */\r\n    data: string;\r\n    /**\r\n      * Sets or retrieves a character string that can be used to implement your own declare functionality for the object.\r\n      */\r\n    declare: boolean;\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    hspace: number;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    name: string;\r\n    object: string | null;\r\n    /**\r\n      * Sets or retrieves a message to be displayed while an object is loading.\r\n      */\r\n    standby: string;\r\n    /**\r\n      * Returns the content type of the object.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    vspace: number;\r\n    width: number;\r\n}\r\n\r\ndeclare var HTMLAppletElement: {\r\n    prototype: HTMLAppletElement;\r\n    new(): HTMLAppletElement;\r\n}\r\n\r\ninterface HTMLAreaElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Sets or retrieves the coordinates of the object.\r\n      */\r\n    coords: string;\r\n    download: string;\r\n    /**\r\n      * Sets or retrieves the subsection of the href property that follows the number sign (#).\r\n      */\r\n    hash: string;\r\n    /**\r\n      * Sets or retrieves the hostname and port number of the location or URL.\r\n      */\r\n    host: string;\r\n    /**\r\n      * Sets or retrieves the host name part of the location or URL. \r\n      */\r\n    hostname: string;\r\n    /**\r\n      * Sets or retrieves a destination URL or an anchor point.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or gets whether clicks in this region cause action.\r\n      */\r\n    noHref: boolean;\r\n    /**\r\n      * Sets or retrieves the file name or path specified by the object.\r\n      */\r\n    pathname: string;\r\n    /**\r\n      * Sets or retrieves the port number associated with a URL.\r\n      */\r\n    port: string;\r\n    /**\r\n      * Sets or retrieves the protocol portion of a URL.\r\n      */\r\n    protocol: string;\r\n    rel: string;\r\n    /**\r\n      * Sets or retrieves the substring of the href property that follows the question mark.\r\n      */\r\n    search: string;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    shape: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /** \r\n      * Returns a string representation of an object.\r\n      */\r\n    toString(): string;\r\n}\r\n\r\ndeclare var HTMLAreaElement: {\r\n    prototype: HTMLAreaElement;\r\n    new(): HTMLAreaElement;\r\n}\r\n\r\ninterface HTMLAreasCollection extends HTMLCollection {\r\n    /**\r\n      * Adds an element to the areas, controlRange, or options collection.\r\n      */\r\n    add(element: HTMLElement, before?: HTMLElement | number): void;\r\n    /**\r\n      * Removes an element from the collection.\r\n      */\r\n    remove(index?: number): void;\r\n}\r\n\r\ndeclare var HTMLAreasCollection: {\r\n    prototype: HTMLAreasCollection;\r\n    new(): HTMLAreasCollection;\r\n}\r\n\r\ninterface HTMLAudioElement extends HTMLMediaElement {\r\n}\r\n\r\ndeclare var HTMLAudioElement: {\r\n    prototype: HTMLAudioElement;\r\n    new(): HTMLAudioElement;\r\n}\r\n\r\ninterface HTMLBRElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the side on which floating objects are not to be positioned when any IHTMLBlockElement is inserted into the document.\r\n      */\r\n    clear: string;\r\n}\r\n\r\ndeclare var HTMLBRElement: {\r\n    prototype: HTMLBRElement;\r\n    new(): HTMLBRElement;\r\n}\r\n\r\ninterface HTMLBaseElement extends HTMLElement {\r\n    /**\r\n      * Gets or sets the baseline URL on which relative links are based.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n}\r\n\r\ndeclare var HTMLBaseElement: {\r\n    prototype: HTMLBaseElement;\r\n    new(): HTMLBaseElement;\r\n}\r\n\r\ninterface HTMLBaseFontElement extends HTMLElement, DOML2DeprecatedColorProperty {\r\n    /**\r\n      * Sets or retrieves the current typeface family.\r\n      */\r\n    face: string;\r\n    /**\r\n      * Sets or retrieves the font size of the object.\r\n      */\r\n    size: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLBaseFontElement: {\r\n    prototype: HTMLBaseFontElement;\r\n    new(): HTMLBaseFontElement;\r\n}\r\n\r\ninterface HTMLBodyElement extends HTMLElement {\r\n    aLink: any;\r\n    background: string;\r\n    bgColor: any;\r\n    bgProperties: string;\r\n    link: any;\r\n    noWrap: boolean;\r\n    onafterprint: (this: this, ev: Event) => any;\r\n    onbeforeprint: (this: this, ev: Event) => any;\r\n    onbeforeunload: (this: this, ev: BeforeUnloadEvent) => any;\r\n    onblur: (this: this, ev: FocusEvent) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    onfocus: (this: this, ev: FocusEvent) => any;\r\n    onhashchange: (this: this, ev: HashChangeEvent) => any;\r\n    onload: (this: this, ev: Event) => any;\r\n    onmessage: (this: this, ev: MessageEvent) => any;\r\n    onoffline: (this: this, ev: Event) => any;\r\n    ononline: (this: this, ev: Event) => any;\r\n    onorientationchange: (this: this, ev: Event) => any;\r\n    onpagehide: (this: this, ev: PageTransitionEvent) => any;\r\n    onpageshow: (this: this, ev: PageTransitionEvent) => any;\r\n    onpopstate: (this: this, ev: PopStateEvent) => any;\r\n    onresize: (this: this, ev: UIEvent) => any;\r\n    onstorage: (this: this, ev: StorageEvent) => any;\r\n    onunload: (this: this, ev: Event) => any;\r\n    text: any;\r\n    vLink: any;\r\n    addEventListener(type: \"MSContentZoom\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSManipulationStateChanged\", listener: (this: this, ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"activate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"afterprint\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecopy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforedeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforepaste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeprint\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeunload\", listener: (this: this, ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplay\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplaythrough\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"contextmenu\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"copy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cuechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"deactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drag\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragend\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragenter\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragleave\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragover\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragstart\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drop\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"durationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"emptied\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"hashchange\", listener: (this: this, ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"input\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"invalid\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keydown\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keypress\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keyup\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadeddata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadedmetadata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"message\", listener: (this: this, ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseenter\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseleave\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousewheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"offline\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"online\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"orientationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pagehide\", listener: (this: this, ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pageshow\", listener: (this: this, ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"paste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pause\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"play\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"playing\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"popstate\", listener: (this: this, ev: PopStateEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ratechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"reset\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"resize\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"select\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"selectstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stalled\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"storage\", listener: (this: this, ev: StorageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"submit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"suspend\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"unload\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"volumechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"waiting\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLBodyElement: {\r\n    prototype: HTMLBodyElement;\r\n    new(): HTMLBodyElement;\r\n}\r\n\r\ninterface HTMLButtonElement extends HTMLElement {\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Overrides the action attribute (where the data on a form is sent) on the parent form element.\r\n      */\r\n    formAction: string;\r\n    /**\r\n      * Used to override the encoding (formEnctype attribute) specified on the form element.\r\n      */\r\n    formEnctype: string;\r\n    /**\r\n      * Overrides the submit method attribute previously specified on a form element.\r\n      */\r\n    formMethod: string;\r\n    /**\r\n      * Overrides any validation or required attributes on a form or form elements to allow it to be submitted without validation. This can be used to create a \"save draft\"-type submit option.\r\n      */\r\n    formNoValidate: string;\r\n    /**\r\n      * Overrides the target attribute on a form element.\r\n      */\r\n    formTarget: string;\r\n    /** \r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    status: any;\r\n    /**\r\n      * Gets the classification and default behavior of the button.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as \"this is a required field\". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    readonly validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    readonly validity: ValidityState;\r\n    /** \r\n      * Sets or retrieves the default or selected value of the control.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    readonly willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n}\r\n\r\ndeclare var HTMLButtonElement: {\r\n    prototype: HTMLButtonElement;\r\n    new(): HTMLButtonElement;\r\n}\r\n\r\ninterface HTMLCanvasElement extends HTMLElement {\r\n    /**\r\n      * Gets or sets the height of a canvas element on a document.\r\n      */\r\n    height: number;\r\n    /**\r\n      * Gets or sets the width of a canvas element on a document.\r\n      */\r\n    width: number;\r\n    /**\r\n      * Returns an object that provides methods and properties for drawing and manipulating images and graphics on a canvas element in a document. A context object includes information about colors, line widths, fonts, and other graphic parameters that can be drawn on a canvas.\r\n      * @param contextId The identifier (ID) of the type of canvas to create. Internet Explorer 9 and Internet Explorer 10 support only a 2-D context using canvas.getContext(\"2d\"); IE11 Preview also supports 3-D or WebGL context using canvas.getContext(\"experimental-webgl\");\r\n      */\r\n    getContext(contextId: \"2d\", contextAttributes?: Canvas2DContextAttributes): CanvasRenderingContext2D | null;\r\n    getContext(contextId: \"webgl\" | \"experimental-webgl\", contextAttributes?: WebGLContextAttributes): WebGLRenderingContext | null;\r\n    getContext(contextId: string, contextAttributes?: {}): CanvasRenderingContext2D | WebGLRenderingContext | null;\r\n    /**\r\n      * Returns a blob object encoded as a Portable Network Graphics (PNG) format from a canvas image or drawing.\r\n      */\r\n    msToBlob(): Blob;\r\n    /**\r\n      * Returns the content of the current canvas as an image that you can use as a source for another canvas or an HTML element.\r\n      * @param type The standard MIME type for the image format to return. If you do not specify this parameter, the default value is a PNG format image.\r\n      */\r\n    toDataURL(type?: string, ...args: any[]): string;\r\n    toBlob(callback: (result: Blob | null) => void, type?: string, ...arguments: any[]): void;\r\n}\r\n\r\ndeclare var HTMLCanvasElement: {\r\n    prototype: HTMLCanvasElement;\r\n    new(): HTMLCanvasElement;\r\n}\r\n\r\ninterface HTMLCollection {\r\n    /**\r\n      * Sets or retrieves the number of objects in a collection.\r\n      */\r\n    readonly length: number;\r\n    /**\r\n      * Retrieves an object from various collections.\r\n      */\r\n    item(index: number): Element;\r\n    /**\r\n      * Retrieves a select object or an object from an options collection.\r\n      */\r\n    namedItem(name: string): Element;\r\n    [index: number]: Element;\r\n}\r\n\r\ndeclare var HTMLCollection: {\r\n    prototype: HTMLCollection;\r\n    new(): HTMLCollection;\r\n}\r\n\r\ninterface HTMLDListElement extends HTMLElement {\r\n    compact: boolean;\r\n}\r\n\r\ndeclare var HTMLDListElement: {\r\n    prototype: HTMLDListElement;\r\n    new(): HTMLDListElement;\r\n}\r\n\r\ninterface HTMLDataListElement extends HTMLElement {\r\n    options: HTMLCollectionOf<HTMLOptionElement>;\r\n}\r\n\r\ndeclare var HTMLDataListElement: {\r\n    prototype: HTMLDataListElement;\r\n    new(): HTMLDataListElement;\r\n}\r\n\r\ninterface HTMLDirectoryElement extends HTMLElement {\r\n    compact: boolean;\r\n}\r\n\r\ndeclare var HTMLDirectoryElement: {\r\n    prototype: HTMLDirectoryElement;\r\n    new(): HTMLDirectoryElement;\r\n}\r\n\r\ninterface HTMLDivElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text. \r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves whether the browser automatically performs wordwrap.\r\n      */\r\n    noWrap: boolean;\r\n}\r\n\r\ndeclare var HTMLDivElement: {\r\n    prototype: HTMLDivElement;\r\n    new(): HTMLDivElement;\r\n}\r\n\r\ninterface HTMLDocument extends Document {\r\n}\r\n\r\ndeclare var HTMLDocument: {\r\n    prototype: HTMLDocument;\r\n    new(): HTMLDocument;\r\n}\r\n\r\ninterface HTMLElement extends Element {\r\n    accessKey: string;\r\n    readonly children: HTMLCollection;\r\n    contentEditable: string;\r\n    readonly dataset: DOMStringMap;\r\n    dir: string;\r\n    draggable: boolean;\r\n    hidden: boolean;\r\n    hideFocus: boolean;\r\n    innerHTML: string;\r\n    innerText: string;\r\n    readonly isContentEditable: boolean;\r\n    lang: string;\r\n    readonly offsetHeight: number;\r\n    readonly offsetLeft: number;\r\n    readonly offsetParent: Element;\r\n    readonly offsetTop: number;\r\n    readonly offsetWidth: number;\r\n    onabort: (this: this, ev: UIEvent) => any;\r\n    onactivate: (this: this, ev: UIEvent) => any;\r\n    onbeforeactivate: (this: this, ev: UIEvent) => any;\r\n    onbeforecopy: (this: this, ev: ClipboardEvent) => any;\r\n    onbeforecut: (this: this, ev: ClipboardEvent) => any;\r\n    onbeforedeactivate: (this: this, ev: UIEvent) => any;\r\n    onbeforepaste: (this: this, ev: ClipboardEvent) => any;\r\n    onblur: (this: this, ev: FocusEvent) => any;\r\n    oncanplay: (this: this, ev: Event) => any;\r\n    oncanplaythrough: (this: this, ev: Event) => any;\r\n    onchange: (this: this, ev: Event) => any;\r\n    onclick: (this: this, ev: MouseEvent) => any;\r\n    oncontextmenu: (this: this, ev: PointerEvent) => any;\r\n    oncopy: (this: this, ev: ClipboardEvent) => any;\r\n    oncuechange: (this: this, ev: Event) => any;\r\n    oncut: (this: this, ev: ClipboardEvent) => any;\r\n    ondblclick: (this: this, ev: MouseEvent) => any;\r\n    ondeactivate: (this: this, ev: UIEvent) => any;\r\n    ondrag: (this: this, ev: DragEvent) => any;\r\n    ondragend: (this: this, ev: DragEvent) => any;\r\n    ondragenter: (this: this, ev: DragEvent) => any;\r\n    ondragleave: (this: this, ev: DragEvent) => any;\r\n    ondragover: (this: this, ev: DragEvent) => any;\r\n    ondragstart: (this: this, ev: DragEvent) => any;\r\n    ondrop: (this: this, ev: DragEvent) => any;\r\n    ondurationchange: (this: this, ev: Event) => any;\r\n    onemptied: (this: this, ev: Event) => any;\r\n    onended: (this: this, ev: MediaStreamErrorEvent) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    onfocus: (this: this, ev: FocusEvent) => any;\r\n    oninput: (this: this, ev: Event) => any;\r\n    oninvalid: (this: this, ev: Event) => any;\r\n    onkeydown: (this: this, ev: KeyboardEvent) => any;\r\n    onkeypress: (this: this, ev: KeyboardEvent) => any;\r\n    onkeyup: (this: this, ev: KeyboardEvent) => any;\r\n    onload: (this: this, ev: Event) => any;\r\n    onloadeddata: (this: this, ev: Event) => any;\r\n    onloadedmetadata: (this: this, ev: Event) => any;\r\n    onloadstart: (this: this, ev: Event) => any;\r\n    onmousedown: (this: this, ev: MouseEvent) => any;\r\n    onmouseenter: (this: this, ev: MouseEvent) => any;\r\n    onmouseleave: (this: this, ev: MouseEvent) => any;\r\n    onmousemove: (this: this, ev: MouseEvent) => any;\r\n    onmouseout: (this: this, ev: MouseEvent) => any;\r\n    onmouseover: (this: this, ev: MouseEvent) => any;\r\n    onmouseup: (this: this, ev: MouseEvent) => any;\r\n    onmousewheel: (this: this, ev: WheelEvent) => any;\r\n    onmscontentzoom: (this: this, ev: UIEvent) => any;\r\n    onmsmanipulationstatechanged: (this: this, ev: MSManipulationEvent) => any;\r\n    onpaste: (this: this, ev: ClipboardEvent) => any;\r\n    onpause: (this: this, ev: Event) => any;\r\n    onplay: (this: this, ev: Event) => any;\r\n    onplaying: (this: this, ev: Event) => any;\r\n    onprogress: (this: this, ev: ProgressEvent) => any;\r\n    onratechange: (this: this, ev: Event) => any;\r\n    onreset: (this: this, ev: Event) => any;\r\n    onscroll: (this: this, ev: UIEvent) => any;\r\n    onseeked: (this: this, ev: Event) => any;\r\n    onseeking: (this: this, ev: Event) => any;\r\n    onselect: (this: this, ev: UIEvent) => any;\r\n    onselectstart: (this: this, ev: Event) => any;\r\n    onstalled: (this: this, ev: Event) => any;\r\n    onsubmit: (this: this, ev: Event) => any;\r\n    onsuspend: (this: this, ev: Event) => any;\r\n    ontimeupdate: (this: this, ev: Event) => any;\r\n    onvolumechange: (this: this, ev: Event) => any;\r\n    onwaiting: (this: this, ev: Event) => any;\r\n    outerHTML: string;\r\n    outerText: string;\r\n    spellcheck: boolean;\r\n    readonly style: CSSStyleDeclaration;\r\n    tabIndex: number;\r\n    title: string;\r\n    blur(): void;\r\n    click(): void;\r\n    dragDrop(): boolean;\r\n    focus(): void;\r\n    msGetInputContext(): MSInputMethodContext;\r\n    setActive(): void;\r\n    addEventListener(type: \"MSContentZoom\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSManipulationStateChanged\", listener: (this: this, ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"activate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecopy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforedeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforepaste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplay\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplaythrough\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"contextmenu\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"copy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cuechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"deactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drag\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragend\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragenter\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragleave\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragover\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragstart\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drop\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"durationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"emptied\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"input\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"invalid\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keydown\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keypress\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keyup\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadeddata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadedmetadata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseenter\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseleave\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousewheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"paste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pause\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"play\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"playing\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ratechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"reset\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"select\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"selectstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stalled\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"submit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"suspend\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"volumechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"waiting\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLElement: {\r\n    prototype: HTMLElement;\r\n    new(): HTMLElement;\r\n}\r\n\r\ninterface HTMLEmbedElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    hidden: any;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    /**\r\n      * Gets or sets the path to the preferred media source. This enables the Play To target device to stream the media content, which can be DRM protected, from a different location, such as a cloud media server.\r\n      */\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    readonly msPlayToSource: any;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Retrieves the palette used for the embedded document.\r\n      */\r\n    readonly palette: string;\r\n    /**\r\n      * Retrieves the URL of the plug-in used to view an embedded document.\r\n      */\r\n    readonly pluginspage: string;\r\n    readonly readyState: string;\r\n    /**\r\n      * Sets or retrieves a URL to be loaded by the object.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Sets or retrieves the height and width units of the embed object.\r\n      */\r\n    units: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLEmbedElement: {\r\n    prototype: HTMLEmbedElement;\r\n    new(): HTMLEmbedElement;\r\n}\r\n\r\ninterface HTMLFieldSetElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as \"this is a required field\". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    readonly validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    readonly validity: ValidityState;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    readonly willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n}\r\n\r\ndeclare var HTMLFieldSetElement: {\r\n    prototype: HTMLFieldSetElement;\r\n    new(): HTMLFieldSetElement;\r\n}\r\n\r\ninterface HTMLFontElement extends HTMLElement, DOML2DeprecatedColorProperty, DOML2DeprecatedSizeProperty {\r\n    /**\r\n      * Sets or retrieves the current typeface family.\r\n      */\r\n    face: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLFontElement: {\r\n    prototype: HTMLFontElement;\r\n    new(): HTMLFontElement;\r\n}\r\n\r\ninterface HTMLFormElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a list of character encodings for input data that must be accepted by the server processing the form.\r\n      */\r\n    acceptCharset: string;\r\n    /**\r\n      * Sets or retrieves the URL to which the form content is sent for processing.\r\n      */\r\n    action: string;\r\n    /**\r\n      * Specifies whether autocomplete is applied to an editable text field.\r\n      */\r\n    autocomplete: string;\r\n    /**\r\n      * Retrieves a collection, in source order, of all controls in a given form.\r\n      */\r\n    readonly elements: HTMLCollection;\r\n    /**\r\n      * Sets or retrieves the MIME encoding for the form.\r\n      */\r\n    encoding: string;\r\n    /**\r\n      * Sets or retrieves the encoding type for the form.\r\n      */\r\n    enctype: string;\r\n    /**\r\n      * Sets or retrieves the number of objects in a collection.\r\n      */\r\n    readonly length: number;\r\n    /**\r\n      * Sets or retrieves how to send the form data to the server.\r\n      */\r\n    method: string;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Designates a form that is not validated when submitted.\r\n      */\r\n    noValidate: boolean;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Retrieves a form object or an object from an elements collection.\r\n      * @param name Variant of type Number or String that specifies the object or collection to retrieve. If this parameter is a Number, it is the zero-based index of the object. If this parameter is a string, all objects with matching name or id properties are retrieved, and a collection is returned if more than one match is made.\r\n      * @param index Variant of type Number that specifies the zero-based index of the object to retrieve when a collection is returned.\r\n      */\r\n    item(name?: any, index?: any): any;\r\n    /**\r\n      * Retrieves a form object or an object from an elements collection.\r\n      */\r\n    namedItem(name: string): any;\r\n    /**\r\n      * Fires when the user resets a form.\r\n      */\r\n    reset(): void;\r\n    /**\r\n      * Fires when a FORM is about to be submitted.\r\n      */\r\n    submit(): void;\r\n    [name: string]: any;\r\n}\r\n\r\ndeclare var HTMLFormElement: {\r\n    prototype: HTMLFormElement;\r\n    new(): HTMLFormElement;\r\n}\r\n\r\ninterface HTMLFrameElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Specifies the properties of a border drawn around an object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the border color of the object.\r\n      */\r\n    borderColor: any;\r\n    /**\r\n      * Retrieves the document object of the page or frame.\r\n      */\r\n    readonly contentDocument: Document;\r\n    /**\r\n      * Retrieves the object of the specified.\r\n      */\r\n    readonly contentWindow: Window;\r\n    /**\r\n      * Sets or retrieves whether to display a border for the frame.\r\n      */\r\n    frameBorder: string;\r\n    /**\r\n      * Sets or retrieves the amount of additional space between the frames.\r\n      */\r\n    frameSpacing: any;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string | number;\r\n    /**\r\n      * Sets or retrieves a URI to a long description of the object.\r\n      */\r\n    longDesc: string;\r\n    /**\r\n      * Sets or retrieves the top and bottom margin heights before displaying the text in a frame.\r\n      */\r\n    marginHeight: string;\r\n    /**\r\n      * Sets or retrieves the left and right margin widths before displaying the text in a frame.\r\n      */\r\n    marginWidth: string;\r\n    /**\r\n      * Sets or retrieves the frame name.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves whether the user can resize the frame.\r\n      */\r\n    noResize: boolean;\r\n    /**\r\n      * Raised when the object has been completely received from the server.\r\n      */\r\n    onload: (this: this, ev: Event) => any;\r\n    /**\r\n      * Sets or retrieves whether the frame can be scrolled.\r\n      */\r\n    scrolling: string;\r\n    /**\r\n      * Sets or retrieves a URL to be loaded by the object.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string | number;\r\n    addEventListener(type: \"MSContentZoom\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSManipulationStateChanged\", listener: (this: this, ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"activate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecopy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforedeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforepaste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplay\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplaythrough\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"contextmenu\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"copy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cuechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"deactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drag\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragend\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragenter\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragleave\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragover\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragstart\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drop\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"durationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"emptied\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"input\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"invalid\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keydown\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keypress\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keyup\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadeddata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadedmetadata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseenter\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseleave\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousewheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"paste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pause\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"play\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"playing\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ratechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"reset\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"select\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"selectstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stalled\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"submit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"suspend\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"volumechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"waiting\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLFrameElement: {\r\n    prototype: HTMLFrameElement;\r\n    new(): HTMLFrameElement;\r\n}\r\n\r\ninterface HTMLFrameSetElement extends HTMLElement {\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the border color of the object.\r\n      */\r\n    borderColor: any;\r\n    /**\r\n      * Sets or retrieves the frame widths of the object.\r\n      */\r\n    cols: string;\r\n    /**\r\n      * Sets or retrieves whether to display a border for the frame.\r\n      */\r\n    frameBorder: string;\r\n    /**\r\n      * Sets or retrieves the amount of additional space between the frames.\r\n      */\r\n    frameSpacing: any;\r\n    name: string;\r\n    onafterprint: (this: this, ev: Event) => any;\r\n    onbeforeprint: (this: this, ev: Event) => any;\r\n    onbeforeunload: (this: this, ev: BeforeUnloadEvent) => any;\r\n    /**\r\n      * Fires when the object loses the input focus.\r\n      */\r\n    onblur: (this: this, ev: FocusEvent) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    /**\r\n      * Fires when the object receives focus.\r\n      */\r\n    onfocus: (this: this, ev: FocusEvent) => any;\r\n    onhashchange: (this: this, ev: HashChangeEvent) => any;\r\n    onload: (this: this, ev: Event) => any;\r\n    onmessage: (this: this, ev: MessageEvent) => any;\r\n    onoffline: (this: this, ev: Event) => any;\r\n    ononline: (this: this, ev: Event) => any;\r\n    onorientationchange: (this: this, ev: Event) => any;\r\n    onpagehide: (this: this, ev: PageTransitionEvent) => any;\r\n    onpageshow: (this: this, ev: PageTransitionEvent) => any;\r\n    onresize: (this: this, ev: UIEvent) => any;\r\n    onstorage: (this: this, ev: StorageEvent) => any;\r\n    onunload: (this: this, ev: Event) => any;\r\n    /**\r\n      * Sets or retrieves the frame heights of the object.\r\n      */\r\n    rows: string;\r\n    addEventListener(type: \"MSContentZoom\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSManipulationStateChanged\", listener: (this: this, ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"activate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecopy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforedeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforepaste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeprint\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeunload\", listener: (this: this, ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplay\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplaythrough\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"contextmenu\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"copy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cuechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"deactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drag\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragend\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragenter\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragleave\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragover\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragstart\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drop\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"durationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"emptied\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"hashchange\", listener: (this: this, ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"input\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"invalid\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keydown\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keypress\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keyup\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadeddata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadedmetadata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"message\", listener: (this: this, ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseenter\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseleave\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousewheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"offline\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"online\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"orientationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pagehide\", listener: (this: this, ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pageshow\", listener: (this: this, ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"paste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pause\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"play\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"playing\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ratechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"reset\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"resize\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"select\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"selectstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stalled\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"storage\", listener: (this: this, ev: StorageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"submit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"suspend\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"unload\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"volumechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"waiting\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLFrameSetElement: {\r\n    prototype: HTMLFrameSetElement;\r\n    new(): HTMLFrameSetElement;\r\n}\r\n\r\ninterface HTMLHRElement extends HTMLElement, DOML2DeprecatedColorProperty, DOML2DeprecatedSizeProperty {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves whether the horizontal rule is drawn with 3-D shading.\r\n      */\r\n    noShade: boolean;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLHRElement: {\r\n    prototype: HTMLHRElement;\r\n    new(): HTMLHRElement;\r\n}\r\n\r\ninterface HTMLHeadElement extends HTMLElement {\r\n    profile: string;\r\n}\r\n\r\ndeclare var HTMLHeadElement: {\r\n    prototype: HTMLHeadElement;\r\n    new(): HTMLHeadElement;\r\n}\r\n\r\ninterface HTMLHeadingElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a value that indicates the table alignment.\r\n      */\r\n    align: string;\r\n}\r\n\r\ndeclare var HTMLHeadingElement: {\r\n    prototype: HTMLHeadingElement;\r\n    new(): HTMLHeadingElement;\r\n}\r\n\r\ninterface HTMLHtmlElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the DTD version that governs the current document.\r\n      */\r\n    version: string;\r\n}\r\n\r\ndeclare var HTMLHtmlElement: {\r\n    prototype: HTMLHtmlElement;\r\n    new(): HTMLHtmlElement;\r\n}\r\n\r\ninterface HTMLIFrameElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    allowFullscreen: boolean;\r\n    /**\r\n      * Specifies the properties of a border drawn around an object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Retrieves the document object of the page or frame.\r\n      */\r\n    readonly contentDocument: Document;\r\n    /**\r\n      * Retrieves the object of the specified.\r\n      */\r\n    readonly contentWindow: Window;\r\n    /**\r\n      * Sets or retrieves whether to display a border for the frame.\r\n      */\r\n    frameBorder: string;\r\n    /**\r\n      * Sets or retrieves the amount of additional space between the frames.\r\n      */\r\n    frameSpacing: any;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    /**\r\n      * Sets or retrieves the horizontal margin for the object.\r\n      */\r\n    hspace: number;\r\n    /**\r\n      * Sets or retrieves a URI to a long description of the object.\r\n      */\r\n    longDesc: string;\r\n    /**\r\n      * Sets or retrieves the top and bottom margin heights before displaying the text in a frame.\r\n      */\r\n    marginHeight: string;\r\n    /**\r\n      * Sets or retrieves the left and right margin widths before displaying the text in a frame.\r\n      */\r\n    marginWidth: string;\r\n    /**\r\n      * Sets or retrieves the frame name.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves whether the user can resize the frame.\r\n      */\r\n    noResize: boolean;\r\n    /**\r\n      * Raised when the object has been completely received from the server.\r\n      */\r\n    onload: (this: this, ev: Event) => any;\r\n    readonly sandbox: DOMSettableTokenList;\r\n    /**\r\n      * Sets or retrieves whether the frame can be scrolled.\r\n      */\r\n    scrolling: string;\r\n    /**\r\n      * Sets or retrieves a URL to be loaded by the object.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Sets or retrieves the vertical margin for the object.\r\n      */\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    addEventListener(type: \"MSContentZoom\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSManipulationStateChanged\", listener: (this: this, ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"activate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecopy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforedeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforepaste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplay\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplaythrough\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"contextmenu\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"copy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cuechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"deactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drag\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragend\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragenter\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragleave\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragover\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragstart\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drop\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"durationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"emptied\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"input\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"invalid\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keydown\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keypress\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keyup\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadeddata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadedmetadata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseenter\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseleave\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousewheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"paste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pause\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"play\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"playing\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ratechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"reset\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"select\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"selectstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stalled\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"submit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"suspend\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"volumechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"waiting\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLIFrameElement: {\r\n    prototype: HTMLIFrameElement;\r\n    new(): HTMLIFrameElement;\r\n}\r\n\r\ninterface HTMLImageElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Specifies the properties of a border drawn around an object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Retrieves whether the object is fully loaded.\r\n      */\r\n    readonly complete: boolean;\r\n    crossOrigin: string;\r\n    readonly currentSrc: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: number;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    hspace: number;\r\n    /**\r\n      * Sets or retrieves whether the image is a server-side image map.\r\n      */\r\n    isMap: boolean;\r\n    /**\r\n      * Sets or retrieves a Uniform Resource Identifier (URI) to a long description of the object.\r\n      */\r\n    longDesc: string;\r\n    lowsrc: string;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    readonly msPlayToSource: any;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * The original height of the image resource before sizing.\r\n      */\r\n    readonly naturalHeight: number;\r\n    /**\r\n      * The original width of the image resource before sizing.\r\n      */\r\n    readonly naturalWidth: number;\r\n    sizes: string;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    srcset: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    /**\r\n      * Sets or retrieves the vertical margin for the object.\r\n      */\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: number;\r\n    readonly x: number;\r\n    readonly y: number;\r\n    msGetAsCastingSource(): any;\r\n}\r\n\r\ndeclare var HTMLImageElement: {\r\n    prototype: HTMLImageElement;\r\n    new(): HTMLImageElement;\r\n    create(): HTMLImageElement;\r\n}\r\n\r\ninterface HTMLInputElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a comma-separated list of content types.\r\n      */\r\n    accept: string;\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Specifies whether autocomplete is applied to an editable text field.\r\n      */\r\n    autocomplete: string;\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the state of the check box or radio button.\r\n      */\r\n    checked: boolean;\r\n    /**\r\n      * Retrieves whether the object is fully loaded.\r\n      */\r\n    readonly complete: boolean;\r\n    /**\r\n      * Sets or retrieves the state of the check box or radio button.\r\n      */\r\n    defaultChecked: boolean;\r\n    /**\r\n      * Sets or retrieves the initial contents of the object.\r\n      */\r\n    defaultValue: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Returns a FileList object on a file type input object.\r\n      */\r\n    readonly files: FileList | null;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in. \r\n      */\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Overrides the action attribute (where the data on a form is sent) on the parent form element.\r\n      */\r\n    formAction: string;\r\n    /**\r\n      * Used to override the encoding (formEnctype attribute) specified on the form element.\r\n      */\r\n    formEnctype: string;\r\n    /**\r\n      * Overrides the submit method attribute previously specified on a form element.\r\n      */\r\n    formMethod: string;\r\n    /**\r\n      * Overrides any validation or required attributes on a form or form elements to allow it to be submitted without validation. This can be used to create a \"save draft\"-type submit option.\r\n      */\r\n    formNoValidate: string;\r\n    /**\r\n      * Overrides the target attribute on a form element.\r\n      */\r\n    formTarget: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    hspace: number;\r\n    indeterminate: boolean;\r\n    /**\r\n      * Specifies the ID of a pre-defined datalist of options for an input element.\r\n      */\r\n    readonly list: HTMLElement;\r\n    /**\r\n      * Defines the maximum acceptable value for an input element with type=\"number\".When used with the min and step attributes, lets you control the range and increment (such as only even numbers) that the user can enter into an input field.\r\n      */\r\n    max: string;\r\n    /**\r\n      * Sets or retrieves the maximum number of characters that the user can enter in a text control.\r\n      */\r\n    maxLength: number;\r\n    /**\r\n      * Defines the minimum acceptable value for an input element with type=\"number\". When used with the max and step attributes, lets you control the range and increment (such as even numbers only) that the user can enter into an input field.\r\n      */\r\n    min: string;\r\n    /**\r\n      * Sets or retrieves the Boolean value indicating whether multiple items can be selected from a list.\r\n      */\r\n    multiple: boolean;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Gets or sets a string containing a regular expression that the user's input must match.\r\n      */\r\n    pattern: string;\r\n    /**\r\n      * Gets or sets a text string that is displayed in an input field as a hint or prompt to users as the format or type of information they need to enter.The text appears in an input field until the user puts focus on the field.\r\n      */\r\n    placeholder: string;\r\n    readOnly: boolean;\r\n    /**\r\n      * When present, marks an element that can't be submitted without a value.\r\n      */\r\n    required: boolean;\r\n    selectionDirection: string;\r\n    /**\r\n      * Gets or sets the end position or offset of a text selection.\r\n      */\r\n    selectionEnd: number;\r\n    /**\r\n      * Gets or sets the starting position or offset of a text selection.\r\n      */\r\n    selectionStart: number;\r\n    size: number;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    status: boolean;\r\n    /**\r\n      * Defines an increment or jump between values that you want to allow the user to enter. When used with the max and min attributes, lets you control the range and increment (for example, allow only even numbers) that the user can enter into an input field.\r\n      */\r\n    step: string;\r\n    /**\r\n      * Returns the content type of the object.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as \"this is a required field\". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    readonly validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    readonly validity: ValidityState;\r\n    /**\r\n      * Returns the value of the data at the cursor's current position.\r\n      */\r\n    value: string;\r\n    valueAsDate: Date;\r\n    /**\r\n      * Returns the input field value as a number.\r\n      */\r\n    valueAsNumber: number;\r\n    /**\r\n      * Sets or retrieves the vertical margin for the object.\r\n      */\r\n    vspace: number;\r\n    webkitdirectory: boolean;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    readonly willValidate: boolean;\r\n    minLength: number;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Makes the selection equal to the current object.\r\n      */\r\n    select(): void;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    /**\r\n      * Sets the start and end positions of a selection in a text field.\r\n      * @param start The offset into the text field for the start of the selection.\r\n      * @param end The offset into the text field for the end of the selection.\r\n      */\r\n    setSelectionRange(start?: number, end?: number, direction?: string): void;\r\n    /**\r\n      * Decrements a range input control's value by the value given by the Step attribute. If the optional parameter is used, it will decrement the input control's step value multiplied by the parameter's value.\r\n      * @param n Value to decrement the value by.\r\n      */\r\n    stepDown(n?: number): void;\r\n    /**\r\n      * Increments a range input control's value by the value given by the Step attribute. If the optional parameter is used, will increment the input control's value by that value.\r\n      * @param n Value to increment the value by.\r\n      */\r\n    stepUp(n?: number): void;\r\n}\r\n\r\ndeclare var HTMLInputElement: {\r\n    prototype: HTMLInputElement;\r\n    new(): HTMLInputElement;\r\n}\r\n\r\ninterface HTMLLIElement extends HTMLElement {\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the value of a list item.\r\n      */\r\n    value: number;\r\n}\r\n\r\ndeclare var HTMLLIElement: {\r\n    prototype: HTMLLIElement;\r\n    new(): HTMLLIElement;\r\n}\r\n\r\ninterface HTMLLabelElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the object to which the given label object is assigned.\r\n      */\r\n    htmlFor: string;\r\n}\r\n\r\ndeclare var HTMLLabelElement: {\r\n    prototype: HTMLLabelElement;\r\n    new(): HTMLLabelElement;\r\n}\r\n\r\ninterface HTMLLegendElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    readonly form: HTMLFormElement;\r\n}\r\n\r\ndeclare var HTMLLegendElement: {\r\n    prototype: HTMLLegendElement;\r\n    new(): HTMLLegendElement;\r\n}\r\n\r\ninterface HTMLLinkElement extends HTMLElement, LinkStyle {\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Sets or retrieves a destination URL or an anchor point.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or retrieves the language code of the object.\r\n      */\r\n    hreflang: string;\r\n    /**\r\n      * Sets or retrieves the media type.\r\n      */\r\n    media: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rel: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rev: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /**\r\n      * Sets or retrieves the MIME type of the object.\r\n      */\r\n    type: string;\r\n    import?: Document;\r\n    integrity: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLLinkElement: {\r\n    prototype: HTMLLinkElement;\r\n    new(): HTMLLinkElement;\r\n}\r\n\r\ninterface HTMLMapElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a collection of the area objects defined for the given map object.\r\n      */\r\n    readonly areas: HTMLAreasCollection;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n}\r\n\r\ndeclare var HTMLMapElement: {\r\n    prototype: HTMLMapElement;\r\n    new(): HTMLMapElement;\r\n}\r\n\r\ninterface HTMLMarqueeElement extends HTMLElement {\r\n    behavior: string;\r\n    bgColor: any;\r\n    direction: string;\r\n    height: string;\r\n    hspace: number;\r\n    loop: number;\r\n    onbounce: (this: this, ev: Event) => any;\r\n    onfinish: (this: this, ev: Event) => any;\r\n    onstart: (this: this, ev: Event) => any;\r\n    scrollAmount: number;\r\n    scrollDelay: number;\r\n    trueSpeed: boolean;\r\n    vspace: number;\r\n    width: string;\r\n    start(): void;\r\n    stop(): void;\r\n    addEventListener(type: \"MSContentZoom\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSManipulationStateChanged\", listener: (this: this, ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"activate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecopy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforedeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforepaste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"bounce\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplay\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplaythrough\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"contextmenu\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"copy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cuechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"deactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drag\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragend\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragenter\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragleave\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragover\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragstart\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drop\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"durationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"emptied\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"finish\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"input\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"invalid\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keydown\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keypress\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keyup\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadeddata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadedmetadata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseenter\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseleave\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousewheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"paste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pause\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"play\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"playing\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ratechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"reset\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"select\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"selectstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stalled\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"start\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"submit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"suspend\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"volumechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"waiting\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLMarqueeElement: {\r\n    prototype: HTMLMarqueeElement;\r\n    new(): HTMLMarqueeElement;\r\n}\r\n\r\ninterface HTMLMediaElement extends HTMLElement {\r\n    /**\r\n      * Returns an AudioTrackList object with the audio tracks for a given video element.\r\n      */\r\n    readonly audioTracks: AudioTrackList;\r\n    /**\r\n      * Gets or sets a value that indicates whether to start playing the media automatically.\r\n      */\r\n    autoplay: boolean;\r\n    /**\r\n      * Gets a collection of buffered time ranges.\r\n      */\r\n    readonly buffered: TimeRanges;\r\n    /**\r\n      * Gets or sets a flag that indicates whether the client provides a set of controls for the media (in case the developer does not include controls for the player).\r\n      */\r\n    controls: boolean;\r\n    crossOrigin: string;\r\n    /**\r\n      * Gets the address or URL of the current media resource that is selected by IHTMLMediaElement.\r\n      */\r\n    readonly currentSrc: string;\r\n    /**\r\n      * Gets or sets the current playback position, in seconds.\r\n      */\r\n    currentTime: number;\r\n    defaultMuted: boolean;\r\n    /**\r\n      * Gets or sets the default playback rate when the user is not using fast forward or reverse for a video or audio resource.\r\n      */\r\n    defaultPlaybackRate: number;\r\n    /**\r\n      * Returns the duration in seconds of the current media resource. A NaN value is returned if duration is not available, or Infinity if the media resource is streaming.\r\n      */\r\n    readonly duration: number;\r\n    /**\r\n      * Gets information about whether the playback has ended or not.\r\n      */\r\n    readonly ended: boolean;\r\n    /**\r\n      * Returns an object representing the current error state of the audio or video element.\r\n      */\r\n    readonly error: MediaError;\r\n    /**\r\n      * Gets or sets a flag to specify whether playback should restart after it completes.\r\n      */\r\n    loop: boolean;\r\n    readonly mediaKeys: MediaKeys | null;\r\n    /**\r\n      * Specifies the purpose of the audio or video media, such as background audio or alerts.\r\n      */\r\n    msAudioCategory: string;\r\n    /**\r\n      * Specifies the output device id that the audio will be sent to.\r\n      */\r\n    msAudioDeviceType: string;\r\n    readonly msGraphicsTrustStatus: MSGraphicsTrust;\r\n    /**\r\n      * Gets the MSMediaKeys object, which is used for decrypting media data, that is associated with this media element.\r\n      */\r\n    readonly msKeys: MSMediaKeys;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    /**\r\n      * Gets or sets the path to the preferred media source. This enables the Play To target device to stream the media content, which can be DRM protected, from a different location, such as a cloud media server.\r\n      */\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    readonly msPlayToSource: any;\r\n    /**\r\n      * Specifies whether or not to enable low-latency playback on the media element.\r\n      */\r\n    msRealTime: boolean;\r\n    /**\r\n      * Gets or sets a flag that indicates whether the audio (either audio or the audio track on video media) is muted.\r\n      */\r\n    muted: boolean;\r\n    /**\r\n      * Gets the current network activity for the element.\r\n      */\r\n    readonly networkState: number;\r\n    onencrypted: (this: this, ev: MediaEncryptedEvent) => any;\r\n    onmsneedkey: (this: this, ev: MSMediaKeyNeededEvent) => any;\r\n    /**\r\n      * Gets a flag that specifies whether playback is paused.\r\n      */\r\n    readonly paused: boolean;\r\n    /**\r\n      * Gets or sets the current rate of speed for the media resource to play. This speed is expressed as a multiple of the normal speed of the media resource.\r\n      */\r\n    playbackRate: number;\r\n    /**\r\n      * Gets TimeRanges for the current media resource that has been played.\r\n      */\r\n    readonly played: TimeRanges;\r\n    /**\r\n      * Gets or sets the current playback position, in seconds.\r\n      */\r\n    preload: string;\r\n    readyState: number;\r\n    /**\r\n      * Returns a TimeRanges object that represents the ranges of the current media resource that can be seeked.\r\n      */\r\n    readonly seekable: TimeRanges;\r\n    /**\r\n      * Gets a flag that indicates whether the the client is currently moving to a new playback position in the media resource.\r\n      */\r\n    readonly seeking: boolean;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    srcObject: MediaStream | null;\r\n    readonly textTracks: TextTrackList;\r\n    readonly videoTracks: VideoTrackList;\r\n    /**\r\n      * Gets or sets the volume level for audio portions of the media element.\r\n      */\r\n    volume: number;\r\n    addTextTrack(kind: string, label?: string, language?: string): TextTrack;\r\n    /**\r\n      * Returns a string that specifies whether the client can play a given media resource type.\r\n      */\r\n    canPlayType(type: string): string;\r\n    /**\r\n      * Resets the audio or video object and loads a new media resource.\r\n      */\r\n    load(): void;\r\n    /**\r\n      * Clears all effects from the media pipeline.\r\n      */\r\n    msClearEffects(): void;\r\n    msGetAsCastingSource(): any;\r\n    /**\r\n      * Inserts the specified audio effect into media pipeline.\r\n      */\r\n    msInsertAudioEffect(activatableClassId: string, effectRequired: boolean, config?: any): void;\r\n    msSetMediaKeys(mediaKeys: MSMediaKeys): void;\r\n    /**\r\n      * Specifies the media protection manager for a given media pipeline.\r\n      */\r\n    msSetMediaProtectionManager(mediaProtectionManager?: any): void;\r\n    /**\r\n      * Pauses the current playback and sets paused to TRUE. This can be used to test whether the media is playing or paused. You can also use the pause or play events to tell whether the media is playing or not.\r\n      */\r\n    pause(): void;\r\n    /**\r\n      * Loads and starts playback of a media resource.\r\n      */\r\n    play(): void;\r\n    setMediaKeys(mediaKeys: MediaKeys | null): PromiseLike<void>;\r\n    readonly HAVE_CURRENT_DATA: number;\r\n    readonly HAVE_ENOUGH_DATA: number;\r\n    readonly HAVE_FUTURE_DATA: number;\r\n    readonly HAVE_METADATA: number;\r\n    readonly HAVE_NOTHING: number;\r\n    readonly NETWORK_EMPTY: number;\r\n    readonly NETWORK_IDLE: number;\r\n    readonly NETWORK_LOADING: number;\r\n    readonly NETWORK_NO_SOURCE: number;\r\n    addEventListener(type: \"MSContentZoom\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSManipulationStateChanged\", listener: (this: this, ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"activate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecopy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforedeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforepaste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplay\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplaythrough\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"contextmenu\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"copy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cuechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"deactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drag\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragend\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragenter\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragleave\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragover\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragstart\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drop\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"durationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"emptied\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"encrypted\", listener: (this: this, ev: MediaEncryptedEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"input\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"invalid\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keydown\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keypress\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keyup\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadeddata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadedmetadata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseenter\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseleave\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousewheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"msneedkey\", listener: (this: this, ev: MSMediaKeyNeededEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"paste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pause\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"play\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"playing\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ratechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"reset\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"select\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"selectstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stalled\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"submit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"suspend\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"volumechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"waiting\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLMediaElement: {\r\n    prototype: HTMLMediaElement;\r\n    new(): HTMLMediaElement;\r\n    readonly HAVE_CURRENT_DATA: number;\r\n    readonly HAVE_ENOUGH_DATA: number;\r\n    readonly HAVE_FUTURE_DATA: number;\r\n    readonly HAVE_METADATA: number;\r\n    readonly HAVE_NOTHING: number;\r\n    readonly NETWORK_EMPTY: number;\r\n    readonly NETWORK_IDLE: number;\r\n    readonly NETWORK_LOADING: number;\r\n    readonly NETWORK_NO_SOURCE: number;\r\n}\r\n\r\ninterface HTMLMenuElement extends HTMLElement {\r\n    compact: boolean;\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLMenuElement: {\r\n    prototype: HTMLMenuElement;\r\n    new(): HTMLMenuElement;\r\n}\r\n\r\ninterface HTMLMetaElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Gets or sets meta-information to associate with httpEquiv or name.\r\n      */\r\n    content: string;\r\n    /**\r\n      * Gets or sets information used to bind the value of a content attribute of a meta element to an HTTP response header.\r\n      */\r\n    httpEquiv: string;\r\n    /**\r\n      * Sets or retrieves the value specified in the content attribute of the meta object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves a scheme to be used in interpreting the value of a property specified for the object.\r\n      */\r\n    scheme: string;\r\n    /**\r\n      * Sets or retrieves the URL property that will be loaded after the specified time has elapsed. \r\n      */\r\n    url: string;\r\n}\r\n\r\ndeclare var HTMLMetaElement: {\r\n    prototype: HTMLMetaElement;\r\n    new(): HTMLMetaElement;\r\n}\r\n\r\ninterface HTMLMeterElement extends HTMLElement {\r\n    high: number;\r\n    low: number;\r\n    max: number;\r\n    min: number;\r\n    optimum: number;\r\n    value: number;\r\n}\r\n\r\ndeclare var HTMLMeterElement: {\r\n    prototype: HTMLMeterElement;\r\n    new(): HTMLMeterElement;\r\n}\r\n\r\ninterface HTMLModElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves reference information about the object.\r\n      */\r\n    cite: string;\r\n    /**\r\n      * Sets or retrieves the date and time of a modification to the object.\r\n      */\r\n    dateTime: string;\r\n}\r\n\r\ndeclare var HTMLModElement: {\r\n    prototype: HTMLModElement;\r\n    new(): HTMLModElement;\r\n}\r\n\r\ninterface HTMLOListElement extends HTMLElement {\r\n    compact: boolean;\r\n    /**\r\n      * The starting number.\r\n      */\r\n    start: number;\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLOListElement: {\r\n    prototype: HTMLOListElement;\r\n    new(): HTMLOListElement;\r\n}\r\n\r\ninterface HTMLObjectElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Retrieves a string of the URL where the object tag can be found. This is often the href of the document that the object is in, or the value set by a base element.\r\n      */\r\n    readonly BaseHref: string;\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Gets or sets the optional alternative HTML script to execute if the object fails to load.\r\n      */\r\n    altHtml: string;\r\n    /**\r\n      * Sets or retrieves a character string that can be used to implement your own archive functionality for the object.\r\n      */\r\n    archive: string;\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the URL of the file containing the compiled Java class.\r\n      */\r\n    code: string;\r\n    /**\r\n      * Sets or retrieves the URL of the component.\r\n      */\r\n    codeBase: string;\r\n    /**\r\n      * Sets or retrieves the Internet media type for the code associated with the object.\r\n      */\r\n    codeType: string;\r\n    /**\r\n      * Retrieves the document object of the page or frame.\r\n      */\r\n    readonly contentDocument: Document;\r\n    /**\r\n      * Sets or retrieves the URL that references the data of the object.\r\n      */\r\n    data: string;\r\n    declare: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    hspace: number;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    /**\r\n      * Gets or sets the path to the preferred media source. This enables the Play To target device to stream the media content, which can be DRM protected, from a different location, such as a cloud media server.\r\n      */\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    readonly msPlayToSource: any;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Retrieves the contained object.\r\n      */\r\n    readonly object: any;\r\n    readonly readyState: number;\r\n    /**\r\n      * Sets or retrieves a message to be displayed while an object is loading.\r\n      */\r\n    standby: string;\r\n    /**\r\n      * Sets or retrieves the MIME type of the object.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as \"this is a required field\". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    readonly validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    readonly validity: ValidityState;\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    readonly willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLObjectElement: {\r\n    prototype: HTMLObjectElement;\r\n    new(): HTMLObjectElement;\r\n}\r\n\r\ninterface HTMLOptGroupElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the status of an option.\r\n      */\r\n    defaultSelected: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the ordinal position of an option in a list box.\r\n      */\r\n    readonly index: number;\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own label functionality for the object.\r\n      */\r\n    label: string;\r\n    /**\r\n      * Sets or retrieves whether the option in the list box is the default item.\r\n      */\r\n    selected: boolean;\r\n    /**\r\n      * Sets or retrieves the text string specified by the option tag.\r\n      */\r\n    readonly text: string;\r\n    /**\r\n      * Sets or retrieves the value which is returned to the server when the form control is submitted.\r\n      */\r\n    value: string;\r\n}\r\n\r\ndeclare var HTMLOptGroupElement: {\r\n    prototype: HTMLOptGroupElement;\r\n    new(): HTMLOptGroupElement;\r\n}\r\n\r\ninterface HTMLOptionElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the status of an option.\r\n      */\r\n    defaultSelected: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the ordinal position of an option in a list box.\r\n      */\r\n    readonly index: number;\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own label functionality for the object.\r\n      */\r\n    label: string;\r\n    /**\r\n      * Sets or retrieves whether the option in the list box is the default item.\r\n      */\r\n    selected: boolean;\r\n    /**\r\n      * Sets or retrieves the text string specified by the option tag.\r\n      */\r\n    text: string;\r\n    /**\r\n      * Sets or retrieves the value which is returned to the server when the form control is submitted.\r\n      */\r\n    value: string;\r\n}\r\n\r\ndeclare var HTMLOptionElement: {\r\n    prototype: HTMLOptionElement;\r\n    new(): HTMLOptionElement;\r\n    create(): HTMLOptionElement;\r\n}\r\n\r\ninterface HTMLOptionsCollection extends HTMLCollectionOf<HTMLOptionElement> {\r\n    length: number;\r\n    selectedIndex: number;\r\n    add(element: HTMLOptionElement | HTMLOptGroupElement, before?: HTMLElement | number): void;\r\n    remove(index: number): void;\r\n}\r\n\r\ndeclare var HTMLOptionsCollection: {\r\n    prototype: HTMLOptionsCollection;\r\n    new(): HTMLOptionsCollection;\r\n}\r\n\r\ninterface HTMLParagraphElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text. \r\n      */\r\n    align: string;\r\n    clear: string;\r\n}\r\n\r\ndeclare var HTMLParagraphElement: {\r\n    prototype: HTMLParagraphElement;\r\n    new(): HTMLParagraphElement;\r\n}\r\n\r\ninterface HTMLParamElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the name of an input parameter for an element.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves the content type of the resource designated by the value attribute.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the value of an input parameter for an element.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Sets or retrieves the data type of the value attribute.\r\n      */\r\n    valueType: string;\r\n}\r\n\r\ndeclare var HTMLParamElement: {\r\n    prototype: HTMLParamElement;\r\n    new(): HTMLParamElement;\r\n}\r\n\r\ninterface HTMLPictureElement extends HTMLElement {\r\n}\r\n\r\ndeclare var HTMLPictureElement: {\r\n    prototype: HTMLPictureElement;\r\n    new(): HTMLPictureElement;\r\n}\r\n\r\ninterface HTMLPreElement extends HTMLElement {\r\n    /**\r\n      * Sets or gets a value that you can use to implement your own width functionality for the object.\r\n      */\r\n    width: number;\r\n}\r\n\r\ndeclare var HTMLPreElement: {\r\n    prototype: HTMLPreElement;\r\n    new(): HTMLPreElement;\r\n}\r\n\r\ninterface HTMLProgressElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Defines the maximum, or \"done\" value for a progress element.\r\n      */\r\n    max: number;\r\n    /**\r\n      * Returns the quotient of value/max when the value attribute is set (determinate progress bar), or -1 when the value attribute is missing (indeterminate progress bar).\r\n      */\r\n    readonly position: number;\r\n    /**\r\n      * Sets or gets the current value of a progress element. The value must be a non-negative number between 0 and the max value.\r\n      */\r\n    value: number;\r\n}\r\n\r\ndeclare var HTMLProgressElement: {\r\n    prototype: HTMLProgressElement;\r\n    new(): HTMLProgressElement;\r\n}\r\n\r\ninterface HTMLQuoteElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves reference information about the object.\r\n      */\r\n    cite: string;\r\n}\r\n\r\ndeclare var HTMLQuoteElement: {\r\n    prototype: HTMLQuoteElement;\r\n    new(): HTMLQuoteElement;\r\n}\r\n\r\ninterface HTMLScriptElement extends HTMLElement {\r\n    async: boolean;\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Sets or retrieves the status of the script.\r\n      */\r\n    defer: boolean;\r\n    /**\r\n      * Sets or retrieves the event for which the script is written. \r\n      */\r\n    event: string;\r\n    /** \r\n      * Sets or retrieves the object that is bound to the event script.\r\n      */\r\n    htmlFor: string;\r\n    /**\r\n      * Retrieves the URL to an external file that contains the source code or data.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Retrieves or sets the text of the object as a string. \r\n      */\r\n    text: string;\r\n    /**\r\n      * Sets or retrieves the MIME type for the associated scripting engine.\r\n      */\r\n    type: string;\r\n    integrity: string;\r\n}\r\n\r\ndeclare var HTMLScriptElement: {\r\n    prototype: HTMLScriptElement;\r\n    new(): HTMLScriptElement;\r\n}\r\n\r\ninterface HTMLSelectElement extends HTMLElement {\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in. \r\n      */\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the number of objects in a collection.\r\n      */\r\n    length: number;\r\n    /**\r\n      * Sets or retrieves the Boolean value indicating whether multiple items can be selected from a list.\r\n      */\r\n    multiple: boolean;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    readonly options: HTMLOptionsCollection;\r\n    /**\r\n      * When present, marks an element that can't be submitted without a value.\r\n      */\r\n    required: boolean;\r\n    /**\r\n      * Sets or retrieves the index of the selected option in a select object.\r\n      */\r\n    selectedIndex: number;\r\n    selectedOptions: HTMLCollectionOf<HTMLOptionElement>;\r\n    /**\r\n      * Sets or retrieves the number of rows in the list box. \r\n      */\r\n    size: number;\r\n    /**\r\n      * Retrieves the type of select control based on the value of the MULTIPLE attribute.\r\n      */\r\n    readonly type: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as \"this is a required field\". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    readonly validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    readonly validity: ValidityState;\r\n    /**\r\n      * Sets or retrieves the value which is returned to the server when the form control is submitted.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    readonly willValidate: boolean;\r\n    /**\r\n      * Adds an element to the areas, controlRange, or options collection.\r\n      * @param element Variant of type Number that specifies the index position in the collection where the element is placed. If no value is given, the method places the element at the end of the collection.\r\n      * @param before Variant of type Object that specifies an element to insert before, or null to append the object to the collection. \r\n      */\r\n    add(element: HTMLElement, before?: HTMLElement | number): void;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Retrieves a select object or an object from an options collection.\r\n      * @param name Variant of type Number or String that specifies the object or collection to retrieve. If this parameter is an integer, it is the zero-based index of the object. If this parameter is a string, all objects with matching name or id properties are retrieved, and a collection is returned if more than one match is made.\r\n      * @param index Variant of type Number that specifies the zero-based index of the object to retrieve when a collection is returned.\r\n      */\r\n    item(name?: any, index?: any): any;\r\n    /**\r\n      * Retrieves a select object or an object from an options collection.\r\n      * @param namedItem A String that specifies the name or id property of the object to retrieve. A collection is returned if more than one match is made.\r\n      */\r\n    namedItem(name: string): any;\r\n    /**\r\n      * Removes an element from the collection.\r\n      * @param index Number that specifies the zero-based index of the element to remove from the collection.\r\n      */\r\n    remove(index?: number): void;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    [name: string]: any;\r\n}\r\n\r\ndeclare var HTMLSelectElement: {\r\n    prototype: HTMLSelectElement;\r\n    new(): HTMLSelectElement;\r\n}\r\n\r\ninterface HTMLSourceElement extends HTMLElement {\r\n    /**\r\n      * Gets or sets the intended media type of the media source.\r\n     */\r\n    media: string;\r\n    msKeySystem: string;\r\n    sizes: string;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    srcset: string;\r\n    /**\r\n     * Gets or sets the MIME type of a media resource.\r\n     */\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLSourceElement: {\r\n    prototype: HTMLSourceElement;\r\n    new(): HTMLSourceElement;\r\n}\r\n\r\ninterface HTMLSpanElement extends HTMLElement {\r\n}\r\n\r\ndeclare var HTMLSpanElement: {\r\n    prototype: HTMLSpanElement;\r\n    new(): HTMLSpanElement;\r\n}\r\n\r\ninterface HTMLStyleElement extends HTMLElement, LinkStyle {\r\n    disabled: boolean;\r\n    /**\r\n      * Sets or retrieves the media type.\r\n      */\r\n    media: string;\r\n    /**\r\n      * Retrieves the CSS language in which the style sheet is written.\r\n      */\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLStyleElement: {\r\n    prototype: HTMLStyleElement;\r\n    new(): HTMLStyleElement;\r\n}\r\n\r\ninterface HTMLTableCaptionElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the alignment of the caption or legend.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves whether the caption appears at the top or bottom of the table.\r\n      */\r\n    vAlign: string;\r\n}\r\n\r\ndeclare var HTMLTableCaptionElement: {\r\n    prototype: HTMLTableCaptionElement;\r\n    new(): HTMLTableCaptionElement;\r\n}\r\n\r\ninterface HTMLTableCellElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves abbreviated text for the object.\r\n      */\r\n    abbr: string;\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a comma-delimited list of conceptual categories associated with the object.\r\n      */\r\n    axis: string;\r\n    bgColor: any;\r\n    /**\r\n      * Retrieves the position of the object in the cells collection of a row.\r\n      */\r\n    readonly cellIndex: number;\r\n    /**\r\n      * Sets or retrieves the number columns in the table that the object should span.\r\n      */\r\n    colSpan: number;\r\n    /**\r\n      * Sets or retrieves a list of header cells that provide information for the object.\r\n      */\r\n    headers: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: any;\r\n    /**\r\n      * Sets or retrieves whether the browser automatically performs wordwrap.\r\n      */\r\n    noWrap: boolean;\r\n    /**\r\n      * Sets or retrieves how many rows in a table the cell should span.\r\n      */\r\n    rowSpan: number;\r\n    /**\r\n      * Sets or retrieves the group of cells in a table to which the object's information applies.\r\n      */\r\n    scope: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableCellElement: {\r\n    prototype: HTMLTableCellElement;\r\n    new(): HTMLTableCellElement;\r\n}\r\n\r\ninterface HTMLTableColElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves the alignment of the object relative to the display or table.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves the number of columns in the group.\r\n      */\r\n    span: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: any;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableColElement: {\r\n    prototype: HTMLTableColElement;\r\n    new(): HTMLTableColElement;\r\n}\r\n\r\ninterface HTMLTableDataCellElement extends HTMLTableCellElement {\r\n}\r\n\r\ndeclare var HTMLTableDataCellElement: {\r\n    prototype: HTMLTableDataCellElement;\r\n    new(): HTMLTableDataCellElement;\r\n}\r\n\r\ninterface HTMLTableElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a value that indicates the table alignment.\r\n      */\r\n    align: string;\r\n    bgColor: any;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the border color of the object. \r\n      */\r\n    borderColor: any;\r\n    /**\r\n      * Retrieves the caption object of a table.\r\n      */\r\n    caption: HTMLTableCaptionElement;\r\n    /**\r\n      * Sets or retrieves the amount of space between the border of the cell and the content of the cell.\r\n      */\r\n    cellPadding: string;\r\n    /**\r\n      * Sets or retrieves the amount of space between cells in a table.\r\n      */\r\n    cellSpacing: string;\r\n    /**\r\n      * Sets or retrieves the number of columns in the table.\r\n      */\r\n    cols: number;\r\n    /**\r\n      * Sets or retrieves the way the border frame around the table is displayed.\r\n      */\r\n    frame: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: any;\r\n    /**\r\n      * Sets or retrieves the number of horizontal rows contained in the object.\r\n      */\r\n    rows: HTMLCollectionOf<HTMLTableRowElement>;\r\n    /**\r\n      * Sets or retrieves which dividing lines (inner borders) are displayed.\r\n      */\r\n    rules: string;\r\n    /**\r\n      * Sets or retrieves a description and/or structure of the object.\r\n      */\r\n    summary: string;\r\n    /**\r\n      * Retrieves a collection of all tBody objects in the table. Objects in this collection are in source order.\r\n      */\r\n    tBodies: HTMLCollectionOf<HTMLTableSectionElement>;\r\n    /**\r\n      * Retrieves the tFoot object of the table.\r\n      */\r\n    tFoot: HTMLTableSectionElement;\r\n    /**\r\n      * Retrieves the tHead object of the table.\r\n      */\r\n    tHead: HTMLTableSectionElement;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    /**\r\n      * Creates an empty caption element in the table.\r\n      */\r\n    createCaption(): HTMLTableCaptionElement;\r\n    /**\r\n      * Creates an empty tBody element in the table.\r\n      */\r\n    createTBody(): HTMLTableSectionElement;\r\n    /**\r\n      * Creates an empty tFoot element in the table.\r\n      */\r\n    createTFoot(): HTMLTableSectionElement;\r\n    /**\r\n      * Returns the tHead element object if successful, or null otherwise.\r\n      */\r\n    createTHead(): HTMLTableSectionElement;\r\n    /**\r\n      * Deletes the caption element and its contents from the table.\r\n      */\r\n    deleteCaption(): void;\r\n    /**\r\n      * Removes the specified row (tr) from the element and from the rows collection.\r\n      * @param index Number that specifies the zero-based position in the rows collection of the row to remove.\r\n      */\r\n    deleteRow(index?: number): void;\r\n    /**\r\n      * Deletes the tFoot element and its contents from the table.\r\n      */\r\n    deleteTFoot(): void;\r\n    /**\r\n      * Deletes the tHead element and its contents from the table.\r\n      */\r\n    deleteTHead(): void;\r\n    /**\r\n      * Creates a new row (tr) in the table, and adds the row to the rows collection.\r\n      * @param index Number that specifies where to insert the row in the rows collection. The default value is -1, which appends the new row to the end of the rows collection.\r\n      */\r\n    insertRow(index?: number): HTMLTableRowElement;\r\n}\r\n\r\ndeclare var HTMLTableElement: {\r\n    prototype: HTMLTableElement;\r\n    new(): HTMLTableElement;\r\n}\r\n\r\ninterface HTMLTableHeaderCellElement extends HTMLTableCellElement {\r\n    /**\r\n      * Sets or retrieves the group of cells in a table to which the object's information applies.\r\n      */\r\n    scope: string;\r\n}\r\n\r\ndeclare var HTMLTableHeaderCellElement: {\r\n    prototype: HTMLTableHeaderCellElement;\r\n    new(): HTMLTableHeaderCellElement;\r\n}\r\n\r\ninterface HTMLTableRowElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    bgColor: any;\r\n    /**\r\n      * Retrieves a collection of all cells in the table row.\r\n      */\r\n    cells: HTMLCollectionOf<HTMLTableDataCellElement | HTMLTableHeaderCellElement>;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: any;\r\n    /**\r\n      * Retrieves the position of the object in the rows collection for the table.\r\n      */\r\n    readonly rowIndex: number;\r\n    /**\r\n      * Retrieves the position of the object in the collection.\r\n      */\r\n    readonly sectionRowIndex: number;\r\n    /**\r\n      * Removes the specified cell from the table row, as well as from the cells collection.\r\n      * @param index Number that specifies the zero-based position of the cell to remove from the table row. If no value is provided, the last cell in the cells collection is deleted.\r\n      */\r\n    deleteCell(index?: number): void;\r\n    /**\r\n      * Creates a new cell in the table row, and adds the cell to the cells collection.\r\n      * @param index Number that specifies where to insert the cell in the tr. The default value is -1, which appends the new cell to the end of the cells collection.\r\n      */\r\n    insertCell(index?: number): HTMLTableDataCellElement;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableRowElement: {\r\n    prototype: HTMLTableRowElement;\r\n    new(): HTMLTableRowElement;\r\n}\r\n\r\ninterface HTMLTableSectionElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves a value that indicates the table alignment.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves the number of horizontal rows contained in the object.\r\n      */\r\n    rows: HTMLCollectionOf<HTMLTableRowElement>;\r\n    /**\r\n      * Removes the specified row (tr) from the element and from the rows collection.\r\n      * @param index Number that specifies the zero-based position in the rows collection of the row to remove.\r\n      */\r\n    deleteRow(index?: number): void;\r\n    /**\r\n      * Creates a new row (tr) in the table, and adds the row to the rows collection.\r\n      * @param index Number that specifies where to insert the row in the rows collection. The default value is -1, which appends the new row to the end of the rows collection.\r\n      */\r\n    insertRow(index?: number): HTMLTableRowElement;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableSectionElement: {\r\n    prototype: HTMLTableSectionElement;\r\n    new(): HTMLTableSectionElement;\r\n}\r\n\r\ninterface HTMLTemplateElement extends HTMLElement {\r\n    readonly content: DocumentFragment;\r\n}\r\n\r\ndeclare var HTMLTemplateElement: {\r\n    prototype: HTMLTemplateElement;\r\n    new(): HTMLTemplateElement;\r\n}\r\n\r\ninterface HTMLTextAreaElement extends HTMLElement {\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    cols: number;\r\n    /**\r\n      * Sets or retrieves the initial contents of the object.\r\n      */\r\n    defaultValue: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    readonly form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the maximum number of characters that the user can enter in a text control.\r\n      */\r\n    maxLength: number;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Gets or sets a text string that is displayed in an input field as a hint or prompt to users as the format or type of information they need to enter.The text appears in an input field until the user puts focus on the field.\r\n      */\r\n    placeholder: string;\r\n    /**\r\n      * Sets or retrieves the value indicated whether the content of the object is read-only.\r\n      */\r\n    readOnly: boolean;\r\n    /**\r\n      * When present, marks an element that can't be submitted without a value.\r\n      */\r\n    required: boolean;\r\n    /**\r\n      * Sets or retrieves the number of horizontal rows contained in the object.\r\n      */\r\n    rows: number;\r\n    /**\r\n      * Gets or sets the end position or offset of a text selection.\r\n      */\r\n    selectionEnd: number;\r\n    /**\r\n      * Gets or sets the starting position or offset of a text selection.\r\n      */\r\n    selectionStart: number;\r\n    /**\r\n      * Sets or retrieves the value indicating whether the control is selected.\r\n      */\r\n    status: any;\r\n    /**\r\n      * Retrieves the type of control.\r\n      */\r\n    readonly type: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as \"this is a required field\". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    readonly validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    readonly validity: ValidityState;\r\n    /**\r\n      * Retrieves or sets the text in the entry field of the textArea element.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    readonly willValidate: boolean;\r\n    /**\r\n      * Sets or retrieves how to handle wordwrapping in the object.\r\n      */\r\n    wrap: string;\r\n    minLength: number;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Highlights the input area of a form element.\r\n      */\r\n    select(): void;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    /**\r\n      * Sets the start and end positions of a selection in a text field.\r\n      * @param start The offset into the text field for the start of the selection.\r\n      * @param end The offset into the text field for the end of the selection.\r\n      */\r\n    setSelectionRange(start: number, end: number): void;\r\n}\r\n\r\ndeclare var HTMLTextAreaElement: {\r\n    prototype: HTMLTextAreaElement;\r\n    new(): HTMLTextAreaElement;\r\n}\r\n\r\ninterface HTMLTitleElement extends HTMLElement {\r\n    /**\r\n      * Retrieves or sets the text of the object as a string. \r\n      */\r\n    text: string;\r\n}\r\n\r\ndeclare var HTMLTitleElement: {\r\n    prototype: HTMLTitleElement;\r\n    new(): HTMLTitleElement;\r\n}\r\n\r\ninterface HTMLTrackElement extends HTMLElement {\r\n    default: boolean;\r\n    kind: string;\r\n    label: string;\r\n    readonly readyState: number;\r\n    src: string;\r\n    srclang: string;\r\n    readonly track: TextTrack;\r\n    readonly ERROR: number;\r\n    readonly LOADED: number;\r\n    readonly LOADING: number;\r\n    readonly NONE: number;\r\n}\r\n\r\ndeclare var HTMLTrackElement: {\r\n    prototype: HTMLTrackElement;\r\n    new(): HTMLTrackElement;\r\n    readonly ERROR: number;\r\n    readonly LOADED: number;\r\n    readonly LOADING: number;\r\n    readonly NONE: number;\r\n}\r\n\r\ninterface HTMLUListElement extends HTMLElement {\r\n    compact: boolean;\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLUListElement: {\r\n    prototype: HTMLUListElement;\r\n    new(): HTMLUListElement;\r\n}\r\n\r\ninterface HTMLUnknownElement extends HTMLElement {\r\n}\r\n\r\ndeclare var HTMLUnknownElement: {\r\n    prototype: HTMLUnknownElement;\r\n    new(): HTMLUnknownElement;\r\n}\r\n\r\ninterface HTMLVideoElement extends HTMLMediaElement {\r\n    /**\r\n      * Gets or sets the height of the video element.\r\n      */\r\n    height: number;\r\n    msHorizontalMirror: boolean;\r\n    readonly msIsLayoutOptimalForPlayback: boolean;\r\n    readonly msIsStereo3D: boolean;\r\n    msStereo3DPackingMode: string;\r\n    msStereo3DRenderMode: string;\r\n    msZoom: boolean;\r\n    onMSVideoFormatChanged: (this: this, ev: Event) => any;\r\n    onMSVideoFrameStepCompleted: (this: this, ev: Event) => any;\r\n    onMSVideoOptimalLayoutChanged: (this: this, ev: Event) => any;\r\n    /**\r\n      * Gets or sets a URL of an image to display, for example, like a movie poster. This can be a still frame from the video, or another image if no video data is available.\r\n      */\r\n    poster: string;\r\n    /**\r\n      * Gets the intrinsic height of a video in CSS pixels, or zero if the dimensions are not known.\r\n      */\r\n    readonly videoHeight: number;\r\n    /**\r\n      * Gets the intrinsic width of a video in CSS pixels, or zero if the dimensions are not known.\r\n      */\r\n    readonly videoWidth: number;\r\n    readonly webkitDisplayingFullscreen: boolean;\r\n    readonly webkitSupportsFullscreen: boolean;\r\n    /**\r\n      * Gets or sets the width of the video element.\r\n      */\r\n    width: number;\r\n    getVideoPlaybackQuality(): VideoPlaybackQuality;\r\n    msFrameStep(forward: boolean): void;\r\n    msInsertVideoEffect(activatableClassId: string, effectRequired: boolean, config?: any): void;\r\n    msSetVideoRectangle(left: number, top: number, right: number, bottom: number): void;\r\n    webkitEnterFullScreen(): void;\r\n    webkitEnterFullscreen(): void;\r\n    webkitExitFullScreen(): void;\r\n    webkitExitFullscreen(): void;\r\n    addEventListener(type: \"MSContentZoom\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSManipulationStateChanged\", listener: (this: this, ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSVideoFormatChanged\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSVideoFrameStepCompleted\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSVideoOptimalLayoutChanged\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"activate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecopy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforecut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforedeactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforepaste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplay\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplaythrough\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"contextmenu\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"copy\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cuechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"cut\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"deactivate\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drag\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragend\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragenter\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragleave\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragover\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragstart\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drop\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"durationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"emptied\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"encrypted\", listener: (this: this, ev: MediaEncryptedEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"input\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"invalid\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keydown\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keypress\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keyup\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadeddata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadedmetadata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseenter\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseleave\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousewheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"msneedkey\", listener: (this: this, ev: MSMediaKeyNeededEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"paste\", listener: (this: this, ev: ClipboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pause\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"play\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"playing\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ratechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"reset\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"select\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"selectstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stalled\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"submit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"suspend\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"volumechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"waiting\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLVideoElement: {\r\n    prototype: HTMLVideoElement;\r\n    new(): HTMLVideoElement;\r\n}\r\n\r\ninterface HashChangeEvent extends Event {\r\n    readonly newURL: string | null;\r\n    readonly oldURL: string | null;\r\n}\r\n\r\ndeclare var HashChangeEvent: {\r\n    prototype: HashChangeEvent;\r\n    new(type: string, eventInitDict?: HashChangeEventInit): HashChangeEvent;\r\n}\r\n\r\ninterface History {\r\n    readonly length: number;\r\n    readonly state: any;\r\n    back(distance?: any): void;\r\n    forward(distance?: any): void;\r\n    go(delta?: any): void;\r\n    pushState(statedata: any, title?: string, url?: string): void;\r\n    replaceState(statedata: any, title?: string, url?: string): void;\r\n}\r\n\r\ndeclare var History: {\r\n    prototype: History;\r\n    new(): History;\r\n}\r\n\r\ninterface IDBCursor {\r\n    readonly direction: string;\r\n    key: IDBKeyRange | IDBValidKey;\r\n    readonly primaryKey: any;\r\n    source: IDBObjectStore | IDBIndex;\r\n    advance(count: number): void;\r\n    continue(key?: IDBKeyRange | IDBValidKey): void;\r\n    delete(): IDBRequest;\r\n    update(value: any): IDBRequest;\r\n    readonly NEXT: string;\r\n    readonly NEXT_NO_DUPLICATE: string;\r\n    readonly PREV: string;\r\n    readonly PREV_NO_DUPLICATE: string;\r\n}\r\n\r\ndeclare var IDBCursor: {\r\n    prototype: IDBCursor;\r\n    new(): IDBCursor;\r\n    readonly NEXT: string;\r\n    readonly NEXT_NO_DUPLICATE: string;\r\n    readonly PREV: string;\r\n    readonly PREV_NO_DUPLICATE: string;\r\n}\r\n\r\ninterface IDBCursorWithValue extends IDBCursor {\r\n    readonly value: any;\r\n}\r\n\r\ndeclare var IDBCursorWithValue: {\r\n    prototype: IDBCursorWithValue;\r\n    new(): IDBCursorWithValue;\r\n}\r\n\r\ninterface IDBDatabase extends EventTarget {\r\n    readonly name: string;\r\n    readonly objectStoreNames: DOMStringList;\r\n    onabort: (this: this, ev: Event) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    version: number;\r\n    onversionchange: (ev: IDBVersionChangeEvent) => any;\r\n    close(): void;\r\n    createObjectStore(name: string, optionalParameters?: IDBObjectStoreParameters): IDBObjectStore;\r\n    deleteObjectStore(name: string): void;\r\n    transaction(storeNames: string | string[], mode?: string): IDBTransaction;\r\n    addEventListener(type: \"versionchange\", listener: (ev: IDBVersionChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBDatabase: {\r\n    prototype: IDBDatabase;\r\n    new(): IDBDatabase;\r\n}\r\n\r\ninterface IDBFactory {\r\n    cmp(first: any, second: any): number;\r\n    deleteDatabase(name: string): IDBOpenDBRequest;\r\n    open(name: string, version?: number): IDBOpenDBRequest;\r\n}\r\n\r\ndeclare var IDBFactory: {\r\n    prototype: IDBFactory;\r\n    new(): IDBFactory;\r\n}\r\n\r\ninterface IDBIndex {\r\n    keyPath: string | string[];\r\n    readonly name: string;\r\n    readonly objectStore: IDBObjectStore;\r\n    readonly unique: boolean;\r\n    multiEntry: boolean;\r\n    count(key?: IDBKeyRange | IDBValidKey): IDBRequest;\r\n    get(key: IDBKeyRange | IDBValidKey): IDBRequest;\r\n    getKey(key: IDBKeyRange | IDBValidKey): IDBRequest;\r\n    openCursor(range?: IDBKeyRange | IDBValidKey, direction?: string): IDBRequest;\r\n    openKeyCursor(range?: IDBKeyRange | IDBValidKey, direction?: string): IDBRequest;\r\n}\r\n\r\ndeclare var IDBIndex: {\r\n    prototype: IDBIndex;\r\n    new(): IDBIndex;\r\n}\r\n\r\ninterface IDBKeyRange {\r\n    readonly lower: any;\r\n    readonly lowerOpen: boolean;\r\n    readonly upper: any;\r\n    readonly upperOpen: boolean;\r\n}\r\n\r\ndeclare var IDBKeyRange: {\r\n    prototype: IDBKeyRange;\r\n    new(): IDBKeyRange;\r\n    bound(lower: any, upper: any, lowerOpen?: boolean, upperOpen?: boolean): IDBKeyRange;\r\n    lowerBound(lower: any, open?: boolean): IDBKeyRange;\r\n    only(value: any): IDBKeyRange;\r\n    upperBound(upper: any, open?: boolean): IDBKeyRange;\r\n}\r\n\r\ninterface IDBObjectStore {\r\n    readonly indexNames: DOMStringList;\r\n    keyPath: string | string[];\r\n    readonly name: string;\r\n    readonly transaction: IDBTransaction;\r\n    autoIncrement: boolean;\r\n    add(value: any, key?: IDBKeyRange | IDBValidKey): IDBRequest;\r\n    clear(): IDBRequest;\r\n    count(key?: IDBKeyRange | IDBValidKey): IDBRequest;\r\n    createIndex(name: string, keyPath: string | string[], optionalParameters?: IDBIndexParameters): IDBIndex;\r\n    delete(key: IDBKeyRange | IDBValidKey): IDBRequest;\r\n    deleteIndex(indexName: string): void;\r\n    get(key: any): IDBRequest;\r\n    index(name: string): IDBIndex;\r\n    openCursor(range?: IDBKeyRange | IDBValidKey, direction?: string): IDBRequest;\r\n    put(value: any, key?: IDBKeyRange | IDBValidKey): IDBRequest;\r\n}\r\n\r\ndeclare var IDBObjectStore: {\r\n    prototype: IDBObjectStore;\r\n    new(): IDBObjectStore;\r\n}\r\n\r\ninterface IDBOpenDBRequest extends IDBRequest {\r\n    onblocked: (this: this, ev: Event) => any;\r\n    onupgradeneeded: (this: this, ev: IDBVersionChangeEvent) => any;\r\n    addEventListener(type: \"blocked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"success\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"upgradeneeded\", listener: (this: this, ev: IDBVersionChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBOpenDBRequest: {\r\n    prototype: IDBOpenDBRequest;\r\n    new(): IDBOpenDBRequest;\r\n}\r\n\r\ninterface IDBRequest extends EventTarget {\r\n    readonly error: DOMError;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    onsuccess: (this: this, ev: Event) => any;\r\n    readonly readyState: string;\r\n    readonly result: any;\r\n    source: IDBObjectStore | IDBIndex | IDBCursor;\r\n    readonly transaction: IDBTransaction;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"success\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBRequest: {\r\n    prototype: IDBRequest;\r\n    new(): IDBRequest;\r\n}\r\n\r\ninterface IDBTransaction extends EventTarget {\r\n    readonly db: IDBDatabase;\r\n    readonly error: DOMError;\r\n    readonly mode: string;\r\n    onabort: (this: this, ev: Event) => any;\r\n    oncomplete: (this: this, ev: Event) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    abort(): void;\r\n    objectStore(name: string): IDBObjectStore;\r\n    readonly READ_ONLY: string;\r\n    readonly READ_WRITE: string;\r\n    readonly VERSION_CHANGE: string;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"complete\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBTransaction: {\r\n    prototype: IDBTransaction;\r\n    new(): IDBTransaction;\r\n    readonly READ_ONLY: string;\r\n    readonly READ_WRITE: string;\r\n    readonly VERSION_CHANGE: string;\r\n}\r\n\r\ninterface IDBVersionChangeEvent extends Event {\r\n    readonly newVersion: number | null;\r\n    readonly oldVersion: number;\r\n}\r\n\r\ndeclare var IDBVersionChangeEvent: {\r\n    prototype: IDBVersionChangeEvent;\r\n    new(): IDBVersionChangeEvent;\r\n}\r\n\r\ninterface ImageData {\r\n    data: Uint8ClampedArray;\r\n    readonly height: number;\r\n    readonly width: number;\r\n}\r\n\r\ndeclare var ImageData: {\r\n    prototype: ImageData;\r\n    new(width: number, height: number): ImageData;\r\n    new(array: Uint8ClampedArray, width: number, height: number): ImageData;\r\n}\r\n\r\ninterface KeyboardEvent extends UIEvent {\r\n    readonly altKey: boolean;\r\n    readonly char: string | null;\r\n    readonly charCode: number;\r\n    readonly ctrlKey: boolean;\r\n    readonly key: string;\r\n    readonly keyCode: number;\r\n    readonly locale: string;\r\n    readonly location: number;\r\n    readonly metaKey: boolean;\r\n    readonly repeat: boolean;\r\n    readonly shiftKey: boolean;\r\n    readonly which: number;\r\n    readonly code: string;\r\n    getModifierState(keyArg: string): boolean;\r\n    initKeyboardEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, keyArg: string, locationArg: number, modifiersListArg: string, repeat: boolean, locale: string): void;\r\n    readonly DOM_KEY_LOCATION_JOYSTICK: number;\r\n    readonly DOM_KEY_LOCATION_LEFT: number;\r\n    readonly DOM_KEY_LOCATION_MOBILE: number;\r\n    readonly DOM_KEY_LOCATION_NUMPAD: number;\r\n    readonly DOM_KEY_LOCATION_RIGHT: number;\r\n    readonly DOM_KEY_LOCATION_STANDARD: number;\r\n}\r\n\r\ndeclare var KeyboardEvent: {\r\n    prototype: KeyboardEvent;\r\n    new(typeArg: string, eventInitDict?: KeyboardEventInit): KeyboardEvent;\r\n    readonly DOM_KEY_LOCATION_JOYSTICK: number;\r\n    readonly DOM_KEY_LOCATION_LEFT: number;\r\n    readonly DOM_KEY_LOCATION_MOBILE: number;\r\n    readonly DOM_KEY_LOCATION_NUMPAD: number;\r\n    readonly DOM_KEY_LOCATION_RIGHT: number;\r\n    readonly DOM_KEY_LOCATION_STANDARD: number;\r\n}\r\n\r\ninterface ListeningStateChangedEvent extends Event {\r\n    readonly label: string;\r\n    readonly state: string;\r\n}\r\n\r\ndeclare var ListeningStateChangedEvent: {\r\n    prototype: ListeningStateChangedEvent;\r\n    new(): ListeningStateChangedEvent;\r\n}\r\n\r\ninterface Location {\r\n    hash: string;\r\n    host: string;\r\n    hostname: string;\r\n    href: string;\r\n    readonly origin: string;\r\n    pathname: string;\r\n    port: string;\r\n    protocol: string;\r\n    search: string;\r\n    assign(url: string): void;\r\n    reload(forcedReload?: boolean): void;\r\n    replace(url: string): void;\r\n    toString(): string;\r\n}\r\n\r\ndeclare var Location: {\r\n    prototype: Location;\r\n    new(): Location;\r\n}\r\n\r\ninterface LongRunningScriptDetectedEvent extends Event {\r\n    readonly executionTime: number;\r\n    stopPageScriptExecution: boolean;\r\n}\r\n\r\ndeclare var LongRunningScriptDetectedEvent: {\r\n    prototype: LongRunningScriptDetectedEvent;\r\n    new(): LongRunningScriptDetectedEvent;\r\n}\r\n\r\ninterface MSApp {\r\n    clearTemporaryWebDataAsync(): MSAppAsyncOperation;\r\n    createBlobFromRandomAccessStream(type: string, seeker: any): Blob;\r\n    createDataPackage(object: any): any;\r\n    createDataPackageFromSelection(): any;\r\n    createFileFromStorageFile(storageFile: any): File;\r\n    createStreamFromInputStream(type: string, inputStream: any): MSStream;\r\n    execAsyncAtPriority(asynchronousCallback: MSExecAtPriorityFunctionCallback, priority: string, ...args: any[]): void;\r\n    execAtPriority(synchronousCallback: MSExecAtPriorityFunctionCallback, priority: string, ...args: any[]): any;\r\n    getCurrentPriority(): string;\r\n    getHtmlPrintDocumentSourceAsync(htmlDoc: any): PromiseLike<any>;\r\n    getViewId(view: any): any;\r\n    isTaskScheduledAtPriorityOrHigher(priority: string): boolean;\r\n    pageHandlesAllApplicationActivations(enabled: boolean): void;\r\n    suppressSubdownloadCredentialPrompts(suppress: boolean): void;\r\n    terminateApp(exceptionObject: any): void;\r\n    readonly CURRENT: string;\r\n    readonly HIGH: string;\r\n    readonly IDLE: string;\r\n    readonly NORMAL: string;\r\n}\r\ndeclare var MSApp: MSApp;\r\n\r\ninterface MSAppAsyncOperation extends EventTarget {\r\n    readonly error: DOMError;\r\n    oncomplete: (this: this, ev: Event) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    readonly readyState: number;\r\n    readonly result: any;\r\n    start(): void;\r\n    readonly COMPLETED: number;\r\n    readonly ERROR: number;\r\n    readonly STARTED: number;\r\n    addEventListener(type: \"complete\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSAppAsyncOperation: {\r\n    prototype: MSAppAsyncOperation;\r\n    new(): MSAppAsyncOperation;\r\n    readonly COMPLETED: number;\r\n    readonly ERROR: number;\r\n    readonly STARTED: number;\r\n}\r\n\r\ninterface MSAssertion {\r\n    readonly id: string;\r\n    readonly type: string;\r\n}\r\n\r\ndeclare var MSAssertion: {\r\n    prototype: MSAssertion;\r\n    new(): MSAssertion;\r\n}\r\n\r\ninterface MSBlobBuilder {\r\n    append(data: any, endings?: string): void;\r\n    getBlob(contentType?: string): Blob;\r\n}\r\n\r\ndeclare var MSBlobBuilder: {\r\n    prototype: MSBlobBuilder;\r\n    new(): MSBlobBuilder;\r\n}\r\n\r\ninterface MSCredentials {\r\n    getAssertion(challenge: string, filter?: MSCredentialFilter, params?: MSSignatureParameters): PromiseLike<MSAssertion>;\r\n    makeCredential(accountInfo: MSAccountInfo, params: MSCredentialParameters[], challenge?: string): PromiseLike<MSAssertion>;\r\n}\r\n\r\ndeclare var MSCredentials: {\r\n    prototype: MSCredentials;\r\n    new(): MSCredentials;\r\n}\r\n\r\ninterface MSFIDOCredentialAssertion extends MSAssertion {\r\n    readonly algorithm: string | Algorithm;\r\n    readonly attestation: any;\r\n    readonly publicKey: string;\r\n    readonly transportHints: string[];\r\n}\r\n\r\ndeclare var MSFIDOCredentialAssertion: {\r\n    prototype: MSFIDOCredentialAssertion;\r\n    new(): MSFIDOCredentialAssertion;\r\n}\r\n\r\ninterface MSFIDOSignature {\r\n    readonly authnrData: string;\r\n    readonly clientData: string;\r\n    readonly signature: string;\r\n}\r\n\r\ndeclare var MSFIDOSignature: {\r\n    prototype: MSFIDOSignature;\r\n    new(): MSFIDOSignature;\r\n}\r\n\r\ninterface MSFIDOSignatureAssertion extends MSAssertion {\r\n    readonly signature: MSFIDOSignature;\r\n}\r\n\r\ndeclare var MSFIDOSignatureAssertion: {\r\n    prototype: MSFIDOSignatureAssertion;\r\n    new(): MSFIDOSignatureAssertion;\r\n}\r\n\r\ninterface MSGesture {\r\n    target: Element;\r\n    addPointer(pointerId: number): void;\r\n    stop(): void;\r\n}\r\n\r\ndeclare var MSGesture: {\r\n    prototype: MSGesture;\r\n    new(): MSGesture;\r\n}\r\n\r\ninterface MSGestureEvent extends UIEvent {\r\n    readonly clientX: number;\r\n    readonly clientY: number;\r\n    readonly expansion: number;\r\n    readonly gestureObject: any;\r\n    readonly hwTimestamp: number;\r\n    readonly offsetX: number;\r\n    readonly offsetY: number;\r\n    readonly rotation: number;\r\n    readonly scale: number;\r\n    readonly screenX: number;\r\n    readonly screenY: number;\r\n    readonly translationX: number;\r\n    readonly translationY: number;\r\n    readonly velocityAngular: number;\r\n    readonly velocityExpansion: number;\r\n    readonly velocityX: number;\r\n    readonly velocityY: number;\r\n    initGestureEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, offsetXArg: number, offsetYArg: number, translationXArg: number, translationYArg: number, scaleArg: number, expansionArg: number, rotationArg: number, velocityXArg: number, velocityYArg: number, velocityExpansionArg: number, velocityAngularArg: number, hwTimestampArg: number): void;\r\n    readonly MSGESTURE_FLAG_BEGIN: number;\r\n    readonly MSGESTURE_FLAG_CANCEL: number;\r\n    readonly MSGESTURE_FLAG_END: number;\r\n    readonly MSGESTURE_FLAG_INERTIA: number;\r\n    readonly MSGESTURE_FLAG_NONE: number;\r\n}\r\n\r\ndeclare var MSGestureEvent: {\r\n    prototype: MSGestureEvent;\r\n    new(): MSGestureEvent;\r\n    readonly MSGESTURE_FLAG_BEGIN: number;\r\n    readonly MSGESTURE_FLAG_CANCEL: number;\r\n    readonly MSGESTURE_FLAG_END: number;\r\n    readonly MSGESTURE_FLAG_INERTIA: number;\r\n    readonly MSGESTURE_FLAG_NONE: number;\r\n}\r\n\r\ninterface MSGraphicsTrust {\r\n    readonly constrictionActive: boolean;\r\n    readonly status: string;\r\n}\r\n\r\ndeclare var MSGraphicsTrust: {\r\n    prototype: MSGraphicsTrust;\r\n    new(): MSGraphicsTrust;\r\n}\r\n\r\ninterface MSHTMLWebViewElement extends HTMLElement {\r\n    readonly canGoBack: boolean;\r\n    readonly canGoForward: boolean;\r\n    readonly containsFullScreenElement: boolean;\r\n    readonly documentTitle: string;\r\n    height: number;\r\n    readonly settings: MSWebViewSettings;\r\n    src: string;\r\n    width: number;\r\n    addWebAllowedObject(name: string, applicationObject: any): void;\r\n    buildLocalStreamUri(contentIdentifier: string, relativePath: string): string;\r\n    capturePreviewToBlobAsync(): MSWebViewAsyncOperation;\r\n    captureSelectedContentToDataPackageAsync(): MSWebViewAsyncOperation;\r\n    getDeferredPermissionRequestById(id: number): DeferredPermissionRequest;\r\n    getDeferredPermissionRequests(): DeferredPermissionRequest[];\r\n    goBack(): void;\r\n    goForward(): void;\r\n    invokeScriptAsync(scriptName: string, ...args: any[]): MSWebViewAsyncOperation;\r\n    navigate(uri: string): void;\r\n    navigateToLocalStreamUri(source: string, streamResolver: any): void;\r\n    navigateToString(contents: string): void;\r\n    navigateWithHttpRequestMessage(requestMessage: any): void;\r\n    refresh(): void;\r\n    stop(): void;\r\n}\r\n\r\ndeclare var MSHTMLWebViewElement: {\r\n    prototype: MSHTMLWebViewElement;\r\n    new(): MSHTMLWebViewElement;\r\n}\r\n\r\ninterface MSInputMethodContext extends EventTarget {\r\n    readonly compositionEndOffset: number;\r\n    readonly compositionStartOffset: number;\r\n    oncandidatewindowhide: (this: this, ev: Event) => any;\r\n    oncandidatewindowshow: (this: this, ev: Event) => any;\r\n    oncandidatewindowupdate: (this: this, ev: Event) => any;\r\n    readonly target: HTMLElement;\r\n    getCandidateWindowClientRect(): ClientRect;\r\n    getCompositionAlternatives(): string[];\r\n    hasComposition(): boolean;\r\n    isCandidateWindowVisible(): boolean;\r\n    addEventListener(type: \"MSCandidateWindowHide\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSCandidateWindowShow\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSCandidateWindowUpdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSInputMethodContext: {\r\n    prototype: MSInputMethodContext;\r\n    new(): MSInputMethodContext;\r\n}\r\n\r\ninterface MSManipulationEvent extends UIEvent {\r\n    readonly currentState: number;\r\n    readonly inertiaDestinationX: number;\r\n    readonly inertiaDestinationY: number;\r\n    readonly lastState: number;\r\n    initMSManipulationEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, lastState: number, currentState: number): void;\r\n    readonly MS_MANIPULATION_STATE_ACTIVE: number;\r\n    readonly MS_MANIPULATION_STATE_CANCELLED: number;\r\n    readonly MS_MANIPULATION_STATE_COMMITTED: number;\r\n    readonly MS_MANIPULATION_STATE_DRAGGING: number;\r\n    readonly MS_MANIPULATION_STATE_INERTIA: number;\r\n    readonly MS_MANIPULATION_STATE_PRESELECT: number;\r\n    readonly MS_MANIPULATION_STATE_SELECTING: number;\r\n    readonly MS_MANIPULATION_STATE_STOPPED: number;\r\n}\r\n\r\ndeclare var MSManipulationEvent: {\r\n    prototype: MSManipulationEvent;\r\n    new(): MSManipulationEvent;\r\n    readonly MS_MANIPULATION_STATE_ACTIVE: number;\r\n    readonly MS_MANIPULATION_STATE_CANCELLED: number;\r\n    readonly MS_MANIPULATION_STATE_COMMITTED: number;\r\n    readonly MS_MANIPULATION_STATE_DRAGGING: number;\r\n    readonly MS_MANIPULATION_STATE_INERTIA: number;\r\n    readonly MS_MANIPULATION_STATE_PRESELECT: number;\r\n    readonly MS_MANIPULATION_STATE_SELECTING: number;\r\n    readonly MS_MANIPULATION_STATE_STOPPED: number;\r\n}\r\n\r\ninterface MSMediaKeyError {\r\n    readonly code: number;\r\n    readonly systemCode: number;\r\n    readonly MS_MEDIA_KEYERR_CLIENT: number;\r\n    readonly MS_MEDIA_KEYERR_DOMAIN: number;\r\n    readonly MS_MEDIA_KEYERR_HARDWARECHANGE: number;\r\n    readonly MS_MEDIA_KEYERR_OUTPUT: number;\r\n    readonly MS_MEDIA_KEYERR_SERVICE: number;\r\n    readonly MS_MEDIA_KEYERR_UNKNOWN: number;\r\n}\r\n\r\ndeclare var MSMediaKeyError: {\r\n    prototype: MSMediaKeyError;\r\n    new(): MSMediaKeyError;\r\n    readonly MS_MEDIA_KEYERR_CLIENT: number;\r\n    readonly MS_MEDIA_KEYERR_DOMAIN: number;\r\n    readonly MS_MEDIA_KEYERR_HARDWARECHANGE: number;\r\n    readonly MS_MEDIA_KEYERR_OUTPUT: number;\r\n    readonly MS_MEDIA_KEYERR_SERVICE: number;\r\n    readonly MS_MEDIA_KEYERR_UNKNOWN: number;\r\n}\r\n\r\ninterface MSMediaKeyMessageEvent extends Event {\r\n    readonly destinationURL: string | null;\r\n    readonly message: Uint8Array;\r\n}\r\n\r\ndeclare var MSMediaKeyMessageEvent: {\r\n    prototype: MSMediaKeyMessageEvent;\r\n    new(): MSMediaKeyMessageEvent;\r\n}\r\n\r\ninterface MSMediaKeyNeededEvent extends Event {\r\n    readonly initData: Uint8Array | null;\r\n}\r\n\r\ndeclare var MSMediaKeyNeededEvent: {\r\n    prototype: MSMediaKeyNeededEvent;\r\n    new(): MSMediaKeyNeededEvent;\r\n}\r\n\r\ninterface MSMediaKeySession extends EventTarget {\r\n    readonly error: MSMediaKeyError | null;\r\n    readonly keySystem: string;\r\n    readonly sessionId: string;\r\n    close(): void;\r\n    update(key: Uint8Array): void;\r\n}\r\n\r\ndeclare var MSMediaKeySession: {\r\n    prototype: MSMediaKeySession;\r\n    new(): MSMediaKeySession;\r\n}\r\n\r\ninterface MSMediaKeys {\r\n    readonly keySystem: string;\r\n    createSession(type: string, initData: Uint8Array, cdmData?: Uint8Array): MSMediaKeySession;\r\n}\r\n\r\ndeclare var MSMediaKeys: {\r\n    prototype: MSMediaKeys;\r\n    new(keySystem: string): MSMediaKeys;\r\n    isTypeSupported(keySystem: string, type?: string): boolean;\r\n    isTypeSupportedWithFeatures(keySystem: string, type?: string): string;\r\n}\r\n\r\ninterface MSPointerEvent extends MouseEvent {\r\n    readonly currentPoint: any;\r\n    readonly height: number;\r\n    readonly hwTimestamp: number;\r\n    readonly intermediatePoints: any;\r\n    readonly isPrimary: boolean;\r\n    readonly pointerId: number;\r\n    readonly pointerType: any;\r\n    readonly pressure: number;\r\n    readonly rotation: number;\r\n    readonly tiltX: number;\r\n    readonly tiltY: number;\r\n    readonly width: number;\r\n    getCurrentPoint(element: Element): void;\r\n    getIntermediatePoints(element: Element): void;\r\n    initPointerEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget, offsetXArg: number, offsetYArg: number, widthArg: number, heightArg: number, pressure: number, rotation: number, tiltX: number, tiltY: number, pointerIdArg: number, pointerType: any, hwTimestampArg: number, isPrimary: boolean): void;\r\n}\r\n\r\ndeclare var MSPointerEvent: {\r\n    prototype: MSPointerEvent;\r\n    new(typeArg: string, eventInitDict?: PointerEventInit): MSPointerEvent;\r\n}\r\n\r\ninterface MSRangeCollection {\r\n    readonly length: number;\r\n    item(index: number): Range;\r\n    [index: number]: Range;\r\n}\r\n\r\ndeclare var MSRangeCollection: {\r\n    prototype: MSRangeCollection;\r\n    new(): MSRangeCollection;\r\n}\r\n\r\ninterface MSSiteModeEvent extends Event {\r\n    readonly actionURL: string;\r\n    readonly buttonID: number;\r\n}\r\n\r\ndeclare var MSSiteModeEvent: {\r\n    prototype: MSSiteModeEvent;\r\n    new(): MSSiteModeEvent;\r\n}\r\n\r\ninterface MSStream {\r\n    readonly type: string;\r\n    msClose(): void;\r\n    msDetachStream(): any;\r\n}\r\n\r\ndeclare var MSStream: {\r\n    prototype: MSStream;\r\n    new(): MSStream;\r\n}\r\n\r\ninterface MSStreamReader extends EventTarget, MSBaseReader {\r\n    readonly error: DOMError;\r\n    readAsArrayBuffer(stream: MSStream, size?: number): void;\r\n    readAsBinaryString(stream: MSStream, size?: number): void;\r\n    readAsBlob(stream: MSStream, size?: number): void;\r\n    readAsDataURL(stream: MSStream, size?: number): void;\r\n    readAsText(stream: MSStream, encoding?: string, size?: number): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSStreamReader: {\r\n    prototype: MSStreamReader;\r\n    new(): MSStreamReader;\r\n}\r\n\r\ninterface MSWebViewAsyncOperation extends EventTarget {\r\n    readonly error: DOMError;\r\n    oncomplete: (this: this, ev: Event) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    readonly readyState: number;\r\n    readonly result: any;\r\n    readonly target: MSHTMLWebViewElement;\r\n    readonly type: number;\r\n    start(): void;\r\n    readonly COMPLETED: number;\r\n    readonly ERROR: number;\r\n    readonly STARTED: number;\r\n    readonly TYPE_CAPTURE_PREVIEW_TO_RANDOM_ACCESS_STREAM: number;\r\n    readonly TYPE_CREATE_DATA_PACKAGE_FROM_SELECTION: number;\r\n    readonly TYPE_INVOKE_SCRIPT: number;\r\n    addEventListener(type: \"complete\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSWebViewAsyncOperation: {\r\n    prototype: MSWebViewAsyncOperation;\r\n    new(): MSWebViewAsyncOperation;\r\n    readonly COMPLETED: number;\r\n    readonly ERROR: number;\r\n    readonly STARTED: number;\r\n    readonly TYPE_CAPTURE_PREVIEW_TO_RANDOM_ACCESS_STREAM: number;\r\n    readonly TYPE_CREATE_DATA_PACKAGE_FROM_SELECTION: number;\r\n    readonly TYPE_INVOKE_SCRIPT: number;\r\n}\r\n\r\ninterface MSWebViewSettings {\r\n    isIndexedDBEnabled: boolean;\r\n    isJavaScriptEnabled: boolean;\r\n}\r\n\r\ndeclare var MSWebViewSettings: {\r\n    prototype: MSWebViewSettings;\r\n    new(): MSWebViewSettings;\r\n}\r\n\r\ninterface MediaDeviceInfo {\r\n    readonly deviceId: string;\r\n    readonly groupId: string;\r\n    readonly kind: string;\r\n    readonly label: string;\r\n}\r\n\r\ndeclare var MediaDeviceInfo: {\r\n    prototype: MediaDeviceInfo;\r\n    new(): MediaDeviceInfo;\r\n}\r\n\r\ninterface MediaDevices extends EventTarget {\r\n    ondevicechange: (this: this, ev: Event) => any;\r\n    enumerateDevices(): any;\r\n    getSupportedConstraints(): MediaTrackSupportedConstraints;\r\n    getUserMedia(constraints: MediaStreamConstraints): PromiseLike<MediaStream>;\r\n    addEventListener(type: \"devicechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MediaDevices: {\r\n    prototype: MediaDevices;\r\n    new(): MediaDevices;\r\n}\r\n\r\ninterface MediaElementAudioSourceNode extends AudioNode {\r\n}\r\n\r\ndeclare var MediaElementAudioSourceNode: {\r\n    prototype: MediaElementAudioSourceNode;\r\n    new(): MediaElementAudioSourceNode;\r\n}\r\n\r\ninterface MediaEncryptedEvent extends Event {\r\n    readonly initData: ArrayBuffer | null;\r\n    readonly initDataType: string;\r\n}\r\n\r\ndeclare var MediaEncryptedEvent: {\r\n    prototype: MediaEncryptedEvent;\r\n    new(type: string, eventInitDict?: MediaEncryptedEventInit): MediaEncryptedEvent;\r\n}\r\n\r\ninterface MediaError {\r\n    readonly code: number;\r\n    readonly msExtendedCode: number;\r\n    readonly MEDIA_ERR_ABORTED: number;\r\n    readonly MEDIA_ERR_DECODE: number;\r\n    readonly MEDIA_ERR_NETWORK: number;\r\n    readonly MEDIA_ERR_SRC_NOT_SUPPORTED: number;\r\n    readonly MS_MEDIA_ERR_ENCRYPTED: number;\r\n}\r\n\r\ndeclare var MediaError: {\r\n    prototype: MediaError;\r\n    new(): MediaError;\r\n    readonly MEDIA_ERR_ABORTED: number;\r\n    readonly MEDIA_ERR_DECODE: number;\r\n    readonly MEDIA_ERR_NETWORK: number;\r\n    readonly MEDIA_ERR_SRC_NOT_SUPPORTED: number;\r\n    readonly MS_MEDIA_ERR_ENCRYPTED: number;\r\n}\r\n\r\ninterface MediaKeyMessageEvent extends Event {\r\n    readonly message: ArrayBuffer;\r\n    readonly messageType: string;\r\n}\r\n\r\ndeclare var MediaKeyMessageEvent: {\r\n    prototype: MediaKeyMessageEvent;\r\n    new(type: string, eventInitDict?: MediaKeyMessageEventInit): MediaKeyMessageEvent;\r\n}\r\n\r\ninterface MediaKeySession extends EventTarget {\r\n    readonly closed: PromiseLike<void>;\r\n    readonly expiration: number;\r\n    readonly keyStatuses: MediaKeyStatusMap;\r\n    readonly sessionId: string;\r\n    close(): PromiseLike<void>;\r\n    generateRequest(initDataType: string, initData: any): PromiseLike<void>;\r\n    load(sessionId: string): PromiseLike<boolean>;\r\n    remove(): PromiseLike<void>;\r\n    update(response: any): PromiseLike<void>;\r\n}\r\n\r\ndeclare var MediaKeySession: {\r\n    prototype: MediaKeySession;\r\n    new(): MediaKeySession;\r\n}\r\n\r\ninterface MediaKeyStatusMap {\r\n    readonly size: number;\r\n    forEach(callback: ForEachCallback): void;\r\n    get(keyId: any): string;\r\n    has(keyId: any): boolean;\r\n}\r\n\r\ndeclare var MediaKeyStatusMap: {\r\n    prototype: MediaKeyStatusMap;\r\n    new(): MediaKeyStatusMap;\r\n}\r\n\r\ninterface MediaKeySystemAccess {\r\n    readonly keySystem: string;\r\n    createMediaKeys(): PromiseLike<MediaKeys>;\r\n    getConfiguration(): MediaKeySystemConfiguration;\r\n}\r\n\r\ndeclare var MediaKeySystemAccess: {\r\n    prototype: MediaKeySystemAccess;\r\n    new(): MediaKeySystemAccess;\r\n}\r\n\r\ninterface MediaKeys {\r\n    createSession(sessionType?: string): MediaKeySession;\r\n    setServerCertificate(serverCertificate: any): PromiseLike<void>;\r\n}\r\n\r\ndeclare var MediaKeys: {\r\n    prototype: MediaKeys;\r\n    new(): MediaKeys;\r\n}\r\n\r\ninterface MediaList {\r\n    readonly length: number;\r\n    mediaText: string;\r\n    appendMedium(newMedium: string): void;\r\n    deleteMedium(oldMedium: string): void;\r\n    item(index: number): string;\r\n    toString(): string;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var MediaList: {\r\n    prototype: MediaList;\r\n    new(): MediaList;\r\n}\r\n\r\ninterface MediaQueryList {\r\n    readonly matches: boolean;\r\n    readonly media: string;\r\n    addListener(listener: MediaQueryListListener): void;\r\n    removeListener(listener: MediaQueryListListener): void;\r\n}\r\n\r\ndeclare var MediaQueryList: {\r\n    prototype: MediaQueryList;\r\n    new(): MediaQueryList;\r\n}\r\n\r\ninterface MediaSource extends EventTarget {\r\n    readonly activeSourceBuffers: SourceBufferList;\r\n    duration: number;\r\n    readonly readyState: string;\r\n    readonly sourceBuffers: SourceBufferList;\r\n    addSourceBuffer(type: string): SourceBuffer;\r\n    endOfStream(error?: number): void;\r\n    removeSourceBuffer(sourceBuffer: SourceBuffer): void;\r\n}\r\n\r\ndeclare var MediaSource: {\r\n    prototype: MediaSource;\r\n    new(): MediaSource;\r\n    isTypeSupported(type: string): boolean;\r\n}\r\n\r\ninterface MediaStream extends EventTarget {\r\n    readonly active: boolean;\r\n    readonly id: string;\r\n    onactive: (this: this, ev: Event) => any;\r\n    onaddtrack: (this: this, ev: TrackEvent) => any;\r\n    oninactive: (this: this, ev: Event) => any;\r\n    onremovetrack: (this: this, ev: TrackEvent) => any;\r\n    addTrack(track: MediaStreamTrack): void;\r\n    clone(): MediaStream;\r\n    getAudioTracks(): MediaStreamTrack[];\r\n    getTrackById(trackId: string): MediaStreamTrack | null;\r\n    getTracks(): MediaStreamTrack[];\r\n    getVideoTracks(): MediaStreamTrack[];\r\n    removeTrack(track: MediaStreamTrack): void;\r\n    stop(): void;\r\n    addEventListener(type: \"active\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"addtrack\", listener: (this: this, ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"inactive\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"removetrack\", listener: (this: this, ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MediaStream: {\r\n    prototype: MediaStream;\r\n    new(streamOrTracks?: MediaStream | MediaStreamTrack[]): MediaStream;\r\n}\r\n\r\ninterface MediaStreamAudioSourceNode extends AudioNode {\r\n}\r\n\r\ndeclare var MediaStreamAudioSourceNode: {\r\n    prototype: MediaStreamAudioSourceNode;\r\n    new(): MediaStreamAudioSourceNode;\r\n}\r\n\r\ninterface MediaStreamError {\r\n    readonly constraintName: string | null;\r\n    readonly message: string | null;\r\n    readonly name: string;\r\n}\r\n\r\ndeclare var MediaStreamError: {\r\n    prototype: MediaStreamError;\r\n    new(): MediaStreamError;\r\n}\r\n\r\ninterface MediaStreamErrorEvent extends Event {\r\n    readonly error: MediaStreamError | null;\r\n}\r\n\r\ndeclare var MediaStreamErrorEvent: {\r\n    prototype: MediaStreamErrorEvent;\r\n    new(type: string, eventInitDict?: MediaStreamErrorEventInit): MediaStreamErrorEvent;\r\n}\r\n\r\ninterface MediaStreamTrack extends EventTarget {\r\n    enabled: boolean;\r\n    readonly id: string;\r\n    readonly kind: string;\r\n    readonly label: string;\r\n    readonly muted: boolean;\r\n    onended: (this: this, ev: MediaStreamErrorEvent) => any;\r\n    onmute: (this: this, ev: Event) => any;\r\n    onoverconstrained: (this: this, ev: MediaStreamErrorEvent) => any;\r\n    onunmute: (this: this, ev: Event) => any;\r\n    readonly readonly: boolean;\r\n    readonly readyState: string;\r\n    readonly remote: boolean;\r\n    applyConstraints(constraints: MediaTrackConstraints): PromiseLike<void>;\r\n    clone(): MediaStreamTrack;\r\n    getCapabilities(): MediaTrackCapabilities;\r\n    getConstraints(): MediaTrackConstraints;\r\n    getSettings(): MediaTrackSettings;\r\n    stop(): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mute\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"overconstrained\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"unmute\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MediaStreamTrack: {\r\n    prototype: MediaStreamTrack;\r\n    new(): MediaStreamTrack;\r\n}\r\n\r\ninterface MediaStreamTrackEvent extends Event {\r\n    readonly track: MediaStreamTrack;\r\n}\r\n\r\ndeclare var MediaStreamTrackEvent: {\r\n    prototype: MediaStreamTrackEvent;\r\n    new(type: string, eventInitDict?: MediaStreamTrackEventInit): MediaStreamTrackEvent;\r\n}\r\n\r\ninterface MessageChannel {\r\n    readonly port1: MessagePort;\r\n    readonly port2: MessagePort;\r\n}\r\n\r\ndeclare var MessageChannel: {\r\n    prototype: MessageChannel;\r\n    new(): MessageChannel;\r\n}\r\n\r\ninterface MessageEvent extends Event {\r\n    readonly data: any;\r\n    readonly origin: string;\r\n    readonly ports: any;\r\n    readonly source: Window;\r\n    initMessageEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, dataArg: any, originArg: string, lastEventIdArg: string, sourceArg: Window): void;\r\n}\r\n\r\ndeclare var MessageEvent: {\r\n    prototype: MessageEvent;\r\n    new(type: string, eventInitDict?: MessageEventInit): MessageEvent;\r\n}\r\n\r\ninterface MessagePort extends EventTarget {\r\n    onmessage: (this: this, ev: MessageEvent) => any;\r\n    close(): void;\r\n    postMessage(message?: any, ports?: any): void;\r\n    start(): void;\r\n    addEventListener(type: \"message\", listener: (this: this, ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MessagePort: {\r\n    prototype: MessagePort;\r\n    new(): MessagePort;\r\n}\r\n\r\ninterface MimeType {\r\n    readonly description: string;\r\n    readonly enabledPlugin: Plugin;\r\n    readonly suffixes: string;\r\n    readonly type: string;\r\n}\r\n\r\ndeclare var MimeType: {\r\n    prototype: MimeType;\r\n    new(): MimeType;\r\n}\r\n\r\ninterface MimeTypeArray {\r\n    readonly length: number;\r\n    item(index: number): Plugin;\r\n    namedItem(type: string): Plugin;\r\n    [index: number]: Plugin;\r\n}\r\n\r\ndeclare var MimeTypeArray: {\r\n    prototype: MimeTypeArray;\r\n    new(): MimeTypeArray;\r\n}\r\n\r\ninterface MouseEvent extends UIEvent {\r\n    readonly altKey: boolean;\r\n    readonly button: number;\r\n    readonly buttons: number;\r\n    readonly clientX: number;\r\n    readonly clientY: number;\r\n    readonly ctrlKey: boolean;\r\n    readonly fromElement: Element;\r\n    readonly layerX: number;\r\n    readonly layerY: number;\r\n    readonly metaKey: boolean;\r\n    readonly movementX: number;\r\n    readonly movementY: number;\r\n    readonly offsetX: number;\r\n    readonly offsetY: number;\r\n    readonly pageX: number;\r\n    readonly pageY: number;\r\n    readonly relatedTarget: EventTarget;\r\n    readonly screenX: number;\r\n    readonly screenY: number;\r\n    readonly shiftKey: boolean;\r\n    readonly toElement: Element;\r\n    readonly which: number;\r\n    readonly x: number;\r\n    readonly y: number;\r\n    getModifierState(keyArg: string): boolean;\r\n    initMouseEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget): void;\r\n}\r\n\r\ndeclare var MouseEvent: {\r\n    prototype: MouseEvent;\r\n    new(typeArg: string, eventInitDict?: MouseEventInit): MouseEvent;\r\n}\r\n\r\ninterface MutationEvent extends Event {\r\n    readonly attrChange: number;\r\n    readonly attrName: string;\r\n    readonly newValue: string;\r\n    readonly prevValue: string;\r\n    readonly relatedNode: Node;\r\n    initMutationEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, relatedNodeArg: Node, prevValueArg: string, newValueArg: string, attrNameArg: string, attrChangeArg: number): void;\r\n    readonly ADDITION: number;\r\n    readonly MODIFICATION: number;\r\n    readonly REMOVAL: number;\r\n}\r\n\r\ndeclare var MutationEvent: {\r\n    prototype: MutationEvent;\r\n    new(): MutationEvent;\r\n    readonly ADDITION: number;\r\n    readonly MODIFICATION: number;\r\n    readonly REMOVAL: number;\r\n}\r\n\r\ninterface MutationObserver {\r\n    disconnect(): void;\r\n    observe(target: Node, options: MutationObserverInit): void;\r\n    takeRecords(): MutationRecord[];\r\n}\r\n\r\ndeclare var MutationObserver: {\r\n    prototype: MutationObserver;\r\n    new(callback: MutationCallback): MutationObserver;\r\n}\r\n\r\ninterface MutationRecord {\r\n    readonly addedNodes: NodeList;\r\n    readonly attributeName: string | null;\r\n    readonly attributeNamespace: string | null;\r\n    readonly nextSibling: Node | null;\r\n    readonly oldValue: string | null;\r\n    readonly previousSibling: Node | null;\r\n    readonly removedNodes: NodeList;\r\n    readonly target: Node;\r\n    readonly type: string;\r\n}\r\n\r\ndeclare var MutationRecord: {\r\n    prototype: MutationRecord;\r\n    new(): MutationRecord;\r\n}\r\n\r\ninterface NamedNodeMap {\r\n    readonly length: number;\r\n    getNamedItem(name: string): Attr;\r\n    getNamedItemNS(namespaceURI: string | null, localName: string | null): Attr;\r\n    item(index: number): Attr;\r\n    removeNamedItem(name: string): Attr;\r\n    removeNamedItemNS(namespaceURI: string | null, localName: string | null): Attr;\r\n    setNamedItem(arg: Attr): Attr;\r\n    setNamedItemNS(arg: Attr): Attr;\r\n    [index: number]: Attr;\r\n}\r\n\r\ndeclare var NamedNodeMap: {\r\n    prototype: NamedNodeMap;\r\n    new(): NamedNodeMap;\r\n}\r\n\r\ninterface NavigationCompletedEvent extends NavigationEvent {\r\n    readonly isSuccess: boolean;\r\n    readonly webErrorStatus: number;\r\n}\r\n\r\ndeclare var NavigationCompletedEvent: {\r\n    prototype: NavigationCompletedEvent;\r\n    new(): NavigationCompletedEvent;\r\n}\r\n\r\ninterface NavigationEvent extends Event {\r\n    readonly uri: string;\r\n}\r\n\r\ndeclare var NavigationEvent: {\r\n    prototype: NavigationEvent;\r\n    new(): NavigationEvent;\r\n}\r\n\r\ninterface NavigationEventWithReferrer extends NavigationEvent {\r\n    readonly referer: string;\r\n}\r\n\r\ndeclare var NavigationEventWithReferrer: {\r\n    prototype: NavigationEventWithReferrer;\r\n    new(): NavigationEventWithReferrer;\r\n}\r\n\r\ninterface Navigator extends Object, NavigatorID, NavigatorOnLine, NavigatorContentUtils, NavigatorStorageUtils, NavigatorGeolocation, MSNavigatorDoNotTrack, MSFileSaver, NavigatorUserMedia {\r\n    readonly appCodeName: string;\r\n    readonly cookieEnabled: boolean;\r\n    readonly language: string;\r\n    readonly maxTouchPoints: number;\r\n    readonly mimeTypes: MimeTypeArray;\r\n    readonly msManipulationViewsEnabled: boolean;\r\n    readonly msMaxTouchPoints: number;\r\n    readonly msPointerEnabled: boolean;\r\n    readonly plugins: PluginArray;\r\n    readonly pointerEnabled: boolean;\r\n    readonly webdriver: boolean;\r\n    getGamepads(): Gamepad[];\r\n    javaEnabled(): boolean;\r\n    msLaunchUri(uri: string, successCallback?: MSLaunchUriCallback, noHandlerCallback?: MSLaunchUriCallback): void;\r\n    requestMediaKeySystemAccess(keySystem: string, supportedConfigurations: MediaKeySystemConfiguration[]): PromiseLike<MediaKeySystemAccess>;\r\n    vibrate(pattern: number | number[]): boolean;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Navigator: {\r\n    prototype: Navigator;\r\n    new(): Navigator;\r\n}\r\n\r\ninterface Node extends EventTarget {\r\n    readonly attributes: NamedNodeMap;\r\n    readonly baseURI: string | null;\r\n    readonly childNodes: NodeList;\r\n    readonly firstChild: Node;\r\n    readonly lastChild: Node;\r\n    readonly localName: string | null;\r\n    readonly namespaceURI: string | null;\r\n    readonly nextSibling: Node;\r\n    readonly nodeName: string;\r\n    readonly nodeType: number;\r\n    nodeValue: string | null;\r\n    readonly ownerDocument: Document;\r\n    readonly parentElement: HTMLElement;\r\n    readonly parentNode: Node;\r\n    readonly previousSibling: Node;\r\n    textContent: string | null;\r\n    appendChild(newChild: Node): Node;\r\n    cloneNode(deep?: boolean): Node;\r\n    compareDocumentPosition(other: Node): number;\r\n    contains(child: Node): boolean;\r\n    hasAttributes(): boolean;\r\n    hasChildNodes(): boolean;\r\n    insertBefore(newChild: Node, refChild: Node | null): Node;\r\n    isDefaultNamespace(namespaceURI: string | null): boolean;\r\n    isEqualNode(arg: Node): boolean;\r\n    isSameNode(other: Node): boolean;\r\n    lookupNamespaceURI(prefix: string | null): string | null;\r\n    lookupPrefix(namespaceURI: string | null): string | null;\r\n    normalize(): void;\r\n    removeChild(oldChild: Node): Node;\r\n    replaceChild(newChild: Node, oldChild: Node): Node;\r\n    readonly ATTRIBUTE_NODE: number;\r\n    readonly CDATA_SECTION_NODE: number;\r\n    readonly COMMENT_NODE: number;\r\n    readonly DOCUMENT_FRAGMENT_NODE: number;\r\n    readonly DOCUMENT_NODE: number;\r\n    readonly DOCUMENT_POSITION_CONTAINED_BY: number;\r\n    readonly DOCUMENT_POSITION_CONTAINS: number;\r\n    readonly DOCUMENT_POSITION_DISCONNECTED: number;\r\n    readonly DOCUMENT_POSITION_FOLLOWING: number;\r\n    readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;\r\n    readonly DOCUMENT_POSITION_PRECEDING: number;\r\n    readonly DOCUMENT_TYPE_NODE: number;\r\n    readonly ELEMENT_NODE: number;\r\n    readonly ENTITY_NODE: number;\r\n    readonly ENTITY_REFERENCE_NODE: number;\r\n    readonly NOTATION_NODE: number;\r\n    readonly PROCESSING_INSTRUCTION_NODE: number;\r\n    readonly TEXT_NODE: number;\r\n}\r\n\r\ndeclare var Node: {\r\n    prototype: Node;\r\n    new(): Node;\r\n    readonly ATTRIBUTE_NODE: number;\r\n    readonly CDATA_SECTION_NODE: number;\r\n    readonly COMMENT_NODE: number;\r\n    readonly DOCUMENT_FRAGMENT_NODE: number;\r\n    readonly DOCUMENT_NODE: number;\r\n    readonly DOCUMENT_POSITION_CONTAINED_BY: number;\r\n    readonly DOCUMENT_POSITION_CONTAINS: number;\r\n    readonly DOCUMENT_POSITION_DISCONNECTED: number;\r\n    readonly DOCUMENT_POSITION_FOLLOWING: number;\r\n    readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;\r\n    readonly DOCUMENT_POSITION_PRECEDING: number;\r\n    readonly DOCUMENT_TYPE_NODE: number;\r\n    readonly ELEMENT_NODE: number;\r\n    readonly ENTITY_NODE: number;\r\n    readonly ENTITY_REFERENCE_NODE: number;\r\n    readonly NOTATION_NODE: number;\r\n    readonly PROCESSING_INSTRUCTION_NODE: number;\r\n    readonly TEXT_NODE: number;\r\n}\r\n\r\ninterface NodeFilter {\r\n    acceptNode(n: Node): number;\r\n}\r\n\r\ndeclare var NodeFilter: {\r\n    readonly FILTER_ACCEPT: number;\r\n    readonly FILTER_REJECT: number;\r\n    readonly FILTER_SKIP: number;\r\n    readonly SHOW_ALL: number;\r\n    readonly SHOW_ATTRIBUTE: number;\r\n    readonly SHOW_CDATA_SECTION: number;\r\n    readonly SHOW_COMMENT: number;\r\n    readonly SHOW_DOCUMENT: number;\r\n    readonly SHOW_DOCUMENT_FRAGMENT: number;\r\n    readonly SHOW_DOCUMENT_TYPE: number;\r\n    readonly SHOW_ELEMENT: number;\r\n    readonly SHOW_ENTITY: number;\r\n    readonly SHOW_ENTITY_REFERENCE: number;\r\n    readonly SHOW_NOTATION: number;\r\n    readonly SHOW_PROCESSING_INSTRUCTION: number;\r\n    readonly SHOW_TEXT: number;\r\n}\r\n\r\ninterface NodeIterator {\r\n    readonly expandEntityReferences: boolean;\r\n    readonly filter: NodeFilter;\r\n    readonly root: Node;\r\n    readonly whatToShow: number;\r\n    detach(): void;\r\n    nextNode(): Node;\r\n    previousNode(): Node;\r\n}\r\n\r\ndeclare var NodeIterator: {\r\n    prototype: NodeIterator;\r\n    new(): NodeIterator;\r\n}\r\n\r\ninterface NodeList {\r\n    readonly length: number;\r\n    item(index: number): Node;\r\n    [index: number]: Node;\r\n}\r\n\r\ndeclare var NodeList: {\r\n    prototype: NodeList;\r\n    new(): NodeList;\r\n}\r\n\r\ninterface OES_element_index_uint {\r\n}\r\n\r\ndeclare var OES_element_index_uint: {\r\n    prototype: OES_element_index_uint;\r\n    new(): OES_element_index_uint;\r\n}\r\n\r\ninterface OES_standard_derivatives {\r\n    readonly FRAGMENT_SHADER_DERIVATIVE_HINT_OES: number;\r\n}\r\n\r\ndeclare var OES_standard_derivatives: {\r\n    prototype: OES_standard_derivatives;\r\n    new(): OES_standard_derivatives;\r\n    readonly FRAGMENT_SHADER_DERIVATIVE_HINT_OES: number;\r\n}\r\n\r\ninterface OES_texture_float {\r\n}\r\n\r\ndeclare var OES_texture_float: {\r\n    prototype: OES_texture_float;\r\n    new(): OES_texture_float;\r\n}\r\n\r\ninterface OES_texture_float_linear {\r\n}\r\n\r\ndeclare var OES_texture_float_linear: {\r\n    prototype: OES_texture_float_linear;\r\n    new(): OES_texture_float_linear;\r\n}\r\n\r\ninterface OfflineAudioCompletionEvent extends Event {\r\n    readonly renderedBuffer: AudioBuffer;\r\n}\r\n\r\ndeclare var OfflineAudioCompletionEvent: {\r\n    prototype: OfflineAudioCompletionEvent;\r\n    new(): OfflineAudioCompletionEvent;\r\n}\r\n\r\ninterface OfflineAudioContext extends AudioContext {\r\n    oncomplete: (this: this, ev: Event) => any;\r\n    startRendering(): PromiseLike<AudioBuffer>;\r\n    addEventListener(type: \"complete\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var OfflineAudioContext: {\r\n    prototype: OfflineAudioContext;\r\n    new(numberOfChannels: number, length: number, sampleRate: number): OfflineAudioContext;\r\n}\r\n\r\ninterface OscillatorNode extends AudioNode {\r\n    readonly detune: AudioParam;\r\n    readonly frequency: AudioParam;\r\n    onended: (this: this, ev: MediaStreamErrorEvent) => any;\r\n    type: string;\r\n    setPeriodicWave(periodicWave: PeriodicWave): void;\r\n    start(when?: number): void;\r\n    stop(when?: number): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var OscillatorNode: {\r\n    prototype: OscillatorNode;\r\n    new(): OscillatorNode;\r\n}\r\n\r\ninterface OverflowEvent extends UIEvent {\r\n    readonly horizontalOverflow: boolean;\r\n    readonly orient: number;\r\n    readonly verticalOverflow: boolean;\r\n    readonly BOTH: number;\r\n    readonly HORIZONTAL: number;\r\n    readonly VERTICAL: number;\r\n}\r\n\r\ndeclare var OverflowEvent: {\r\n    prototype: OverflowEvent;\r\n    new(): OverflowEvent;\r\n    readonly BOTH: number;\r\n    readonly HORIZONTAL: number;\r\n    readonly VERTICAL: number;\r\n}\r\n\r\ninterface PageTransitionEvent extends Event {\r\n    readonly persisted: boolean;\r\n}\r\n\r\ndeclare var PageTransitionEvent: {\r\n    prototype: PageTransitionEvent;\r\n    new(): PageTransitionEvent;\r\n}\r\n\r\ninterface PannerNode extends AudioNode {\r\n    coneInnerAngle: number;\r\n    coneOuterAngle: number;\r\n    coneOuterGain: number;\r\n    distanceModel: string;\r\n    maxDistance: number;\r\n    panningModel: string;\r\n    refDistance: number;\r\n    rolloffFactor: number;\r\n    setOrientation(x: number, y: number, z: number): void;\r\n    setPosition(x: number, y: number, z: number): void;\r\n    setVelocity(x: number, y: number, z: number): void;\r\n}\r\n\r\ndeclare var PannerNode: {\r\n    prototype: PannerNode;\r\n    new(): PannerNode;\r\n}\r\n\r\ninterface PerfWidgetExternal {\r\n    readonly activeNetworkRequestCount: number;\r\n    readonly averageFrameTime: number;\r\n    readonly averagePaintTime: number;\r\n    readonly extraInformationEnabled: boolean;\r\n    readonly independentRenderingEnabled: boolean;\r\n    readonly irDisablingContentString: string;\r\n    readonly irStatusAvailable: boolean;\r\n    readonly maxCpuSpeed: number;\r\n    readonly paintRequestsPerSecond: number;\r\n    readonly performanceCounter: number;\r\n    readonly performanceCounterFrequency: number;\r\n    addEventListener(eventType: string, callback: Function): void;\r\n    getMemoryUsage(): number;\r\n    getProcessCpuUsage(): number;\r\n    getRecentCpuUsage(last: number | null): any;\r\n    getRecentFrames(last: number | null): any;\r\n    getRecentMemoryUsage(last: number | null): any;\r\n    getRecentPaintRequests(last: number | null): any;\r\n    removeEventListener(eventType: string, callback: Function): void;\r\n    repositionWindow(x: number, y: number): void;\r\n    resizeWindow(width: number, height: number): void;\r\n}\r\n\r\ndeclare var PerfWidgetExternal: {\r\n    prototype: PerfWidgetExternal;\r\n    new(): PerfWidgetExternal;\r\n}\r\n\r\ninterface Performance {\r\n    readonly navigation: PerformanceNavigation;\r\n    readonly timing: PerformanceTiming;\r\n    clearMarks(markName?: string): void;\r\n    clearMeasures(measureName?: string): void;\r\n    clearResourceTimings(): void;\r\n    getEntries(): any;\r\n    getEntriesByName(name: string, entryType?: string): any;\r\n    getEntriesByType(entryType: string): any;\r\n    getMarks(markName?: string): any;\r\n    getMeasures(measureName?: string): any;\r\n    mark(markName: string): void;\r\n    measure(measureName: string, startMarkName?: string, endMarkName?: string): void;\r\n    now(): number;\r\n    setResourceTimingBufferSize(maxSize: number): void;\r\n    toJSON(): any;\r\n}\r\n\r\ndeclare var Performance: {\r\n    prototype: Performance;\r\n    new(): Performance;\r\n}\r\n\r\ninterface PerformanceEntry {\r\n    readonly duration: number;\r\n    readonly entryType: string;\r\n    readonly name: string;\r\n    readonly startTime: number;\r\n}\r\n\r\ndeclare var PerformanceEntry: {\r\n    prototype: PerformanceEntry;\r\n    new(): PerformanceEntry;\r\n}\r\n\r\ninterface PerformanceMark extends PerformanceEntry {\r\n}\r\n\r\ndeclare var PerformanceMark: {\r\n    prototype: PerformanceMark;\r\n    new(): PerformanceMark;\r\n}\r\n\r\ninterface PerformanceMeasure extends PerformanceEntry {\r\n}\r\n\r\ndeclare var PerformanceMeasure: {\r\n    prototype: PerformanceMeasure;\r\n    new(): PerformanceMeasure;\r\n}\r\n\r\ninterface PerformanceNavigation {\r\n    readonly redirectCount: number;\r\n    readonly type: number;\r\n    toJSON(): any;\r\n    readonly TYPE_BACK_FORWARD: number;\r\n    readonly TYPE_NAVIGATE: number;\r\n    readonly TYPE_RELOAD: number;\r\n    readonly TYPE_RESERVED: number;\r\n}\r\n\r\ndeclare var PerformanceNavigation: {\r\n    prototype: PerformanceNavigation;\r\n    new(): PerformanceNavigation;\r\n    readonly TYPE_BACK_FORWARD: number;\r\n    readonly TYPE_NAVIGATE: number;\r\n    readonly TYPE_RELOAD: number;\r\n    readonly TYPE_RESERVED: number;\r\n}\r\n\r\ninterface PerformanceNavigationTiming extends PerformanceEntry {\r\n    readonly connectEnd: number;\r\n    readonly connectStart: number;\r\n    readonly domComplete: number;\r\n    readonly domContentLoadedEventEnd: number;\r\n    readonly domContentLoadedEventStart: number;\r\n    readonly domInteractive: number;\r\n    readonly domLoading: number;\r\n    readonly domainLookupEnd: number;\r\n    readonly domainLookupStart: number;\r\n    readonly fetchStart: number;\r\n    readonly loadEventEnd: number;\r\n    readonly loadEventStart: number;\r\n    readonly navigationStart: number;\r\n    readonly redirectCount: number;\r\n    readonly redirectEnd: number;\r\n    readonly redirectStart: number;\r\n    readonly requestStart: number;\r\n    readonly responseEnd: number;\r\n    readonly responseStart: number;\r\n    readonly type: string;\r\n    readonly unloadEventEnd: number;\r\n    readonly unloadEventStart: number;\r\n}\r\n\r\ndeclare var PerformanceNavigationTiming: {\r\n    prototype: PerformanceNavigationTiming;\r\n    new(): PerformanceNavigationTiming;\r\n}\r\n\r\ninterface PerformanceResourceTiming extends PerformanceEntry {\r\n    readonly connectEnd: number;\r\n    readonly connectStart: number;\r\n    readonly domainLookupEnd: number;\r\n    readonly domainLookupStart: number;\r\n    readonly fetchStart: number;\r\n    readonly initiatorType: string;\r\n    readonly redirectEnd: number;\r\n    readonly redirectStart: number;\r\n    readonly requestStart: number;\r\n    readonly responseEnd: number;\r\n    readonly responseStart: number;\r\n}\r\n\r\ndeclare var PerformanceResourceTiming: {\r\n    prototype: PerformanceResourceTiming;\r\n    new(): PerformanceResourceTiming;\r\n}\r\n\r\ninterface PerformanceTiming {\r\n    readonly connectEnd: number;\r\n    readonly connectStart: number;\r\n    readonly domComplete: number;\r\n    readonly domContentLoadedEventEnd: number;\r\n    readonly domContentLoadedEventStart: number;\r\n    readonly domInteractive: number;\r\n    readonly domLoading: number;\r\n    readonly domainLookupEnd: number;\r\n    readonly domainLookupStart: number;\r\n    readonly fetchStart: number;\r\n    readonly loadEventEnd: number;\r\n    readonly loadEventStart: number;\r\n    readonly msFirstPaint: number;\r\n    readonly navigationStart: number;\r\n    readonly redirectEnd: number;\r\n    readonly redirectStart: number;\r\n    readonly requestStart: number;\r\n    readonly responseEnd: number;\r\n    readonly responseStart: number;\r\n    readonly unloadEventEnd: number;\r\n    readonly unloadEventStart: number;\r\n    readonly secureConnectionStart: number;\r\n    toJSON(): any;\r\n}\r\n\r\ndeclare var PerformanceTiming: {\r\n    prototype: PerformanceTiming;\r\n    new(): PerformanceTiming;\r\n}\r\n\r\ninterface PeriodicWave {\r\n}\r\n\r\ndeclare var PeriodicWave: {\r\n    prototype: PeriodicWave;\r\n    new(): PeriodicWave;\r\n}\r\n\r\ninterface PermissionRequest extends DeferredPermissionRequest {\r\n    readonly state: string;\r\n    defer(): void;\r\n}\r\n\r\ndeclare var PermissionRequest: {\r\n    prototype: PermissionRequest;\r\n    new(): PermissionRequest;\r\n}\r\n\r\ninterface PermissionRequestedEvent extends Event {\r\n    readonly permissionRequest: PermissionRequest;\r\n}\r\n\r\ndeclare var PermissionRequestedEvent: {\r\n    prototype: PermissionRequestedEvent;\r\n    new(): PermissionRequestedEvent;\r\n}\r\n\r\ninterface Plugin {\r\n    readonly description: string;\r\n    readonly filename: string;\r\n    readonly length: number;\r\n    readonly name: string;\r\n    readonly version: string;\r\n    item(index: number): MimeType;\r\n    namedItem(type: string): MimeType;\r\n    [index: number]: MimeType;\r\n}\r\n\r\ndeclare var Plugin: {\r\n    prototype: Plugin;\r\n    new(): Plugin;\r\n}\r\n\r\ninterface PluginArray {\r\n    readonly length: number;\r\n    item(index: number): Plugin;\r\n    namedItem(name: string): Plugin;\r\n    refresh(reload?: boolean): void;\r\n    [index: number]: Plugin;\r\n}\r\n\r\ndeclare var PluginArray: {\r\n    prototype: PluginArray;\r\n    new(): PluginArray;\r\n}\r\n\r\ninterface PointerEvent extends MouseEvent {\r\n    readonly currentPoint: any;\r\n    readonly height: number;\r\n    readonly hwTimestamp: number;\r\n    readonly intermediatePoints: any;\r\n    readonly isPrimary: boolean;\r\n    readonly pointerId: number;\r\n    readonly pointerType: any;\r\n    readonly pressure: number;\r\n    readonly rotation: number;\r\n    readonly tiltX: number;\r\n    readonly tiltY: number;\r\n    readonly width: number;\r\n    getCurrentPoint(element: Element): void;\r\n    getIntermediatePoints(element: Element): void;\r\n    initPointerEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget, offsetXArg: number, offsetYArg: number, widthArg: number, heightArg: number, pressure: number, rotation: number, tiltX: number, tiltY: number, pointerIdArg: number, pointerType: any, hwTimestampArg: number, isPrimary: boolean): void;\r\n}\r\n\r\ndeclare var PointerEvent: {\r\n    prototype: PointerEvent;\r\n    new(typeArg: string, eventInitDict?: PointerEventInit): PointerEvent;\r\n}\r\n\r\ninterface PopStateEvent extends Event {\r\n    readonly state: any;\r\n    initPopStateEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, stateArg: any): void;\r\n}\r\n\r\ndeclare var PopStateEvent: {\r\n    prototype: PopStateEvent;\r\n    new(): PopStateEvent;\r\n}\r\n\r\ninterface Position {\r\n    readonly coords: Coordinates;\r\n    readonly timestamp: number;\r\n}\r\n\r\ndeclare var Position: {\r\n    prototype: Position;\r\n    new(): Position;\r\n}\r\n\r\ninterface PositionError {\r\n    readonly code: number;\r\n    readonly message: string;\r\n    toString(): string;\r\n    readonly PERMISSION_DENIED: number;\r\n    readonly POSITION_UNAVAILABLE: number;\r\n    readonly TIMEOUT: number;\r\n}\r\n\r\ndeclare var PositionError: {\r\n    prototype: PositionError;\r\n    new(): PositionError;\r\n    readonly PERMISSION_DENIED: number;\r\n    readonly POSITION_UNAVAILABLE: number;\r\n    readonly TIMEOUT: number;\r\n}\r\n\r\ninterface ProcessingInstruction extends CharacterData {\r\n    readonly target: string;\r\n}\r\n\r\ndeclare var ProcessingInstruction: {\r\n    prototype: ProcessingInstruction;\r\n    new(): ProcessingInstruction;\r\n}\r\n\r\ninterface ProgressEvent extends Event {\r\n    readonly lengthComputable: boolean;\r\n    readonly loaded: number;\r\n    readonly total: number;\r\n    initProgressEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, lengthComputableArg: boolean, loadedArg: number, totalArg: number): void;\r\n}\r\n\r\ndeclare var ProgressEvent: {\r\n    prototype: ProgressEvent;\r\n    new(type: string, eventInitDict?: ProgressEventInit): ProgressEvent;\r\n}\r\n\r\ninterface RTCDTMFToneChangeEvent extends Event {\r\n    readonly tone: string;\r\n}\r\n\r\ndeclare var RTCDTMFToneChangeEvent: {\r\n    prototype: RTCDTMFToneChangeEvent;\r\n    new(type: string, eventInitDict: RTCDTMFToneChangeEventInit): RTCDTMFToneChangeEvent;\r\n}\r\n\r\ninterface RTCDtlsTransport extends RTCStatsProvider {\r\n    ondtlsstatechange: ((this: this, ev: RTCDtlsTransportStateChangedEvent) => any) | null;\r\n    onerror: ((this: this, ev: ErrorEvent) => any) | null;\r\n    readonly state: string;\r\n    readonly transport: RTCIceTransport;\r\n    getLocalParameters(): RTCDtlsParameters;\r\n    getRemoteCertificates(): ArrayBuffer[];\r\n    getRemoteParameters(): RTCDtlsParameters | null;\r\n    start(remoteParameters: RTCDtlsParameters): void;\r\n    stop(): void;\r\n    addEventListener(type: \"dtlsstatechange\", listener: (this: this, ev: RTCDtlsTransportStateChangedEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var RTCDtlsTransport: {\r\n    prototype: RTCDtlsTransport;\r\n    new(transport: RTCIceTransport): RTCDtlsTransport;\r\n}\r\n\r\ninterface RTCDtlsTransportStateChangedEvent extends Event {\r\n    readonly state: string;\r\n}\r\n\r\ndeclare var RTCDtlsTransportStateChangedEvent: {\r\n    prototype: RTCDtlsTransportStateChangedEvent;\r\n    new(): RTCDtlsTransportStateChangedEvent;\r\n}\r\n\r\ninterface RTCDtmfSender extends EventTarget {\r\n    readonly canInsertDTMF: boolean;\r\n    readonly duration: number;\r\n    readonly interToneGap: number;\r\n    ontonechange: (this: this, ev: RTCDTMFToneChangeEvent) => any;\r\n    readonly sender: RTCRtpSender;\r\n    readonly toneBuffer: string;\r\n    insertDTMF(tones: string, duration?: number, interToneGap?: number): void;\r\n    addEventListener(type: \"tonechange\", listener: (this: this, ev: RTCDTMFToneChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var RTCDtmfSender: {\r\n    prototype: RTCDtmfSender;\r\n    new(sender: RTCRtpSender): RTCDtmfSender;\r\n}\r\n\r\ninterface RTCIceCandidatePairChangedEvent extends Event {\r\n    readonly pair: RTCIceCandidatePair;\r\n}\r\n\r\ndeclare var RTCIceCandidatePairChangedEvent: {\r\n    prototype: RTCIceCandidatePairChangedEvent;\r\n    new(): RTCIceCandidatePairChangedEvent;\r\n}\r\n\r\ninterface RTCIceGatherer extends RTCStatsProvider {\r\n    readonly component: string;\r\n    onerror: ((this: this, ev: ErrorEvent) => any) | null;\r\n    onlocalcandidate: ((this: this, ev: RTCIceGathererEvent) => any) | null;\r\n    createAssociatedGatherer(): RTCIceGatherer;\r\n    getLocalCandidates(): RTCIceCandidate[];\r\n    getLocalParameters(): RTCIceParameters;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"localcandidate\", listener: (this: this, ev: RTCIceGathererEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var RTCIceGatherer: {\r\n    prototype: RTCIceGatherer;\r\n    new(options: RTCIceGatherOptions): RTCIceGatherer;\r\n}\r\n\r\ninterface RTCIceGathererEvent extends Event {\r\n    readonly candidate: RTCIceCandidate | RTCIceCandidateComplete;\r\n}\r\n\r\ndeclare var RTCIceGathererEvent: {\r\n    prototype: RTCIceGathererEvent;\r\n    new(): RTCIceGathererEvent;\r\n}\r\n\r\ninterface RTCIceTransport extends RTCStatsProvider {\r\n    readonly component: string;\r\n    readonly iceGatherer: RTCIceGatherer | null;\r\n    oncandidatepairchange: ((this: this, ev: RTCIceCandidatePairChangedEvent) => any) | null;\r\n    onicestatechange: ((this: this, ev: RTCIceTransportStateChangedEvent) => any) | null;\r\n    readonly role: string;\r\n    readonly state: string;\r\n    addRemoteCandidate(remoteCandidate: RTCIceCandidate | RTCIceCandidateComplete): void;\r\n    createAssociatedTransport(): RTCIceTransport;\r\n    getNominatedCandidatePair(): RTCIceCandidatePair | null;\r\n    getRemoteCandidates(): RTCIceCandidate[];\r\n    getRemoteParameters(): RTCIceParameters | null;\r\n    setRemoteCandidates(remoteCandidates: RTCIceCandidate[]): void;\r\n    start(gatherer: RTCIceGatherer, remoteParameters: RTCIceParameters, role?: string): void;\r\n    stop(): void;\r\n    addEventListener(type: \"candidatepairchange\", listener: (this: this, ev: RTCIceCandidatePairChangedEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"icestatechange\", listener: (this: this, ev: RTCIceTransportStateChangedEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var RTCIceTransport: {\r\n    prototype: RTCIceTransport;\r\n    new(): RTCIceTransport;\r\n}\r\n\r\ninterface RTCIceTransportStateChangedEvent extends Event {\r\n    readonly state: string;\r\n}\r\n\r\ndeclare var RTCIceTransportStateChangedEvent: {\r\n    prototype: RTCIceTransportStateChangedEvent;\r\n    new(): RTCIceTransportStateChangedEvent;\r\n}\r\n\r\ninterface RTCRtpReceiver extends RTCStatsProvider {\r\n    onerror: ((this: this, ev: ErrorEvent) => any) | null;\r\n    readonly rtcpTransport: RTCDtlsTransport;\r\n    readonly track: MediaStreamTrack | null;\r\n    readonly transport: RTCDtlsTransport | RTCSrtpSdesTransport;\r\n    getContributingSources(): RTCRtpContributingSource[];\r\n    receive(parameters: RTCRtpParameters): void;\r\n    requestSendCSRC(csrc: number): void;\r\n    setTransport(transport: RTCDtlsTransport | RTCSrtpSdesTransport, rtcpTransport?: RTCDtlsTransport): void;\r\n    stop(): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var RTCRtpReceiver: {\r\n    prototype: RTCRtpReceiver;\r\n    new(transport: RTCDtlsTransport | RTCSrtpSdesTransport, kind: string, rtcpTransport?: RTCDtlsTransport): RTCRtpReceiver;\r\n    getCapabilities(kind?: string): RTCRtpCapabilities;\r\n}\r\n\r\ninterface RTCRtpSender extends RTCStatsProvider {\r\n    onerror: ((this: this, ev: ErrorEvent) => any) | null;\r\n    onssrcconflict: ((this: this, ev: RTCSsrcConflictEvent) => any) | null;\r\n    readonly rtcpTransport: RTCDtlsTransport;\r\n    readonly track: MediaStreamTrack;\r\n    readonly transport: RTCDtlsTransport | RTCSrtpSdesTransport;\r\n    send(parameters: RTCRtpParameters): void;\r\n    setTrack(track: MediaStreamTrack): void;\r\n    setTransport(transport: RTCDtlsTransport | RTCSrtpSdesTransport, rtcpTransport?: RTCDtlsTransport): void;\r\n    stop(): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ssrcconflict\", listener: (this: this, ev: RTCSsrcConflictEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var RTCRtpSender: {\r\n    prototype: RTCRtpSender;\r\n    new(track: MediaStreamTrack, transport: RTCDtlsTransport | RTCSrtpSdesTransport, rtcpTransport?: RTCDtlsTransport): RTCRtpSender;\r\n    getCapabilities(kind?: string): RTCRtpCapabilities;\r\n}\r\n\r\ninterface RTCSrtpSdesTransport extends EventTarget {\r\n    onerror: ((this: this, ev: ErrorEvent) => any) | null;\r\n    readonly transport: RTCIceTransport;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var RTCSrtpSdesTransport: {\r\n    prototype: RTCSrtpSdesTransport;\r\n    new(transport: RTCIceTransport, encryptParameters: RTCSrtpSdesParameters, decryptParameters: RTCSrtpSdesParameters): RTCSrtpSdesTransport;\r\n    getLocalParameters(): RTCSrtpSdesParameters[];\r\n}\r\n\r\ninterface RTCSsrcConflictEvent extends Event {\r\n    readonly ssrc: number;\r\n}\r\n\r\ndeclare var RTCSsrcConflictEvent: {\r\n    prototype: RTCSsrcConflictEvent;\r\n    new(): RTCSsrcConflictEvent;\r\n}\r\n\r\ninterface RTCStatsProvider extends EventTarget {\r\n    getStats(): PromiseLike<RTCStatsReport>;\r\n    msGetStats(): PromiseLike<RTCStatsReport>;\r\n}\r\n\r\ndeclare var RTCStatsProvider: {\r\n    prototype: RTCStatsProvider;\r\n    new(): RTCStatsProvider;\r\n}\r\n\r\ninterface Range {\r\n    readonly collapsed: boolean;\r\n    readonly commonAncestorContainer: Node;\r\n    readonly endContainer: Node;\r\n    readonly endOffset: number;\r\n    readonly startContainer: Node;\r\n    readonly startOffset: number;\r\n    cloneContents(): DocumentFragment;\r\n    cloneRange(): Range;\r\n    collapse(toStart: boolean): void;\r\n    compareBoundaryPoints(how: number, sourceRange: Range): number;\r\n    createContextualFragment(fragment: string): DocumentFragment;\r\n    deleteContents(): void;\r\n    detach(): void;\r\n    expand(Unit: string): boolean;\r\n    extractContents(): DocumentFragment;\r\n    getBoundingClientRect(): ClientRect;\r\n    getClientRects(): ClientRectList;\r\n    insertNode(newNode: Node): void;\r\n    selectNode(refNode: Node): void;\r\n    selectNodeContents(refNode: Node): void;\r\n    setEnd(refNode: Node, offset: number): void;\r\n    setEndAfter(refNode: Node): void;\r\n    setEndBefore(refNode: Node): void;\r\n    setStart(refNode: Node, offset: number): void;\r\n    setStartAfter(refNode: Node): void;\r\n    setStartBefore(refNode: Node): void;\r\n    surroundContents(newParent: Node): void;\r\n    toString(): string;\r\n    readonly END_TO_END: number;\r\n    readonly END_TO_START: number;\r\n    readonly START_TO_END: number;\r\n    readonly START_TO_START: number;\r\n}\r\n\r\ndeclare var Range: {\r\n    prototype: Range;\r\n    new(): Range;\r\n    readonly END_TO_END: number;\r\n    readonly END_TO_START: number;\r\n    readonly START_TO_END: number;\r\n    readonly START_TO_START: number;\r\n}\r\n\r\ninterface SVGAElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGURIReference {\r\n    readonly target: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGAElement: {\r\n    prototype: SVGAElement;\r\n    new(): SVGAElement;\r\n}\r\n\r\ninterface SVGAngle {\r\n    readonly unitType: number;\r\n    value: number;\r\n    valueAsString: string;\r\n    valueInSpecifiedUnits: number;\r\n    convertToSpecifiedUnits(unitType: number): void;\r\n    newValueSpecifiedUnits(unitType: number, valueInSpecifiedUnits: number): void;\r\n    readonly SVG_ANGLETYPE_DEG: number;\r\n    readonly SVG_ANGLETYPE_GRAD: number;\r\n    readonly SVG_ANGLETYPE_RAD: number;\r\n    readonly SVG_ANGLETYPE_UNKNOWN: number;\r\n    readonly SVG_ANGLETYPE_UNSPECIFIED: number;\r\n}\r\n\r\ndeclare var SVGAngle: {\r\n    prototype: SVGAngle;\r\n    new(): SVGAngle;\r\n    readonly SVG_ANGLETYPE_DEG: number;\r\n    readonly SVG_ANGLETYPE_GRAD: number;\r\n    readonly SVG_ANGLETYPE_RAD: number;\r\n    readonly SVG_ANGLETYPE_UNKNOWN: number;\r\n    readonly SVG_ANGLETYPE_UNSPECIFIED: number;\r\n}\r\n\r\ninterface SVGAnimatedAngle {\r\n    readonly animVal: SVGAngle;\r\n    readonly baseVal: SVGAngle;\r\n}\r\n\r\ndeclare var SVGAnimatedAngle: {\r\n    prototype: SVGAnimatedAngle;\r\n    new(): SVGAnimatedAngle;\r\n}\r\n\r\ninterface SVGAnimatedBoolean {\r\n    readonly animVal: boolean;\r\n    baseVal: boolean;\r\n}\r\n\r\ndeclare var SVGAnimatedBoolean: {\r\n    prototype: SVGAnimatedBoolean;\r\n    new(): SVGAnimatedBoolean;\r\n}\r\n\r\ninterface SVGAnimatedEnumeration {\r\n    readonly animVal: number;\r\n    baseVal: number;\r\n}\r\n\r\ndeclare var SVGAnimatedEnumeration: {\r\n    prototype: SVGAnimatedEnumeration;\r\n    new(): SVGAnimatedEnumeration;\r\n}\r\n\r\ninterface SVGAnimatedInteger {\r\n    readonly animVal: number;\r\n    baseVal: number;\r\n}\r\n\r\ndeclare var SVGAnimatedInteger: {\r\n    prototype: SVGAnimatedInteger;\r\n    new(): SVGAnimatedInteger;\r\n}\r\n\r\ninterface SVGAnimatedLength {\r\n    readonly animVal: SVGLength;\r\n    readonly baseVal: SVGLength;\r\n}\r\n\r\ndeclare var SVGAnimatedLength: {\r\n    prototype: SVGAnimatedLength;\r\n    new(): SVGAnimatedLength;\r\n}\r\n\r\ninterface SVGAnimatedLengthList {\r\n    readonly animVal: SVGLengthList;\r\n    readonly baseVal: SVGLengthList;\r\n}\r\n\r\ndeclare var SVGAnimatedLengthList: {\r\n    prototype: SVGAnimatedLengthList;\r\n    new(): SVGAnimatedLengthList;\r\n}\r\n\r\ninterface SVGAnimatedNumber {\r\n    readonly animVal: number;\r\n    baseVal: number;\r\n}\r\n\r\ndeclare var SVGAnimatedNumber: {\r\n    prototype: SVGAnimatedNumber;\r\n    new(): SVGAnimatedNumber;\r\n}\r\n\r\ninterface SVGAnimatedNumberList {\r\n    readonly animVal: SVGNumberList;\r\n    readonly baseVal: SVGNumberList;\r\n}\r\n\r\ndeclare var SVGAnimatedNumberList: {\r\n    prototype: SVGAnimatedNumberList;\r\n    new(): SVGAnimatedNumberList;\r\n}\r\n\r\ninterface SVGAnimatedPreserveAspectRatio {\r\n    readonly animVal: SVGPreserveAspectRatio;\r\n    readonly baseVal: SVGPreserveAspectRatio;\r\n}\r\n\r\ndeclare var SVGAnimatedPreserveAspectRatio: {\r\n    prototype: SVGAnimatedPreserveAspectRatio;\r\n    new(): SVGAnimatedPreserveAspectRatio;\r\n}\r\n\r\ninterface SVGAnimatedRect {\r\n    readonly animVal: SVGRect;\r\n    readonly baseVal: SVGRect;\r\n}\r\n\r\ndeclare var SVGAnimatedRect: {\r\n    prototype: SVGAnimatedRect;\r\n    new(): SVGAnimatedRect;\r\n}\r\n\r\ninterface SVGAnimatedString {\r\n    readonly animVal: string;\r\n    baseVal: string;\r\n}\r\n\r\ndeclare var SVGAnimatedString: {\r\n    prototype: SVGAnimatedString;\r\n    new(): SVGAnimatedString;\r\n}\r\n\r\ninterface SVGAnimatedTransformList {\r\n    readonly animVal: SVGTransformList;\r\n    readonly baseVal: SVGTransformList;\r\n}\r\n\r\ndeclare var SVGAnimatedTransformList: {\r\n    prototype: SVGAnimatedTransformList;\r\n    new(): SVGAnimatedTransformList;\r\n}\r\n\r\ninterface SVGCircleElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    readonly cx: SVGAnimatedLength;\r\n    readonly cy: SVGAnimatedLength;\r\n    readonly r: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGCircleElement: {\r\n    prototype: SVGCircleElement;\r\n    new(): SVGCircleElement;\r\n}\r\n\r\ninterface SVGClipPathElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGUnitTypes {\r\n    readonly clipPathUnits: SVGAnimatedEnumeration;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGClipPathElement: {\r\n    prototype: SVGClipPathElement;\r\n    new(): SVGClipPathElement;\r\n}\r\n\r\ninterface SVGComponentTransferFunctionElement extends SVGElement {\r\n    readonly amplitude: SVGAnimatedNumber;\r\n    readonly exponent: SVGAnimatedNumber;\r\n    readonly intercept: SVGAnimatedNumber;\r\n    readonly offset: SVGAnimatedNumber;\r\n    readonly slope: SVGAnimatedNumber;\r\n    readonly tableValues: SVGAnimatedNumberList;\r\n    readonly type: SVGAnimatedEnumeration;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE: number;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_GAMMA: number;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY: number;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_LINEAR: number;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_TABLE: number;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGComponentTransferFunctionElement: {\r\n    prototype: SVGComponentTransferFunctionElement;\r\n    new(): SVGComponentTransferFunctionElement;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE: number;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_GAMMA: number;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY: number;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_LINEAR: number;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_TABLE: number;\r\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGDefsElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGDefsElement: {\r\n    prototype: SVGDefsElement;\r\n    new(): SVGDefsElement;\r\n}\r\n\r\ninterface SVGDescElement extends SVGElement, SVGStylable, SVGLangSpace {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGDescElement: {\r\n    prototype: SVGDescElement;\r\n    new(): SVGDescElement;\r\n}\r\n\r\ninterface SVGElement extends Element {\r\n    onclick: (this: this, ev: MouseEvent) => any;\r\n    ondblclick: (this: this, ev: MouseEvent) => any;\r\n    onfocusin: (this: this, ev: FocusEvent) => any;\r\n    onfocusout: (this: this, ev: FocusEvent) => any;\r\n    onload: (this: this, ev: Event) => any;\r\n    onmousedown: (this: this, ev: MouseEvent) => any;\r\n    onmousemove: (this: this, ev: MouseEvent) => any;\r\n    onmouseout: (this: this, ev: MouseEvent) => any;\r\n    onmouseover: (this: this, ev: MouseEvent) => any;\r\n    onmouseup: (this: this, ev: MouseEvent) => any;\r\n    readonly ownerSVGElement: SVGSVGElement;\r\n    readonly viewportElement: SVGElement;\r\n    xmlbase: string;\r\n    className: any;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focusin\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focusout\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGElement: {\r\n    prototype: SVGElement;\r\n    new(): SVGElement;\r\n}\r\n\r\ninterface SVGElementInstance extends EventTarget {\r\n    readonly childNodes: SVGElementInstanceList;\r\n    readonly correspondingElement: SVGElement;\r\n    readonly correspondingUseElement: SVGUseElement;\r\n    readonly firstChild: SVGElementInstance;\r\n    readonly lastChild: SVGElementInstance;\r\n    readonly nextSibling: SVGElementInstance;\r\n    readonly parentNode: SVGElementInstance;\r\n    readonly previousSibling: SVGElementInstance;\r\n}\r\n\r\ndeclare var SVGElementInstance: {\r\n    prototype: SVGElementInstance;\r\n    new(): SVGElementInstance;\r\n}\r\n\r\ninterface SVGElementInstanceList {\r\n    readonly length: number;\r\n    item(index: number): SVGElementInstance;\r\n}\r\n\r\ndeclare var SVGElementInstanceList: {\r\n    prototype: SVGElementInstanceList;\r\n    new(): SVGElementInstanceList;\r\n}\r\n\r\ninterface SVGEllipseElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    readonly cx: SVGAnimatedLength;\r\n    readonly cy: SVGAnimatedLength;\r\n    readonly rx: SVGAnimatedLength;\r\n    readonly ry: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGEllipseElement: {\r\n    prototype: SVGEllipseElement;\r\n    new(): SVGEllipseElement;\r\n}\r\n\r\ninterface SVGFEBlendElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly in1: SVGAnimatedString;\r\n    readonly in2: SVGAnimatedString;\r\n    readonly mode: SVGAnimatedEnumeration;\r\n    readonly SVG_FEBLEND_MODE_COLOR: number;\r\n    readonly SVG_FEBLEND_MODE_COLOR_BURN: number;\r\n    readonly SVG_FEBLEND_MODE_COLOR_DODGE: number;\r\n    readonly SVG_FEBLEND_MODE_DARKEN: number;\r\n    readonly SVG_FEBLEND_MODE_DIFFERENCE: number;\r\n    readonly SVG_FEBLEND_MODE_EXCLUSION: number;\r\n    readonly SVG_FEBLEND_MODE_HARD_LIGHT: number;\r\n    readonly SVG_FEBLEND_MODE_HUE: number;\r\n    readonly SVG_FEBLEND_MODE_LIGHTEN: number;\r\n    readonly SVG_FEBLEND_MODE_LUMINOSITY: number;\r\n    readonly SVG_FEBLEND_MODE_MULTIPLY: number;\r\n    readonly SVG_FEBLEND_MODE_NORMAL: number;\r\n    readonly SVG_FEBLEND_MODE_OVERLAY: number;\r\n    readonly SVG_FEBLEND_MODE_SATURATION: number;\r\n    readonly SVG_FEBLEND_MODE_SCREEN: number;\r\n    readonly SVG_FEBLEND_MODE_SOFT_LIGHT: number;\r\n    readonly SVG_FEBLEND_MODE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEBlendElement: {\r\n    prototype: SVGFEBlendElement;\r\n    new(): SVGFEBlendElement;\r\n    readonly SVG_FEBLEND_MODE_COLOR: number;\r\n    readonly SVG_FEBLEND_MODE_COLOR_BURN: number;\r\n    readonly SVG_FEBLEND_MODE_COLOR_DODGE: number;\r\n    readonly SVG_FEBLEND_MODE_DARKEN: number;\r\n    readonly SVG_FEBLEND_MODE_DIFFERENCE: number;\r\n    readonly SVG_FEBLEND_MODE_EXCLUSION: number;\r\n    readonly SVG_FEBLEND_MODE_HARD_LIGHT: number;\r\n    readonly SVG_FEBLEND_MODE_HUE: number;\r\n    readonly SVG_FEBLEND_MODE_LIGHTEN: number;\r\n    readonly SVG_FEBLEND_MODE_LUMINOSITY: number;\r\n    readonly SVG_FEBLEND_MODE_MULTIPLY: number;\r\n    readonly SVG_FEBLEND_MODE_NORMAL: number;\r\n    readonly SVG_FEBLEND_MODE_OVERLAY: number;\r\n    readonly SVG_FEBLEND_MODE_SATURATION: number;\r\n    readonly SVG_FEBLEND_MODE_SCREEN: number;\r\n    readonly SVG_FEBLEND_MODE_SOFT_LIGHT: number;\r\n    readonly SVG_FEBLEND_MODE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEColorMatrixElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly in1: SVGAnimatedString;\r\n    readonly type: SVGAnimatedEnumeration;\r\n    readonly values: SVGAnimatedNumberList;\r\n    readonly SVG_FECOLORMATRIX_TYPE_HUEROTATE: number;\r\n    readonly SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA: number;\r\n    readonly SVG_FECOLORMATRIX_TYPE_MATRIX: number;\r\n    readonly SVG_FECOLORMATRIX_TYPE_SATURATE: number;\r\n    readonly SVG_FECOLORMATRIX_TYPE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEColorMatrixElement: {\r\n    prototype: SVGFEColorMatrixElement;\r\n    new(): SVGFEColorMatrixElement;\r\n    readonly SVG_FECOLORMATRIX_TYPE_HUEROTATE: number;\r\n    readonly SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA: number;\r\n    readonly SVG_FECOLORMATRIX_TYPE_MATRIX: number;\r\n    readonly SVG_FECOLORMATRIX_TYPE_SATURATE: number;\r\n    readonly SVG_FECOLORMATRIX_TYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEComponentTransferElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly in1: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEComponentTransferElement: {\r\n    prototype: SVGFEComponentTransferElement;\r\n    new(): SVGFEComponentTransferElement;\r\n}\r\n\r\ninterface SVGFECompositeElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly in1: SVGAnimatedString;\r\n    readonly in2: SVGAnimatedString;\r\n    readonly k1: SVGAnimatedNumber;\r\n    readonly k2: SVGAnimatedNumber;\r\n    readonly k3: SVGAnimatedNumber;\r\n    readonly k4: SVGAnimatedNumber;\r\n    readonly operator: SVGAnimatedEnumeration;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_ARITHMETIC: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_ATOP: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_IN: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_OUT: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_OVER: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_UNKNOWN: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_XOR: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFECompositeElement: {\r\n    prototype: SVGFECompositeElement;\r\n    new(): SVGFECompositeElement;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_ARITHMETIC: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_ATOP: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_IN: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_OUT: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_OVER: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_UNKNOWN: number;\r\n    readonly SVG_FECOMPOSITE_OPERATOR_XOR: number;\r\n}\r\n\r\ninterface SVGFEConvolveMatrixElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly bias: SVGAnimatedNumber;\r\n    readonly divisor: SVGAnimatedNumber;\r\n    readonly edgeMode: SVGAnimatedEnumeration;\r\n    readonly in1: SVGAnimatedString;\r\n    readonly kernelMatrix: SVGAnimatedNumberList;\r\n    readonly kernelUnitLengthX: SVGAnimatedNumber;\r\n    readonly kernelUnitLengthY: SVGAnimatedNumber;\r\n    readonly orderX: SVGAnimatedInteger;\r\n    readonly orderY: SVGAnimatedInteger;\r\n    readonly preserveAlpha: SVGAnimatedBoolean;\r\n    readonly targetX: SVGAnimatedInteger;\r\n    readonly targetY: SVGAnimatedInteger;\r\n    readonly SVG_EDGEMODE_DUPLICATE: number;\r\n    readonly SVG_EDGEMODE_NONE: number;\r\n    readonly SVG_EDGEMODE_UNKNOWN: number;\r\n    readonly SVG_EDGEMODE_WRAP: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEConvolveMatrixElement: {\r\n    prototype: SVGFEConvolveMatrixElement;\r\n    new(): SVGFEConvolveMatrixElement;\r\n    readonly SVG_EDGEMODE_DUPLICATE: number;\r\n    readonly SVG_EDGEMODE_NONE: number;\r\n    readonly SVG_EDGEMODE_UNKNOWN: number;\r\n    readonly SVG_EDGEMODE_WRAP: number;\r\n}\r\n\r\ninterface SVGFEDiffuseLightingElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly diffuseConstant: SVGAnimatedNumber;\r\n    readonly in1: SVGAnimatedString;\r\n    readonly kernelUnitLengthX: SVGAnimatedNumber;\r\n    readonly kernelUnitLengthY: SVGAnimatedNumber;\r\n    readonly surfaceScale: SVGAnimatedNumber;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEDiffuseLightingElement: {\r\n    prototype: SVGFEDiffuseLightingElement;\r\n    new(): SVGFEDiffuseLightingElement;\r\n}\r\n\r\ninterface SVGFEDisplacementMapElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly in1: SVGAnimatedString;\r\n    readonly in2: SVGAnimatedString;\r\n    readonly scale: SVGAnimatedNumber;\r\n    readonly xChannelSelector: SVGAnimatedEnumeration;\r\n    readonly yChannelSelector: SVGAnimatedEnumeration;\r\n    readonly SVG_CHANNEL_A: number;\r\n    readonly SVG_CHANNEL_B: number;\r\n    readonly SVG_CHANNEL_G: number;\r\n    readonly SVG_CHANNEL_R: number;\r\n    readonly SVG_CHANNEL_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEDisplacementMapElement: {\r\n    prototype: SVGFEDisplacementMapElement;\r\n    new(): SVGFEDisplacementMapElement;\r\n    readonly SVG_CHANNEL_A: number;\r\n    readonly SVG_CHANNEL_B: number;\r\n    readonly SVG_CHANNEL_G: number;\r\n    readonly SVG_CHANNEL_R: number;\r\n    readonly SVG_CHANNEL_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEDistantLightElement extends SVGElement {\r\n    readonly azimuth: SVGAnimatedNumber;\r\n    readonly elevation: SVGAnimatedNumber;\r\n}\r\n\r\ndeclare var SVGFEDistantLightElement: {\r\n    prototype: SVGFEDistantLightElement;\r\n    new(): SVGFEDistantLightElement;\r\n}\r\n\r\ninterface SVGFEFloodElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEFloodElement: {\r\n    prototype: SVGFEFloodElement;\r\n    new(): SVGFEFloodElement;\r\n}\r\n\r\ninterface SVGFEFuncAElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncAElement: {\r\n    prototype: SVGFEFuncAElement;\r\n    new(): SVGFEFuncAElement;\r\n}\r\n\r\ninterface SVGFEFuncBElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncBElement: {\r\n    prototype: SVGFEFuncBElement;\r\n    new(): SVGFEFuncBElement;\r\n}\r\n\r\ninterface SVGFEFuncGElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncGElement: {\r\n    prototype: SVGFEFuncGElement;\r\n    new(): SVGFEFuncGElement;\r\n}\r\n\r\ninterface SVGFEFuncRElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncRElement: {\r\n    prototype: SVGFEFuncRElement;\r\n    new(): SVGFEFuncRElement;\r\n}\r\n\r\ninterface SVGFEGaussianBlurElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly in1: SVGAnimatedString;\r\n    readonly stdDeviationX: SVGAnimatedNumber;\r\n    readonly stdDeviationY: SVGAnimatedNumber;\r\n    setStdDeviation(stdDeviationX: number, stdDeviationY: number): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEGaussianBlurElement: {\r\n    prototype: SVGFEGaussianBlurElement;\r\n    new(): SVGFEGaussianBlurElement;\r\n}\r\n\r\ninterface SVGFEImageElement extends SVGElement, SVGFilterPrimitiveStandardAttributes, SVGLangSpace, SVGURIReference, SVGExternalResourcesRequired {\r\n    readonly preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEImageElement: {\r\n    prototype: SVGFEImageElement;\r\n    new(): SVGFEImageElement;\r\n}\r\n\r\ninterface SVGFEMergeElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEMergeElement: {\r\n    prototype: SVGFEMergeElement;\r\n    new(): SVGFEMergeElement;\r\n}\r\n\r\ninterface SVGFEMergeNodeElement extends SVGElement {\r\n    readonly in1: SVGAnimatedString;\r\n}\r\n\r\ndeclare var SVGFEMergeNodeElement: {\r\n    prototype: SVGFEMergeNodeElement;\r\n    new(): SVGFEMergeNodeElement;\r\n}\r\n\r\ninterface SVGFEMorphologyElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly in1: SVGAnimatedString;\r\n    readonly operator: SVGAnimatedEnumeration;\r\n    readonly radiusX: SVGAnimatedNumber;\r\n    readonly radiusY: SVGAnimatedNumber;\r\n    readonly SVG_MORPHOLOGY_OPERATOR_DILATE: number;\r\n    readonly SVG_MORPHOLOGY_OPERATOR_ERODE: number;\r\n    readonly SVG_MORPHOLOGY_OPERATOR_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEMorphologyElement: {\r\n    prototype: SVGFEMorphologyElement;\r\n    new(): SVGFEMorphologyElement;\r\n    readonly SVG_MORPHOLOGY_OPERATOR_DILATE: number;\r\n    readonly SVG_MORPHOLOGY_OPERATOR_ERODE: number;\r\n    readonly SVG_MORPHOLOGY_OPERATOR_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEOffsetElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly dx: SVGAnimatedNumber;\r\n    readonly dy: SVGAnimatedNumber;\r\n    readonly in1: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEOffsetElement: {\r\n    prototype: SVGFEOffsetElement;\r\n    new(): SVGFEOffsetElement;\r\n}\r\n\r\ninterface SVGFEPointLightElement extends SVGElement {\r\n    readonly x: SVGAnimatedNumber;\r\n    readonly y: SVGAnimatedNumber;\r\n    readonly z: SVGAnimatedNumber;\r\n}\r\n\r\ndeclare var SVGFEPointLightElement: {\r\n    prototype: SVGFEPointLightElement;\r\n    new(): SVGFEPointLightElement;\r\n}\r\n\r\ninterface SVGFESpecularLightingElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly in1: SVGAnimatedString;\r\n    readonly kernelUnitLengthX: SVGAnimatedNumber;\r\n    readonly kernelUnitLengthY: SVGAnimatedNumber;\r\n    readonly specularConstant: SVGAnimatedNumber;\r\n    readonly specularExponent: SVGAnimatedNumber;\r\n    readonly surfaceScale: SVGAnimatedNumber;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFESpecularLightingElement: {\r\n    prototype: SVGFESpecularLightingElement;\r\n    new(): SVGFESpecularLightingElement;\r\n}\r\n\r\ninterface SVGFESpotLightElement extends SVGElement {\r\n    readonly limitingConeAngle: SVGAnimatedNumber;\r\n    readonly pointsAtX: SVGAnimatedNumber;\r\n    readonly pointsAtY: SVGAnimatedNumber;\r\n    readonly pointsAtZ: SVGAnimatedNumber;\r\n    readonly specularExponent: SVGAnimatedNumber;\r\n    readonly x: SVGAnimatedNumber;\r\n    readonly y: SVGAnimatedNumber;\r\n    readonly z: SVGAnimatedNumber;\r\n}\r\n\r\ndeclare var SVGFESpotLightElement: {\r\n    prototype: SVGFESpotLightElement;\r\n    new(): SVGFESpotLightElement;\r\n}\r\n\r\ninterface SVGFETileElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly in1: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFETileElement: {\r\n    prototype: SVGFETileElement;\r\n    new(): SVGFETileElement;\r\n}\r\n\r\ninterface SVGFETurbulenceElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    readonly baseFrequencyX: SVGAnimatedNumber;\r\n    readonly baseFrequencyY: SVGAnimatedNumber;\r\n    readonly numOctaves: SVGAnimatedInteger;\r\n    readonly seed: SVGAnimatedNumber;\r\n    readonly stitchTiles: SVGAnimatedEnumeration;\r\n    readonly type: SVGAnimatedEnumeration;\r\n    readonly SVG_STITCHTYPE_NOSTITCH: number;\r\n    readonly SVG_STITCHTYPE_STITCH: number;\r\n    readonly SVG_STITCHTYPE_UNKNOWN: number;\r\n    readonly SVG_TURBULENCE_TYPE_FRACTALNOISE: number;\r\n    readonly SVG_TURBULENCE_TYPE_TURBULENCE: number;\r\n    readonly SVG_TURBULENCE_TYPE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFETurbulenceElement: {\r\n    prototype: SVGFETurbulenceElement;\r\n    new(): SVGFETurbulenceElement;\r\n    readonly SVG_STITCHTYPE_NOSTITCH: number;\r\n    readonly SVG_STITCHTYPE_STITCH: number;\r\n    readonly SVG_STITCHTYPE_UNKNOWN: number;\r\n    readonly SVG_TURBULENCE_TYPE_FRACTALNOISE: number;\r\n    readonly SVG_TURBULENCE_TYPE_TURBULENCE: number;\r\n    readonly SVG_TURBULENCE_TYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFilterElement extends SVGElement, SVGUnitTypes, SVGStylable, SVGLangSpace, SVGURIReference, SVGExternalResourcesRequired {\r\n    readonly filterResX: SVGAnimatedInteger;\r\n    readonly filterResY: SVGAnimatedInteger;\r\n    readonly filterUnits: SVGAnimatedEnumeration;\r\n    readonly height: SVGAnimatedLength;\r\n    readonly primitiveUnits: SVGAnimatedEnumeration;\r\n    readonly width: SVGAnimatedLength;\r\n    readonly x: SVGAnimatedLength;\r\n    readonly y: SVGAnimatedLength;\r\n    setFilterRes(filterResX: number, filterResY: number): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFilterElement: {\r\n    prototype: SVGFilterElement;\r\n    new(): SVGFilterElement;\r\n}\r\n\r\ninterface SVGForeignObjectElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    readonly height: SVGAnimatedLength;\r\n    readonly width: SVGAnimatedLength;\r\n    readonly x: SVGAnimatedLength;\r\n    readonly y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGForeignObjectElement: {\r\n    prototype: SVGForeignObjectElement;\r\n    new(): SVGForeignObjectElement;\r\n}\r\n\r\ninterface SVGGElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGGElement: {\r\n    prototype: SVGGElement;\r\n    new(): SVGGElement;\r\n}\r\n\r\ninterface SVGGradientElement extends SVGElement, SVGStylable, SVGExternalResourcesRequired, SVGURIReference, SVGUnitTypes {\r\n    readonly gradientTransform: SVGAnimatedTransformList;\r\n    readonly gradientUnits: SVGAnimatedEnumeration;\r\n    readonly spreadMethod: SVGAnimatedEnumeration;\r\n    readonly SVG_SPREADMETHOD_PAD: number;\r\n    readonly SVG_SPREADMETHOD_REFLECT: number;\r\n    readonly SVG_SPREADMETHOD_REPEAT: number;\r\n    readonly SVG_SPREADMETHOD_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGGradientElement: {\r\n    prototype: SVGGradientElement;\r\n    new(): SVGGradientElement;\r\n    readonly SVG_SPREADMETHOD_PAD: number;\r\n    readonly SVG_SPREADMETHOD_REFLECT: number;\r\n    readonly SVG_SPREADMETHOD_REPEAT: number;\r\n    readonly SVG_SPREADMETHOD_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGImageElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGURIReference {\r\n    readonly height: SVGAnimatedLength;\r\n    readonly preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\r\n    readonly width: SVGAnimatedLength;\r\n    readonly x: SVGAnimatedLength;\r\n    readonly y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGImageElement: {\r\n    prototype: SVGImageElement;\r\n    new(): SVGImageElement;\r\n}\r\n\r\ninterface SVGLength {\r\n    readonly unitType: number;\r\n    value: number;\r\n    valueAsString: string;\r\n    valueInSpecifiedUnits: number;\r\n    convertToSpecifiedUnits(unitType: number): void;\r\n    newValueSpecifiedUnits(unitType: number, valueInSpecifiedUnits: number): void;\r\n    readonly SVG_LENGTHTYPE_CM: number;\r\n    readonly SVG_LENGTHTYPE_EMS: number;\r\n    readonly SVG_LENGTHTYPE_EXS: number;\r\n    readonly SVG_LENGTHTYPE_IN: number;\r\n    readonly SVG_LENGTHTYPE_MM: number;\r\n    readonly SVG_LENGTHTYPE_NUMBER: number;\r\n    readonly SVG_LENGTHTYPE_PC: number;\r\n    readonly SVG_LENGTHTYPE_PERCENTAGE: number;\r\n    readonly SVG_LENGTHTYPE_PT: number;\r\n    readonly SVG_LENGTHTYPE_PX: number;\r\n    readonly SVG_LENGTHTYPE_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGLength: {\r\n    prototype: SVGLength;\r\n    new(): SVGLength;\r\n    readonly SVG_LENGTHTYPE_CM: number;\r\n    readonly SVG_LENGTHTYPE_EMS: number;\r\n    readonly SVG_LENGTHTYPE_EXS: number;\r\n    readonly SVG_LENGTHTYPE_IN: number;\r\n    readonly SVG_LENGTHTYPE_MM: number;\r\n    readonly SVG_LENGTHTYPE_NUMBER: number;\r\n    readonly SVG_LENGTHTYPE_PC: number;\r\n    readonly SVG_LENGTHTYPE_PERCENTAGE: number;\r\n    readonly SVG_LENGTHTYPE_PT: number;\r\n    readonly SVG_LENGTHTYPE_PX: number;\r\n    readonly SVG_LENGTHTYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGLengthList {\r\n    readonly numberOfItems: number;\r\n    appendItem(newItem: SVGLength): SVGLength;\r\n    clear(): void;\r\n    getItem(index: number): SVGLength;\r\n    initialize(newItem: SVGLength): SVGLength;\r\n    insertItemBefore(newItem: SVGLength, index: number): SVGLength;\r\n    removeItem(index: number): SVGLength;\r\n    replaceItem(newItem: SVGLength, index: number): SVGLength;\r\n}\r\n\r\ndeclare var SVGLengthList: {\r\n    prototype: SVGLengthList;\r\n    new(): SVGLengthList;\r\n}\r\n\r\ninterface SVGLineElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    readonly x1: SVGAnimatedLength;\r\n    readonly x2: SVGAnimatedLength;\r\n    readonly y1: SVGAnimatedLength;\r\n    readonly y2: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGLineElement: {\r\n    prototype: SVGLineElement;\r\n    new(): SVGLineElement;\r\n}\r\n\r\ninterface SVGLinearGradientElement extends SVGGradientElement {\r\n    readonly x1: SVGAnimatedLength;\r\n    readonly x2: SVGAnimatedLength;\r\n    readonly y1: SVGAnimatedLength;\r\n    readonly y2: SVGAnimatedLength;\r\n}\r\n\r\ndeclare var SVGLinearGradientElement: {\r\n    prototype: SVGLinearGradientElement;\r\n    new(): SVGLinearGradientElement;\r\n}\r\n\r\ninterface SVGMarkerElement extends SVGElement, SVGStylable, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox {\r\n    readonly markerHeight: SVGAnimatedLength;\r\n    readonly markerUnits: SVGAnimatedEnumeration;\r\n    readonly markerWidth: SVGAnimatedLength;\r\n    readonly orientAngle: SVGAnimatedAngle;\r\n    readonly orientType: SVGAnimatedEnumeration;\r\n    readonly refX: SVGAnimatedLength;\r\n    readonly refY: SVGAnimatedLength;\r\n    setOrientToAngle(angle: SVGAngle): void;\r\n    setOrientToAuto(): void;\r\n    readonly SVG_MARKERUNITS_STROKEWIDTH: number;\r\n    readonly SVG_MARKERUNITS_UNKNOWN: number;\r\n    readonly SVG_MARKERUNITS_USERSPACEONUSE: number;\r\n    readonly SVG_MARKER_ORIENT_ANGLE: number;\r\n    readonly SVG_MARKER_ORIENT_AUTO: number;\r\n    readonly SVG_MARKER_ORIENT_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGMarkerElement: {\r\n    prototype: SVGMarkerElement;\r\n    new(): SVGMarkerElement;\r\n    readonly SVG_MARKERUNITS_STROKEWIDTH: number;\r\n    readonly SVG_MARKERUNITS_UNKNOWN: number;\r\n    readonly SVG_MARKERUNITS_USERSPACEONUSE: number;\r\n    readonly SVG_MARKER_ORIENT_ANGLE: number;\r\n    readonly SVG_MARKER_ORIENT_AUTO: number;\r\n    readonly SVG_MARKER_ORIENT_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGMaskElement extends SVGElement, SVGStylable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGUnitTypes {\r\n    readonly height: SVGAnimatedLength;\r\n    readonly maskContentUnits: SVGAnimatedEnumeration;\r\n    readonly maskUnits: SVGAnimatedEnumeration;\r\n    readonly width: SVGAnimatedLength;\r\n    readonly x: SVGAnimatedLength;\r\n    readonly y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGMaskElement: {\r\n    prototype: SVGMaskElement;\r\n    new(): SVGMaskElement;\r\n}\r\n\r\ninterface SVGMatrix {\r\n    a: number;\r\n    b: number;\r\n    c: number;\r\n    d: number;\r\n    e: number;\r\n    f: number;\r\n    flipX(): SVGMatrix;\r\n    flipY(): SVGMatrix;\r\n    inverse(): SVGMatrix;\r\n    multiply(secondMatrix: SVGMatrix): SVGMatrix;\r\n    rotate(angle: number): SVGMatrix;\r\n    rotateFromVector(x: number, y: number): SVGMatrix;\r\n    scale(scaleFactor: number): SVGMatrix;\r\n    scaleNonUniform(scaleFactorX: number, scaleFactorY: number): SVGMatrix;\r\n    skewX(angle: number): SVGMatrix;\r\n    skewY(angle: number): SVGMatrix;\r\n    translate(x: number, y: number): SVGMatrix;\r\n}\r\n\r\ndeclare var SVGMatrix: {\r\n    prototype: SVGMatrix;\r\n    new(): SVGMatrix;\r\n}\r\n\r\ninterface SVGMetadataElement extends SVGElement {\r\n}\r\n\r\ndeclare var SVGMetadataElement: {\r\n    prototype: SVGMetadataElement;\r\n    new(): SVGMetadataElement;\r\n}\r\n\r\ninterface SVGNumber {\r\n    value: number;\r\n}\r\n\r\ndeclare var SVGNumber: {\r\n    prototype: SVGNumber;\r\n    new(): SVGNumber;\r\n}\r\n\r\ninterface SVGNumberList {\r\n    readonly numberOfItems: number;\r\n    appendItem(newItem: SVGNumber): SVGNumber;\r\n    clear(): void;\r\n    getItem(index: number): SVGNumber;\r\n    initialize(newItem: SVGNumber): SVGNumber;\r\n    insertItemBefore(newItem: SVGNumber, index: number): SVGNumber;\r\n    removeItem(index: number): SVGNumber;\r\n    replaceItem(newItem: SVGNumber, index: number): SVGNumber;\r\n}\r\n\r\ndeclare var SVGNumberList: {\r\n    prototype: SVGNumberList;\r\n    new(): SVGNumberList;\r\n}\r\n\r\ninterface SVGPathElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGAnimatedPathData {\r\n    createSVGPathSegArcAbs(x: number, y: number, r1: number, r2: number, angle: number, largeArcFlag: boolean, sweepFlag: boolean): SVGPathSegArcAbs;\r\n    createSVGPathSegArcRel(x: number, y: number, r1: number, r2: number, angle: number, largeArcFlag: boolean, sweepFlag: boolean): SVGPathSegArcRel;\r\n    createSVGPathSegClosePath(): SVGPathSegClosePath;\r\n    createSVGPathSegCurvetoCubicAbs(x: number, y: number, x1: number, y1: number, x2: number, y2: number): SVGPathSegCurvetoCubicAbs;\r\n    createSVGPathSegCurvetoCubicRel(x: number, y: number, x1: number, y1: number, x2: number, y2: number): SVGPathSegCurvetoCubicRel;\r\n    createSVGPathSegCurvetoCubicSmoothAbs(x: number, y: number, x2: number, y2: number): SVGPathSegCurvetoCubicSmoothAbs;\r\n    createSVGPathSegCurvetoCubicSmoothRel(x: number, y: number, x2: number, y2: number): SVGPathSegCurvetoCubicSmoothRel;\r\n    createSVGPathSegCurvetoQuadraticAbs(x: number, y: number, x1: number, y1: number): SVGPathSegCurvetoQuadraticAbs;\r\n    createSVGPathSegCurvetoQuadraticRel(x: number, y: number, x1: number, y1: number): SVGPathSegCurvetoQuadraticRel;\r\n    createSVGPathSegCurvetoQuadraticSmoothAbs(x: number, y: number): SVGPathSegCurvetoQuadraticSmoothAbs;\r\n    createSVGPathSegCurvetoQuadraticSmoothRel(x: number, y: number): SVGPathSegCurvetoQuadraticSmoothRel;\r\n    createSVGPathSegLinetoAbs(x: number, y: number): SVGPathSegLinetoAbs;\r\n    createSVGPathSegLinetoHorizontalAbs(x: number): SVGPathSegLinetoHorizontalAbs;\r\n    createSVGPathSegLinetoHorizontalRel(x: number): SVGPathSegLinetoHorizontalRel;\r\n    createSVGPathSegLinetoRel(x: number, y: number): SVGPathSegLinetoRel;\r\n    createSVGPathSegLinetoVerticalAbs(y: number): SVGPathSegLinetoVerticalAbs;\r\n    createSVGPathSegLinetoVerticalRel(y: number): SVGPathSegLinetoVerticalRel;\r\n    createSVGPathSegMovetoAbs(x: number, y: number): SVGPathSegMovetoAbs;\r\n    createSVGPathSegMovetoRel(x: number, y: number): SVGPathSegMovetoRel;\r\n    getPathSegAtLength(distance: number): number;\r\n    getPointAtLength(distance: number): SVGPoint;\r\n    getTotalLength(): number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPathElement: {\r\n    prototype: SVGPathElement;\r\n    new(): SVGPathElement;\r\n}\r\n\r\ninterface SVGPathSeg {\r\n    readonly pathSegType: number;\r\n    readonly pathSegTypeAsLetter: string;\r\n    readonly PATHSEG_ARC_ABS: number;\r\n    readonly PATHSEG_ARC_REL: number;\r\n    readonly PATHSEG_CLOSEPATH: number;\r\n    readonly PATHSEG_CURVETO_CUBIC_ABS: number;\r\n    readonly PATHSEG_CURVETO_CUBIC_REL: number;\r\n    readonly PATHSEG_CURVETO_CUBIC_SMOOTH_ABS: number;\r\n    readonly PATHSEG_CURVETO_CUBIC_SMOOTH_REL: number;\r\n    readonly PATHSEG_CURVETO_QUADRATIC_ABS: number;\r\n    readonly PATHSEG_CURVETO_QUADRATIC_REL: number;\r\n    readonly PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS: number;\r\n    readonly PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL: number;\r\n    readonly PATHSEG_LINETO_ABS: number;\r\n    readonly PATHSEG_LINETO_HORIZONTAL_ABS: number;\r\n    readonly PATHSEG_LINETO_HORIZONTAL_REL: number;\r\n    readonly PATHSEG_LINETO_REL: number;\r\n    readonly PATHSEG_LINETO_VERTICAL_ABS: number;\r\n    readonly PATHSEG_LINETO_VERTICAL_REL: number;\r\n    readonly PATHSEG_MOVETO_ABS: number;\r\n    readonly PATHSEG_MOVETO_REL: number;\r\n    readonly PATHSEG_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGPathSeg: {\r\n    prototype: SVGPathSeg;\r\n    new(): SVGPathSeg;\r\n    readonly PATHSEG_ARC_ABS: number;\r\n    readonly PATHSEG_ARC_REL: number;\r\n    readonly PATHSEG_CLOSEPATH: number;\r\n    readonly PATHSEG_CURVETO_CUBIC_ABS: number;\r\n    readonly PATHSEG_CURVETO_CUBIC_REL: number;\r\n    readonly PATHSEG_CURVETO_CUBIC_SMOOTH_ABS: number;\r\n    readonly PATHSEG_CURVETO_CUBIC_SMOOTH_REL: number;\r\n    readonly PATHSEG_CURVETO_QUADRATIC_ABS: number;\r\n    readonly PATHSEG_CURVETO_QUADRATIC_REL: number;\r\n    readonly PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS: number;\r\n    readonly PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL: number;\r\n    readonly PATHSEG_LINETO_ABS: number;\r\n    readonly PATHSEG_LINETO_HORIZONTAL_ABS: number;\r\n    readonly PATHSEG_LINETO_HORIZONTAL_REL: number;\r\n    readonly PATHSEG_LINETO_REL: number;\r\n    readonly PATHSEG_LINETO_VERTICAL_ABS: number;\r\n    readonly PATHSEG_LINETO_VERTICAL_REL: number;\r\n    readonly PATHSEG_MOVETO_ABS: number;\r\n    readonly PATHSEG_MOVETO_REL: number;\r\n    readonly PATHSEG_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGPathSegArcAbs extends SVGPathSeg {\r\n    angle: number;\r\n    largeArcFlag: boolean;\r\n    r1: number;\r\n    r2: number;\r\n    sweepFlag: boolean;\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegArcAbs: {\r\n    prototype: SVGPathSegArcAbs;\r\n    new(): SVGPathSegArcAbs;\r\n}\r\n\r\ninterface SVGPathSegArcRel extends SVGPathSeg {\r\n    angle: number;\r\n    largeArcFlag: boolean;\r\n    r1: number;\r\n    r2: number;\r\n    sweepFlag: boolean;\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegArcRel: {\r\n    prototype: SVGPathSegArcRel;\r\n    new(): SVGPathSegArcRel;\r\n}\r\n\r\ninterface SVGPathSegClosePath extends SVGPathSeg {\r\n}\r\n\r\ndeclare var SVGPathSegClosePath: {\r\n    prototype: SVGPathSegClosePath;\r\n    new(): SVGPathSegClosePath;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicAbs extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    x2: number;\r\n    y: number;\r\n    y1: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicAbs: {\r\n    prototype: SVGPathSegCurvetoCubicAbs;\r\n    new(): SVGPathSegCurvetoCubicAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicRel extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    x2: number;\r\n    y: number;\r\n    y1: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicRel: {\r\n    prototype: SVGPathSegCurvetoCubicRel;\r\n    new(): SVGPathSegCurvetoCubicRel;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicSmoothAbs extends SVGPathSeg {\r\n    x: number;\r\n    x2: number;\r\n    y: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicSmoothAbs: {\r\n    prototype: SVGPathSegCurvetoCubicSmoothAbs;\r\n    new(): SVGPathSegCurvetoCubicSmoothAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicSmoothRel extends SVGPathSeg {\r\n    x: number;\r\n    x2: number;\r\n    y: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicSmoothRel: {\r\n    prototype: SVGPathSegCurvetoCubicSmoothRel;\r\n    new(): SVGPathSegCurvetoCubicSmoothRel;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticAbs extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    y: number;\r\n    y1: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticAbs: {\r\n    prototype: SVGPathSegCurvetoQuadraticAbs;\r\n    new(): SVGPathSegCurvetoQuadraticAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticRel extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    y: number;\r\n    y1: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticRel: {\r\n    prototype: SVGPathSegCurvetoQuadraticRel;\r\n    new(): SVGPathSegCurvetoQuadraticRel;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticSmoothAbs extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticSmoothAbs: {\r\n    prototype: SVGPathSegCurvetoQuadraticSmoothAbs;\r\n    new(): SVGPathSegCurvetoQuadraticSmoothAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticSmoothRel extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticSmoothRel: {\r\n    prototype: SVGPathSegCurvetoQuadraticSmoothRel;\r\n    new(): SVGPathSegCurvetoQuadraticSmoothRel;\r\n}\r\n\r\ninterface SVGPathSegLinetoAbs extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoAbs: {\r\n    prototype: SVGPathSegLinetoAbs;\r\n    new(): SVGPathSegLinetoAbs;\r\n}\r\n\r\ninterface SVGPathSegLinetoHorizontalAbs extends SVGPathSeg {\r\n    x: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoHorizontalAbs: {\r\n    prototype: SVGPathSegLinetoHorizontalAbs;\r\n    new(): SVGPathSegLinetoHorizontalAbs;\r\n}\r\n\r\ninterface SVGPathSegLinetoHorizontalRel extends SVGPathSeg {\r\n    x: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoHorizontalRel: {\r\n    prototype: SVGPathSegLinetoHorizontalRel;\r\n    new(): SVGPathSegLinetoHorizontalRel;\r\n}\r\n\r\ninterface SVGPathSegLinetoRel extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoRel: {\r\n    prototype: SVGPathSegLinetoRel;\r\n    new(): SVGPathSegLinetoRel;\r\n}\r\n\r\ninterface SVGPathSegLinetoVerticalAbs extends SVGPathSeg {\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoVerticalAbs: {\r\n    prototype: SVGPathSegLinetoVerticalAbs;\r\n    new(): SVGPathSegLinetoVerticalAbs;\r\n}\r\n\r\ninterface SVGPathSegLinetoVerticalRel extends SVGPathSeg {\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoVerticalRel: {\r\n    prototype: SVGPathSegLinetoVerticalRel;\r\n    new(): SVGPathSegLinetoVerticalRel;\r\n}\r\n\r\ninterface SVGPathSegList {\r\n    readonly numberOfItems: number;\r\n    appendItem(newItem: SVGPathSeg): SVGPathSeg;\r\n    clear(): void;\r\n    getItem(index: number): SVGPathSeg;\r\n    initialize(newItem: SVGPathSeg): SVGPathSeg;\r\n    insertItemBefore(newItem: SVGPathSeg, index: number): SVGPathSeg;\r\n    removeItem(index: number): SVGPathSeg;\r\n    replaceItem(newItem: SVGPathSeg, index: number): SVGPathSeg;\r\n}\r\n\r\ndeclare var SVGPathSegList: {\r\n    prototype: SVGPathSegList;\r\n    new(): SVGPathSegList;\r\n}\r\n\r\ninterface SVGPathSegMovetoAbs extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegMovetoAbs: {\r\n    prototype: SVGPathSegMovetoAbs;\r\n    new(): SVGPathSegMovetoAbs;\r\n}\r\n\r\ninterface SVGPathSegMovetoRel extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegMovetoRel: {\r\n    prototype: SVGPathSegMovetoRel;\r\n    new(): SVGPathSegMovetoRel;\r\n}\r\n\r\ninterface SVGPatternElement extends SVGElement, SVGStylable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox, SVGURIReference, SVGUnitTypes {\r\n    readonly height: SVGAnimatedLength;\r\n    readonly patternContentUnits: SVGAnimatedEnumeration;\r\n    readonly patternTransform: SVGAnimatedTransformList;\r\n    readonly patternUnits: SVGAnimatedEnumeration;\r\n    readonly width: SVGAnimatedLength;\r\n    readonly x: SVGAnimatedLength;\r\n    readonly y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPatternElement: {\r\n    prototype: SVGPatternElement;\r\n    new(): SVGPatternElement;\r\n}\r\n\r\ninterface SVGPoint {\r\n    x: number;\r\n    y: number;\r\n    matrixTransform(matrix: SVGMatrix): SVGPoint;\r\n}\r\n\r\ndeclare var SVGPoint: {\r\n    prototype: SVGPoint;\r\n    new(): SVGPoint;\r\n}\r\n\r\ninterface SVGPointList {\r\n    readonly numberOfItems: number;\r\n    appendItem(newItem: SVGPoint): SVGPoint;\r\n    clear(): void;\r\n    getItem(index: number): SVGPoint;\r\n    initialize(newItem: SVGPoint): SVGPoint;\r\n    insertItemBefore(newItem: SVGPoint, index: number): SVGPoint;\r\n    removeItem(index: number): SVGPoint;\r\n    replaceItem(newItem: SVGPoint, index: number): SVGPoint;\r\n}\r\n\r\ndeclare var SVGPointList: {\r\n    prototype: SVGPointList;\r\n    new(): SVGPointList;\r\n}\r\n\r\ninterface SVGPolygonElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGAnimatedPoints {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPolygonElement: {\r\n    prototype: SVGPolygonElement;\r\n    new(): SVGPolygonElement;\r\n}\r\n\r\ninterface SVGPolylineElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGAnimatedPoints {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPolylineElement: {\r\n    prototype: SVGPolylineElement;\r\n    new(): SVGPolylineElement;\r\n}\r\n\r\ninterface SVGPreserveAspectRatio {\r\n    align: number;\r\n    meetOrSlice: number;\r\n    readonly SVG_MEETORSLICE_MEET: number;\r\n    readonly SVG_MEETORSLICE_SLICE: number;\r\n    readonly SVG_MEETORSLICE_UNKNOWN: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_NONE: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_UNKNOWN: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMAX: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMID: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMIN: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMAX: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMID: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMIN: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMAX: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMID: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMIN: number;\r\n}\r\n\r\ndeclare var SVGPreserveAspectRatio: {\r\n    prototype: SVGPreserveAspectRatio;\r\n    new(): SVGPreserveAspectRatio;\r\n    readonly SVG_MEETORSLICE_MEET: number;\r\n    readonly SVG_MEETORSLICE_SLICE: number;\r\n    readonly SVG_MEETORSLICE_UNKNOWN: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_NONE: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_UNKNOWN: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMAX: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMID: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMIN: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMAX: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMID: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMIN: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMAX: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMID: number;\r\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMIN: number;\r\n}\r\n\r\ninterface SVGRadialGradientElement extends SVGGradientElement {\r\n    readonly cx: SVGAnimatedLength;\r\n    readonly cy: SVGAnimatedLength;\r\n    readonly fx: SVGAnimatedLength;\r\n    readonly fy: SVGAnimatedLength;\r\n    readonly r: SVGAnimatedLength;\r\n}\r\n\r\ndeclare var SVGRadialGradientElement: {\r\n    prototype: SVGRadialGradientElement;\r\n    new(): SVGRadialGradientElement;\r\n}\r\n\r\ninterface SVGRect {\r\n    height: number;\r\n    width: number;\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGRect: {\r\n    prototype: SVGRect;\r\n    new(): SVGRect;\r\n}\r\n\r\ninterface SVGRectElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    readonly height: SVGAnimatedLength;\r\n    readonly rx: SVGAnimatedLength;\r\n    readonly ry: SVGAnimatedLength;\r\n    readonly width: SVGAnimatedLength;\r\n    readonly x: SVGAnimatedLength;\r\n    readonly y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGRectElement: {\r\n    prototype: SVGRectElement;\r\n    new(): SVGRectElement;\r\n}\r\n\r\ninterface SVGSVGElement extends SVGElement, DocumentEvent, SVGLocatable, SVGTests, SVGStylable, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox, SVGZoomAndPan {\r\n    contentScriptType: string;\r\n    contentStyleType: string;\r\n    currentScale: number;\r\n    readonly currentTranslate: SVGPoint;\r\n    readonly height: SVGAnimatedLength;\r\n    onabort: (this: this, ev: Event) => any;\r\n    onerror: (this: this, ev: Event) => any;\r\n    onresize: (this: this, ev: UIEvent) => any;\r\n    onscroll: (this: this, ev: UIEvent) => any;\r\n    onunload: (this: this, ev: Event) => any;\r\n    onzoom: (this: this, ev: SVGZoomEvent) => any;\r\n    readonly pixelUnitToMillimeterX: number;\r\n    readonly pixelUnitToMillimeterY: number;\r\n    readonly screenPixelToMillimeterX: number;\r\n    readonly screenPixelToMillimeterY: number;\r\n    readonly viewport: SVGRect;\r\n    readonly width: SVGAnimatedLength;\r\n    readonly x: SVGAnimatedLength;\r\n    readonly y: SVGAnimatedLength;\r\n    checkEnclosure(element: SVGElement, rect: SVGRect): boolean;\r\n    checkIntersection(element: SVGElement, rect: SVGRect): boolean;\r\n    createSVGAngle(): SVGAngle;\r\n    createSVGLength(): SVGLength;\r\n    createSVGMatrix(): SVGMatrix;\r\n    createSVGNumber(): SVGNumber;\r\n    createSVGPoint(): SVGPoint;\r\n    createSVGRect(): SVGRect;\r\n    createSVGTransform(): SVGTransform;\r\n    createSVGTransformFromMatrix(matrix: SVGMatrix): SVGTransform;\r\n    deselectAll(): void;\r\n    forceRedraw(): void;\r\n    getComputedStyle(elt: Element, pseudoElt?: string): CSSStyleDeclaration;\r\n    getCurrentTime(): number;\r\n    getElementById(elementId: string): Element;\r\n    getEnclosureList(rect: SVGRect, referenceElement: SVGElement): NodeListOf<SVGCircleElement | SVGEllipseElement | SVGImageElement | SVGLineElement | SVGPathElement | SVGPolygonElement | SVGPolylineElement | SVGRectElement | SVGTextElement | SVGUseElement>;\r\n    getIntersectionList(rect: SVGRect, referenceElement: SVGElement): NodeListOf<SVGCircleElement | SVGEllipseElement | SVGImageElement | SVGLineElement | SVGPathElement | SVGPolygonElement | SVGPolylineElement | SVGRectElement | SVGTextElement | SVGUseElement>;\r\n    pauseAnimations(): void;\r\n    setCurrentTime(seconds: number): void;\r\n    suspendRedraw(maxWaitMilliseconds: number): number;\r\n    unpauseAnimations(): void;\r\n    unsuspendRedraw(suspendHandleID: number): void;\r\n    unsuspendRedrawAll(): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGotPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSLostPointerCapture\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"SVGAbort\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"SVGError\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"SVGUnload\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"SVGZoom\", listener: (this: this, ev: SVGZoomEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ariarequest\", listener: (this: this, ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"command\", listener: (this: this, ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focusin\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focusout\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"gotpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"lostpointercapture\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"resize\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchcancel\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchend\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchmove\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"touchstart\", listener: (this: this, ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"webkitfullscreenerror\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGSVGElement: {\r\n    prototype: SVGSVGElement;\r\n    new(): SVGSVGElement;\r\n}\r\n\r\ninterface SVGScriptElement extends SVGElement, SVGExternalResourcesRequired, SVGURIReference {\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGScriptElement: {\r\n    prototype: SVGScriptElement;\r\n    new(): SVGScriptElement;\r\n}\r\n\r\ninterface SVGStopElement extends SVGElement, SVGStylable {\r\n    readonly offset: SVGAnimatedNumber;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGStopElement: {\r\n    prototype: SVGStopElement;\r\n    new(): SVGStopElement;\r\n}\r\n\r\ninterface SVGStringList {\r\n    readonly numberOfItems: number;\r\n    appendItem(newItem: string): string;\r\n    clear(): void;\r\n    getItem(index: number): string;\r\n    initialize(newItem: string): string;\r\n    insertItemBefore(newItem: string, index: number): string;\r\n    removeItem(index: number): string;\r\n    replaceItem(newItem: string, index: number): string;\r\n}\r\n\r\ndeclare var SVGStringList: {\r\n    prototype: SVGStringList;\r\n    new(): SVGStringList;\r\n}\r\n\r\ninterface SVGStyleElement extends SVGElement, SVGLangSpace {\r\n    disabled: boolean;\r\n    media: string;\r\n    title: string;\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGStyleElement: {\r\n    prototype: SVGStyleElement;\r\n    new(): SVGStyleElement;\r\n}\r\n\r\ninterface SVGSwitchElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGSwitchElement: {\r\n    prototype: SVGSwitchElement;\r\n    new(): SVGSwitchElement;\r\n}\r\n\r\ninterface SVGSymbolElement extends SVGElement, SVGStylable, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGSymbolElement: {\r\n    prototype: SVGSymbolElement;\r\n    new(): SVGSymbolElement;\r\n}\r\n\r\ninterface SVGTSpanElement extends SVGTextPositioningElement {\r\n}\r\n\r\ndeclare var SVGTSpanElement: {\r\n    prototype: SVGTSpanElement;\r\n    new(): SVGTSpanElement;\r\n}\r\n\r\ninterface SVGTextContentElement extends SVGElement, SVGStylable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    readonly lengthAdjust: SVGAnimatedEnumeration;\r\n    readonly textLength: SVGAnimatedLength;\r\n    getCharNumAtPosition(point: SVGPoint): number;\r\n    getComputedTextLength(): number;\r\n    getEndPositionOfChar(charnum: number): SVGPoint;\r\n    getExtentOfChar(charnum: number): SVGRect;\r\n    getNumberOfChars(): number;\r\n    getRotationOfChar(charnum: number): number;\r\n    getStartPositionOfChar(charnum: number): SVGPoint;\r\n    getSubStringLength(charnum: number, nchars: number): number;\r\n    selectSubString(charnum: number, nchars: number): void;\r\n    readonly LENGTHADJUST_SPACING: number;\r\n    readonly LENGTHADJUST_SPACINGANDGLYPHS: number;\r\n    readonly LENGTHADJUST_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTextContentElement: {\r\n    prototype: SVGTextContentElement;\r\n    new(): SVGTextContentElement;\r\n    readonly LENGTHADJUST_SPACING: number;\r\n    readonly LENGTHADJUST_SPACINGANDGLYPHS: number;\r\n    readonly LENGTHADJUST_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGTextElement extends SVGTextPositioningElement, SVGTransformable {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTextElement: {\r\n    prototype: SVGTextElement;\r\n    new(): SVGTextElement;\r\n}\r\n\r\ninterface SVGTextPathElement extends SVGTextContentElement, SVGURIReference {\r\n    readonly method: SVGAnimatedEnumeration;\r\n    readonly spacing: SVGAnimatedEnumeration;\r\n    readonly startOffset: SVGAnimatedLength;\r\n    readonly TEXTPATH_METHODTYPE_ALIGN: number;\r\n    readonly TEXTPATH_METHODTYPE_STRETCH: number;\r\n    readonly TEXTPATH_METHODTYPE_UNKNOWN: number;\r\n    readonly TEXTPATH_SPACINGTYPE_AUTO: number;\r\n    readonly TEXTPATH_SPACINGTYPE_EXACT: number;\r\n    readonly TEXTPATH_SPACINGTYPE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTextPathElement: {\r\n    prototype: SVGTextPathElement;\r\n    new(): SVGTextPathElement;\r\n    readonly TEXTPATH_METHODTYPE_ALIGN: number;\r\n    readonly TEXTPATH_METHODTYPE_STRETCH: number;\r\n    readonly TEXTPATH_METHODTYPE_UNKNOWN: number;\r\n    readonly TEXTPATH_SPACINGTYPE_AUTO: number;\r\n    readonly TEXTPATH_SPACINGTYPE_EXACT: number;\r\n    readonly TEXTPATH_SPACINGTYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGTextPositioningElement extends SVGTextContentElement {\r\n    readonly dx: SVGAnimatedLengthList;\r\n    readonly dy: SVGAnimatedLengthList;\r\n    readonly rotate: SVGAnimatedNumberList;\r\n    readonly x: SVGAnimatedLengthList;\r\n    readonly y: SVGAnimatedLengthList;\r\n}\r\n\r\ndeclare var SVGTextPositioningElement: {\r\n    prototype: SVGTextPositioningElement;\r\n    new(): SVGTextPositioningElement;\r\n}\r\n\r\ninterface SVGTitleElement extends SVGElement, SVGStylable, SVGLangSpace {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTitleElement: {\r\n    prototype: SVGTitleElement;\r\n    new(): SVGTitleElement;\r\n}\r\n\r\ninterface SVGTransform {\r\n    readonly angle: number;\r\n    readonly matrix: SVGMatrix;\r\n    readonly type: number;\r\n    setMatrix(matrix: SVGMatrix): void;\r\n    setRotate(angle: number, cx: number, cy: number): void;\r\n    setScale(sx: number, sy: number): void;\r\n    setSkewX(angle: number): void;\r\n    setSkewY(angle: number): void;\r\n    setTranslate(tx: number, ty: number): void;\r\n    readonly SVG_TRANSFORM_MATRIX: number;\r\n    readonly SVG_TRANSFORM_ROTATE: number;\r\n    readonly SVG_TRANSFORM_SCALE: number;\r\n    readonly SVG_TRANSFORM_SKEWX: number;\r\n    readonly SVG_TRANSFORM_SKEWY: number;\r\n    readonly SVG_TRANSFORM_TRANSLATE: number;\r\n    readonly SVG_TRANSFORM_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGTransform: {\r\n    prototype: SVGTransform;\r\n    new(): SVGTransform;\r\n    readonly SVG_TRANSFORM_MATRIX: number;\r\n    readonly SVG_TRANSFORM_ROTATE: number;\r\n    readonly SVG_TRANSFORM_SCALE: number;\r\n    readonly SVG_TRANSFORM_SKEWX: number;\r\n    readonly SVG_TRANSFORM_SKEWY: number;\r\n    readonly SVG_TRANSFORM_TRANSLATE: number;\r\n    readonly SVG_TRANSFORM_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGTransformList {\r\n    readonly numberOfItems: number;\r\n    appendItem(newItem: SVGTransform): SVGTransform;\r\n    clear(): void;\r\n    consolidate(): SVGTransform;\r\n    createSVGTransformFromMatrix(matrix: SVGMatrix): SVGTransform;\r\n    getItem(index: number): SVGTransform;\r\n    initialize(newItem: SVGTransform): SVGTransform;\r\n    insertItemBefore(newItem: SVGTransform, index: number): SVGTransform;\r\n    removeItem(index: number): SVGTransform;\r\n    replaceItem(newItem: SVGTransform, index: number): SVGTransform;\r\n}\r\n\r\ndeclare var SVGTransformList: {\r\n    prototype: SVGTransformList;\r\n    new(): SVGTransformList;\r\n}\r\n\r\ninterface SVGUnitTypes {\r\n    readonly SVG_UNIT_TYPE_OBJECTBOUNDINGBOX: number;\r\n    readonly SVG_UNIT_TYPE_UNKNOWN: number;\r\n    readonly SVG_UNIT_TYPE_USERSPACEONUSE: number;\r\n}\r\ndeclare var SVGUnitTypes: SVGUnitTypes;\r\n\r\ninterface SVGUseElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGURIReference {\r\n    readonly animatedInstanceRoot: SVGElementInstance;\r\n    readonly height: SVGAnimatedLength;\r\n    readonly instanceRoot: SVGElementInstance;\r\n    readonly width: SVGAnimatedLength;\r\n    readonly x: SVGAnimatedLength;\r\n    readonly y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGUseElement: {\r\n    prototype: SVGUseElement;\r\n    new(): SVGUseElement;\r\n}\r\n\r\ninterface SVGViewElement extends SVGElement, SVGExternalResourcesRequired, SVGFitToViewBox, SVGZoomAndPan {\r\n    readonly viewTarget: SVGStringList;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGViewElement: {\r\n    prototype: SVGViewElement;\r\n    new(): SVGViewElement;\r\n}\r\n\r\ninterface SVGZoomAndPan {\r\n    readonly zoomAndPan: number;\r\n}\r\n\r\ndeclare var SVGZoomAndPan: {\r\n    readonly SVG_ZOOMANDPAN_DISABLE: number;\r\n    readonly SVG_ZOOMANDPAN_MAGNIFY: number;\r\n    readonly SVG_ZOOMANDPAN_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGZoomEvent extends UIEvent {\r\n    readonly newScale: number;\r\n    readonly newTranslate: SVGPoint;\r\n    readonly previousScale: number;\r\n    readonly previousTranslate: SVGPoint;\r\n    readonly zoomRectScreen: SVGRect;\r\n}\r\n\r\ndeclare var SVGZoomEvent: {\r\n    prototype: SVGZoomEvent;\r\n    new(): SVGZoomEvent;\r\n}\r\n\r\ninterface Screen extends EventTarget {\r\n    readonly availHeight: number;\r\n    readonly availWidth: number;\r\n    bufferDepth: number;\r\n    readonly colorDepth: number;\r\n    readonly deviceXDPI: number;\r\n    readonly deviceYDPI: number;\r\n    readonly fontSmoothingEnabled: boolean;\r\n    readonly height: number;\r\n    readonly logicalXDPI: number;\r\n    readonly logicalYDPI: number;\r\n    readonly msOrientation: string;\r\n    onmsorientationchange: (this: this, ev: Event) => any;\r\n    readonly pixelDepth: number;\r\n    readonly systemXDPI: number;\r\n    readonly systemYDPI: number;\r\n    readonly width: number;\r\n    msLockOrientation(orientations: string | string[]): boolean;\r\n    msUnlockOrientation(): void;\r\n    addEventListener(type: \"MSOrientationChange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Screen: {\r\n    prototype: Screen;\r\n    new(): Screen;\r\n}\r\n\r\ninterface ScriptNotifyEvent extends Event {\r\n    readonly callingUri: string;\r\n    readonly value: string;\r\n}\r\n\r\ndeclare var ScriptNotifyEvent: {\r\n    prototype: ScriptNotifyEvent;\r\n    new(): ScriptNotifyEvent;\r\n}\r\n\r\ninterface ScriptProcessorNode extends AudioNode {\r\n    readonly bufferSize: number;\r\n    onaudioprocess: (this: this, ev: AudioProcessingEvent) => any;\r\n    addEventListener(type: \"audioprocess\", listener: (this: this, ev: AudioProcessingEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var ScriptProcessorNode: {\r\n    prototype: ScriptProcessorNode;\r\n    new(): ScriptProcessorNode;\r\n}\r\n\r\ninterface Selection {\r\n    readonly anchorNode: Node;\r\n    readonly anchorOffset: number;\r\n    readonly focusNode: Node;\r\n    readonly focusOffset: number;\r\n    readonly isCollapsed: boolean;\r\n    readonly rangeCount: number;\r\n    readonly type: string;\r\n    addRange(range: Range): void;\r\n    collapse(parentNode: Node, offset: number): void;\r\n    collapseToEnd(): void;\r\n    collapseToStart(): void;\r\n    containsNode(node: Node, partlyContained: boolean): boolean;\r\n    deleteFromDocument(): void;\r\n    empty(): void;\r\n    extend(newNode: Node, offset: number): void;\r\n    getRangeAt(index: number): Range;\r\n    removeAllRanges(): void;\r\n    removeRange(range: Range): void;\r\n    selectAllChildren(parentNode: Node): void;\r\n    setBaseAndExtent(baseNode: Node, baseOffset: number, extentNode: Node, extentOffset: number): void;\r\n    toString(): string;\r\n}\r\n\r\ndeclare var Selection: {\r\n    prototype: Selection;\r\n    new(): Selection;\r\n}\r\n\r\ninterface SourceBuffer extends EventTarget {\r\n    appendWindowEnd: number;\r\n    appendWindowStart: number;\r\n    readonly audioTracks: AudioTrackList;\r\n    readonly buffered: TimeRanges;\r\n    mode: string;\r\n    timestampOffset: number;\r\n    readonly updating: boolean;\r\n    readonly videoTracks: VideoTrackList;\r\n    abort(): void;\r\n    appendBuffer(data: ArrayBuffer | ArrayBufferView): void;\r\n    appendStream(stream: MSStream, maxSize?: number): void;\r\n    remove(start: number, end: number): void;\r\n}\r\n\r\ndeclare var SourceBuffer: {\r\n    prototype: SourceBuffer;\r\n    new(): SourceBuffer;\r\n}\r\n\r\ninterface SourceBufferList extends EventTarget {\r\n    readonly length: number;\r\n    item(index: number): SourceBuffer;\r\n    [index: number]: SourceBuffer;\r\n}\r\n\r\ndeclare var SourceBufferList: {\r\n    prototype: SourceBufferList;\r\n    new(): SourceBufferList;\r\n}\r\n\r\ninterface StereoPannerNode extends AudioNode {\r\n    readonly pan: AudioParam;\r\n}\r\n\r\ndeclare var StereoPannerNode: {\r\n    prototype: StereoPannerNode;\r\n    new(): StereoPannerNode;\r\n}\r\n\r\ninterface Storage {\r\n    readonly length: number;\r\n    clear(): void;\r\n    getItem(key: string): string | null;\r\n    key(index: number): string | null;\r\n    removeItem(key: string): void;\r\n    setItem(key: string, data: string): void;\r\n    [key: string]: any;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var Storage: {\r\n    prototype: Storage;\r\n    new(): Storage;\r\n}\r\n\r\ninterface StorageEvent extends Event {\r\n    readonly url: string;\r\n    key?: string;\r\n    oldValue?: string;\r\n    newValue?: string;\r\n    storageArea?: Storage;\r\n}\r\n\r\ndeclare var StorageEvent: {\r\n    prototype: StorageEvent;\r\n    new (type: string, eventInitDict?: StorageEventInit): StorageEvent;\r\n}\r\n\r\ninterface StyleMedia {\r\n    readonly type: string;\r\n    matchMedium(mediaquery: string): boolean;\r\n}\r\n\r\ndeclare var StyleMedia: {\r\n    prototype: StyleMedia;\r\n    new(): StyleMedia;\r\n}\r\n\r\ninterface StyleSheet {\r\n    disabled: boolean;\r\n    readonly href: string;\r\n    readonly media: MediaList;\r\n    readonly ownerNode: Node;\r\n    readonly parentStyleSheet: StyleSheet;\r\n    readonly title: string;\r\n    readonly type: string;\r\n}\r\n\r\ndeclare var StyleSheet: {\r\n    prototype: StyleSheet;\r\n    new(): StyleSheet;\r\n}\r\n\r\ninterface StyleSheetList {\r\n    readonly length: number;\r\n    item(index?: number): StyleSheet;\r\n    [index: number]: StyleSheet;\r\n}\r\n\r\ndeclare var StyleSheetList: {\r\n    prototype: StyleSheetList;\r\n    new(): StyleSheetList;\r\n}\r\n\r\ninterface StyleSheetPageList {\r\n    readonly length: number;\r\n    item(index: number): CSSPageRule;\r\n    [index: number]: CSSPageRule;\r\n}\r\n\r\ndeclare var StyleSheetPageList: {\r\n    prototype: StyleSheetPageList;\r\n    new(): StyleSheetPageList;\r\n}\r\n\r\ninterface SubtleCrypto {\r\n    decrypt(algorithm: string | RsaOaepParams | AesCtrParams | AesCbcParams | AesCmacParams | AesGcmParams | AesCfbParams, key: CryptoKey, data: BufferSource): PromiseLike<ArrayBuffer>;\r\n    deriveBits(algorithm: string | EcdhKeyDeriveParams | DhKeyDeriveParams | ConcatParams | HkdfCtrParams | Pbkdf2Params, baseKey: CryptoKey, length: number): PromiseLike<ArrayBuffer>;\r\n    deriveKey(algorithm: string | EcdhKeyDeriveParams | DhKeyDeriveParams | ConcatParams | HkdfCtrParams | Pbkdf2Params, baseKey: CryptoKey, derivedKeyType: string | AesDerivedKeyParams | HmacImportParams | ConcatParams | HkdfCtrParams | Pbkdf2Params, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKey>;\r\n    digest(algorithm: AlgorithmIdentifier, data: BufferSource): PromiseLike<ArrayBuffer>;\r\n    encrypt(algorithm: string | RsaOaepParams | AesCtrParams | AesCbcParams | AesCmacParams | AesGcmParams | AesCfbParams, key: CryptoKey, data: BufferSource): PromiseLike<ArrayBuffer>;\r\n    exportKey(format: \"jwk\", key: CryptoKey): PromiseLike<JsonWebKey>;\r\n    exportKey(format: \"raw\" | \"pkcs8\" | \"spki\", key: CryptoKey): PromiseLike<ArrayBuffer>;\r\n    exportKey(format: string, key: CryptoKey): PromiseLike<JsonWebKey | ArrayBuffer>;\r\n    generateKey(algorithm: string, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKeyPair | CryptoKey>;\r\n    generateKey(algorithm: RsaHashedKeyGenParams | EcKeyGenParams | DhKeyGenParams, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKeyPair>;\r\n    generateKey(algorithm: AesKeyGenParams | HmacKeyGenParams | Pbkdf2Params, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKey>;\r\n    importKey(format: \"jwk\", keyData: JsonWebKey, algorithm: string | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | DhImportKeyParams, extractable:boolean, keyUsages: string[]): PromiseLike<CryptoKey>;\r\n    importKey(format: \"raw\" | \"pkcs8\" | \"spki\", keyData: BufferSource, algorithm: string | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | DhImportKeyParams, extractable:boolean, keyUsages: string[]): PromiseLike<CryptoKey>;\r\n    importKey(format: string, keyData: JsonWebKey | BufferSource, algorithm: string | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | DhImportKeyParams, extractable:boolean, keyUsages: string[]): PromiseLike<CryptoKey>;\r\n    sign(algorithm: string | RsaPssParams | EcdsaParams | AesCmacParams, key: CryptoKey, data: BufferSource): PromiseLike<ArrayBuffer>;\r\n    unwrapKey(format: string, wrappedKey: BufferSource, unwrappingKey: CryptoKey, unwrapAlgorithm: AlgorithmIdentifier, unwrappedKeyAlgorithm: AlgorithmIdentifier, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKey>;\r\n    verify(algorithm: string | RsaPssParams | EcdsaParams | AesCmacParams, key: CryptoKey, signature: BufferSource, data: BufferSource): PromiseLike<boolean>;\r\n    wrapKey(format: string, key: CryptoKey, wrappingKey: CryptoKey, wrapAlgorithm: AlgorithmIdentifier): PromiseLike<ArrayBuffer>;\r\n}\r\n\r\ndeclare var SubtleCrypto: {\r\n    prototype: SubtleCrypto;\r\n    new(): SubtleCrypto;\r\n}\r\n\r\ninterface Text extends CharacterData {\r\n    readonly wholeText: string;\r\n    splitText(offset: number): Text;\r\n}\r\n\r\ndeclare var Text: {\r\n    prototype: Text;\r\n    new(): Text;\r\n}\r\n\r\ninterface TextEvent extends UIEvent {\r\n    readonly data: string;\r\n    readonly inputMethod: number;\r\n    readonly locale: string;\r\n    initTextEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, dataArg: string, inputMethod: number, locale: string): void;\r\n    readonly DOM_INPUT_METHOD_DROP: number;\r\n    readonly DOM_INPUT_METHOD_HANDWRITING: number;\r\n    readonly DOM_INPUT_METHOD_IME: number;\r\n    readonly DOM_INPUT_METHOD_KEYBOARD: number;\r\n    readonly DOM_INPUT_METHOD_MULTIMODAL: number;\r\n    readonly DOM_INPUT_METHOD_OPTION: number;\r\n    readonly DOM_INPUT_METHOD_PASTE: number;\r\n    readonly DOM_INPUT_METHOD_SCRIPT: number;\r\n    readonly DOM_INPUT_METHOD_UNKNOWN: number;\r\n    readonly DOM_INPUT_METHOD_VOICE: number;\r\n}\r\n\r\ndeclare var TextEvent: {\r\n    prototype: TextEvent;\r\n    new(): TextEvent;\r\n    readonly DOM_INPUT_METHOD_DROP: number;\r\n    readonly DOM_INPUT_METHOD_HANDWRITING: number;\r\n    readonly DOM_INPUT_METHOD_IME: number;\r\n    readonly DOM_INPUT_METHOD_KEYBOARD: number;\r\n    readonly DOM_INPUT_METHOD_MULTIMODAL: number;\r\n    readonly DOM_INPUT_METHOD_OPTION: number;\r\n    readonly DOM_INPUT_METHOD_PASTE: number;\r\n    readonly DOM_INPUT_METHOD_SCRIPT: number;\r\n    readonly DOM_INPUT_METHOD_UNKNOWN: number;\r\n    readonly DOM_INPUT_METHOD_VOICE: number;\r\n}\r\n\r\ninterface TextMetrics {\r\n    readonly width: number;\r\n}\r\n\r\ndeclare var TextMetrics: {\r\n    prototype: TextMetrics;\r\n    new(): TextMetrics;\r\n}\r\n\r\ninterface TextTrack extends EventTarget {\r\n    readonly activeCues: TextTrackCueList;\r\n    readonly cues: TextTrackCueList;\r\n    readonly inBandMetadataTrackDispatchType: string;\r\n    readonly kind: string;\r\n    readonly label: string;\r\n    readonly language: string;\r\n    mode: any;\r\n    oncuechange: (this: this, ev: Event) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    onload: (this: this, ev: Event) => any;\r\n    readonly readyState: number;\r\n    addCue(cue: TextTrackCue): void;\r\n    removeCue(cue: TextTrackCue): void;\r\n    readonly DISABLED: number;\r\n    readonly ERROR: number;\r\n    readonly HIDDEN: number;\r\n    readonly LOADED: number;\r\n    readonly LOADING: number;\r\n    readonly NONE: number;\r\n    readonly SHOWING: number;\r\n    addEventListener(type: \"cuechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var TextTrack: {\r\n    prototype: TextTrack;\r\n    new(): TextTrack;\r\n    readonly DISABLED: number;\r\n    readonly ERROR: number;\r\n    readonly HIDDEN: number;\r\n    readonly LOADED: number;\r\n    readonly LOADING: number;\r\n    readonly NONE: number;\r\n    readonly SHOWING: number;\r\n}\r\n\r\ninterface TextTrackCue extends EventTarget {\r\n    endTime: number;\r\n    id: string;\r\n    onenter: (this: this, ev: Event) => any;\r\n    onexit: (this: this, ev: Event) => any;\r\n    pauseOnExit: boolean;\r\n    startTime: number;\r\n    text: string;\r\n    readonly track: TextTrack;\r\n    getCueAsHTML(): DocumentFragment;\r\n    addEventListener(type: \"enter\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"exit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var TextTrackCue: {\r\n    prototype: TextTrackCue;\r\n    new(startTime: number, endTime: number, text: string): TextTrackCue;\r\n}\r\n\r\ninterface TextTrackCueList {\r\n    readonly length: number;\r\n    getCueById(id: string): TextTrackCue;\r\n    item(index: number): TextTrackCue;\r\n    [index: number]: TextTrackCue;\r\n}\r\n\r\ndeclare var TextTrackCueList: {\r\n    prototype: TextTrackCueList;\r\n    new(): TextTrackCueList;\r\n}\r\n\r\ninterface TextTrackList extends EventTarget {\r\n    readonly length: number;\r\n    onaddtrack: ((this: this, ev: TrackEvent) => any) | null;\r\n    item(index: number): TextTrack;\r\n    addEventListener(type: \"addtrack\", listener: (this: this, ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: TextTrack;\r\n}\r\n\r\ndeclare var TextTrackList: {\r\n    prototype: TextTrackList;\r\n    new(): TextTrackList;\r\n}\r\n\r\ninterface TimeRanges {\r\n    readonly length: number;\r\n    end(index: number): number;\r\n    start(index: number): number;\r\n}\r\n\r\ndeclare var TimeRanges: {\r\n    prototype: TimeRanges;\r\n    new(): TimeRanges;\r\n}\r\n\r\ninterface Touch {\r\n    readonly clientX: number;\r\n    readonly clientY: number;\r\n    readonly identifier: number;\r\n    readonly pageX: number;\r\n    readonly pageY: number;\r\n    readonly screenX: number;\r\n    readonly screenY: number;\r\n    readonly target: EventTarget;\r\n}\r\n\r\ndeclare var Touch: {\r\n    prototype: Touch;\r\n    new(): Touch;\r\n}\r\n\r\ninterface TouchEvent extends UIEvent {\r\n    readonly altKey: boolean;\r\n    readonly changedTouches: TouchList;\r\n    readonly ctrlKey: boolean;\r\n    readonly metaKey: boolean;\r\n    readonly shiftKey: boolean;\r\n    readonly targetTouches: TouchList;\r\n    readonly touches: TouchList;\r\n}\r\n\r\ndeclare var TouchEvent: {\r\n    prototype: TouchEvent;\r\n    new(): TouchEvent;\r\n}\r\n\r\ninterface TouchList {\r\n    readonly length: number;\r\n    item(index: number): Touch | null;\r\n    [index: number]: Touch;\r\n}\r\n\r\ndeclare var TouchList: {\r\n    prototype: TouchList;\r\n    new(): TouchList;\r\n}\r\n\r\ninterface TrackEvent extends Event {\r\n    readonly track: any;\r\n}\r\n\r\ndeclare var TrackEvent: {\r\n    prototype: TrackEvent;\r\n    new(): TrackEvent;\r\n}\r\n\r\ninterface TransitionEvent extends Event {\r\n    readonly elapsedTime: number;\r\n    readonly propertyName: string;\r\n    initTransitionEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, propertyNameArg: string, elapsedTimeArg: number): void;\r\n}\r\n\r\ndeclare var TransitionEvent: {\r\n    prototype: TransitionEvent;\r\n    new(): TransitionEvent;\r\n}\r\n\r\ninterface TreeWalker {\r\n    currentNode: Node;\r\n    readonly expandEntityReferences: boolean;\r\n    readonly filter: NodeFilter;\r\n    readonly root: Node;\r\n    readonly whatToShow: number;\r\n    firstChild(): Node;\r\n    lastChild(): Node;\r\n    nextNode(): Node;\r\n    nextSibling(): Node;\r\n    parentNode(): Node;\r\n    previousNode(): Node;\r\n    previousSibling(): Node;\r\n}\r\n\r\ndeclare var TreeWalker: {\r\n    prototype: TreeWalker;\r\n    new(): TreeWalker;\r\n}\r\n\r\ninterface UIEvent extends Event {\r\n    readonly detail: number;\r\n    readonly view: Window;\r\n    initUIEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number): void;\r\n}\r\n\r\ndeclare var UIEvent: {\r\n    prototype: UIEvent;\r\n    new(type: string, eventInitDict?: UIEventInit): UIEvent;\r\n}\r\n\r\ninterface URL {\r\n    hash: string;\r\n    host: string;\r\n    hostname: string;\r\n    href: string;\r\n    readonly origin: string;\r\n    password: string;\r\n    pathname: string;\r\n    port: string;\r\n    protocol: string;\r\n    search: string;\r\n    username: string;\r\n    toString(): string;\r\n}\r\n\r\ndeclare var URL: {\r\n    prototype: URL;\r\n    new(url: string, base?: string): URL;\r\n    createObjectURL(object: any, options?: ObjectURLOptions): string;\r\n    revokeObjectURL(url: string): void;\r\n}\r\n\r\ninterface UnviewableContentIdentifiedEvent extends NavigationEventWithReferrer {\r\n    readonly mediaType: string;\r\n}\r\n\r\ndeclare var UnviewableContentIdentifiedEvent: {\r\n    prototype: UnviewableContentIdentifiedEvent;\r\n    new(): UnviewableContentIdentifiedEvent;\r\n}\r\n\r\ninterface ValidityState {\r\n    readonly badInput: boolean;\r\n    readonly customError: boolean;\r\n    readonly patternMismatch: boolean;\r\n    readonly rangeOverflow: boolean;\r\n    readonly rangeUnderflow: boolean;\r\n    readonly stepMismatch: boolean;\r\n    readonly tooLong: boolean;\r\n    readonly typeMismatch: boolean;\r\n    readonly valid: boolean;\r\n    readonly valueMissing: boolean;\r\n}\r\n\r\ndeclare var ValidityState: {\r\n    prototype: ValidityState;\r\n    new(): ValidityState;\r\n}\r\n\r\ninterface VideoPlaybackQuality {\r\n    readonly corruptedVideoFrames: number;\r\n    readonly creationTime: number;\r\n    readonly droppedVideoFrames: number;\r\n    readonly totalFrameDelay: number;\r\n    readonly totalVideoFrames: number;\r\n}\r\n\r\ndeclare var VideoPlaybackQuality: {\r\n    prototype: VideoPlaybackQuality;\r\n    new(): VideoPlaybackQuality;\r\n}\r\n\r\ninterface VideoTrack {\r\n    readonly id: string;\r\n    kind: string;\r\n    readonly label: string;\r\n    language: string;\r\n    selected: boolean;\r\n    readonly sourceBuffer: SourceBuffer;\r\n}\r\n\r\ndeclare var VideoTrack: {\r\n    prototype: VideoTrack;\r\n    new(): VideoTrack;\r\n}\r\n\r\ninterface VideoTrackList extends EventTarget {\r\n    readonly length: number;\r\n    onaddtrack: (this: this, ev: TrackEvent) => any;\r\n    onchange: (this: this, ev: Event) => any;\r\n    onremovetrack: (this: this, ev: TrackEvent) => any;\r\n    readonly selectedIndex: number;\r\n    getTrackById(id: string): VideoTrack | null;\r\n    item(index: number): VideoTrack;\r\n    addEventListener(type: \"addtrack\", listener: (this: this, ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"removetrack\", listener: (this: this, ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: VideoTrack;\r\n}\r\n\r\ndeclare var VideoTrackList: {\r\n    prototype: VideoTrackList;\r\n    new(): VideoTrackList;\r\n}\r\n\r\ninterface WEBGL_compressed_texture_s3tc {\r\n    readonly COMPRESSED_RGBA_S3TC_DXT1_EXT: number;\r\n    readonly COMPRESSED_RGBA_S3TC_DXT3_EXT: number;\r\n    readonly COMPRESSED_RGBA_S3TC_DXT5_EXT: number;\r\n    readonly COMPRESSED_RGB_S3TC_DXT1_EXT: number;\r\n}\r\n\r\ndeclare var WEBGL_compressed_texture_s3tc: {\r\n    prototype: WEBGL_compressed_texture_s3tc;\r\n    new(): WEBGL_compressed_texture_s3tc;\r\n    readonly COMPRESSED_RGBA_S3TC_DXT1_EXT: number;\r\n    readonly COMPRESSED_RGBA_S3TC_DXT3_EXT: number;\r\n    readonly COMPRESSED_RGBA_S3TC_DXT5_EXT: number;\r\n    readonly COMPRESSED_RGB_S3TC_DXT1_EXT: number;\r\n}\r\n\r\ninterface WEBGL_debug_renderer_info {\r\n    readonly UNMASKED_RENDERER_WEBGL: number;\r\n    readonly UNMASKED_VENDOR_WEBGL: number;\r\n}\r\n\r\ndeclare var WEBGL_debug_renderer_info: {\r\n    prototype: WEBGL_debug_renderer_info;\r\n    new(): WEBGL_debug_renderer_info;\r\n    readonly UNMASKED_RENDERER_WEBGL: number;\r\n    readonly UNMASKED_VENDOR_WEBGL: number;\r\n}\r\n\r\ninterface WEBGL_depth_texture {\r\n    readonly UNSIGNED_INT_24_8_WEBGL: number;\r\n}\r\n\r\ndeclare var WEBGL_depth_texture: {\r\n    prototype: WEBGL_depth_texture;\r\n    new(): WEBGL_depth_texture;\r\n    readonly UNSIGNED_INT_24_8_WEBGL: number;\r\n}\r\n\r\ninterface WaveShaperNode extends AudioNode {\r\n    curve: Float32Array | null;\r\n    oversample: string;\r\n}\r\n\r\ndeclare var WaveShaperNode: {\r\n    prototype: WaveShaperNode;\r\n    new(): WaveShaperNode;\r\n}\r\n\r\ninterface WebGLActiveInfo {\r\n    readonly name: string;\r\n    readonly size: number;\r\n    readonly type: number;\r\n}\r\n\r\ndeclare var WebGLActiveInfo: {\r\n    prototype: WebGLActiveInfo;\r\n    new(): WebGLActiveInfo;\r\n}\r\n\r\ninterface WebGLBuffer extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLBuffer: {\r\n    prototype: WebGLBuffer;\r\n    new(): WebGLBuffer;\r\n}\r\n\r\ninterface WebGLContextEvent extends Event {\r\n    readonly statusMessage: string;\r\n}\r\n\r\ndeclare var WebGLContextEvent: {\r\n    prototype: WebGLContextEvent;\r\n    new(type: string, eventInitDict?: WebGLContextEventInit): WebGLContextEvent;\r\n}\r\n\r\ninterface WebGLFramebuffer extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLFramebuffer: {\r\n    prototype: WebGLFramebuffer;\r\n    new(): WebGLFramebuffer;\r\n}\r\n\r\ninterface WebGLObject {\r\n}\r\n\r\ndeclare var WebGLObject: {\r\n    prototype: WebGLObject;\r\n    new(): WebGLObject;\r\n}\r\n\r\ninterface WebGLProgram extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLProgram: {\r\n    prototype: WebGLProgram;\r\n    new(): WebGLProgram;\r\n}\r\n\r\ninterface WebGLRenderbuffer extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLRenderbuffer: {\r\n    prototype: WebGLRenderbuffer;\r\n    new(): WebGLRenderbuffer;\r\n}\r\n\r\ninterface WebGLRenderingContext {\r\n    readonly canvas: HTMLCanvasElement;\r\n    readonly drawingBufferHeight: number;\r\n    readonly drawingBufferWidth: number;\r\n    activeTexture(texture: number): void;\r\n    attachShader(program: WebGLProgram | null, shader: WebGLShader | null): void;\r\n    bindAttribLocation(program: WebGLProgram | null, index: number, name: string): void;\r\n    bindBuffer(target: number, buffer: WebGLBuffer | null): void;\r\n    bindFramebuffer(target: number, framebuffer: WebGLFramebuffer | null): void;\r\n    bindRenderbuffer(target: number, renderbuffer: WebGLRenderbuffer | null): void;\r\n    bindTexture(target: number, texture: WebGLTexture | null): void;\r\n    blendColor(red: number, green: number, blue: number, alpha: number): void;\r\n    blendEquation(mode: number): void;\r\n    blendEquationSeparate(modeRGB: number, modeAlpha: number): void;\r\n    blendFunc(sfactor: number, dfactor: number): void;\r\n    blendFuncSeparate(srcRGB: number, dstRGB: number, srcAlpha: number, dstAlpha: number): void;\r\n    bufferData(target: number, size: number | ArrayBufferView | ArrayBuffer, usage: number): void;\r\n    bufferSubData(target: number, offset: number, data: ArrayBufferView | ArrayBuffer): void;\r\n    checkFramebufferStatus(target: number): number;\r\n    clear(mask: number): void;\r\n    clearColor(red: number, green: number, blue: number, alpha: number): void;\r\n    clearDepth(depth: number): void;\r\n    clearStencil(s: number): void;\r\n    colorMask(red: boolean, green: boolean, blue: boolean, alpha: boolean): void;\r\n    compileShader(shader: WebGLShader | null): void;\r\n    compressedTexImage2D(target: number, level: number, internalformat: number, width: number, height: number, border: number, data: ArrayBufferView): void;\r\n    compressedTexSubImage2D(target: number, level: number, xoffset: number, yoffset: number, width: number, height: number, format: number, data: ArrayBufferView): void;\r\n    copyTexImage2D(target: number, level: number, internalformat: number, x: number, y: number, width: number, height: number, border: number): void;\r\n    copyTexSubImage2D(target: number, level: number, xoffset: number, yoffset: number, x: number, y: number, width: number, height: number): void;\r\n    createBuffer(): WebGLBuffer | null;\r\n    createFramebuffer(): WebGLFramebuffer | null;\r\n    createProgram(): WebGLProgram | null;\r\n    createRenderbuffer(): WebGLRenderbuffer | null;\r\n    createShader(type: number): WebGLShader | null;\r\n    createTexture(): WebGLTexture | null;\r\n    cullFace(mode: number): void;\r\n    deleteBuffer(buffer: WebGLBuffer | null): void;\r\n    deleteFramebuffer(framebuffer: WebGLFramebuffer | null): void;\r\n    deleteProgram(program: WebGLProgram | null): void;\r\n    deleteRenderbuffer(renderbuffer: WebGLRenderbuffer | null): void;\r\n    deleteShader(shader: WebGLShader | null): void;\r\n    deleteTexture(texture: WebGLTexture | null): void;\r\n    depthFunc(func: number): void;\r\n    depthMask(flag: boolean): void;\r\n    depthRange(zNear: number, zFar: number): void;\r\n    detachShader(program: WebGLProgram | null, shader: WebGLShader | null): void;\r\n    disable(cap: number): void;\r\n    disableVertexAttribArray(index: number): void;\r\n    drawArrays(mode: number, first: number, count: number): void;\r\n    drawElements(mode: number, count: number, type: number, offset: number): void;\r\n    enable(cap: number): void;\r\n    enableVertexAttribArray(index: number): void;\r\n    finish(): void;\r\n    flush(): void;\r\n    framebufferRenderbuffer(target: number, attachment: number, renderbuffertarget: number, renderbuffer: WebGLRenderbuffer | null): void;\r\n    framebufferTexture2D(target: number, attachment: number, textarget: number, texture: WebGLTexture | null, level: number): void;\r\n    frontFace(mode: number): void;\r\n    generateMipmap(target: number): void;\r\n    getActiveAttrib(program: WebGLProgram | null, index: number): WebGLActiveInfo | null;\r\n    getActiveUniform(program: WebGLProgram | null, index: number): WebGLActiveInfo | null;\r\n    getAttachedShaders(program: WebGLProgram | null): WebGLShader[] | null;\r\n    getAttribLocation(program: WebGLProgram | null, name: string): number;\r\n    getBufferParameter(target: number, pname: number): any;\r\n    getContextAttributes(): WebGLContextAttributes;\r\n    getError(): number;\r\n    getExtension(name: string): any;\r\n    getFramebufferAttachmentParameter(target: number, attachment: number, pname: number): any;\r\n    getParameter(pname: number): any;\r\n    getProgramInfoLog(program: WebGLProgram | null): string | null;\r\n    getProgramParameter(program: WebGLProgram | null, pname: number): any;\r\n    getRenderbufferParameter(target: number, pname: number): any;\r\n    getShaderInfoLog(shader: WebGLShader | null): string | null;\r\n    getShaderParameter(shader: WebGLShader | null, pname: number): any;\r\n    getShaderPrecisionFormat(shadertype: number, precisiontype: number): WebGLShaderPrecisionFormat | null;\r\n    getShaderSource(shader: WebGLShader | null): string | null;\r\n    getSupportedExtensions(): string[] | null;\r\n    getTexParameter(target: number, pname: number): any;\r\n    getUniform(program: WebGLProgram | null, location: WebGLUniformLocation | null): any;\r\n    getUniformLocation(program: WebGLProgram | null, name: string): WebGLUniformLocation | null;\r\n    getVertexAttrib(index: number, pname: number): any;\r\n    getVertexAttribOffset(index: number, pname: number): number;\r\n    hint(target: number, mode: number): void;\r\n    isBuffer(buffer: WebGLBuffer | null): boolean;\r\n    isContextLost(): boolean;\r\n    isEnabled(cap: number): boolean;\r\n    isFramebuffer(framebuffer: WebGLFramebuffer | null): boolean;\r\n    isProgram(program: WebGLProgram | null): boolean;\r\n    isRenderbuffer(renderbuffer: WebGLRenderbuffer | null): boolean;\r\n    isShader(shader: WebGLShader | null): boolean;\r\n    isTexture(texture: WebGLTexture | null): boolean;\r\n    lineWidth(width: number): void;\r\n    linkProgram(program: WebGLProgram | null): void;\r\n    pixelStorei(pname: number, param: number): void;\r\n    polygonOffset(factor: number, units: number): void;\r\n    readPixels(x: number, y: number, width: number, height: number, format: number, type: number, pixels: ArrayBufferView | null): void;\r\n    renderbufferStorage(target: number, internalformat: number, width: number, height: number): void;\r\n    sampleCoverage(value: number, invert: boolean): void;\r\n    scissor(x: number, y: number, width: number, height: number): void;\r\n    shaderSource(shader: WebGLShader | null, source: string): void;\r\n    stencilFunc(func: number, ref: number, mask: number): void;\r\n    stencilFuncSeparate(face: number, func: number, ref: number, mask: number): void;\r\n    stencilMask(mask: number): void;\r\n    stencilMaskSeparate(face: number, mask: number): void;\r\n    stencilOp(fail: number, zfail: number, zpass: number): void;\r\n    stencilOpSeparate(face: number, fail: number, zfail: number, zpass: number): void;\r\n    texImage2D(target: number, level: number, internalformat: number, width: number, height: number, border: number, format: number, type: number, pixels?: ArrayBufferView): void;\r\n    texImage2D(target: number, level: number, internalformat: number, format: number, type: number, pixels?: ImageData | HTMLVideoElement | HTMLImageElement | HTMLCanvasElement): void;\r\n    texParameterf(target: number, pname: number, param: number): void;\r\n    texParameteri(target: number, pname: number, param: number): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, width: number, height: number, format: number, type: number, pixels?: ArrayBufferView): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, format: number, type: number, pixels?: ImageData | HTMLVideoElement | HTMLImageElement | HTMLCanvasElement): void;\r\n    uniform1f(location: WebGLUniformLocation | null, x: number): void;\r\n    uniform1fv(location: WebGLUniformLocation, v: Float32Array | number[]): void;\r\n    uniform1i(location: WebGLUniformLocation | null, x: number): void;\r\n    uniform1iv(location: WebGLUniformLocation, v: Int32Array | number[]): void;\r\n    uniform2f(location: WebGLUniformLocation | null, x: number, y: number): void;\r\n    uniform2fv(location: WebGLUniformLocation, v: Float32Array | number[]): void;\r\n    uniform2i(location: WebGLUniformLocation | null, x: number, y: number): void;\r\n    uniform2iv(location: WebGLUniformLocation, v: Int32Array | number[]): void;\r\n    uniform3f(location: WebGLUniformLocation | null, x: number, y: number, z: number): void;\r\n    uniform3fv(location: WebGLUniformLocation, v: Float32Array | number[]): void;\r\n    uniform3i(location: WebGLUniformLocation | null, x: number, y: number, z: number): void;\r\n    uniform3iv(location: WebGLUniformLocation, v: Int32Array | number[]): void;\r\n    uniform4f(location: WebGLUniformLocation | null, x: number, y: number, z: number, w: number): void;\r\n    uniform4fv(location: WebGLUniformLocation, v: Float32Array | number[]): void;\r\n    uniform4i(location: WebGLUniformLocation | null, x: number, y: number, z: number, w: number): void;\r\n    uniform4iv(location: WebGLUniformLocation, v: Int32Array | number[]): void;\r\n    uniformMatrix2fv(location: WebGLUniformLocation, transpose: boolean, value: Float32Array | number[]): void;\r\n    uniformMatrix3fv(location: WebGLUniformLocation, transpose: boolean, value: Float32Array | number[]): void;\r\n    uniformMatrix4fv(location: WebGLUniformLocation, transpose: boolean, value: Float32Array | number[]): void;\r\n    useProgram(program: WebGLProgram | null): void;\r\n    validateProgram(program: WebGLProgram | null): void;\r\n    vertexAttrib1f(indx: number, x: number): void;\r\n    vertexAttrib1fv(indx: number, values: Float32Array | number[]): void;\r\n    vertexAttrib2f(indx: number, x: number, y: number): void;\r\n    vertexAttrib2fv(indx: number, values: Float32Array | number[]): void;\r\n    vertexAttrib3f(indx: number, x: number, y: number, z: number): void;\r\n    vertexAttrib3fv(indx: number, values: Float32Array | number[]): void;\r\n    vertexAttrib4f(indx: number, x: number, y: number, z: number, w: number): void;\r\n    vertexAttrib4fv(indx: number, values: Float32Array | number[]): void;\r\n    vertexAttribPointer(indx: number, size: number, type: number, normalized: boolean, stride: number, offset: number): void;\r\n    viewport(x: number, y: number, width: number, height: number): void;\r\n    readonly ACTIVE_ATTRIBUTES: number;\r\n    readonly ACTIVE_TEXTURE: number;\r\n    readonly ACTIVE_UNIFORMS: number;\r\n    readonly ALIASED_LINE_WIDTH_RANGE: number;\r\n    readonly ALIASED_POINT_SIZE_RANGE: number;\r\n    readonly ALPHA: number;\r\n    readonly ALPHA_BITS: number;\r\n    readonly ALWAYS: number;\r\n    readonly ARRAY_BUFFER: number;\r\n    readonly ARRAY_BUFFER_BINDING: number;\r\n    readonly ATTACHED_SHADERS: number;\r\n    readonly BACK: number;\r\n    readonly BLEND: number;\r\n    readonly BLEND_COLOR: number;\r\n    readonly BLEND_DST_ALPHA: number;\r\n    readonly BLEND_DST_RGB: number;\r\n    readonly BLEND_EQUATION: number;\r\n    readonly BLEND_EQUATION_ALPHA: number;\r\n    readonly BLEND_EQUATION_RGB: number;\r\n    readonly BLEND_SRC_ALPHA: number;\r\n    readonly BLEND_SRC_RGB: number;\r\n    readonly BLUE_BITS: number;\r\n    readonly BOOL: number;\r\n    readonly BOOL_VEC2: number;\r\n    readonly BOOL_VEC3: number;\r\n    readonly BOOL_VEC4: number;\r\n    readonly BROWSER_DEFAULT_WEBGL: number;\r\n    readonly BUFFER_SIZE: number;\r\n    readonly BUFFER_USAGE: number;\r\n    readonly BYTE: number;\r\n    readonly CCW: number;\r\n    readonly CLAMP_TO_EDGE: number;\r\n    readonly COLOR_ATTACHMENT0: number;\r\n    readonly COLOR_BUFFER_BIT: number;\r\n    readonly COLOR_CLEAR_VALUE: number;\r\n    readonly COLOR_WRITEMASK: number;\r\n    readonly COMPILE_STATUS: number;\r\n    readonly COMPRESSED_TEXTURE_FORMATS: number;\r\n    readonly CONSTANT_ALPHA: number;\r\n    readonly CONSTANT_COLOR: number;\r\n    readonly CONTEXT_LOST_WEBGL: number;\r\n    readonly CULL_FACE: number;\r\n    readonly CULL_FACE_MODE: number;\r\n    readonly CURRENT_PROGRAM: number;\r\n    readonly CURRENT_VERTEX_ATTRIB: number;\r\n    readonly CW: number;\r\n    readonly DECR: number;\r\n    readonly DECR_WRAP: number;\r\n    readonly DELETE_STATUS: number;\r\n    readonly DEPTH_ATTACHMENT: number;\r\n    readonly DEPTH_BITS: number;\r\n    readonly DEPTH_BUFFER_BIT: number;\r\n    readonly DEPTH_CLEAR_VALUE: number;\r\n    readonly DEPTH_COMPONENT: number;\r\n    readonly DEPTH_COMPONENT16: number;\r\n    readonly DEPTH_FUNC: number;\r\n    readonly DEPTH_RANGE: number;\r\n    readonly DEPTH_STENCIL: number;\r\n    readonly DEPTH_STENCIL_ATTACHMENT: number;\r\n    readonly DEPTH_TEST: number;\r\n    readonly DEPTH_WRITEMASK: number;\r\n    readonly DITHER: number;\r\n    readonly DONT_CARE: number;\r\n    readonly DST_ALPHA: number;\r\n    readonly DST_COLOR: number;\r\n    readonly DYNAMIC_DRAW: number;\r\n    readonly ELEMENT_ARRAY_BUFFER: number;\r\n    readonly ELEMENT_ARRAY_BUFFER_BINDING: number;\r\n    readonly EQUAL: number;\r\n    readonly FASTEST: number;\r\n    readonly FLOAT: number;\r\n    readonly FLOAT_MAT2: number;\r\n    readonly FLOAT_MAT3: number;\r\n    readonly FLOAT_MAT4: number;\r\n    readonly FLOAT_VEC2: number;\r\n    readonly FLOAT_VEC3: number;\r\n    readonly FLOAT_VEC4: number;\r\n    readonly FRAGMENT_SHADER: number;\r\n    readonly FRAMEBUFFER: number;\r\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: number;\r\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: number;\r\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: number;\r\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: number;\r\n    readonly FRAMEBUFFER_BINDING: number;\r\n    readonly FRAMEBUFFER_COMPLETE: number;\r\n    readonly FRAMEBUFFER_INCOMPLETE_ATTACHMENT: number;\r\n    readonly FRAMEBUFFER_INCOMPLETE_DIMENSIONS: number;\r\n    readonly FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: number;\r\n    readonly FRAMEBUFFER_UNSUPPORTED: number;\r\n    readonly FRONT: number;\r\n    readonly FRONT_AND_BACK: number;\r\n    readonly FRONT_FACE: number;\r\n    readonly FUNC_ADD: number;\r\n    readonly FUNC_REVERSE_SUBTRACT: number;\r\n    readonly FUNC_SUBTRACT: number;\r\n    readonly GENERATE_MIPMAP_HINT: number;\r\n    readonly GEQUAL: number;\r\n    readonly GREATER: number;\r\n    readonly GREEN_BITS: number;\r\n    readonly HIGH_FLOAT: number;\r\n    readonly HIGH_INT: number;\r\n    readonly IMPLEMENTATION_COLOR_READ_FORMAT: number;\r\n    readonly IMPLEMENTATION_COLOR_READ_TYPE: number;\r\n    readonly INCR: number;\r\n    readonly INCR_WRAP: number;\r\n    readonly INT: number;\r\n    readonly INT_VEC2: number;\r\n    readonly INT_VEC3: number;\r\n    readonly INT_VEC4: number;\r\n    readonly INVALID_ENUM: number;\r\n    readonly INVALID_FRAMEBUFFER_OPERATION: number;\r\n    readonly INVALID_OPERATION: number;\r\n    readonly INVALID_VALUE: number;\r\n    readonly INVERT: number;\r\n    readonly KEEP: number;\r\n    readonly LEQUAL: number;\r\n    readonly LESS: number;\r\n    readonly LINEAR: number;\r\n    readonly LINEAR_MIPMAP_LINEAR: number;\r\n    readonly LINEAR_MIPMAP_NEAREST: number;\r\n    readonly LINES: number;\r\n    readonly LINE_LOOP: number;\r\n    readonly LINE_STRIP: number;\r\n    readonly LINE_WIDTH: number;\r\n    readonly LINK_STATUS: number;\r\n    readonly LOW_FLOAT: number;\r\n    readonly LOW_INT: number;\r\n    readonly LUMINANCE: number;\r\n    readonly LUMINANCE_ALPHA: number;\r\n    readonly MAX_COMBINED_TEXTURE_IMAGE_UNITS: number;\r\n    readonly MAX_CUBE_MAP_TEXTURE_SIZE: number;\r\n    readonly MAX_FRAGMENT_UNIFORM_VECTORS: number;\r\n    readonly MAX_RENDERBUFFER_SIZE: number;\r\n    readonly MAX_TEXTURE_IMAGE_UNITS: number;\r\n    readonly MAX_TEXTURE_SIZE: number;\r\n    readonly MAX_VARYING_VECTORS: number;\r\n    readonly MAX_VERTEX_ATTRIBS: number;\r\n    readonly MAX_VERTEX_TEXTURE_IMAGE_UNITS: number;\r\n    readonly MAX_VERTEX_UNIFORM_VECTORS: number;\r\n    readonly MAX_VIEWPORT_DIMS: number;\r\n    readonly MEDIUM_FLOAT: number;\r\n    readonly MEDIUM_INT: number;\r\n    readonly MIRRORED_REPEAT: number;\r\n    readonly NEAREST: number;\r\n    readonly NEAREST_MIPMAP_LINEAR: number;\r\n    readonly NEAREST_MIPMAP_NEAREST: number;\r\n    readonly NEVER: number;\r\n    readonly NICEST: number;\r\n    readonly NONE: number;\r\n    readonly NOTEQUAL: number;\r\n    readonly NO_ERROR: number;\r\n    readonly ONE: number;\r\n    readonly ONE_MINUS_CONSTANT_ALPHA: number;\r\n    readonly ONE_MINUS_CONSTANT_COLOR: number;\r\n    readonly ONE_MINUS_DST_ALPHA: number;\r\n    readonly ONE_MINUS_DST_COLOR: number;\r\n    readonly ONE_MINUS_SRC_ALPHA: number;\r\n    readonly ONE_MINUS_SRC_COLOR: number;\r\n    readonly OUT_OF_MEMORY: number;\r\n    readonly PACK_ALIGNMENT: number;\r\n    readonly POINTS: number;\r\n    readonly POLYGON_OFFSET_FACTOR: number;\r\n    readonly POLYGON_OFFSET_FILL: number;\r\n    readonly POLYGON_OFFSET_UNITS: number;\r\n    readonly RED_BITS: number;\r\n    readonly RENDERBUFFER: number;\r\n    readonly RENDERBUFFER_ALPHA_SIZE: number;\r\n    readonly RENDERBUFFER_BINDING: number;\r\n    readonly RENDERBUFFER_BLUE_SIZE: number;\r\n    readonly RENDERBUFFER_DEPTH_SIZE: number;\r\n    readonly RENDERBUFFER_GREEN_SIZE: number;\r\n    readonly RENDERBUFFER_HEIGHT: number;\r\n    readonly RENDERBUFFER_INTERNAL_FORMAT: number;\r\n    readonly RENDERBUFFER_RED_SIZE: number;\r\n    readonly RENDERBUFFER_STENCIL_SIZE: number;\r\n    readonly RENDERBUFFER_WIDTH: number;\r\n    readonly RENDERER: number;\r\n    readonly REPEAT: number;\r\n    readonly REPLACE: number;\r\n    readonly RGB: number;\r\n    readonly RGB565: number;\r\n    readonly RGB5_A1: number;\r\n    readonly RGBA: number;\r\n    readonly RGBA4: number;\r\n    readonly SAMPLER_2D: number;\r\n    readonly SAMPLER_CUBE: number;\r\n    readonly SAMPLES: number;\r\n    readonly SAMPLE_ALPHA_TO_COVERAGE: number;\r\n    readonly SAMPLE_BUFFERS: number;\r\n    readonly SAMPLE_COVERAGE: number;\r\n    readonly SAMPLE_COVERAGE_INVERT: number;\r\n    readonly SAMPLE_COVERAGE_VALUE: number;\r\n    readonly SCISSOR_BOX: number;\r\n    readonly SCISSOR_TEST: number;\r\n    readonly SHADER_TYPE: number;\r\n    readonly SHADING_LANGUAGE_VERSION: number;\r\n    readonly SHORT: number;\r\n    readonly SRC_ALPHA: number;\r\n    readonly SRC_ALPHA_SATURATE: number;\r\n    readonly SRC_COLOR: number;\r\n    readonly STATIC_DRAW: number;\r\n    readonly STENCIL_ATTACHMENT: number;\r\n    readonly STENCIL_BACK_FAIL: number;\r\n    readonly STENCIL_BACK_FUNC: number;\r\n    readonly STENCIL_BACK_PASS_DEPTH_FAIL: number;\r\n    readonly STENCIL_BACK_PASS_DEPTH_PASS: number;\r\n    readonly STENCIL_BACK_REF: number;\r\n    readonly STENCIL_BACK_VALUE_MASK: number;\r\n    readonly STENCIL_BACK_WRITEMASK: number;\r\n    readonly STENCIL_BITS: number;\r\n    readonly STENCIL_BUFFER_BIT: number;\r\n    readonly STENCIL_CLEAR_VALUE: number;\r\n    readonly STENCIL_FAIL: number;\r\n    readonly STENCIL_FUNC: number;\r\n    readonly STENCIL_INDEX: number;\r\n    readonly STENCIL_INDEX8: number;\r\n    readonly STENCIL_PASS_DEPTH_FAIL: number;\r\n    readonly STENCIL_PASS_DEPTH_PASS: number;\r\n    readonly STENCIL_REF: number;\r\n    readonly STENCIL_TEST: number;\r\n    readonly STENCIL_VALUE_MASK: number;\r\n    readonly STENCIL_WRITEMASK: number;\r\n    readonly STREAM_DRAW: number;\r\n    readonly SUBPIXEL_BITS: number;\r\n    readonly TEXTURE: number;\r\n    readonly TEXTURE0: number;\r\n    readonly TEXTURE1: number;\r\n    readonly TEXTURE10: number;\r\n    readonly TEXTURE11: number;\r\n    readonly TEXTURE12: number;\r\n    readonly TEXTURE13: number;\r\n    readonly TEXTURE14: number;\r\n    readonly TEXTURE15: number;\r\n    readonly TEXTURE16: number;\r\n    readonly TEXTURE17: number;\r\n    readonly TEXTURE18: number;\r\n    readonly TEXTURE19: number;\r\n    readonly TEXTURE2: number;\r\n    readonly TEXTURE20: number;\r\n    readonly TEXTURE21: number;\r\n    readonly TEXTURE22: number;\r\n    readonly TEXTURE23: number;\r\n    readonly TEXTURE24: number;\r\n    readonly TEXTURE25: number;\r\n    readonly TEXTURE26: number;\r\n    readonly TEXTURE27: number;\r\n    readonly TEXTURE28: number;\r\n    readonly TEXTURE29: number;\r\n    readonly TEXTURE3: number;\r\n    readonly TEXTURE30: number;\r\n    readonly TEXTURE31: number;\r\n    readonly TEXTURE4: number;\r\n    readonly TEXTURE5: number;\r\n    readonly TEXTURE6: number;\r\n    readonly TEXTURE7: number;\r\n    readonly TEXTURE8: number;\r\n    readonly TEXTURE9: number;\r\n    readonly TEXTURE_2D: number;\r\n    readonly TEXTURE_BINDING_2D: number;\r\n    readonly TEXTURE_BINDING_CUBE_MAP: number;\r\n    readonly TEXTURE_CUBE_MAP: number;\r\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_X: number;\r\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Y: number;\r\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Z: number;\r\n    readonly TEXTURE_CUBE_MAP_POSITIVE_X: number;\r\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Y: number;\r\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Z: number;\r\n    readonly TEXTURE_MAG_FILTER: number;\r\n    readonly TEXTURE_MIN_FILTER: number;\r\n    readonly TEXTURE_WRAP_S: number;\r\n    readonly TEXTURE_WRAP_T: number;\r\n    readonly TRIANGLES: number;\r\n    readonly TRIANGLE_FAN: number;\r\n    readonly TRIANGLE_STRIP: number;\r\n    readonly UNPACK_ALIGNMENT: number;\r\n    readonly UNPACK_COLORSPACE_CONVERSION_WEBGL: number;\r\n    readonly UNPACK_FLIP_Y_WEBGL: number;\r\n    readonly UNPACK_PREMULTIPLY_ALPHA_WEBGL: number;\r\n    readonly UNSIGNED_BYTE: number;\r\n    readonly UNSIGNED_INT: number;\r\n    readonly UNSIGNED_SHORT: number;\r\n    readonly UNSIGNED_SHORT_4_4_4_4: number;\r\n    readonly UNSIGNED_SHORT_5_5_5_1: number;\r\n    readonly UNSIGNED_SHORT_5_6_5: number;\r\n    readonly VALIDATE_STATUS: number;\r\n    readonly VENDOR: number;\r\n    readonly VERSION: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_ENABLED: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_NORMALIZED: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_POINTER: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_SIZE: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_STRIDE: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_TYPE: number;\r\n    readonly VERTEX_SHADER: number;\r\n    readonly VIEWPORT: number;\r\n    readonly ZERO: number;\r\n}\r\n\r\ndeclare var WebGLRenderingContext: {\r\n    prototype: WebGLRenderingContext;\r\n    new(): WebGLRenderingContext;\r\n    readonly ACTIVE_ATTRIBUTES: number;\r\n    readonly ACTIVE_TEXTURE: number;\r\n    readonly ACTIVE_UNIFORMS: number;\r\n    readonly ALIASED_LINE_WIDTH_RANGE: number;\r\n    readonly ALIASED_POINT_SIZE_RANGE: number;\r\n    readonly ALPHA: number;\r\n    readonly ALPHA_BITS: number;\r\n    readonly ALWAYS: number;\r\n    readonly ARRAY_BUFFER: number;\r\n    readonly ARRAY_BUFFER_BINDING: number;\r\n    readonly ATTACHED_SHADERS: number;\r\n    readonly BACK: number;\r\n    readonly BLEND: number;\r\n    readonly BLEND_COLOR: number;\r\n    readonly BLEND_DST_ALPHA: number;\r\n    readonly BLEND_DST_RGB: number;\r\n    readonly BLEND_EQUATION: number;\r\n    readonly BLEND_EQUATION_ALPHA: number;\r\n    readonly BLEND_EQUATION_RGB: number;\r\n    readonly BLEND_SRC_ALPHA: number;\r\n    readonly BLEND_SRC_RGB: number;\r\n    readonly BLUE_BITS: number;\r\n    readonly BOOL: number;\r\n    readonly BOOL_VEC2: number;\r\n    readonly BOOL_VEC3: number;\r\n    readonly BOOL_VEC4: number;\r\n    readonly BROWSER_DEFAULT_WEBGL: number;\r\n    readonly BUFFER_SIZE: number;\r\n    readonly BUFFER_USAGE: number;\r\n    readonly BYTE: number;\r\n    readonly CCW: number;\r\n    readonly CLAMP_TO_EDGE: number;\r\n    readonly COLOR_ATTACHMENT0: number;\r\n    readonly COLOR_BUFFER_BIT: number;\r\n    readonly COLOR_CLEAR_VALUE: number;\r\n    readonly COLOR_WRITEMASK: number;\r\n    readonly COMPILE_STATUS: number;\r\n    readonly COMPRESSED_TEXTURE_FORMATS: number;\r\n    readonly CONSTANT_ALPHA: number;\r\n    readonly CONSTANT_COLOR: number;\r\n    readonly CONTEXT_LOST_WEBGL: number;\r\n    readonly CULL_FACE: number;\r\n    readonly CULL_FACE_MODE: number;\r\n    readonly CURRENT_PROGRAM: number;\r\n    readonly CURRENT_VERTEX_ATTRIB: number;\r\n    readonly CW: number;\r\n    readonly DECR: number;\r\n    readonly DECR_WRAP: number;\r\n    readonly DELETE_STATUS: number;\r\n    readonly DEPTH_ATTACHMENT: number;\r\n    readonly DEPTH_BITS: number;\r\n    readonly DEPTH_BUFFER_BIT: number;\r\n    readonly DEPTH_CLEAR_VALUE: number;\r\n    readonly DEPTH_COMPONENT: number;\r\n    readonly DEPTH_COMPONENT16: number;\r\n    readonly DEPTH_FUNC: number;\r\n    readonly DEPTH_RANGE: number;\r\n    readonly DEPTH_STENCIL: number;\r\n    readonly DEPTH_STENCIL_ATTACHMENT: number;\r\n    readonly DEPTH_TEST: number;\r\n    readonly DEPTH_WRITEMASK: number;\r\n    readonly DITHER: number;\r\n    readonly DONT_CARE: number;\r\n    readonly DST_ALPHA: number;\r\n    readonly DST_COLOR: number;\r\n    readonly DYNAMIC_DRAW: number;\r\n    readonly ELEMENT_ARRAY_BUFFER: number;\r\n    readonly ELEMENT_ARRAY_BUFFER_BINDING: number;\r\n    readonly EQUAL: number;\r\n    readonly FASTEST: number;\r\n    readonly FLOAT: number;\r\n    readonly FLOAT_MAT2: number;\r\n    readonly FLOAT_MAT3: number;\r\n    readonly FLOAT_MAT4: number;\r\n    readonly FLOAT_VEC2: number;\r\n    readonly FLOAT_VEC3: number;\r\n    readonly FLOAT_VEC4: number;\r\n    readonly FRAGMENT_SHADER: number;\r\n    readonly FRAMEBUFFER: number;\r\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: number;\r\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: number;\r\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: number;\r\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: number;\r\n    readonly FRAMEBUFFER_BINDING: number;\r\n    readonly FRAMEBUFFER_COMPLETE: number;\r\n    readonly FRAMEBUFFER_INCOMPLETE_ATTACHMENT: number;\r\n    readonly FRAMEBUFFER_INCOMPLETE_DIMENSIONS: number;\r\n    readonly FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: number;\r\n    readonly FRAMEBUFFER_UNSUPPORTED: number;\r\n    readonly FRONT: number;\r\n    readonly FRONT_AND_BACK: number;\r\n    readonly FRONT_FACE: number;\r\n    readonly FUNC_ADD: number;\r\n    readonly FUNC_REVERSE_SUBTRACT: number;\r\n    readonly FUNC_SUBTRACT: number;\r\n    readonly GENERATE_MIPMAP_HINT: number;\r\n    readonly GEQUAL: number;\r\n    readonly GREATER: number;\r\n    readonly GREEN_BITS: number;\r\n    readonly HIGH_FLOAT: number;\r\n    readonly HIGH_INT: number;\r\n    readonly IMPLEMENTATION_COLOR_READ_FORMAT: number;\r\n    readonly IMPLEMENTATION_COLOR_READ_TYPE: number;\r\n    readonly INCR: number;\r\n    readonly INCR_WRAP: number;\r\n    readonly INT: number;\r\n    readonly INT_VEC2: number;\r\n    readonly INT_VEC3: number;\r\n    readonly INT_VEC4: number;\r\n    readonly INVALID_ENUM: number;\r\n    readonly INVALID_FRAMEBUFFER_OPERATION: number;\r\n    readonly INVALID_OPERATION: number;\r\n    readonly INVALID_VALUE: number;\r\n    readonly INVERT: number;\r\n    readonly KEEP: number;\r\n    readonly LEQUAL: number;\r\n    readonly LESS: number;\r\n    readonly LINEAR: number;\r\n    readonly LINEAR_MIPMAP_LINEAR: number;\r\n    readonly LINEAR_MIPMAP_NEAREST: number;\r\n    readonly LINES: number;\r\n    readonly LINE_LOOP: number;\r\n    readonly LINE_STRIP: number;\r\n    readonly LINE_WIDTH: number;\r\n    readonly LINK_STATUS: number;\r\n    readonly LOW_FLOAT: number;\r\n    readonly LOW_INT: number;\r\n    readonly LUMINANCE: number;\r\n    readonly LUMINANCE_ALPHA: number;\r\n    readonly MAX_COMBINED_TEXTURE_IMAGE_UNITS: number;\r\n    readonly MAX_CUBE_MAP_TEXTURE_SIZE: number;\r\n    readonly MAX_FRAGMENT_UNIFORM_VECTORS: number;\r\n    readonly MAX_RENDERBUFFER_SIZE: number;\r\n    readonly MAX_TEXTURE_IMAGE_UNITS: number;\r\n    readonly MAX_TEXTURE_SIZE: number;\r\n    readonly MAX_VARYING_VECTORS: number;\r\n    readonly MAX_VERTEX_ATTRIBS: number;\r\n    readonly MAX_VERTEX_TEXTURE_IMAGE_UNITS: number;\r\n    readonly MAX_VERTEX_UNIFORM_VECTORS: number;\r\n    readonly MAX_VIEWPORT_DIMS: number;\r\n    readonly MEDIUM_FLOAT: number;\r\n    readonly MEDIUM_INT: number;\r\n    readonly MIRRORED_REPEAT: number;\r\n    readonly NEAREST: number;\r\n    readonly NEAREST_MIPMAP_LINEAR: number;\r\n    readonly NEAREST_MIPMAP_NEAREST: number;\r\n    readonly NEVER: number;\r\n    readonly NICEST: number;\r\n    readonly NONE: number;\r\n    readonly NOTEQUAL: number;\r\n    readonly NO_ERROR: number;\r\n    readonly ONE: number;\r\n    readonly ONE_MINUS_CONSTANT_ALPHA: number;\r\n    readonly ONE_MINUS_CONSTANT_COLOR: number;\r\n    readonly ONE_MINUS_DST_ALPHA: number;\r\n    readonly ONE_MINUS_DST_COLOR: number;\r\n    readonly ONE_MINUS_SRC_ALPHA: number;\r\n    readonly ONE_MINUS_SRC_COLOR: number;\r\n    readonly OUT_OF_MEMORY: number;\r\n    readonly PACK_ALIGNMENT: number;\r\n    readonly POINTS: number;\r\n    readonly POLYGON_OFFSET_FACTOR: number;\r\n    readonly POLYGON_OFFSET_FILL: number;\r\n    readonly POLYGON_OFFSET_UNITS: number;\r\n    readonly RED_BITS: number;\r\n    readonly RENDERBUFFER: number;\r\n    readonly RENDERBUFFER_ALPHA_SIZE: number;\r\n    readonly RENDERBUFFER_BINDING: number;\r\n    readonly RENDERBUFFER_BLUE_SIZE: number;\r\n    readonly RENDERBUFFER_DEPTH_SIZE: number;\r\n    readonly RENDERBUFFER_GREEN_SIZE: number;\r\n    readonly RENDERBUFFER_HEIGHT: number;\r\n    readonly RENDERBUFFER_INTERNAL_FORMAT: number;\r\n    readonly RENDERBUFFER_RED_SIZE: number;\r\n    readonly RENDERBUFFER_STENCIL_SIZE: number;\r\n    readonly RENDERBUFFER_WIDTH: number;\r\n    readonly RENDERER: number;\r\n    readonly REPEAT: number;\r\n    readonly REPLACE: number;\r\n    readonly RGB: number;\r\n    readonly RGB565: number;\r\n    readonly RGB5_A1: number;\r\n    readonly RGBA: number;\r\n    readonly RGBA4: number;\r\n    readonly SAMPLER_2D: number;\r\n    readonly SAMPLER_CUBE: number;\r\n    readonly SAMPLES: number;\r\n    readonly SAMPLE_ALPHA_TO_COVERAGE: number;\r\n    readonly SAMPLE_BUFFERS: number;\r\n    readonly SAMPLE_COVERAGE: number;\r\n    readonly SAMPLE_COVERAGE_INVERT: number;\r\n    readonly SAMPLE_COVERAGE_VALUE: number;\r\n    readonly SCISSOR_BOX: number;\r\n    readonly SCISSOR_TEST: number;\r\n    readonly SHADER_TYPE: number;\r\n    readonly SHADING_LANGUAGE_VERSION: number;\r\n    readonly SHORT: number;\r\n    readonly SRC_ALPHA: number;\r\n    readonly SRC_ALPHA_SATURATE: number;\r\n    readonly SRC_COLOR: number;\r\n    readonly STATIC_DRAW: number;\r\n    readonly STENCIL_ATTACHMENT: number;\r\n    readonly STENCIL_BACK_FAIL: number;\r\n    readonly STENCIL_BACK_FUNC: number;\r\n    readonly STENCIL_BACK_PASS_DEPTH_FAIL: number;\r\n    readonly STENCIL_BACK_PASS_DEPTH_PASS: number;\r\n    readonly STENCIL_BACK_REF: number;\r\n    readonly STENCIL_BACK_VALUE_MASK: number;\r\n    readonly STENCIL_BACK_WRITEMASK: number;\r\n    readonly STENCIL_BITS: number;\r\n    readonly STENCIL_BUFFER_BIT: number;\r\n    readonly STENCIL_CLEAR_VALUE: number;\r\n    readonly STENCIL_FAIL: number;\r\n    readonly STENCIL_FUNC: number;\r\n    readonly STENCIL_INDEX: number;\r\n    readonly STENCIL_INDEX8: number;\r\n    readonly STENCIL_PASS_DEPTH_FAIL: number;\r\n    readonly STENCIL_PASS_DEPTH_PASS: number;\r\n    readonly STENCIL_REF: number;\r\n    readonly STENCIL_TEST: number;\r\n    readonly STENCIL_VALUE_MASK: number;\r\n    readonly STENCIL_WRITEMASK: number;\r\n    readonly STREAM_DRAW: number;\r\n    readonly SUBPIXEL_BITS: number;\r\n    readonly TEXTURE: number;\r\n    readonly TEXTURE0: number;\r\n    readonly TEXTURE1: number;\r\n    readonly TEXTURE10: number;\r\n    readonly TEXTURE11: number;\r\n    readonly TEXTURE12: number;\r\n    readonly TEXTURE13: number;\r\n    readonly TEXTURE14: number;\r\n    readonly TEXTURE15: number;\r\n    readonly TEXTURE16: number;\r\n    readonly TEXTURE17: number;\r\n    readonly TEXTURE18: number;\r\n    readonly TEXTURE19: number;\r\n    readonly TEXTURE2: number;\r\n    readonly TEXTURE20: number;\r\n    readonly TEXTURE21: number;\r\n    readonly TEXTURE22: number;\r\n    readonly TEXTURE23: number;\r\n    readonly TEXTURE24: number;\r\n    readonly TEXTURE25: number;\r\n    readonly TEXTURE26: number;\r\n    readonly TEXTURE27: number;\r\n    readonly TEXTURE28: number;\r\n    readonly TEXTURE29: number;\r\n    readonly TEXTURE3: number;\r\n    readonly TEXTURE30: number;\r\n    readonly TEXTURE31: number;\r\n    readonly TEXTURE4: number;\r\n    readonly TEXTURE5: number;\r\n    readonly TEXTURE6: number;\r\n    readonly TEXTURE7: number;\r\n    readonly TEXTURE8: number;\r\n    readonly TEXTURE9: number;\r\n    readonly TEXTURE_2D: number;\r\n    readonly TEXTURE_BINDING_2D: number;\r\n    readonly TEXTURE_BINDING_CUBE_MAP: number;\r\n    readonly TEXTURE_CUBE_MAP: number;\r\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_X: number;\r\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Y: number;\r\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Z: number;\r\n    readonly TEXTURE_CUBE_MAP_POSITIVE_X: number;\r\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Y: number;\r\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Z: number;\r\n    readonly TEXTURE_MAG_FILTER: number;\r\n    readonly TEXTURE_MIN_FILTER: number;\r\n    readonly TEXTURE_WRAP_S: number;\r\n    readonly TEXTURE_WRAP_T: number;\r\n    readonly TRIANGLES: number;\r\n    readonly TRIANGLE_FAN: number;\r\n    readonly TRIANGLE_STRIP: number;\r\n    readonly UNPACK_ALIGNMENT: number;\r\n    readonly UNPACK_COLORSPACE_CONVERSION_WEBGL: number;\r\n    readonly UNPACK_FLIP_Y_WEBGL: number;\r\n    readonly UNPACK_PREMULTIPLY_ALPHA_WEBGL: number;\r\n    readonly UNSIGNED_BYTE: number;\r\n    readonly UNSIGNED_INT: number;\r\n    readonly UNSIGNED_SHORT: number;\r\n    readonly UNSIGNED_SHORT_4_4_4_4: number;\r\n    readonly UNSIGNED_SHORT_5_5_5_1: number;\r\n    readonly UNSIGNED_SHORT_5_6_5: number;\r\n    readonly VALIDATE_STATUS: number;\r\n    readonly VENDOR: number;\r\n    readonly VERSION: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_ENABLED: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_NORMALIZED: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_POINTER: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_SIZE: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_STRIDE: number;\r\n    readonly VERTEX_ATTRIB_ARRAY_TYPE: number;\r\n    readonly VERTEX_SHADER: number;\r\n    readonly VIEWPORT: number;\r\n    readonly ZERO: number;\r\n}\r\n\r\ninterface WebGLShader extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLShader: {\r\n    prototype: WebGLShader;\r\n    new(): WebGLShader;\r\n}\r\n\r\ninterface WebGLShaderPrecisionFormat {\r\n    readonly precision: number;\r\n    readonly rangeMax: number;\r\n    readonly rangeMin: number;\r\n}\r\n\r\ndeclare var WebGLShaderPrecisionFormat: {\r\n    prototype: WebGLShaderPrecisionFormat;\r\n    new(): WebGLShaderPrecisionFormat;\r\n}\r\n\r\ninterface WebGLTexture extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLTexture: {\r\n    prototype: WebGLTexture;\r\n    new(): WebGLTexture;\r\n}\r\n\r\ninterface WebGLUniformLocation {\r\n}\r\n\r\ndeclare var WebGLUniformLocation: {\r\n    prototype: WebGLUniformLocation;\r\n    new(): WebGLUniformLocation;\r\n}\r\n\r\ninterface WebKitCSSMatrix {\r\n    a: number;\r\n    b: number;\r\n    c: number;\r\n    d: number;\r\n    e: number;\r\n    f: number;\r\n    m11: number;\r\n    m12: number;\r\n    m13: number;\r\n    m14: number;\r\n    m21: number;\r\n    m22: number;\r\n    m23: number;\r\n    m24: number;\r\n    m31: number;\r\n    m32: number;\r\n    m33: number;\r\n    m34: number;\r\n    m41: number;\r\n    m42: number;\r\n    m43: number;\r\n    m44: number;\r\n    inverse(): WebKitCSSMatrix;\r\n    multiply(secondMatrix: WebKitCSSMatrix): WebKitCSSMatrix;\r\n    rotate(angleX: number, angleY?: number, angleZ?: number): WebKitCSSMatrix;\r\n    rotateAxisAngle(x: number, y: number, z: number, angle: number): WebKitCSSMatrix;\r\n    scale(scaleX: number, scaleY?: number, scaleZ?: number): WebKitCSSMatrix;\r\n    setMatrixValue(value: string): void;\r\n    skewX(angle: number): WebKitCSSMatrix;\r\n    skewY(angle: number): WebKitCSSMatrix;\r\n    toString(): string;\r\n    translate(x: number, y: number, z?: number): WebKitCSSMatrix;\r\n}\r\n\r\ndeclare var WebKitCSSMatrix: {\r\n    prototype: WebKitCSSMatrix;\r\n    new(text?: string): WebKitCSSMatrix;\r\n}\r\n\r\ninterface WebKitPoint {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var WebKitPoint: {\r\n    prototype: WebKitPoint;\r\n    new(x?: number, y?: number): WebKitPoint;\r\n}\r\n\r\ninterface WebSocket extends EventTarget {\r\n    binaryType: string;\r\n    readonly bufferedAmount: number;\r\n    readonly extensions: string;\r\n    onclose: (this: this, ev: CloseEvent) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    onmessage: (this: this, ev: MessageEvent) => any;\r\n    onopen: (this: this, ev: Event) => any;\r\n    readonly protocol: string;\r\n    readonly readyState: number;\r\n    readonly url: string;\r\n    close(code?: number, reason?: string): void;\r\n    send(data: any): void;\r\n    readonly CLOSED: number;\r\n    readonly CLOSING: number;\r\n    readonly CONNECTING: number;\r\n    readonly OPEN: number;\r\n    addEventListener(type: \"close\", listener: (this: this, ev: CloseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"message\", listener: (this: this, ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"open\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var WebSocket: {\r\n    prototype: WebSocket;\r\n    new(url: string, protocols?: string | string[]): WebSocket;\r\n    readonly CLOSED: number;\r\n    readonly CLOSING: number;\r\n    readonly CONNECTING: number;\r\n    readonly OPEN: number;\r\n}\r\n\r\ninterface WheelEvent extends MouseEvent {\r\n    readonly deltaMode: number;\r\n    readonly deltaX: number;\r\n    readonly deltaY: number;\r\n    readonly deltaZ: number;\r\n    readonly wheelDelta: number;\r\n    readonly wheelDeltaX: number;\r\n    readonly wheelDeltaY: number;\r\n    getCurrentPoint(element: Element): void;\r\n    initWheelEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, buttonArg: number, relatedTargetArg: EventTarget, modifiersListArg: string, deltaXArg: number, deltaYArg: number, deltaZArg: number, deltaMode: number): void;\r\n    readonly DOM_DELTA_LINE: number;\r\n    readonly DOM_DELTA_PAGE: number;\r\n    readonly DOM_DELTA_PIXEL: number;\r\n}\r\n\r\ndeclare var WheelEvent: {\r\n    prototype: WheelEvent;\r\n    new(typeArg: string, eventInitDict?: WheelEventInit): WheelEvent;\r\n    readonly DOM_DELTA_LINE: number;\r\n    readonly DOM_DELTA_PAGE: number;\r\n    readonly DOM_DELTA_PIXEL: number;\r\n}\r\n\r\ninterface Window extends EventTarget, WindowTimers, WindowSessionStorage, WindowLocalStorage, WindowConsole, GlobalEventHandlers, IDBEnvironment, WindowBase64 {\r\n    readonly applicationCache: ApplicationCache;\r\n    readonly clientInformation: Navigator;\r\n    readonly closed: boolean;\r\n    readonly crypto: Crypto;\r\n    defaultStatus: string;\r\n    readonly devicePixelRatio: number;\r\n    readonly doNotTrack: string;\r\n    readonly document: Document;\r\n    event: Event;\r\n    readonly external: External;\r\n    readonly frameElement: Element;\r\n    readonly frames: Window;\r\n    readonly history: History;\r\n    readonly innerHeight: number;\r\n    readonly innerWidth: number;\r\n    readonly length: number;\r\n    readonly location: Location;\r\n    readonly locationbar: BarProp;\r\n    readonly menubar: BarProp;\r\n    readonly msCredentials: MSCredentials;\r\n    name: string;\r\n    readonly navigator: Navigator;\r\n    offscreenBuffering: string | boolean;\r\n    onabort: (this: this, ev: UIEvent) => any;\r\n    onafterprint: (this: this, ev: Event) => any;\r\n    onbeforeprint: (this: this, ev: Event) => any;\r\n    onbeforeunload: (this: this, ev: BeforeUnloadEvent) => any;\r\n    onblur: (this: this, ev: FocusEvent) => any;\r\n    oncanplay: (this: this, ev: Event) => any;\r\n    oncanplaythrough: (this: this, ev: Event) => any;\r\n    onchange: (this: this, ev: Event) => any;\r\n    onclick: (this: this, ev: MouseEvent) => any;\r\n    oncompassneedscalibration: (this: this, ev: Event) => any;\r\n    oncontextmenu: (this: this, ev: PointerEvent) => any;\r\n    ondblclick: (this: this, ev: MouseEvent) => any;\r\n    ondevicelight: (this: this, ev: DeviceLightEvent) => any;\r\n    ondevicemotion: (this: this, ev: DeviceMotionEvent) => any;\r\n    ondeviceorientation: (this: this, ev: DeviceOrientationEvent) => any;\r\n    ondrag: (this: this, ev: DragEvent) => any;\r\n    ondragend: (this: this, ev: DragEvent) => any;\r\n    ondragenter: (this: this, ev: DragEvent) => any;\r\n    ondragleave: (this: this, ev: DragEvent) => any;\r\n    ondragover: (this: this, ev: DragEvent) => any;\r\n    ondragstart: (this: this, ev: DragEvent) => any;\r\n    ondrop: (this: this, ev: DragEvent) => any;\r\n    ondurationchange: (this: this, ev: Event) => any;\r\n    onemptied: (this: this, ev: Event) => any;\r\n    onended: (this: this, ev: MediaStreamErrorEvent) => any;\r\n    onerror: ErrorEventHandler;\r\n    onfocus: (this: this, ev: FocusEvent) => any;\r\n    onhashchange: (this: this, ev: HashChangeEvent) => any;\r\n    oninput: (this: this, ev: Event) => any;\r\n    oninvalid: (this: this, ev: Event) => any;\r\n    onkeydown: (this: this, ev: KeyboardEvent) => any;\r\n    onkeypress: (this: this, ev: KeyboardEvent) => any;\r\n    onkeyup: (this: this, ev: KeyboardEvent) => any;\r\n    onload: (this: this, ev: Event) => any;\r\n    onloadeddata: (this: this, ev: Event) => any;\r\n    onloadedmetadata: (this: this, ev: Event) => any;\r\n    onloadstart: (this: this, ev: Event) => any;\r\n    onmessage: (this: this, ev: MessageEvent) => any;\r\n    onmousedown: (this: this, ev: MouseEvent) => any;\r\n    onmouseenter: (this: this, ev: MouseEvent) => any;\r\n    onmouseleave: (this: this, ev: MouseEvent) => any;\r\n    onmousemove: (this: this, ev: MouseEvent) => any;\r\n    onmouseout: (this: this, ev: MouseEvent) => any;\r\n    onmouseover: (this: this, ev: MouseEvent) => any;\r\n    onmouseup: (this: this, ev: MouseEvent) => any;\r\n    onmousewheel: (this: this, ev: WheelEvent) => any;\r\n    onmsgesturechange: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturedoubletap: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgestureend: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturehold: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturestart: (this: this, ev: MSGestureEvent) => any;\r\n    onmsgesturetap: (this: this, ev: MSGestureEvent) => any;\r\n    onmsinertiastart: (this: this, ev: MSGestureEvent) => any;\r\n    onmspointercancel: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerdown: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerenter: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerleave: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointermove: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerout: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerover: (this: this, ev: MSPointerEvent) => any;\r\n    onmspointerup: (this: this, ev: MSPointerEvent) => any;\r\n    onoffline: (this: this, ev: Event) => any;\r\n    ononline: (this: this, ev: Event) => any;\r\n    onorientationchange: (this: this, ev: Event) => any;\r\n    onpagehide: (this: this, ev: PageTransitionEvent) => any;\r\n    onpageshow: (this: this, ev: PageTransitionEvent) => any;\r\n    onpause: (this: this, ev: Event) => any;\r\n    onplay: (this: this, ev: Event) => any;\r\n    onplaying: (this: this, ev: Event) => any;\r\n    onpopstate: (this: this, ev: PopStateEvent) => any;\r\n    onprogress: (this: this, ev: ProgressEvent) => any;\r\n    onratechange: (this: this, ev: Event) => any;\r\n    onreadystatechange: (this: this, ev: ProgressEvent) => any;\r\n    onreset: (this: this, ev: Event) => any;\r\n    onresize: (this: this, ev: UIEvent) => any;\r\n    onscroll: (this: this, ev: UIEvent) => any;\r\n    onseeked: (this: this, ev: Event) => any;\r\n    onseeking: (this: this, ev: Event) => any;\r\n    onselect: (this: this, ev: UIEvent) => any;\r\n    onstalled: (this: this, ev: Event) => any;\r\n    onstorage: (this: this, ev: StorageEvent) => any;\r\n    onsubmit: (this: this, ev: Event) => any;\r\n    onsuspend: (this: this, ev: Event) => any;\r\n    ontimeupdate: (this: this, ev: Event) => any;\r\n    ontouchcancel: (ev: TouchEvent) => any;\r\n    ontouchend: (ev: TouchEvent) => any;\r\n    ontouchmove: (ev: TouchEvent) => any;\r\n    ontouchstart: (ev: TouchEvent) => any;\r\n    onunload: (this: this, ev: Event) => any;\r\n    onvolumechange: (this: this, ev: Event) => any;\r\n    onwaiting: (this: this, ev: Event) => any;\r\n    opener: any;\r\n    orientation: string | number;\r\n    readonly outerHeight: number;\r\n    readonly outerWidth: number;\r\n    readonly pageXOffset: number;\r\n    readonly pageYOffset: number;\r\n    readonly parent: Window;\r\n    readonly performance: Performance;\r\n    readonly personalbar: BarProp;\r\n    readonly screen: Screen;\r\n    readonly screenLeft: number;\r\n    readonly screenTop: number;\r\n    readonly screenX: number;\r\n    readonly screenY: number;\r\n    readonly scrollX: number;\r\n    readonly scrollY: number;\r\n    readonly scrollbars: BarProp;\r\n    readonly self: Window;\r\n    status: string;\r\n    readonly statusbar: BarProp;\r\n    readonly styleMedia: StyleMedia;\r\n    readonly toolbar: BarProp;\r\n    readonly top: Window;\r\n    readonly window: Window;\r\n    URL: typeof URL;\r\n    Blob: typeof Blob;\r\n    alert(message?: any): void;\r\n    blur(): void;\r\n    cancelAnimationFrame(handle: number): void;\r\n    captureEvents(): void;\r\n    close(): void;\r\n    confirm(message?: string): boolean;\r\n    focus(): void;\r\n    getComputedStyle(elt: Element, pseudoElt?: string): CSSStyleDeclaration;\r\n    getMatchedCSSRules(elt: Element, pseudoElt?: string): CSSRuleList;\r\n    getSelection(): Selection;\r\n    matchMedia(mediaQuery: string): MediaQueryList;\r\n    moveBy(x?: number, y?: number): void;\r\n    moveTo(x?: number, y?: number): void;\r\n    msWriteProfilerMark(profilerMarkName: string): void;\r\n    open(url?: string, target?: string, features?: string, replace?: boolean): Window;\r\n    postMessage(message: any, targetOrigin: string, transfer?: any[]): void;\r\n    print(): void;\r\n    prompt(message?: string, _default?: string): string | null;\r\n    releaseEvents(): void;\r\n    requestAnimationFrame(callback: FrameRequestCallback): number;\r\n    resizeBy(x?: number, y?: number): void;\r\n    resizeTo(x?: number, y?: number): void;\r\n    scroll(x?: number, y?: number): void;\r\n    scrollBy(x?: number, y?: number): void;\r\n    scrollTo(x?: number, y?: number): void;\r\n    webkitCancelAnimationFrame(handle: number): void;\r\n    webkitConvertPointFromNodeToPage(node: Node, pt: WebKitPoint): WebKitPoint;\r\n    webkitConvertPointFromPageToNode(node: Node, pt: WebKitPoint): WebKitPoint;\r\n    webkitRequestAnimationFrame(callback: FrameRequestCallback): number;\r\n    scroll(options?: ScrollToOptions): void;\r\n    scrollTo(options?: ScrollToOptions): void;\r\n    scrollBy(options?: ScrollToOptions): void;\r\n    addEventListener(type: \"MSGestureChange\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureDoubleTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureEnd\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureHold\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSGestureTap\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSInertiaStart\", listener: (this: this, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerCancel\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerDown\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerEnter\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerLeave\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerMove\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOut\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerOver\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"MSPointerUp\", listener: (this: this, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"afterprint\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeprint\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"beforeunload\", listener: (this: this, ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"blur\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplay\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"canplaythrough\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"change\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"click\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"compassneedscalibration\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"contextmenu\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dblclick\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"devicelight\", listener: (this: this, ev: DeviceLightEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"devicemotion\", listener: (this: this, ev: DeviceMotionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"deviceorientation\", listener: (this: this, ev: DeviceOrientationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drag\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragend\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragenter\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragleave\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragover\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"dragstart\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"drop\", listener: (this: this, ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"durationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"emptied\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ended\", listener: (this: this, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"focus\", listener: (this: this, ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"hashchange\", listener: (this: this, ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"input\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"invalid\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keydown\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keypress\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"keyup\", listener: (this: this, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadeddata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadedmetadata\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"message\", listener: (this: this, ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousedown\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseenter\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseleave\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousemove\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseout\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseover\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mouseup\", listener: (this: this, ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"mousewheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"offline\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"online\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"orientationchange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pagehide\", listener: (this: this, ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pageshow\", listener: (this: this, ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pause\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"play\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"playing\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"popstate\", listener: (this: this, ev: PopStateEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"ratechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"readystatechange\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"reset\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"resize\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"scroll\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeked\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"seeking\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"select\", listener: (this: this, ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"stalled\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"storage\", listener: (this: this, ev: StorageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"submit\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"suspend\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeupdate\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"unload\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"volumechange\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"waiting\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: Window;\r\n}\r\n\r\ndeclare var Window: {\r\n    prototype: Window;\r\n    new(): Window;\r\n}\r\n\r\ninterface Worker extends EventTarget, AbstractWorker {\r\n    onmessage: (this: this, ev: MessageEvent) => any;\r\n    postMessage(message: any, ports?: any): void;\r\n    terminate(): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"message\", listener: (this: this, ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Worker: {\r\n    prototype: Worker;\r\n    new(stringUrl: string): Worker;\r\n}\r\n\r\ninterface XMLDocument extends Document {\r\n}\r\n\r\ndeclare var XMLDocument: {\r\n    prototype: XMLDocument;\r\n    new(): XMLDocument;\r\n}\r\n\r\ninterface XMLHttpRequest extends EventTarget, XMLHttpRequestEventTarget {\r\n    onreadystatechange: (this: this, ev: ProgressEvent) => any;\r\n    readonly readyState: number;\r\n    readonly response: any;\r\n    readonly responseText: string;\r\n    responseType: string;\r\n    readonly responseXML: any;\r\n    readonly status: number;\r\n    readonly statusText: string;\r\n    timeout: number;\r\n    readonly upload: XMLHttpRequestUpload;\r\n    withCredentials: boolean;\r\n    msCaching?: string;\r\n    abort(): void;\r\n    getAllResponseHeaders(): string;\r\n    getResponseHeader(header: string): string | null;\r\n    msCachingEnabled(): boolean;\r\n    open(method: string, url: string, async?: boolean, user?: string, password?: string): void;\r\n    overrideMimeType(mime: string): void;\r\n    send(data?: Document): void;\r\n    send(data?: string): void;\r\n    send(data?: any): void;\r\n    setRequestHeader(header: string, value: string): void;\r\n    readonly DONE: number;\r\n    readonly HEADERS_RECEIVED: number;\r\n    readonly LOADING: number;\r\n    readonly OPENED: number;\r\n    readonly UNSENT: number;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadend\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"readystatechange\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeout\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var XMLHttpRequest: {\r\n    prototype: XMLHttpRequest;\r\n    new(): XMLHttpRequest;\r\n    readonly DONE: number;\r\n    readonly HEADERS_RECEIVED: number;\r\n    readonly LOADING: number;\r\n    readonly OPENED: number;\r\n    readonly UNSENT: number;\r\n    create(): XMLHttpRequest;\r\n}\r\n\r\ninterface XMLHttpRequestUpload extends EventTarget, XMLHttpRequestEventTarget {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var XMLHttpRequestUpload: {\r\n    prototype: XMLHttpRequestUpload;\r\n    new(): XMLHttpRequestUpload;\r\n}\r\n\r\ninterface XMLSerializer {\r\n    serializeToString(target: Node): string;\r\n}\r\n\r\ndeclare var XMLSerializer: {\r\n    prototype: XMLSerializer;\r\n    new(): XMLSerializer;\r\n}\r\n\r\ninterface XPathEvaluator {\r\n    createExpression(expression: string, resolver: XPathNSResolver): XPathExpression;\r\n    createNSResolver(nodeResolver?: Node): XPathNSResolver;\r\n    evaluate(expression: string, contextNode: Node, resolver: XPathNSResolver, type: number, result: XPathResult): XPathResult;\r\n}\r\n\r\ndeclare var XPathEvaluator: {\r\n    prototype: XPathEvaluator;\r\n    new(): XPathEvaluator;\r\n}\r\n\r\ninterface XPathExpression {\r\n    evaluate(contextNode: Node, type: number, result: XPathResult): XPathExpression;\r\n}\r\n\r\ndeclare var XPathExpression: {\r\n    prototype: XPathExpression;\r\n    new(): XPathExpression;\r\n}\r\n\r\ninterface XPathNSResolver {\r\n    lookupNamespaceURI(prefix: string): string;\r\n}\r\n\r\ndeclare var XPathNSResolver: {\r\n    prototype: XPathNSResolver;\r\n    new(): XPathNSResolver;\r\n}\r\n\r\ninterface XPathResult {\r\n    readonly booleanValue: boolean;\r\n    readonly invalidIteratorState: boolean;\r\n    readonly numberValue: number;\r\n    readonly resultType: number;\r\n    readonly singleNodeValue: Node;\r\n    readonly snapshotLength: number;\r\n    readonly stringValue: string;\r\n    iterateNext(): Node;\r\n    snapshotItem(index: number): Node;\r\n    readonly ANY_TYPE: number;\r\n    readonly ANY_UNORDERED_NODE_TYPE: number;\r\n    readonly BOOLEAN_TYPE: number;\r\n    readonly FIRST_ORDERED_NODE_TYPE: number;\r\n    readonly NUMBER_TYPE: number;\r\n    readonly ORDERED_NODE_ITERATOR_TYPE: number;\r\n    readonly ORDERED_NODE_SNAPSHOT_TYPE: number;\r\n    readonly STRING_TYPE: number;\r\n    readonly UNORDERED_NODE_ITERATOR_TYPE: number;\r\n    readonly UNORDERED_NODE_SNAPSHOT_TYPE: number;\r\n}\r\n\r\ndeclare var XPathResult: {\r\n    prototype: XPathResult;\r\n    new(): XPathResult;\r\n    readonly ANY_TYPE: number;\r\n    readonly ANY_UNORDERED_NODE_TYPE: number;\r\n    readonly BOOLEAN_TYPE: number;\r\n    readonly FIRST_ORDERED_NODE_TYPE: number;\r\n    readonly NUMBER_TYPE: number;\r\n    readonly ORDERED_NODE_ITERATOR_TYPE: number;\r\n    readonly ORDERED_NODE_SNAPSHOT_TYPE: number;\r\n    readonly STRING_TYPE: number;\r\n    readonly UNORDERED_NODE_ITERATOR_TYPE: number;\r\n    readonly UNORDERED_NODE_SNAPSHOT_TYPE: number;\r\n}\r\n\r\ninterface XSLTProcessor {\r\n    clearParameters(): void;\r\n    getParameter(namespaceURI: string, localName: string): any;\r\n    importStylesheet(style: Node): void;\r\n    removeParameter(namespaceURI: string, localName: string): void;\r\n    reset(): void;\r\n    setParameter(namespaceURI: string, localName: string, value: any): void;\r\n    transformToDocument(source: Node): Document;\r\n    transformToFragment(source: Node, document: Document): DocumentFragment;\r\n}\r\n\r\ndeclare var XSLTProcessor: {\r\n    prototype: XSLTProcessor;\r\n    new(): XSLTProcessor;\r\n}\r\n\r\ninterface AbstractWorker {\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface CanvasPathMethods {\r\n    arc(x: number, y: number, radius: number, startAngle: number, endAngle: number, anticlockwise?: boolean): void;\r\n    arcTo(x1: number, y1: number, x2: number, y2: number, radius: number): void;\r\n    bezierCurveTo(cp1x: number, cp1y: number, cp2x: number, cp2y: number, x: number, y: number): void;\r\n    closePath(): void;\r\n    ellipse(x: number, y: number, radiusX: number, radiusY: number, rotation: number, startAngle: number, endAngle: number, anticlockwise?: boolean): void;\r\n    lineTo(x: number, y: number): void;\r\n    moveTo(x: number, y: number): void;\r\n    quadraticCurveTo(cpx: number, cpy: number, x: number, y: number): void;\r\n    rect(x: number, y: number, w: number, h: number): void;\r\n}\r\n\r\ninterface ChildNode {\r\n    remove(): void;\r\n}\r\n\r\ninterface DOML2DeprecatedColorProperty {\r\n    color: string;\r\n}\r\n\r\ninterface DOML2DeprecatedSizeProperty {\r\n    size: number;\r\n}\r\n\r\ninterface DocumentEvent {\r\n    createEvent(eventInterface:\"AnimationEvent\"): AnimationEvent;\r\n    createEvent(eventInterface:\"AriaRequestEvent\"): AriaRequestEvent;\r\n    createEvent(eventInterface:\"AudioProcessingEvent\"): AudioProcessingEvent;\r\n    createEvent(eventInterface:\"BeforeUnloadEvent\"): BeforeUnloadEvent;\r\n    createEvent(eventInterface:\"ClipboardEvent\"): ClipboardEvent;\r\n    createEvent(eventInterface:\"CloseEvent\"): CloseEvent;\r\n    createEvent(eventInterface:\"CommandEvent\"): CommandEvent;\r\n    createEvent(eventInterface:\"CompositionEvent\"): CompositionEvent;\r\n    createEvent(eventInterface:\"CustomEvent\"): CustomEvent;\r\n    createEvent(eventInterface:\"DeviceLightEvent\"): DeviceLightEvent;\r\n    createEvent(eventInterface:\"DeviceMotionEvent\"): DeviceMotionEvent;\r\n    createEvent(eventInterface:\"DeviceOrientationEvent\"): DeviceOrientationEvent;\r\n    createEvent(eventInterface:\"DragEvent\"): DragEvent;\r\n    createEvent(eventInterface:\"ErrorEvent\"): ErrorEvent;\r\n    createEvent(eventInterface:\"Event\"): Event;\r\n    createEvent(eventInterface:\"Events\"): Event;\r\n    createEvent(eventInterface:\"FocusEvent\"): FocusEvent;\r\n    createEvent(eventInterface:\"GamepadEvent\"): GamepadEvent;\r\n    createEvent(eventInterface:\"HashChangeEvent\"): HashChangeEvent;\r\n    createEvent(eventInterface:\"IDBVersionChangeEvent\"): IDBVersionChangeEvent;\r\n    createEvent(eventInterface:\"KeyboardEvent\"): KeyboardEvent;\r\n    createEvent(eventInterface:\"ListeningStateChangedEvent\"): ListeningStateChangedEvent;\r\n    createEvent(eventInterface:\"LongRunningScriptDetectedEvent\"): LongRunningScriptDetectedEvent;\r\n    createEvent(eventInterface:\"MSGestureEvent\"): MSGestureEvent;\r\n    createEvent(eventInterface:\"MSManipulationEvent\"): MSManipulationEvent;\r\n    createEvent(eventInterface:\"MSMediaKeyMessageEvent\"): MSMediaKeyMessageEvent;\r\n    createEvent(eventInterface:\"MSMediaKeyNeededEvent\"): MSMediaKeyNeededEvent;\r\n    createEvent(eventInterface:\"MSPointerEvent\"): MSPointerEvent;\r\n    createEvent(eventInterface:\"MSSiteModeEvent\"): MSSiteModeEvent;\r\n    createEvent(eventInterface:\"MediaEncryptedEvent\"): MediaEncryptedEvent;\r\n    createEvent(eventInterface:\"MediaKeyMessageEvent\"): MediaKeyMessageEvent;\r\n    createEvent(eventInterface:\"MediaStreamErrorEvent\"): MediaStreamErrorEvent;\r\n    createEvent(eventInterface:\"MediaStreamTrackEvent\"): MediaStreamTrackEvent;\r\n    createEvent(eventInterface:\"MessageEvent\"): MessageEvent;\r\n    createEvent(eventInterface:\"MouseEvent\"): MouseEvent;\r\n    createEvent(eventInterface:\"MouseEvents\"): MouseEvent;\r\n    createEvent(eventInterface:\"MutationEvent\"): MutationEvent;\r\n    createEvent(eventInterface:\"MutationEvents\"): MutationEvent;\r\n    createEvent(eventInterface:\"NavigationCompletedEvent\"): NavigationCompletedEvent;\r\n    createEvent(eventInterface:\"NavigationEvent\"): NavigationEvent;\r\n    createEvent(eventInterface:\"NavigationEventWithReferrer\"): NavigationEventWithReferrer;\r\n    createEvent(eventInterface:\"OfflineAudioCompletionEvent\"): OfflineAudioCompletionEvent;\r\n    createEvent(eventInterface:\"OverflowEvent\"): OverflowEvent;\r\n    createEvent(eventInterface:\"PageTransitionEvent\"): PageTransitionEvent;\r\n    createEvent(eventInterface:\"PermissionRequestedEvent\"): PermissionRequestedEvent;\r\n    createEvent(eventInterface:\"PointerEvent\"): PointerEvent;\r\n    createEvent(eventInterface:\"PopStateEvent\"): PopStateEvent;\r\n    createEvent(eventInterface:\"ProgressEvent\"): ProgressEvent;\r\n    createEvent(eventInterface:\"RTCDTMFToneChangeEvent\"): RTCDTMFToneChangeEvent;\r\n    createEvent(eventInterface:\"RTCDtlsTransportStateChangedEvent\"): RTCDtlsTransportStateChangedEvent;\r\n    createEvent(eventInterface:\"RTCIceCandidatePairChangedEvent\"): RTCIceCandidatePairChangedEvent;\r\n    createEvent(eventInterface:\"RTCIceGathererEvent\"): RTCIceGathererEvent;\r\n    createEvent(eventInterface:\"RTCIceTransportStateChangedEvent\"): RTCIceTransportStateChangedEvent;\r\n    createEvent(eventInterface:\"RTCSsrcConflictEvent\"): RTCSsrcConflictEvent;\r\n    createEvent(eventInterface:\"SVGZoomEvent\"): SVGZoomEvent;\r\n    createEvent(eventInterface:\"SVGZoomEvents\"): SVGZoomEvent;\r\n    createEvent(eventInterface:\"ScriptNotifyEvent\"): ScriptNotifyEvent;\r\n    createEvent(eventInterface:\"StorageEvent\"): StorageEvent;\r\n    createEvent(eventInterface:\"TextEvent\"): TextEvent;\r\n    createEvent(eventInterface:\"TouchEvent\"): TouchEvent;\r\n    createEvent(eventInterface:\"TrackEvent\"): TrackEvent;\r\n    createEvent(eventInterface:\"TransitionEvent\"): TransitionEvent;\r\n    createEvent(eventInterface:\"UIEvent\"): UIEvent;\r\n    createEvent(eventInterface:\"UIEvents\"): UIEvent;\r\n    createEvent(eventInterface:\"UnviewableContentIdentifiedEvent\"): UnviewableContentIdentifiedEvent;\r\n    createEvent(eventInterface:\"WebGLContextEvent\"): WebGLContextEvent;\r\n    createEvent(eventInterface:\"WheelEvent\"): WheelEvent;\r\n    createEvent(eventInterface: string): Event;\r\n}\r\n\r\ninterface ElementTraversal {\r\n    readonly childElementCount: number;\r\n    readonly firstElementChild: Element;\r\n    readonly lastElementChild: Element;\r\n    readonly nextElementSibling: Element;\r\n    readonly previousElementSibling: Element;\r\n}\r\n\r\ninterface GetSVGDocument {\r\n    getSVGDocument(): Document;\r\n}\r\n\r\ninterface GlobalEventHandlers {\r\n    onpointercancel: (this: this, ev: PointerEvent) => any;\r\n    onpointerdown: (this: this, ev: PointerEvent) => any;\r\n    onpointerenter: (this: this, ev: PointerEvent) => any;\r\n    onpointerleave: (this: this, ev: PointerEvent) => any;\r\n    onpointermove: (this: this, ev: PointerEvent) => any;\r\n    onpointerout: (this: this, ev: PointerEvent) => any;\r\n    onpointerover: (this: this, ev: PointerEvent) => any;\r\n    onpointerup: (this: this, ev: PointerEvent) => any;\r\n    onwheel: (this: this, ev: WheelEvent) => any;\r\n    addEventListener(type: \"pointercancel\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerdown\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerenter\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerleave\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointermove\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerout\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerover\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"pointerup\", listener: (this: this, ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"wheel\", listener: (this: this, ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own ch functionality for the object.\r\n      */\r\n    ch: string;\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own chOff functionality for the object.\r\n      */\r\n    chOff: string;\r\n    /**\r\n      * Sets or retrieves how text and other content are vertically aligned within the object that contains them.\r\n      */\r\n    vAlign: string;\r\n}\r\n\r\ninterface IDBEnvironment {\r\n    readonly indexedDB: IDBFactory;\r\n}\r\n\r\ninterface LinkStyle {\r\n    readonly sheet: StyleSheet;\r\n}\r\n\r\ninterface MSBaseReader {\r\n    onabort: (this: this, ev: Event) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    onload: (this: this, ev: Event) => any;\r\n    onloadend: (this: this, ev: ProgressEvent) => any;\r\n    onloadstart: (this: this, ev: Event) => any;\r\n    onprogress: (this: this, ev: ProgressEvent) => any;\r\n    readonly readyState: number;\r\n    readonly result: any;\r\n    abort(): void;\r\n    readonly DONE: number;\r\n    readonly EMPTY: number;\r\n    readonly LOADING: number;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadend\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface MSFileSaver {\r\n    msSaveBlob(blob: any, defaultName?: string): boolean;\r\n    msSaveOrOpenBlob(blob: any, defaultName?: string): boolean;\r\n}\r\n\r\ninterface MSNavigatorDoNotTrack {\r\n    confirmSiteSpecificTrackingException(args: ConfirmSiteSpecificExceptionsInformation): boolean;\r\n    confirmWebWideTrackingException(args: ExceptionInformation): boolean;\r\n    removeSiteSpecificTrackingException(args: ExceptionInformation): void;\r\n    removeWebWideTrackingException(args: ExceptionInformation): void;\r\n    storeSiteSpecificTrackingException(args: StoreSiteSpecificExceptionsInformation): void;\r\n    storeWebWideTrackingException(args: StoreExceptionsInformation): void;\r\n}\r\n\r\ninterface NavigatorContentUtils {\r\n}\r\n\r\ninterface NavigatorGeolocation {\r\n    readonly geolocation: Geolocation;\r\n}\r\n\r\ninterface NavigatorID {\r\n    readonly appName: string;\r\n    readonly appVersion: string;\r\n    readonly platform: string;\r\n    readonly product: string;\r\n    readonly productSub: string;\r\n    readonly userAgent: string;\r\n    readonly vendor: string;\r\n    readonly vendorSub: string;\r\n}\r\n\r\ninterface NavigatorOnLine {\r\n    readonly onLine: boolean;\r\n}\r\n\r\ninterface NavigatorStorageUtils {\r\n}\r\n\r\ninterface NavigatorUserMedia {\r\n    readonly mediaDevices: MediaDevices;\r\n    getUserMedia(constraints: MediaStreamConstraints, successCallback: NavigatorUserMediaSuccessCallback, errorCallback: NavigatorUserMediaErrorCallback): void;\r\n}\r\n\r\ninterface NodeSelector {\r\n    querySelector(selectors: \"a\"): HTMLAnchorElement;\r\n    querySelector(selectors: \"abbr\"): HTMLElement;\r\n    querySelector(selectors: \"acronym\"): HTMLElement;\r\n    querySelector(selectors: \"address\"): HTMLElement;\r\n    querySelector(selectors: \"applet\"): HTMLAppletElement;\r\n    querySelector(selectors: \"area\"): HTMLAreaElement;\r\n    querySelector(selectors: \"article\"): HTMLElement;\r\n    querySelector(selectors: \"aside\"): HTMLElement;\r\n    querySelector(selectors: \"audio\"): HTMLAudioElement;\r\n    querySelector(selectors: \"b\"): HTMLElement;\r\n    querySelector(selectors: \"base\"): HTMLBaseElement;\r\n    querySelector(selectors: \"basefont\"): HTMLBaseFontElement;\r\n    querySelector(selectors: \"bdo\"): HTMLElement;\r\n    querySelector(selectors: \"big\"): HTMLElement;\r\n    querySelector(selectors: \"blockquote\"): HTMLQuoteElement;\r\n    querySelector(selectors: \"body\"): HTMLBodyElement;\r\n    querySelector(selectors: \"br\"): HTMLBRElement;\r\n    querySelector(selectors: \"button\"): HTMLButtonElement;\r\n    querySelector(selectors: \"canvas\"): HTMLCanvasElement;\r\n    querySelector(selectors: \"caption\"): HTMLTableCaptionElement;\r\n    querySelector(selectors: \"center\"): HTMLElement;\r\n    querySelector(selectors: \"circle\"): SVGCircleElement;\r\n    querySelector(selectors: \"cite\"): HTMLElement;\r\n    querySelector(selectors: \"clippath\"): SVGClipPathElement;\r\n    querySelector(selectors: \"code\"): HTMLElement;\r\n    querySelector(selectors: \"col\"): HTMLTableColElement;\r\n    querySelector(selectors: \"colgroup\"): HTMLTableColElement;\r\n    querySelector(selectors: \"datalist\"): HTMLDataListElement;\r\n    querySelector(selectors: \"dd\"): HTMLElement;\r\n    querySelector(selectors: \"defs\"): SVGDefsElement;\r\n    querySelector(selectors: \"del\"): HTMLModElement;\r\n    querySelector(selectors: \"desc\"): SVGDescElement;\r\n    querySelector(selectors: \"dfn\"): HTMLElement;\r\n    querySelector(selectors: \"dir\"): HTMLDirectoryElement;\r\n    querySelector(selectors: \"div\"): HTMLDivElement;\r\n    querySelector(selectors: \"dl\"): HTMLDListElement;\r\n    querySelector(selectors: \"dt\"): HTMLElement;\r\n    querySelector(selectors: \"ellipse\"): SVGEllipseElement;\r\n    querySelector(selectors: \"em\"): HTMLElement;\r\n    querySelector(selectors: \"embed\"): HTMLEmbedElement;\r\n    querySelector(selectors: \"feblend\"): SVGFEBlendElement;\r\n    querySelector(selectors: \"fecolormatrix\"): SVGFEColorMatrixElement;\r\n    querySelector(selectors: \"fecomponenttransfer\"): SVGFEComponentTransferElement;\r\n    querySelector(selectors: \"fecomposite\"): SVGFECompositeElement;\r\n    querySelector(selectors: \"feconvolvematrix\"): SVGFEConvolveMatrixElement;\r\n    querySelector(selectors: \"fediffuselighting\"): SVGFEDiffuseLightingElement;\r\n    querySelector(selectors: \"fedisplacementmap\"): SVGFEDisplacementMapElement;\r\n    querySelector(selectors: \"fedistantlight\"): SVGFEDistantLightElement;\r\n    querySelector(selectors: \"feflood\"): SVGFEFloodElement;\r\n    querySelector(selectors: \"fefunca\"): SVGFEFuncAElement;\r\n    querySelector(selectors: \"fefuncb\"): SVGFEFuncBElement;\r\n    querySelector(selectors: \"fefuncg\"): SVGFEFuncGElement;\r\n    querySelector(selectors: \"fefuncr\"): SVGFEFuncRElement;\r\n    querySelector(selectors: \"fegaussianblur\"): SVGFEGaussianBlurElement;\r\n    querySelector(selectors: \"feimage\"): SVGFEImageElement;\r\n    querySelector(selectors: \"femerge\"): SVGFEMergeElement;\r\n    querySelector(selectors: \"femergenode\"): SVGFEMergeNodeElement;\r\n    querySelector(selectors: \"femorphology\"): SVGFEMorphologyElement;\r\n    querySelector(selectors: \"feoffset\"): SVGFEOffsetElement;\r\n    querySelector(selectors: \"fepointlight\"): SVGFEPointLightElement;\r\n    querySelector(selectors: \"fespecularlighting\"): SVGFESpecularLightingElement;\r\n    querySelector(selectors: \"fespotlight\"): SVGFESpotLightElement;\r\n    querySelector(selectors: \"fetile\"): SVGFETileElement;\r\n    querySelector(selectors: \"feturbulence\"): SVGFETurbulenceElement;\r\n    querySelector(selectors: \"fieldset\"): HTMLFieldSetElement;\r\n    querySelector(selectors: \"figcaption\"): HTMLElement;\r\n    querySelector(selectors: \"figure\"): HTMLElement;\r\n    querySelector(selectors: \"filter\"): SVGFilterElement;\r\n    querySelector(selectors: \"font\"): HTMLFontElement;\r\n    querySelector(selectors: \"footer\"): HTMLElement;\r\n    querySelector(selectors: \"foreignobject\"): SVGForeignObjectElement;\r\n    querySelector(selectors: \"form\"): HTMLFormElement;\r\n    querySelector(selectors: \"frame\"): HTMLFrameElement;\r\n    querySelector(selectors: \"frameset\"): HTMLFrameSetElement;\r\n    querySelector(selectors: \"g\"): SVGGElement;\r\n    querySelector(selectors: \"h1\"): HTMLHeadingElement;\r\n    querySelector(selectors: \"h2\"): HTMLHeadingElement;\r\n    querySelector(selectors: \"h3\"): HTMLHeadingElement;\r\n    querySelector(selectors: \"h4\"): HTMLHeadingElement;\r\n    querySelector(selectors: \"h5\"): HTMLHeadingElement;\r\n    querySelector(selectors: \"h6\"): HTMLHeadingElement;\r\n    querySelector(selectors: \"head\"): HTMLHeadElement;\r\n    querySelector(selectors: \"header\"): HTMLElement;\r\n    querySelector(selectors: \"hgroup\"): HTMLElement;\r\n    querySelector(selectors: \"hr\"): HTMLHRElement;\r\n    querySelector(selectors: \"html\"): HTMLHtmlElement;\r\n    querySelector(selectors: \"i\"): HTMLElement;\r\n    querySelector(selectors: \"iframe\"): HTMLIFrameElement;\r\n    querySelector(selectors: \"image\"): SVGImageElement;\r\n    querySelector(selectors: \"img\"): HTMLImageElement;\r\n    querySelector(selectors: \"input\"): HTMLInputElement;\r\n    querySelector(selectors: \"ins\"): HTMLModElement;\r\n    querySelector(selectors: \"isindex\"): HTMLUnknownElement;\r\n    querySelector(selectors: \"kbd\"): HTMLElement;\r\n    querySelector(selectors: \"keygen\"): HTMLElement;\r\n    querySelector(selectors: \"label\"): HTMLLabelElement;\r\n    querySelector(selectors: \"legend\"): HTMLLegendElement;\r\n    querySelector(selectors: \"li\"): HTMLLIElement;\r\n    querySelector(selectors: \"line\"): SVGLineElement;\r\n    querySelector(selectors: \"lineargradient\"): SVGLinearGradientElement;\r\n    querySelector(selectors: \"link\"): HTMLLinkElement;\r\n    querySelector(selectors: \"listing\"): HTMLPreElement;\r\n    querySelector(selectors: \"map\"): HTMLMapElement;\r\n    querySelector(selectors: \"mark\"): HTMLElement;\r\n    querySelector(selectors: \"marker\"): SVGMarkerElement;\r\n    querySelector(selectors: \"marquee\"): HTMLMarqueeElement;\r\n    querySelector(selectors: \"mask\"): SVGMaskElement;\r\n    querySelector(selectors: \"menu\"): HTMLMenuElement;\r\n    querySelector(selectors: \"meta\"): HTMLMetaElement;\r\n    querySelector(selectors: \"metadata\"): SVGMetadataElement;\r\n    querySelector(selectors: \"meter\"): HTMLMeterElement;\r\n    querySelector(selectors: \"nav\"): HTMLElement;\r\n    querySelector(selectors: \"nextid\"): HTMLUnknownElement;\r\n    querySelector(selectors: \"nobr\"): HTMLElement;\r\n    querySelector(selectors: \"noframes\"): HTMLElement;\r\n    querySelector(selectors: \"noscript\"): HTMLElement;\r\n    querySelector(selectors: \"object\"): HTMLObjectElement;\r\n    querySelector(selectors: \"ol\"): HTMLOListElement;\r\n    querySelector(selectors: \"optgroup\"): HTMLOptGroupElement;\r\n    querySelector(selectors: \"option\"): HTMLOptionElement;\r\n    querySelector(selectors: \"p\"): HTMLParagraphElement;\r\n    querySelector(selectors: \"param\"): HTMLParamElement;\r\n    querySelector(selectors: \"path\"): SVGPathElement;\r\n    querySelector(selectors: \"pattern\"): SVGPatternElement;\r\n    querySelector(selectors: \"picture\"): HTMLPictureElement;\r\n    querySelector(selectors: \"plaintext\"): HTMLElement;\r\n    querySelector(selectors: \"polygon\"): SVGPolygonElement;\r\n    querySelector(selectors: \"polyline\"): SVGPolylineElement;\r\n    querySelector(selectors: \"pre\"): HTMLPreElement;\r\n    querySelector(selectors: \"progress\"): HTMLProgressElement;\r\n    querySelector(selectors: \"q\"): HTMLQuoteElement;\r\n    querySelector(selectors: \"radialgradient\"): SVGRadialGradientElement;\r\n    querySelector(selectors: \"rect\"): SVGRectElement;\r\n    querySelector(selectors: \"rt\"): HTMLElement;\r\n    querySelector(selectors: \"ruby\"): HTMLElement;\r\n    querySelector(selectors: \"s\"): HTMLElement;\r\n    querySelector(selectors: \"samp\"): HTMLElement;\r\n    querySelector(selectors: \"script\"): HTMLScriptElement;\r\n    querySelector(selectors: \"section\"): HTMLElement;\r\n    querySelector(selectors: \"select\"): HTMLSelectElement;\r\n    querySelector(selectors: \"small\"): HTMLElement;\r\n    querySelector(selectors: \"source\"): HTMLSourceElement;\r\n    querySelector(selectors: \"span\"): HTMLSpanElement;\r\n    querySelector(selectors: \"stop\"): SVGStopElement;\r\n    querySelector(selectors: \"strike\"): HTMLElement;\r\n    querySelector(selectors: \"strong\"): HTMLElement;\r\n    querySelector(selectors: \"style\"): HTMLStyleElement;\r\n    querySelector(selectors: \"sub\"): HTMLElement;\r\n    querySelector(selectors: \"sup\"): HTMLElement;\r\n    querySelector(selectors: \"svg\"): SVGSVGElement;\r\n    querySelector(selectors: \"switch\"): SVGSwitchElement;\r\n    querySelector(selectors: \"symbol\"): SVGSymbolElement;\r\n    querySelector(selectors: \"table\"): HTMLTableElement;\r\n    querySelector(selectors: \"tbody\"): HTMLTableSectionElement;\r\n    querySelector(selectors: \"td\"): HTMLTableDataCellElement;\r\n    querySelector(selectors: \"template\"): HTMLTemplateElement;\r\n    querySelector(selectors: \"text\"): SVGTextElement;\r\n    querySelector(selectors: \"textpath\"): SVGTextPathElement;\r\n    querySelector(selectors: \"textarea\"): HTMLTextAreaElement;\r\n    querySelector(selectors: \"tfoot\"): HTMLTableSectionElement;\r\n    querySelector(selectors: \"th\"): HTMLTableHeaderCellElement;\r\n    querySelector(selectors: \"thead\"): HTMLTableSectionElement;\r\n    querySelector(selectors: \"title\"): HTMLTitleElement;\r\n    querySelector(selectors: \"tr\"): HTMLTableRowElement;\r\n    querySelector(selectors: \"track\"): HTMLTrackElement;\r\n    querySelector(selectors: \"tspan\"): SVGTSpanElement;\r\n    querySelector(selectors: \"tt\"): HTMLElement;\r\n    querySelector(selectors: \"u\"): HTMLElement;\r\n    querySelector(selectors: \"ul\"): HTMLUListElement;\r\n    querySelector(selectors: \"use\"): SVGUseElement;\r\n    querySelector(selectors: \"var\"): HTMLElement;\r\n    querySelector(selectors: \"video\"): HTMLVideoElement;\r\n    querySelector(selectors: \"view\"): SVGViewElement;\r\n    querySelector(selectors: \"wbr\"): HTMLElement;\r\n    querySelector(selectors: \"x-ms-webview\"): MSHTMLWebViewElement;\r\n    querySelector(selectors: \"xmp\"): HTMLPreElement;\r\n    querySelector(selectors: string): Element;\r\n    querySelectorAll(selectors: \"a\"): NodeListOf<HTMLAnchorElement>;\r\n    querySelectorAll(selectors: \"abbr\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"acronym\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"address\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"applet\"): NodeListOf<HTMLAppletElement>;\r\n    querySelectorAll(selectors: \"area\"): NodeListOf<HTMLAreaElement>;\r\n    querySelectorAll(selectors: \"article\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"aside\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"audio\"): NodeListOf<HTMLAudioElement>;\r\n    querySelectorAll(selectors: \"b\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"base\"): NodeListOf<HTMLBaseElement>;\r\n    querySelectorAll(selectors: \"basefont\"): NodeListOf<HTMLBaseFontElement>;\r\n    querySelectorAll(selectors: \"bdo\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"big\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"blockquote\"): NodeListOf<HTMLQuoteElement>;\r\n    querySelectorAll(selectors: \"body\"): NodeListOf<HTMLBodyElement>;\r\n    querySelectorAll(selectors: \"br\"): NodeListOf<HTMLBRElement>;\r\n    querySelectorAll(selectors: \"button\"): NodeListOf<HTMLButtonElement>;\r\n    querySelectorAll(selectors: \"canvas\"): NodeListOf<HTMLCanvasElement>;\r\n    querySelectorAll(selectors: \"caption\"): NodeListOf<HTMLTableCaptionElement>;\r\n    querySelectorAll(selectors: \"center\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"circle\"): NodeListOf<SVGCircleElement>;\r\n    querySelectorAll(selectors: \"cite\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"clippath\"): NodeListOf<SVGClipPathElement>;\r\n    querySelectorAll(selectors: \"code\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"col\"): NodeListOf<HTMLTableColElement>;\r\n    querySelectorAll(selectors: \"colgroup\"): NodeListOf<HTMLTableColElement>;\r\n    querySelectorAll(selectors: \"datalist\"): NodeListOf<HTMLDataListElement>;\r\n    querySelectorAll(selectors: \"dd\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"defs\"): NodeListOf<SVGDefsElement>;\r\n    querySelectorAll(selectors: \"del\"): NodeListOf<HTMLModElement>;\r\n    querySelectorAll(selectors: \"desc\"): NodeListOf<SVGDescElement>;\r\n    querySelectorAll(selectors: \"dfn\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"dir\"): NodeListOf<HTMLDirectoryElement>;\r\n    querySelectorAll(selectors: \"div\"): NodeListOf<HTMLDivElement>;\r\n    querySelectorAll(selectors: \"dl\"): NodeListOf<HTMLDListElement>;\r\n    querySelectorAll(selectors: \"dt\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"ellipse\"): NodeListOf<SVGEllipseElement>;\r\n    querySelectorAll(selectors: \"em\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"embed\"): NodeListOf<HTMLEmbedElement>;\r\n    querySelectorAll(selectors: \"feblend\"): NodeListOf<SVGFEBlendElement>;\r\n    querySelectorAll(selectors: \"fecolormatrix\"): NodeListOf<SVGFEColorMatrixElement>;\r\n    querySelectorAll(selectors: \"fecomponenttransfer\"): NodeListOf<SVGFEComponentTransferElement>;\r\n    querySelectorAll(selectors: \"fecomposite\"): NodeListOf<SVGFECompositeElement>;\r\n    querySelectorAll(selectors: \"feconvolvematrix\"): NodeListOf<SVGFEConvolveMatrixElement>;\r\n    querySelectorAll(selectors: \"fediffuselighting\"): NodeListOf<SVGFEDiffuseLightingElement>;\r\n    querySelectorAll(selectors: \"fedisplacementmap\"): NodeListOf<SVGFEDisplacementMapElement>;\r\n    querySelectorAll(selectors: \"fedistantlight\"): NodeListOf<SVGFEDistantLightElement>;\r\n    querySelectorAll(selectors: \"feflood\"): NodeListOf<SVGFEFloodElement>;\r\n    querySelectorAll(selectors: \"fefunca\"): NodeListOf<SVGFEFuncAElement>;\r\n    querySelectorAll(selectors: \"fefuncb\"): NodeListOf<SVGFEFuncBElement>;\r\n    querySelectorAll(selectors: \"fefuncg\"): NodeListOf<SVGFEFuncGElement>;\r\n    querySelectorAll(selectors: \"fefuncr\"): NodeListOf<SVGFEFuncRElement>;\r\n    querySelectorAll(selectors: \"fegaussianblur\"): NodeListOf<SVGFEGaussianBlurElement>;\r\n    querySelectorAll(selectors: \"feimage\"): NodeListOf<SVGFEImageElement>;\r\n    querySelectorAll(selectors: \"femerge\"): NodeListOf<SVGFEMergeElement>;\r\n    querySelectorAll(selectors: \"femergenode\"): NodeListOf<SVGFEMergeNodeElement>;\r\n    querySelectorAll(selectors: \"femorphology\"): NodeListOf<SVGFEMorphologyElement>;\r\n    querySelectorAll(selectors: \"feoffset\"): NodeListOf<SVGFEOffsetElement>;\r\n    querySelectorAll(selectors: \"fepointlight\"): NodeListOf<SVGFEPointLightElement>;\r\n    querySelectorAll(selectors: \"fespecularlighting\"): NodeListOf<SVGFESpecularLightingElement>;\r\n    querySelectorAll(selectors: \"fespotlight\"): NodeListOf<SVGFESpotLightElement>;\r\n    querySelectorAll(selectors: \"fetile\"): NodeListOf<SVGFETileElement>;\r\n    querySelectorAll(selectors: \"feturbulence\"): NodeListOf<SVGFETurbulenceElement>;\r\n    querySelectorAll(selectors: \"fieldset\"): NodeListOf<HTMLFieldSetElement>;\r\n    querySelectorAll(selectors: \"figcaption\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"figure\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"filter\"): NodeListOf<SVGFilterElement>;\r\n    querySelectorAll(selectors: \"font\"): NodeListOf<HTMLFontElement>;\r\n    querySelectorAll(selectors: \"footer\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"foreignobject\"): NodeListOf<SVGForeignObjectElement>;\r\n    querySelectorAll(selectors: \"form\"): NodeListOf<HTMLFormElement>;\r\n    querySelectorAll(selectors: \"frame\"): NodeListOf<HTMLFrameElement>;\r\n    querySelectorAll(selectors: \"frameset\"): NodeListOf<HTMLFrameSetElement>;\r\n    querySelectorAll(selectors: \"g\"): NodeListOf<SVGGElement>;\r\n    querySelectorAll(selectors: \"h1\"): NodeListOf<HTMLHeadingElement>;\r\n    querySelectorAll(selectors: \"h2\"): NodeListOf<HTMLHeadingElement>;\r\n    querySelectorAll(selectors: \"h3\"): NodeListOf<HTMLHeadingElement>;\r\n    querySelectorAll(selectors: \"h4\"): NodeListOf<HTMLHeadingElement>;\r\n    querySelectorAll(selectors: \"h5\"): NodeListOf<HTMLHeadingElement>;\r\n    querySelectorAll(selectors: \"h6\"): NodeListOf<HTMLHeadingElement>;\r\n    querySelectorAll(selectors: \"head\"): NodeListOf<HTMLHeadElement>;\r\n    querySelectorAll(selectors: \"header\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"hgroup\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"hr\"): NodeListOf<HTMLHRElement>;\r\n    querySelectorAll(selectors: \"html\"): NodeListOf<HTMLHtmlElement>;\r\n    querySelectorAll(selectors: \"i\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"iframe\"): NodeListOf<HTMLIFrameElement>;\r\n    querySelectorAll(selectors: \"image\"): NodeListOf<SVGImageElement>;\r\n    querySelectorAll(selectors: \"img\"): NodeListOf<HTMLImageElement>;\r\n    querySelectorAll(selectors: \"input\"): NodeListOf<HTMLInputElement>;\r\n    querySelectorAll(selectors: \"ins\"): NodeListOf<HTMLModElement>;\r\n    querySelectorAll(selectors: \"isindex\"): NodeListOf<HTMLUnknownElement>;\r\n    querySelectorAll(selectors: \"kbd\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"keygen\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"label\"): NodeListOf<HTMLLabelElement>;\r\n    querySelectorAll(selectors: \"legend\"): NodeListOf<HTMLLegendElement>;\r\n    querySelectorAll(selectors: \"li\"): NodeListOf<HTMLLIElement>;\r\n    querySelectorAll(selectors: \"line\"): NodeListOf<SVGLineElement>;\r\n    querySelectorAll(selectors: \"lineargradient\"): NodeListOf<SVGLinearGradientElement>;\r\n    querySelectorAll(selectors: \"link\"): NodeListOf<HTMLLinkElement>;\r\n    querySelectorAll(selectors: \"listing\"): NodeListOf<HTMLPreElement>;\r\n    querySelectorAll(selectors: \"map\"): NodeListOf<HTMLMapElement>;\r\n    querySelectorAll(selectors: \"mark\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"marker\"): NodeListOf<SVGMarkerElement>;\r\n    querySelectorAll(selectors: \"marquee\"): NodeListOf<HTMLMarqueeElement>;\r\n    querySelectorAll(selectors: \"mask\"): NodeListOf<SVGMaskElement>;\r\n    querySelectorAll(selectors: \"menu\"): NodeListOf<HTMLMenuElement>;\r\n    querySelectorAll(selectors: \"meta\"): NodeListOf<HTMLMetaElement>;\r\n    querySelectorAll(selectors: \"metadata\"): NodeListOf<SVGMetadataElement>;\r\n    querySelectorAll(selectors: \"meter\"): NodeListOf<HTMLMeterElement>;\r\n    querySelectorAll(selectors: \"nav\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"nextid\"): NodeListOf<HTMLUnknownElement>;\r\n    querySelectorAll(selectors: \"nobr\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"noframes\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"noscript\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"object\"): NodeListOf<HTMLObjectElement>;\r\n    querySelectorAll(selectors: \"ol\"): NodeListOf<HTMLOListElement>;\r\n    querySelectorAll(selectors: \"optgroup\"): NodeListOf<HTMLOptGroupElement>;\r\n    querySelectorAll(selectors: \"option\"): NodeListOf<HTMLOptionElement>;\r\n    querySelectorAll(selectors: \"p\"): NodeListOf<HTMLParagraphElement>;\r\n    querySelectorAll(selectors: \"param\"): NodeListOf<HTMLParamElement>;\r\n    querySelectorAll(selectors: \"path\"): NodeListOf<SVGPathElement>;\r\n    querySelectorAll(selectors: \"pattern\"): NodeListOf<SVGPatternElement>;\r\n    querySelectorAll(selectors: \"picture\"): NodeListOf<HTMLPictureElement>;\r\n    querySelectorAll(selectors: \"plaintext\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"polygon\"): NodeListOf<SVGPolygonElement>;\r\n    querySelectorAll(selectors: \"polyline\"): NodeListOf<SVGPolylineElement>;\r\n    querySelectorAll(selectors: \"pre\"): NodeListOf<HTMLPreElement>;\r\n    querySelectorAll(selectors: \"progress\"): NodeListOf<HTMLProgressElement>;\r\n    querySelectorAll(selectors: \"q\"): NodeListOf<HTMLQuoteElement>;\r\n    querySelectorAll(selectors: \"radialgradient\"): NodeListOf<SVGRadialGradientElement>;\r\n    querySelectorAll(selectors: \"rect\"): NodeListOf<SVGRectElement>;\r\n    querySelectorAll(selectors: \"rt\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"ruby\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"s\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"samp\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"script\"): NodeListOf<HTMLScriptElement>;\r\n    querySelectorAll(selectors: \"section\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"select\"): NodeListOf<HTMLSelectElement>;\r\n    querySelectorAll(selectors: \"small\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"source\"): NodeListOf<HTMLSourceElement>;\r\n    querySelectorAll(selectors: \"span\"): NodeListOf<HTMLSpanElement>;\r\n    querySelectorAll(selectors: \"stop\"): NodeListOf<SVGStopElement>;\r\n    querySelectorAll(selectors: \"strike\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"strong\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"style\"): NodeListOf<HTMLStyleElement>;\r\n    querySelectorAll(selectors: \"sub\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"sup\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"svg\"): NodeListOf<SVGSVGElement>;\r\n    querySelectorAll(selectors: \"switch\"): NodeListOf<SVGSwitchElement>;\r\n    querySelectorAll(selectors: \"symbol\"): NodeListOf<SVGSymbolElement>;\r\n    querySelectorAll(selectors: \"table\"): NodeListOf<HTMLTableElement>;\r\n    querySelectorAll(selectors: \"tbody\"): NodeListOf<HTMLTableSectionElement>;\r\n    querySelectorAll(selectors: \"td\"): NodeListOf<HTMLTableDataCellElement>;\r\n    querySelectorAll(selectors: \"template\"): NodeListOf<HTMLTemplateElement>;\r\n    querySelectorAll(selectors: \"text\"): NodeListOf<SVGTextElement>;\r\n    querySelectorAll(selectors: \"textpath\"): NodeListOf<SVGTextPathElement>;\r\n    querySelectorAll(selectors: \"textarea\"): NodeListOf<HTMLTextAreaElement>;\r\n    querySelectorAll(selectors: \"tfoot\"): NodeListOf<HTMLTableSectionElement>;\r\n    querySelectorAll(selectors: \"th\"): NodeListOf<HTMLTableHeaderCellElement>;\r\n    querySelectorAll(selectors: \"thead\"): NodeListOf<HTMLTableSectionElement>;\r\n    querySelectorAll(selectors: \"title\"): NodeListOf<HTMLTitleElement>;\r\n    querySelectorAll(selectors: \"tr\"): NodeListOf<HTMLTableRowElement>;\r\n    querySelectorAll(selectors: \"track\"): NodeListOf<HTMLTrackElement>;\r\n    querySelectorAll(selectors: \"tspan\"): NodeListOf<SVGTSpanElement>;\r\n    querySelectorAll(selectors: \"tt\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"u\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"ul\"): NodeListOf<HTMLUListElement>;\r\n    querySelectorAll(selectors: \"use\"): NodeListOf<SVGUseElement>;\r\n    querySelectorAll(selectors: \"var\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"video\"): NodeListOf<HTMLVideoElement>;\r\n    querySelectorAll(selectors: \"view\"): NodeListOf<SVGViewElement>;\r\n    querySelectorAll(selectors: \"wbr\"): NodeListOf<HTMLElement>;\r\n    querySelectorAll(selectors: \"x-ms-webview\"): NodeListOf<MSHTMLWebViewElement>;\r\n    querySelectorAll(selectors: \"xmp\"): NodeListOf<HTMLPreElement>;\r\n    querySelectorAll(selectors: string): NodeListOf<Element>;\r\n}\r\n\r\ninterface RandomSource {\r\n    getRandomValues(array: ArrayBufferView): ArrayBufferView;\r\n}\r\n\r\ninterface SVGAnimatedPathData {\r\n    readonly pathSegList: SVGPathSegList;\r\n}\r\n\r\ninterface SVGAnimatedPoints {\r\n    readonly animatedPoints: SVGPointList;\r\n    readonly points: SVGPointList;\r\n}\r\n\r\ninterface SVGExternalResourcesRequired {\r\n    readonly externalResourcesRequired: SVGAnimatedBoolean;\r\n}\r\n\r\ninterface SVGFilterPrimitiveStandardAttributes extends SVGStylable {\r\n    readonly height: SVGAnimatedLength;\r\n    readonly result: SVGAnimatedString;\r\n    readonly width: SVGAnimatedLength;\r\n    readonly x: SVGAnimatedLength;\r\n    readonly y: SVGAnimatedLength;\r\n}\r\n\r\ninterface SVGFitToViewBox {\r\n    readonly preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\r\n    readonly viewBox: SVGAnimatedRect;\r\n}\r\n\r\ninterface SVGLangSpace {\r\n    xmllang: string;\r\n    xmlspace: string;\r\n}\r\n\r\ninterface SVGLocatable {\r\n    readonly farthestViewportElement: SVGElement;\r\n    readonly nearestViewportElement: SVGElement;\r\n    getBBox(): SVGRect;\r\n    getCTM(): SVGMatrix;\r\n    getScreenCTM(): SVGMatrix;\r\n    getTransformToElement(element: SVGElement): SVGMatrix;\r\n}\r\n\r\ninterface SVGStylable {\r\n    className: any;\r\n    readonly style: CSSStyleDeclaration;\r\n}\r\n\r\ninterface SVGTests {\r\n    readonly requiredExtensions: SVGStringList;\r\n    readonly requiredFeatures: SVGStringList;\r\n    readonly systemLanguage: SVGStringList;\r\n    hasExtension(extension: string): boolean;\r\n}\r\n\r\ninterface SVGTransformable extends SVGLocatable {\r\n    readonly transform: SVGAnimatedTransformList;\r\n}\r\n\r\ninterface SVGURIReference {\r\n    readonly href: SVGAnimatedString;\r\n}\r\n\r\ninterface WindowBase64 {\r\n    atob(encodedString: string): string;\r\n    btoa(rawString: string): string;\r\n}\r\n\r\ninterface WindowConsole {\r\n    readonly console: Console;\r\n}\r\n\r\ninterface WindowLocalStorage {\r\n    readonly localStorage: Storage;\r\n}\r\n\r\ninterface WindowSessionStorage {\r\n    readonly sessionStorage: Storage;\r\n}\r\n\r\ninterface WindowTimers extends Object, WindowTimersExtension {\r\n    clearInterval(handle: number): void;\r\n    clearTimeout(handle: number): void;\r\n    setInterval(handler: (...args: any[]) => void, timeout: number): number;\r\n    setInterval(handler: any, timeout?: any, ...args: any[]): number;\r\n    setTimeout(handler: (...args: any[]) => void, timeout: number): number;\r\n    setTimeout(handler: any, timeout?: any, ...args: any[]): number;\r\n}\r\n\r\ninterface WindowTimersExtension {\r\n    clearImmediate(handle: number): void;\r\n    setImmediate(handler: (...args: any[]) => void): number;\r\n    setImmediate(handler: any, ...args: any[]): number;\r\n}\r\n\r\ninterface XMLHttpRequestEventTarget {\r\n    onabort: (this: this, ev: Event) => any;\r\n    onerror: (this: this, ev: ErrorEvent) => any;\r\n    onload: (this: this, ev: Event) => any;\r\n    onloadend: (this: this, ev: ProgressEvent) => any;\r\n    onloadstart: (this: this, ev: Event) => any;\r\n    onprogress: (this: this, ev: ProgressEvent) => any;\r\n    ontimeout: (this: this, ev: ProgressEvent) => any;\r\n    addEventListener(type: \"abort\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"error\", listener: (this: this, ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"load\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadend\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"loadstart\", listener: (this: this, ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"progress\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: \"timeout\", listener: (this: this, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface StorageEventInit extends EventInit {\r\n    key?: string;\r\n    oldValue?: string;\r\n    newValue?: string;\r\n    url: string;\r\n    storageArea?: Storage;\r\n}\r\n\r\ninterface Canvas2DContextAttributes {\r\n    alpha?: boolean;\r\n    willReadFrequently?: boolean;\r\n    storage?: boolean;\r\n    [attribute: string]: boolean | string | undefined;\r\n}\r\n\r\ninterface NodeListOf<TNode extends Node> extends NodeList {\r\n    length: number;\r\n    item(index: number): TNode;\r\n    [index: number]: TNode;\r\n}\r\n\r\ninterface HTMLCollectionOf<T extends Element> extends HTMLCollection {\r\n    item(index: number): T;\r\n    namedItem(name: string): T;\r\n    [index: number]: T;\r\n}\r\n\r\ninterface BlobPropertyBag {\r\n    type?: string;\r\n    endings?: string;\r\n}\r\n\r\ninterface FilePropertyBag {\r\n    type?: string;\r\n    lastModified?: number;\r\n}\r\n\r\ninterface EventListenerObject {\r\n    handleEvent(evt: Event): void;\r\n}\r\n\r\ninterface MessageEventInit extends EventInit {\r\n    data?: any;\r\n    origin?: string;\r\n    lastEventId?: string;\r\n    channel?: string;\r\n    source?: any;\r\n    ports?: MessagePort[];\r\n}\r\n\r\ninterface ProgressEventInit extends EventInit {\r\n    lengthComputable?: boolean;\r\n    loaded?: number;\r\n    total?: number;\r\n}\r\n\r\ninterface ScrollOptions {\r\n    behavior?: ScrollBehavior;\r\n}\r\n\r\ninterface ScrollToOptions extends ScrollOptions {\r\n    left?: number;\r\n    top?: number;\r\n}\r\n\r\ninterface ScrollIntoViewOptions extends ScrollOptions {\r\n    block?: ScrollLogicalPosition;\r\n    inline?: ScrollLogicalPosition;\r\n}\r\n\r\ninterface ClipboardEventInit extends EventInit {\r\n    data?: string;\r\n    dataType?: string;\r\n}\r\n\r\ninterface IDBArrayKey extends Array<IDBValidKey> {\r\n}\r\n\r\ninterface RsaKeyGenParams extends Algorithm {\r\n    modulusLength: number;\r\n    publicExponent: Uint8Array;\r\n}\r\n\r\ninterface RsaHashedKeyGenParams extends RsaKeyGenParams {\r\n    hash: AlgorithmIdentifier;\r\n}\r\n\r\ninterface RsaKeyAlgorithm extends KeyAlgorithm {\r\n    modulusLength: number;\r\n    publicExponent: Uint8Array;\r\n}\r\n\r\ninterface RsaHashedKeyAlgorithm extends RsaKeyAlgorithm {\r\n    hash: AlgorithmIdentifier;\r\n}\r\n\r\ninterface RsaHashedImportParams {\r\n    hash: AlgorithmIdentifier;\r\n}\r\n\r\ninterface RsaPssParams {\r\n    saltLength: number;\r\n}\r\n\r\ninterface RsaOaepParams extends Algorithm {\r\n    label?: BufferSource;\r\n}\r\n\r\ninterface EcdsaParams extends Algorithm {\r\n    hash: AlgorithmIdentifier;\r\n}\r\n\r\ninterface EcKeyGenParams extends Algorithm {\r\n    namedCurve: string;\r\n}\r\n\r\ninterface EcKeyAlgorithm extends KeyAlgorithm {\r\n    typedCurve: string;\r\n}\r\n\r\ninterface EcKeyImportParams {\r\n    namedCurve: string;\r\n}\r\n\r\ninterface EcdhKeyDeriveParams extends Algorithm {\r\n    public: CryptoKey;\r\n}\r\n\r\ninterface AesCtrParams extends Algorithm {\r\n    counter: BufferSource;\r\n    length: number;\r\n}\r\n\r\ninterface AesKeyAlgorithm extends KeyAlgorithm {\r\n    length: number;\r\n}\r\n\r\ninterface AesKeyGenParams extends Algorithm {\r\n    length: number;\r\n}\r\n\r\ninterface AesDerivedKeyParams extends Algorithm {\r\n    length: number;\r\n}\r\n\r\ninterface AesCbcParams extends Algorithm {\r\n    iv: BufferSource;\r\n}\r\n\r\ninterface AesCmacParams extends Algorithm {\r\n    length: number;\r\n}\r\n\r\ninterface AesGcmParams extends Algorithm {\r\n    iv: BufferSource;\r\n    additionalData?: BufferSource;\r\n    tagLength?: number;\r\n}\r\n\r\ninterface AesCfbParams extends Algorithm {\r\n    iv: BufferSource;\r\n}\r\n\r\ninterface HmacImportParams extends Algorithm {\r\n    hash?: AlgorithmIdentifier;\r\n    length?: number;\r\n}\r\n\r\ninterface HmacKeyAlgorithm extends KeyAlgorithm {\r\n    hash: AlgorithmIdentifier;\r\n    length: number;\r\n}\r\n\r\ninterface HmacKeyGenParams extends Algorithm {\r\n    hash: AlgorithmIdentifier;\r\n    length?: number;\r\n}\r\n\r\ninterface DhKeyGenParams extends Algorithm {\r\n    prime: Uint8Array;\r\n    generator: Uint8Array;\r\n}\r\n\r\ninterface DhKeyAlgorithm extends KeyAlgorithm {\r\n    prime: Uint8Array;\r\n    generator: Uint8Array;\r\n}\r\n\r\ninterface DhKeyDeriveParams extends Algorithm {\r\n    public: CryptoKey;\r\n}\r\n\r\ninterface DhImportKeyParams extends Algorithm {\r\n    prime: Uint8Array;\r\n    generator: Uint8Array;\r\n}\r\n\r\ninterface ConcatParams extends Algorithm {\r\n    hash?: AlgorithmIdentifier;\r\n    algorithmId: Uint8Array;\r\n    partyUInfo: Uint8Array;\r\n    partyVInfo: Uint8Array;\r\n    publicInfo?: Uint8Array;\r\n    privateInfo?: Uint8Array;\r\n}\r\n\r\ninterface HkdfCtrParams extends Algorithm {\r\n    hash: AlgorithmIdentifier;\r\n    label: BufferSource;\r\n    context: BufferSource;\r\n}\r\n\r\ninterface Pbkdf2Params extends Algorithm {\r\n    salt: BufferSource;\r\n    iterations: number;\r\n    hash: AlgorithmIdentifier;\r\n}\r\n\r\ninterface RsaOtherPrimesInfo {\r\n    r: string;\r\n    d: string;\r\n    t: string;\r\n}\r\n\r\ninterface JsonWebKey {\r\n    kty: string;\r\n    use?: string;\r\n    key_ops?: string[];\r\n    alg?: string;\r\n    kid?: string;\r\n    x5u?: string;\r\n    x5c?: string;\r\n    x5t?: string;\r\n    ext?: boolean;\r\n    crv?: string;\r\n    x?: string;\r\n    y?: string;\r\n    d?: string;\r\n    n?: string;\r\n    e?: string;\r\n    p?: string;\r\n    q?: string;\r\n    dp?: string;\r\n    dq?: string;\r\n    qi?: string;\r\n    oth?: RsaOtherPrimesInfo[];\r\n    k?: string;\r\n}\r\n\r\ninterface ParentNode {\r\n    readonly children: HTMLCollection;\r\n    readonly firstElementChild: Element;\r\n    readonly lastElementChild: Element;\r\n    readonly childElementCount: number;\r\n}\r\n\r\ndeclare type EventListenerOrEventListenerObject = EventListener | EventListenerObject;\r\n\r\ninterface ErrorEventHandler {\r\n    (message: string, filename?: string, lineno?: number, colno?: number, error?:Error): void;\r\n}\r\ninterface PositionCallback {\r\n    (position: Position): void;\r\n}\r\ninterface PositionErrorCallback {\r\n    (error: PositionError): void;\r\n}\r\ninterface MediaQueryListListener {\r\n    (mql: MediaQueryList): void;\r\n}\r\ninterface MSLaunchUriCallback {\r\n    (): void;\r\n}\r\ninterface FrameRequestCallback {\r\n    (time: number): void;\r\n}\r\ninterface MSUnsafeFunctionCallback {\r\n    (): any;\r\n}\r\ninterface MSExecAtPriorityFunctionCallback {\r\n    (...args: any[]): any;\r\n}\r\ninterface MutationCallback {\r\n    (mutations: MutationRecord[], observer: MutationObserver): void;\r\n}\r\ninterface DecodeSuccessCallback {\r\n    (decodedData: AudioBuffer): void;\r\n}\r\ninterface DecodeErrorCallback {\r\n    (error: DOMException): void;\r\n}\r\ninterface FunctionStringCallback {\r\n    (data: string): void;\r\n}\r\ninterface NavigatorUserMediaSuccessCallback {\r\n    (stream: MediaStream): void;\r\n}\r\ninterface NavigatorUserMediaErrorCallback {\r\n    (error: MediaStreamError): void;\r\n}\r\ninterface ForEachCallback {\r\n    (keyId: any, status: string): void;\r\n}\r\ndeclare var Audio: {new(src?: string): HTMLAudioElement; };\r\ndeclare var Image: {new(width?: number, height?: number): HTMLImageElement; };\r\ndeclare var Option: {new(text?: string, value?: string, defaultSelected?: boolean, selected?: boolean): HTMLOptionElement; };\r\ndeclare var applicationCache: ApplicationCache;\r\ndeclare var clientInformation: Navigator;\r\ndeclare var closed: boolean;\r\ndeclare var crypto: Crypto;\r\ndeclare var defaultStatus: string;\r\ndeclare var devicePixelRatio: number;\r\ndeclare var doNotTrack: string;\r\ndeclare var document: Document;\r\ndeclare var event: Event;\r\ndeclare var external: External;\r\ndeclare var frameElement: Element;\r\ndeclare var frames: Window;\r\ndeclare var history: History;\r\ndeclare var innerHeight: number;\r\ndeclare var innerWidth: number;\r\ndeclare var length: number;\r\ndeclare var location: Location;\r\ndeclare var locationbar: BarProp;\r\ndeclare var menubar: BarProp;\r\ndeclare var msCredentials: MSCredentials;\r\ndeclare const name: never;\r\ndeclare var navigator: Navigator;\r\ndeclare var offscreenBuffering: string | boolean;\r\ndeclare var onabort: (this: Window, ev: UIEvent) => any;\r\ndeclare var onafterprint: (this: Window, ev: Event) => any;\r\ndeclare var onbeforeprint: (this: Window, ev: Event) => any;\r\ndeclare var onbeforeunload: (this: Window, ev: BeforeUnloadEvent) => any;\r\ndeclare var onblur: (this: Window, ev: FocusEvent) => any;\r\ndeclare var oncanplay: (this: Window, ev: Event) => any;\r\ndeclare var oncanplaythrough: (this: Window, ev: Event) => any;\r\ndeclare var onchange: (this: Window, ev: Event) => any;\r\ndeclare var onclick: (this: Window, ev: MouseEvent) => any;\r\ndeclare var oncompassneedscalibration: (this: Window, ev: Event) => any;\r\ndeclare var oncontextmenu: (this: Window, ev: PointerEvent) => any;\r\ndeclare var ondblclick: (this: Window, ev: MouseEvent) => any;\r\ndeclare var ondevicelight: (this: Window, ev: DeviceLightEvent) => any;\r\ndeclare var ondevicemotion: (this: Window, ev: DeviceMotionEvent) => any;\r\ndeclare var ondeviceorientation: (this: Window, ev: DeviceOrientationEvent) => any;\r\ndeclare var ondrag: (this: Window, ev: DragEvent) => any;\r\ndeclare var ondragend: (this: Window, ev: DragEvent) => any;\r\ndeclare var ondragenter: (this: Window, ev: DragEvent) => any;\r\ndeclare var ondragleave: (this: Window, ev: DragEvent) => any;\r\ndeclare var ondragover: (this: Window, ev: DragEvent) => any;\r\ndeclare var ondragstart: (this: Window, ev: DragEvent) => any;\r\ndeclare var ondrop: (this: Window, ev: DragEvent) => any;\r\ndeclare var ondurationchange: (this: Window, ev: Event) => any;\r\ndeclare var onemptied: (this: Window, ev: Event) => any;\r\ndeclare var onended: (this: Window, ev: MediaStreamErrorEvent) => any;\r\ndeclare var onerror: ErrorEventHandler;\r\ndeclare var onfocus: (this: Window, ev: FocusEvent) => any;\r\ndeclare var onhashchange: (this: Window, ev: HashChangeEvent) => any;\r\ndeclare var oninput: (this: Window, ev: Event) => any;\r\ndeclare var oninvalid: (this: Window, ev: Event) => any;\r\ndeclare var onkeydown: (this: Window, ev: KeyboardEvent) => any;\r\ndeclare var onkeypress: (this: Window, ev: KeyboardEvent) => any;\r\ndeclare var onkeyup: (this: Window, ev: KeyboardEvent) => any;\r\ndeclare var onload: (this: Window, ev: Event) => any;\r\ndeclare var onloadeddata: (this: Window, ev: Event) => any;\r\ndeclare var onloadedmetadata: (this: Window, ev: Event) => any;\r\ndeclare var onloadstart: (this: Window, ev: Event) => any;\r\ndeclare var onmessage: (this: Window, ev: MessageEvent) => any;\r\ndeclare var onmousedown: (this: Window, ev: MouseEvent) => any;\r\ndeclare var onmouseenter: (this: Window, ev: MouseEvent) => any;\r\ndeclare var onmouseleave: (this: Window, ev: MouseEvent) => any;\r\ndeclare var onmousemove: (this: Window, ev: MouseEvent) => any;\r\ndeclare var onmouseout: (this: Window, ev: MouseEvent) => any;\r\ndeclare var onmouseover: (this: Window, ev: MouseEvent) => any;\r\ndeclare var onmouseup: (this: Window, ev: MouseEvent) => any;\r\ndeclare var onmousewheel: (this: Window, ev: WheelEvent) => any;\r\ndeclare var onmsgesturechange: (this: Window, ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturedoubletap: (this: Window, ev: MSGestureEvent) => any;\r\ndeclare var onmsgestureend: (this: Window, ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturehold: (this: Window, ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturestart: (this: Window, ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturetap: (this: Window, ev: MSGestureEvent) => any;\r\ndeclare var onmsinertiastart: (this: Window, ev: MSGestureEvent) => any;\r\ndeclare var onmspointercancel: (this: Window, ev: MSPointerEvent) => any;\r\ndeclare var onmspointerdown: (this: Window, ev: MSPointerEvent) => any;\r\ndeclare var onmspointerenter: (this: Window, ev: MSPointerEvent) => any;\r\ndeclare var onmspointerleave: (this: Window, ev: MSPointerEvent) => any;\r\ndeclare var onmspointermove: (this: Window, ev: MSPointerEvent) => any;\r\ndeclare var onmspointerout: (this: Window, ev: MSPointerEvent) => any;\r\ndeclare var onmspointerover: (this: Window, ev: MSPointerEvent) => any;\r\ndeclare var onmspointerup: (this: Window, ev: MSPointerEvent) => any;\r\ndeclare var onoffline: (this: Window, ev: Event) => any;\r\ndeclare var ononline: (this: Window, ev: Event) => any;\r\ndeclare var onorientationchange: (this: Window, ev: Event) => any;\r\ndeclare var onpagehide: (this: Window, ev: PageTransitionEvent) => any;\r\ndeclare var onpageshow: (this: Window, ev: PageTransitionEvent) => any;\r\ndeclare var onpause: (this: Window, ev: Event) => any;\r\ndeclare var onplay: (this: Window, ev: Event) => any;\r\ndeclare var onplaying: (this: Window, ev: Event) => any;\r\ndeclare var onpopstate: (this: Window, ev: PopStateEvent) => any;\r\ndeclare var onprogress: (this: Window, ev: ProgressEvent) => any;\r\ndeclare var onratechange: (this: Window, ev: Event) => any;\r\ndeclare var onreadystatechange: (this: Window, ev: ProgressEvent) => any;\r\ndeclare var onreset: (this: Window, ev: Event) => any;\r\ndeclare var onresize: (this: Window, ev: UIEvent) => any;\r\ndeclare var onscroll: (this: Window, ev: UIEvent) => any;\r\ndeclare var onseeked: (this: Window, ev: Event) => any;\r\ndeclare var onseeking: (this: Window, ev: Event) => any;\r\ndeclare var onselect: (this: Window, ev: UIEvent) => any;\r\ndeclare var onstalled: (this: Window, ev: Event) => any;\r\ndeclare var onstorage: (this: Window, ev: StorageEvent) => any;\r\ndeclare var onsubmit: (this: Window, ev: Event) => any;\r\ndeclare var onsuspend: (this: Window, ev: Event) => any;\r\ndeclare var ontimeupdate: (this: Window, ev: Event) => any;\r\ndeclare var ontouchcancel: (ev: TouchEvent) => any;\r\ndeclare var ontouchend: (ev: TouchEvent) => any;\r\ndeclare var ontouchmove: (ev: TouchEvent) => any;\r\ndeclare var ontouchstart: (ev: TouchEvent) => any;\r\ndeclare var onunload: (this: Window, ev: Event) => any;\r\ndeclare var onvolumechange: (this: Window, ev: Event) => any;\r\ndeclare var onwaiting: (this: Window, ev: Event) => any;\r\ndeclare var opener: any;\r\ndeclare var orientation: string | number;\r\ndeclare var outerHeight: number;\r\ndeclare var outerWidth: number;\r\ndeclare var pageXOffset: number;\r\ndeclare var pageYOffset: number;\r\ndeclare var parent: Window;\r\ndeclare var performance: Performance;\r\ndeclare var personalbar: BarProp;\r\ndeclare var screen: Screen;\r\ndeclare var screenLeft: number;\r\ndeclare var screenTop: number;\r\ndeclare var screenX: number;\r\ndeclare var screenY: number;\r\ndeclare var scrollX: number;\r\ndeclare var scrollY: number;\r\ndeclare var scrollbars: BarProp;\r\ndeclare var self: Window;\r\ndeclare var status: string;\r\ndeclare var statusbar: BarProp;\r\ndeclare var styleMedia: StyleMedia;\r\ndeclare var toolbar: BarProp;\r\ndeclare var top: Window;\r\ndeclare var window: Window;\r\ndeclare function alert(message?: any): void;\r\ndeclare function blur(): void;\r\ndeclare function cancelAnimationFrame(handle: number): void;\r\ndeclare function captureEvents(): void;\r\ndeclare function close(): void;\r\ndeclare function confirm(message?: string): boolean;\r\ndeclare function focus(): void;\r\ndeclare function getComputedStyle(elt: Element, pseudoElt?: string): CSSStyleDeclaration;\r\ndeclare function getMatchedCSSRules(elt: Element, pseudoElt?: string): CSSRuleList;\r\ndeclare function getSelection(): Selection;\r\ndeclare function matchMedia(mediaQuery: string): MediaQueryList;\r\ndeclare function moveBy(x?: number, y?: number): void;\r\ndeclare function moveTo(x?: number, y?: number): void;\r\ndeclare function msWriteProfilerMark(profilerMarkName: string): void;\r\ndeclare function open(url?: string, target?: string, features?: string, replace?: boolean): Window;\r\ndeclare function postMessage(message: any, targetOrigin: string, transfer?: any[]): void;\r\ndeclare function print(): void;\r\ndeclare function prompt(message?: string, _default?: string): string | null;\r\ndeclare function releaseEvents(): void;\r\ndeclare function requestAnimationFrame(callback: FrameRequestCallback): number;\r\ndeclare function resizeBy(x?: number, y?: number): void;\r\ndeclare function resizeTo(x?: number, y?: number): void;\r\ndeclare function scroll(x?: number, y?: number): void;\r\ndeclare function scrollBy(x?: number, y?: number): void;\r\ndeclare function scrollTo(x?: number, y?: number): void;\r\ndeclare function webkitCancelAnimationFrame(handle: number): void;\r\ndeclare function webkitConvertPointFromNodeToPage(node: Node, pt: WebKitPoint): WebKitPoint;\r\ndeclare function webkitConvertPointFromPageToNode(node: Node, pt: WebKitPoint): WebKitPoint;\r\ndeclare function webkitRequestAnimationFrame(callback: FrameRequestCallback): number;\r\ndeclare function scroll(options?: ScrollToOptions): void;\r\ndeclare function scrollTo(options?: ScrollToOptions): void;\r\ndeclare function scrollBy(options?: ScrollToOptions): void;\r\ndeclare function toString(): string;\r\ndeclare function addEventListener(type: string, listener?: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\ndeclare function dispatchEvent(evt: Event): boolean;\r\ndeclare function removeEventListener(type: string, listener?: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\ndeclare function clearInterval(handle: number): void;\r\ndeclare function clearTimeout(handle: number): void;\r\ndeclare function setInterval(handler: (...args: any[]) => void, timeout: number): number;\r\ndeclare function setInterval(handler: any, timeout?: any, ...args: any[]): number;\r\ndeclare function setTimeout(handler: (...args: any[]) => void, timeout: number): number;\r\ndeclare function setTimeout(handler: any, timeout?: any, ...args: any[]): number;\r\ndeclare function clearImmediate(handle: number): void;\r\ndeclare function setImmediate(handler: (...args: any[]) => void): number;\r\ndeclare function setImmediate(handler: any, ...args: any[]): number;\r\ndeclare var sessionStorage: Storage;\r\ndeclare var localStorage: Storage;\r\ndeclare var console: Console;\r\ndeclare var onpointercancel: (this: Window, ev: PointerEvent) => any;\r\ndeclare var onpointerdown: (this: Window, ev: PointerEvent) => any;\r\ndeclare var onpointerenter: (this: Window, ev: PointerEvent) => any;\r\ndeclare var onpointerleave: (this: Window, ev: PointerEvent) => any;\r\ndeclare var onpointermove: (this: Window, ev: PointerEvent) => any;\r\ndeclare var onpointerout: (this: Window, ev: PointerEvent) => any;\r\ndeclare var onpointerover: (this: Window, ev: PointerEvent) => any;\r\ndeclare var onpointerup: (this: Window, ev: PointerEvent) => any;\r\ndeclare var onwheel: (this: Window, ev: WheelEvent) => any;\r\ndeclare var indexedDB: IDBFactory;\r\ndeclare function atob(encodedString: string): string;\r\ndeclare function btoa(rawString: string): string;\r\ndeclare function addEventListener(type: \"MSGestureChange\", listener: (this: Window, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSGestureDoubleTap\", listener: (this: Window, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSGestureEnd\", listener: (this: Window, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSGestureHold\", listener: (this: Window, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSGestureStart\", listener: (this: Window, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSGestureTap\", listener: (this: Window, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSInertiaStart\", listener: (this: Window, ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSPointerCancel\", listener: (this: Window, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSPointerDown\", listener: (this: Window, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSPointerEnter\", listener: (this: Window, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSPointerLeave\", listener: (this: Window, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSPointerMove\", listener: (this: Window, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSPointerOut\", listener: (this: Window, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSPointerOver\", listener: (this: Window, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"MSPointerUp\", listener: (this: Window, ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"abort\", listener: (this: Window, ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"afterprint\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"beforeprint\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"beforeunload\", listener: (this: Window, ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"blur\", listener: (this: Window, ev: FocusEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"canplay\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"canplaythrough\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"change\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"click\", listener: (this: Window, ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"compassneedscalibration\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"contextmenu\", listener: (this: Window, ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"dblclick\", listener: (this: Window, ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"devicelight\", listener: (this: Window, ev: DeviceLightEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"devicemotion\", listener: (this: Window, ev: DeviceMotionEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"deviceorientation\", listener: (this: Window, ev: DeviceOrientationEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"drag\", listener: (this: Window, ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"dragend\", listener: (this: Window, ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"dragenter\", listener: (this: Window, ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"dragleave\", listener: (this: Window, ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"dragover\", listener: (this: Window, ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"dragstart\", listener: (this: Window, ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"drop\", listener: (this: Window, ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"durationchange\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"emptied\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"ended\", listener: (this: Window, ev: MediaStreamErrorEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"focus\", listener: (this: Window, ev: FocusEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"hashchange\", listener: (this: Window, ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"input\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"invalid\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"keydown\", listener: (this: Window, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"keypress\", listener: (this: Window, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"keyup\", listener: (this: Window, ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"load\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"loadeddata\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"loadedmetadata\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"loadstart\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"message\", listener: (this: Window, ev: MessageEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"mousedown\", listener: (this: Window, ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"mouseenter\", listener: (this: Window, ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"mouseleave\", listener: (this: Window, ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"mousemove\", listener: (this: Window, ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"mouseout\", listener: (this: Window, ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"mouseover\", listener: (this: Window, ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"mouseup\", listener: (this: Window, ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"mousewheel\", listener: (this: Window, ev: WheelEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"offline\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"online\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"orientationchange\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pagehide\", listener: (this: Window, ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pageshow\", listener: (this: Window, ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pause\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"play\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"playing\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pointercancel\", listener: (this: Window, ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pointerdown\", listener: (this: Window, ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pointerenter\", listener: (this: Window, ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pointerleave\", listener: (this: Window, ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pointermove\", listener: (this: Window, ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pointerout\", listener: (this: Window, ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pointerover\", listener: (this: Window, ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"pointerup\", listener: (this: Window, ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"popstate\", listener: (this: Window, ev: PopStateEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"progress\", listener: (this: Window, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"ratechange\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"readystatechange\", listener: (this: Window, ev: ProgressEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"reset\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"resize\", listener: (this: Window, ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"scroll\", listener: (this: Window, ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"seeked\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"seeking\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"select\", listener: (this: Window, ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"stalled\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"storage\", listener: (this: Window, ev: StorageEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"submit\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"suspend\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"timeupdate\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"unload\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"volumechange\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"waiting\", listener: (this: Window, ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: \"wheel\", listener: (this: Window, ev: WheelEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\ntype AAGUID = string;\r\ntype AlgorithmIdentifier = string | Algorithm;\r\ntype ConstrainBoolean = boolean | ConstrainBooleanParameters;\r\ntype ConstrainDOMString = string | string[] | ConstrainDOMStringParameters;\r\ntype ConstrainDouble = number | ConstrainDoubleRange;\r\ntype ConstrainLong = number | ConstrainLongRange;\r\ntype CryptoOperationData = ArrayBufferView;\r\ntype GLbitfield = number;\r\ntype GLboolean = boolean;\r\ntype GLbyte = number;\r\ntype GLclampf = number;\r\ntype GLenum = number;\r\ntype GLfloat = number;\r\ntype GLint = number;\r\ntype GLintptr = number;\r\ntype GLshort = number;\r\ntype GLsizei = number;\r\ntype GLsizeiptr = number;\r\ntype GLubyte = number;\r\ntype GLuint = number;\r\ntype GLushort = number;\r\ntype IDBKeyPath = string;\r\ntype KeyFormat = string;\r\ntype KeyType = string;\r\ntype KeyUsage = string;\r\ntype MSInboundPayload = MSVideoRecvPayload | MSAudioRecvPayload;\r\ntype MSLocalClientEvent = MSLocalClientEventBase | MSAudioLocalClientEvent;\r\ntype MSOutboundPayload = MSVideoSendPayload | MSAudioSendPayload;\r\ntype RTCIceGatherCandidate = RTCIceCandidate | RTCIceCandidateComplete;\r\ntype RTCTransport = RTCDtlsTransport | RTCSrtpSdesTransport;\r\ntype payloadtype = number;\r\ntype ScrollBehavior = \"auto\" | \"instant\" | \"smooth\";\r\ntype ScrollLogicalPosition = \"start\" | \"center\" | \"end\" | \"nearest\";\r\ntype IDBValidKey = number | string | Date | IDBArrayKey;\r\ntype BufferSource = ArrayBuffer | ArrayBufferView;\r\ntype MouseWheelEvent = WheelEvent;\r\n/////////////////////////////\r\n/// WorkerGlobalScope APIs \r\n/////////////////////////////\r\n// These are only available in a Web Worker \r\ndeclare function importScripts(...urls: string[]): void;\r\n\r\n\r\n/////////////////////////////\r\n/// Windows Script Host APIS\r\n/////////////////////////////\r\n\r\n\r\ninterface ActiveXObject {\r\n    new (s: string): any;\r\n}\r\ndeclare var ActiveXObject: ActiveXObject;\r\n\r\ninterface ITextWriter {\r\n    Write(s: string): void;\r\n    WriteLine(s: string): void;\r\n    Close(): void;\r\n}\r\n\r\ninterface TextStreamBase {\r\n    /**\r\n     * The column number of the current character position in an input stream.\r\n     */\r\n    Column: number;\r\n\r\n    /**\r\n     * The current line number in an input stream.\r\n     */\r\n    Line: number;\r\n\r\n    /**\r\n     * Closes a text stream.\r\n     * It is not necessary to close standard streams; they close automatically when the process ends. If \r\n     * you close a standard stream, be aware that any other pointers to that standard stream become invalid.\r\n     */\r\n    Close(): void;\r\n}\r\n\r\ninterface TextStreamWriter extends TextStreamBase {\r\n    /**\r\n     * Sends a string to an output stream.\r\n     */\r\n    Write(s: string): void;\r\n\r\n    /**\r\n     * Sends a specified number of blank lines (newline characters) to an output stream.\r\n     */\r\n    WriteBlankLines(intLines: number): void;\r\n\r\n    /**\r\n     * Sends a string followed by a newline character to an output stream.\r\n     */\r\n    WriteLine(s: string): void;\r\n}\r\n\r\ninterface TextStreamReader extends TextStreamBase {\r\n    /**\r\n     * Returns a specified number of characters from an input stream, starting at the current pointer position.\r\n     * Does not return until the ENTER key is pressed.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     */\r\n    Read(characters: number): string;\r\n\r\n    /**\r\n     * Returns all characters from an input stream.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     */\r\n    ReadAll(): string;\r\n\r\n    /**\r\n     * Returns an entire line from an input stream.\r\n     * Although this method extracts the newline character, it does not add it to the returned string.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     */\r\n    ReadLine(): string;\r\n\r\n    /**\r\n     * Skips a specified number of characters when reading from an input text stream.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     * @param characters Positive number of characters to skip forward. (Backward skipping is not supported.)\r\n     */\r\n    Skip(characters: number): void;\r\n\r\n    /**\r\n     * Skips the next line when reading from an input text stream.\r\n     * Can only be used on a stream in reading mode, not writing or appending mode.\r\n     */\r\n    SkipLine(): void;\r\n\r\n    /**\r\n     * Indicates whether the stream pointer position is at the end of a line.\r\n     */\r\n    AtEndOfLine: boolean;\r\n\r\n    /**\r\n     * Indicates whether the stream pointer position is at the end of a stream.\r\n     */\r\n    AtEndOfStream: boolean;\r\n}\r\n\r\ndeclare var WScript: {\r\n    /**\r\n    * Outputs text to either a message box (under WScript.exe) or the command console window followed by\r\n    * a newline (under CScript.exe).\r\n    */\r\n    Echo(s: any): void;\r\n\r\n    /**\r\n     * Exposes the write-only error output stream for the current script.\r\n     * Can be accessed only while using CScript.exe.\r\n     */\r\n    StdErr: TextStreamWriter;\r\n\r\n    /**\r\n     * Exposes the write-only output stream for the current script.\r\n     * Can be accessed only while using CScript.exe.\r\n     */\r\n    StdOut: TextStreamWriter;\r\n    Arguments: { length: number; Item(n: number): string; };\r\n\r\n    /**\r\n     *  The full path of the currently running script.\r\n     */\r\n    ScriptFullName: string;\r\n\r\n    /**\r\n     * Forces the script to stop immediately, with an optional exit code.\r\n     */\r\n    Quit(exitCode?: number): number;\r\n\r\n    /**\r\n     * The Windows Script Host build version number.\r\n     */\r\n    BuildVersion: number;\r\n\r\n    /**\r\n     * Fully qualified path of the host executable.\r\n     */\r\n    FullName: string;\r\n\r\n    /**\r\n     * Gets/sets the script mode - interactive(true) or batch(false).\r\n     */\r\n    Interactive: boolean;\r\n\r\n    /**\r\n     * The name of the host executable (WScript.exe or CScript.exe).\r\n     */\r\n    Name: string;\r\n\r\n    /**\r\n     * Path of the directory containing the host executable.\r\n     */\r\n    Path: string;\r\n\r\n    /**\r\n     * The filename of the currently running script.\r\n     */\r\n    ScriptName: string;\r\n\r\n    /**\r\n     * Exposes the read-only input stream for the current script.\r\n     * Can be accessed only while using CScript.exe.\r\n     */\r\n    StdIn: TextStreamReader;\r\n\r\n    /**\r\n     * Windows Script Host version\r\n     */\r\n    Version: string;\r\n\r\n    /**\r\n     * Connects a COM object's event sources to functions named with a given prefix, in the form prefix_event.\r\n     */\r\n    ConnectObject(objEventSource: any, strPrefix: string): void;\r\n\r\n    /**\r\n     * Creates a COM object.\r\n     * @param strProgiID\r\n     * @param strPrefix Function names in the form prefix_event will be bound to this object's COM events.\r\n     */\r\n    CreateObject(strProgID: string, strPrefix?: string): any;\r\n\r\n    /**\r\n     * Disconnects a COM object from its event sources.\r\n     */\r\n    DisconnectObject(obj: any): void;\r\n\r\n    /**\r\n     * Retrieves an existing object with the specified ProgID from memory, or creates a new one from a file.\r\n     * @param strPathname Fully qualified path to the file containing the object persisted to disk.\r\n     *                       For objects in memory, pass a zero-length string.\r\n     * @param strProgID\r\n     * @param strPrefix Function names in the form prefix_event will be bound to this object's COM events.\r\n     */\r\n    GetObject(strPathname: string, strProgID?: string, strPrefix?: string): any;\r\n\r\n    /**\r\n     * Suspends script execution for a specified length of time, then continues execution.\r\n     * @param intTime Interval (in milliseconds) to suspend script execution.\r\n     */\r\n    Sleep(intTime: number): void;\r\n};\r\n\r\n/**\r\n * Allows enumerating over a COM collection, which may not have indexed item access.\r\n */\r\ninterface Enumerator<T> {\r\n    /**\r\n     * Returns true if the current item is the last one in the collection, or the collection is empty,\r\n     * or the current item is undefined.\r\n     */\r\n    atEnd(): boolean;\r\n\r\n    /**\r\n     * Returns the current item in the collection\r\n     */\r\n    item(): T;\r\n\r\n    /**\r\n     * Resets the current item in the collection to the first item. If there are no items in the collection,\r\n     * the current item is set to undefined.\r\n     */\r\n    moveFirst(): void;\r\n\r\n    /**\r\n     * Moves the current item to the next item in the collection. If the enumerator is at the end of\r\n     * the collection or the collection is empty, the current item is set to undefined.\r\n     */\r\n    moveNext(): void;\r\n}\r\n\r\ninterface EnumeratorConstructor {\r\n    new <T>(collection: any): Enumerator<T>;\r\n    new (collection: any): Enumerator<any>;\r\n}\r\n\r\ndeclare var Enumerator: EnumeratorConstructor;\r\n\r\n/**\r\n * Enables reading from a COM safe array, which might have an alternate lower bound, or multiple dimensions.\r\n */\r\ninterface VBArray<T> {\r\n    /**\r\n     * Returns the number of dimensions (1-based).\r\n     */\r\n    dimensions(): number;\r\n\r\n    /**\r\n     * Takes an index for each dimension in the array, and returns the item at the corresponding location.\r\n     */\r\n    getItem(dimension1Index: number, ...dimensionNIndexes: number[]): T;\r\n\r\n    /**\r\n     * Returns the smallest available index for a given dimension.\r\n     * @param dimension 1-based dimension (defaults to 1)\r\n     */\r\n    lbound(dimension?: number): number;\r\n\r\n    /**\r\n     * Returns the largest available index for a given dimension.\r\n     * @param dimension 1-based dimension (defaults to 1)\r\n     */\r\n    ubound(dimension?: number): number;\r\n\r\n    /**\r\n     * Returns a Javascript array with all the elements in the VBArray. If there are multiple dimensions,\r\n     * each successive dimension is appended to the end of the array.\r\n     * Example: [[1,2,3],[4,5,6]] becomes [1,2,3,4,5,6]\r\n     */\r\n    toArray(): T[];\r\n}\r\n\r\ninterface VBArrayConstructor {\r\n    new <T>(safeArray: any): VBArray<T>;\r\n    new (safeArray: any): VBArray<any>;\r\n}\r\n\r\ndeclare var VBArray: VBArrayConstructor;\r\n\r\n/**\r\n * Automation date (VT_DATE)\r\n */\r\ninterface VarDate { }\r\n\r\ninterface DateConstructor {\r\n    new (vd: VarDate): Date;\r\n}\r\n\r\ninterface Date {\r\n    getVarDate: () => VarDate;\r\n}\r\n";

